/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2024-06-20 15:58:38Z
 *****************************************************************************/

#ifndef __RSRFSIGGEN_ATTRIBUTES_HEADER
#define __RSRFSIGGEN_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rsrfsiggen_binPattern_ReadCallback(ViSession          io,
                                            ViConstString      repCapName,
                                            RsCoreAttributePtr attr);

ViStatus rsrfsiggen_binCommaSeparatedPattern_ReadCallback(ViSession          io,
                                                          ViConstString      repCapName,
                                                          RsCoreAttributePtr attr);

ViStatus rsrfsiggen_hexPattern_ReadCallback(ViSession          io,
                                            ViConstString      repCapName,
                                            RsCoreAttributePtr attr);

ViStatus rsrfsiggen_hex_ReadCallback(ViSession          io,
                                     ViConstString      repCapName,
                                     RsCoreAttributePtr attr);

ViStatus rsrfsiggen_hex_Int64_ReadCallback(ViSession          io,
                                           ViConstString      repCapName,
                                           RsCoreAttributePtr attr);

ViStatus rsrfsiggen_logging_ReadCallback(ViSession          io,
                                         ViConstString      repCapName,
                                         RsCoreAttributePtr attr);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rsrfsiggen_binPattern_WriteCallback(ViSession          io,
                                             ViConstString      repCapName,
                                             RsCoreAttributePtr attr,
                                             void               *value);

ViStatus rsrfsiggen_noQuotedString_WriteCallback(ViSession          io,
                                                 ViConstString      repCapName,
                                                 RsCoreAttributePtr attr,
                                                 void               *value);

ViStatus rsrfsiggen_binCommaSeparatedPattern_WriteCallback(ViSession          io,
                                                           ViConstString      repCapName,
                                                           RsCoreAttributePtr attr,
                                                           void               *value);

ViStatus rsrfsiggen_hexPattern_WriteCallback(ViSession          io,
                                             ViConstString      repCapName,
                                             RsCoreAttributePtr attr,
                                             void               *value);

ViStatus rsrfsiggen_seconds_WriteCallback(ViSession          io,
                                          ViConstString      repCapName,
                                          RsCoreAttributePtr attr,
                                          void               *value);

ViStatus rsrfsiggen_hex_WriteCallback(ViSession          io,
                                      ViConstString      repCapName,
                                      RsCoreAttributePtr attr,
                                      void               *value);

ViStatus rsrfsiggen_hex_Int64_WriteCallback(ViSession          io,
                                            ViConstString      repCapName,
                                            RsCoreAttributePtr attr,
                                            void               *value);

ViStatus rsrfsiggen_logging_WriteCallback(ViSession          io,
                                          ViConstString      repCapName,
                                          RsCoreAttributePtr attr,
                                          void               *value);

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTableRanged RsRFSigGen_rng1bit;
extern RsCoreRangeTableRanged RsRFSigGen_rng2bit;
extern RsCoreRangeTableRanged RsRFSigGen_rng3bit;
extern RsCoreRangeTableRanged RsRFSigGen_rng4bit;
extern RsCoreRangeTableRanged RsRFSigGen_rng5bit;
extern RsCoreRangeTableRanged RsRFSigGen_rng6bit;
extern RsCoreRangeTableRanged RsRFSigGen_rng7bit;
extern RsCoreRangeTableRanged RsRFSigGen_rng8bit;
extern RsCoreRangeTableRanged RsRFSigGen_rng10bit;
extern RsCoreRangeTableRanged RsRFSigGen_rng14bit;
extern RsCoreRangeTableRanged RsRFSigGen_rng16bit;
extern RsCoreRangeTableRanged RsRFSigGen_rng19bit;
extern RsCoreRangeTableRanged RsRFSigGen_rng20bit;
extern RsCoreRangeTableRanged RsRFSigGen_rng24bit;
extern RsCoreRangeTableRanged RsRFSigGen_rng32bit;
extern RsCoreRangeTableRanged RsRFSigGen_rng45bit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExternalCoupling;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPulseModulationPolarity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFrequencySweepSpacing;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngReferenceOscillatorSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngAMDepth;
extern RsCoreRangeTableRanged RsRFSigGen_rngPMDeviation;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQGainImbalance;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQQuadratureOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngAMSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFMSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPMSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngReferenceOscillatorExternalFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMDigitalStandard;
extern RsCoreRangeTableRanged RsRFSigGen_rngFrequencySweepStepLog;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDABDataSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngDABExternalTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngDABFilterCutOffFrequencyShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngDABFilterParameterLowpass;
extern RsCoreRangeTableRanged RsRFSigGen_rngDABFilterParameterRootCosine;
extern RsCoreRangeTableRanged RsRFSigGen_rngDABInternalTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngTriggerInhibit;
extern RsCoreRangeTableRanged RsRFSigGen_rngDABInternalTriggerInhibit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDABMarkerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngDABNumberOfETIFrames;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDABTransportMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngDABTriggerSignalDuration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDataSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngFilterParameterGaussPure;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngClockMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngClockMultiplier;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngClockSynchronisationMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFilterType;
extern RsCoreRangeTableRanged RsRFSigGen_rngDABClippingLevel;
extern RsCoreRangeTableRanged RsRFSigGen_rngMarkerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngMarkerOnTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngMarkerPulseDivider;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngClippingMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngLinkDirection;
extern RsCoreRangeTableRanged RsRFSigGen_rngFilterParameterRootCosine;
extern RsCoreRangeTableRanged RsRFSigGen_rngFilterParameterAPCO25;
extern RsCoreRangeTableRanged RsRFSigGen_rngFilterParameterLowpass;
extern RsCoreRangeTableRanged RsRFSigGen_rngFilterParameterCosine;
extern RsCoreRangeTableRanged RsRFSigGen_rngClippingLevel;
extern RsCoreRangeTableRanged RsRFSigGen_rngInternalTriggerInhibit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTriggerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSMUTriggerSour;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSMUClockSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTrgTriggerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAMarkerDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADuplexing;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardTestCase;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardGeneralTriggerConfiguration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardMarkerConfiguration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardSignalRouting;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardInstrumentSetup;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardNumberofRXAntennas;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardAntennaSubset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardGeneratedSignal;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardGeneralMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardAllocationFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAWizardRFFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardWSFrequencyOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardWSChannelBandwidth;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAWizardWSOutputPowerLevel;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAWizardTDDULDLConfiguration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardSignalAdvanceNTAoffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAWizardWSSpecialSubframeConfiguration;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAWizardCellID;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAUEID;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAWizardOffsetVRB;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRASubframeCyclicPrefix;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardWSPropagationConditions;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardWSFRC;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardWSBurstFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardWSFractionThrougput;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardISOffsetToChannelEdge;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardFrequencyShiftm;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardInterfererType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardTestRequirement;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardRTFMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardRTFConnector;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAWizardRTFAdditionalUserDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAWizardRTFBasebandSelector;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardRTFSerialRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardRTFACKDefinition;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRACyclicPrefix;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAPhysicalSettingsChannelBandwidth;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAPhysicalSettingsResourceBlocks;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLPhysicalSettingsMappedResourceBlocks;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLK55PDSCHScheduling;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLTDDConfigurationNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLTDDSpecialConfigurationNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRACellIDGroup;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLPhysicalLayerID;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLPDSCHPB;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRACellFFNC;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLCellPDSCHRatio;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLCellPHICHDuration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLCellPHICHN_g;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLCellRA_RNTI;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLMIMOGlobalConfiguration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLMIMOSimulatedAntenna;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAMappingCoordinates;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLMIMOAPMReal;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLReferencePower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLReferenceOrthogonalSequence;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLPRSModulationScheme;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLSynchronizationFirstSlot;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLPSSyncTxAntenna;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLMBSFNMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLMBSFNUECategory;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLMBSFNAllocationPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLMBSFNSCAllocationOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLMBSFNAllocationMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLMBSFNAIAreaID;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLMBSFNAIRegionLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLMBSFNNotificationIndicator;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLMBSFNMCCHRepetitionPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLMBSFNAIMCCHOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLMBSFNMCCHModificationPeriod;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLMBSFNMCCHMCS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLMBSFNRepetitionCoefficient;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLMBSFNNotificationOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLMBSFNPMCHAllocationPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLMBSFNPMCHNumberofPMCHs;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLMBSFNPMCHMCS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLMBSFNPMCHSchedulingPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLPRSConfigurationIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngSetEUTRADLPRSDLSubframes;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLPRSBandwidth;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLConfigurableSubframes;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLUnscheduledREs;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLDummyDataModulation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLUserChannelCoding;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLUserUECategory;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLUserPA;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLUserViewMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLUserTransmissionMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLUserAPMPortMapping;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLUserAPMCodebookIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLEnhancedPrecodingScheme;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLEnhancedPCFICHControlRegion;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANumberOfGroups;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLPowerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLPDCCHFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLPDCCHDummyCCEREGs;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLPDCCHDCISelectedItem;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLEnhancedPDCCHDCIUser;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLDCIFormat;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLEnhancedPDCCHDCIPDCCHFormat;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLCCEIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLDCIMCSR;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLDCITPCPUSCH;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLDCIHARQProcessNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLDCIMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLDCIPRACHPreambleIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLDCITBModulationAndCodingScheme;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLDCICyclicShiftforDMRS;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULDeltaSequenceShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULReferenceSignalCSRS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULPUSCHFrequencyHoppingMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANumberofRBs;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADeltaShift;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULPRACHPreambleSet;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULRTFBMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANumberOfTransmissions;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULRTFBInitialTimingAdvance;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULRTFBACKDefinition;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULRTFBConnector;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULRTFBDistanceMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULRTFBAdditionalUserDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULRTFBSerialRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULRTFBBlockErrorInsertion;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULRTFBBlockErrorRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUEMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUEPUSCHCCODMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEPUSCHCCODIHARQOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEPUSCHCCODIRIOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEPRACHRBOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEPRACHRootSequence;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEPRACHDeltat;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEPRACHPowerRampingTime;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULSRSPeriodicity;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRATransmissionCombination;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUESymbolInSubframe;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAFRCType;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEFRCDMRS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULSubframeContentType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAModulation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULSubframeFormat;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRACQINumberOfBits;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULSubframeEnhFrequencyHopping;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULSubframeEnhPUSCHNumberofACKNACKMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULEnhPUSCHNumberofACKNACKBits;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRATimeDomainTransitionTime;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAFilterMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAFilterImpulseLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAFilterUpsamplingFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRASampleRateVariation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAFilterLTEOptimization;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAPowerOffsetRelativeToLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAPowerLevelReference;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRASignalAdvanceNTAoffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRATriggerSignalDurationUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAMarkerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAMarkerRiseOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAClockMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAClockCustom;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLSubframeCodeWord;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLAllocationCWSymbolCount;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLSubframeSymbolOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLSubframeSFNOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLSubframeDataSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRASubframeContentType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLPrecodingScheme;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLCyclicDelayDiversity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRATransmissionMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLSubframeEnhAntennaPorts;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRASubframeAntennaPortsMapping;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLSubframeCCODSoftBuffer;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSubframeEnhPUSCHCCODTransportBlockSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULPhysicalFFTSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULPUSCHNumberOfSubBands;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEPUSCHCCODICQIOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEFRCDMRS_001;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULSubframeCyclicPrefix;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANumberOfSubframes;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLPhysicalSettingsFFTSize;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLReferenceFirstReferenceSignalPosition;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLMBSFNSCAllocationValue;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLMBSFNAIMCCHModulation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRASearchSpaceType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardISChannelBandwidth;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRACellID;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULPhysicalLayerID;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUE3GPPRelease;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAExternalTriggerDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRATestSpecificationRelease;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLCarrierAggregationPhysicalCellID;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLCarrierAggregationCellBandwidth;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRACarrierAggregationCellBaseband;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRACarrierAggregationCellDeltaFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngSetEUTRADLCarrierAggregationSchedCellIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRACarrierAggregationCellPDSCHStart;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLCarrierAggregationCellPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLCarrierAggregationCellDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRACarrierIndicatorField;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRACSICQIRequest;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAResourceAllocationType;
extern RsCoreRangeTableRanged RsRFSigGen_rngSetEUTRAULSubframeEnhPUCCHNumberOfACKNACKSRBits;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULDLConfiguration;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRASpecialSubframeNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRATestMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRAChannelType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRADLBurstType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRAModulationType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRAPowerRampFunction;
extern RsCoreRangeTableRanged RsRFSigGen_rngTETRAPowerRampTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngTETRAPowerRampOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngTETRAPowerRampLevelAttenuation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRACarrierBandwidth;
extern RsCoreRangeTableRanged RsRFSigGen_rngTETRAMainCarrierNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRAFrequencyBand;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRABroadcastFrequencyOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRADuplexSpacing;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRASystemCode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRASharingMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRATSReservedFrames;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRACellServiceLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRAMSTXPWRMAXCELL;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRAACCESS_PARAMETER;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRATx_On;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRATxBurstType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRAT1T4BurstType;
extern RsCoreRangeTableRanged RsRFSigGen_rngTETRABaseColourCode;
extern RsCoreRangeTableRanged RsRFSigGen_rngTETRAMobileCountryCode;
extern RsCoreRangeTableRanged RsRFSigGen_rngTETRAMobileNetworkCode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRASlotLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRASlotAttenuation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRASlotLogicalChannelType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRATrainingSequenceTSC;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRASlotBurstType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRAAACHMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngCutOffFrequencyShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngFilterOversampling;
extern RsCoreRangeTableRanged RsRFSigGen_rngFilterImpulseLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngSampleRateVariation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRATriggerSignalDurationUnit;
extern RsCoreRangeTableRanged RsRFSigGen_rngTETRATriggerSignalDuration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTETRAMarkerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTTransportMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTPacketType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTTriggerSignalDurationUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTMarkerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTClockMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTRampFunction;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTRampTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTPacketDataSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLTAddress;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTFlowControl;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTAcknowledgment;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTSEQNValue;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTEIRPacketFollows;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTScanRepetitionMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTDTTTableSettings;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTDTTFrequencyDriftDeviation;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTDTTStartPhase;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTDTTTable;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTDTTModulationIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTDTTPayloadType;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTDTTPayloadLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLEChannelType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLEPacketType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLEConnectionMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLEFeatureSetLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLEHopLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLELLConnectionEventCount;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLEMoreProfiles;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLESleepClockAccuracy;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLEDataLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLEDevicesAddrType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngXMRPhysicalLayerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngXMRMarkerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngXMRTerrestrialLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngXMRTriggerSignalDurationUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngXMRTerrestrialMarkerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngXMRMarkerMCMPosition;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSiriusPhysicalLayer;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSiriusPhysicalLayerTransmission;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSiriusModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rngSiriusOverlayAngularOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSiriusMarkerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngSiriusCutOffFrequencyShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngSiriusMarkerSymbolPosition;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGPSRFBand;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGPSFilter;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGPSAGPSTestScenario;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGPSSimulationMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGPSLocalizationMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGPSTriggerSignalDurationUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGPSMarkerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSMarkerPulseWidth;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGPSClockMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGPSLocalizationReadOutMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGPSPositionFormat;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSAltitude;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSDegrees;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSMinutes;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSSeconds;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGPSLatitudeDirection;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGPSLongitudeDirection;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSElevationMask;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGPSDataSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSTimeShiftSatellite;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSSpaceVehicleID;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGPSRangingCode;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSDopplerShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSAdditionalTimeShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSAdditionalPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSInitialCarrierPhase;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGPSNMESCodeOnL2;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSURAIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSSVHealth;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSIODC;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSIODE;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSNMESTGD;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSNMEStOC;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSNMESaf1;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSNMESaf0;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSNMESOMEGADOT;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSNMESIDOT;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSNMEStot;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSNMESDN;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSADGNumberOfSatellites;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSLatitude;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSADGTimeOfAssistanceData;
extern RsCoreRangeTableRanged RsRFSigGen_rngGPSADGDurationOfAssistanceData;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMSymbolRateMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMSimulationMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngGSMSequenceLengthFrames;
extern RsCoreRangeTableRanged RsRFSigGen_rngGSMSymbolRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rngGSMFilterParameter;
extern RsCoreRangeTableRanged RsRFSigGen_rngGSMRampTime;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMFunction;
extern RsCoreRangeTableRanged RsRFSigGen_rngGSMRampOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMMarkerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMClockMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngClockDivider;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMBurstType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMSlotLevel;
extern RsCoreRangeTableRanged RsRFSigGen_rngGSMNumberOfSlots;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMData;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMSlotFilterType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMTrainingSequence;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMExtendedTrainingSequence;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMTrainingSequenceSync;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMFixed;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMModulationType;
extern RsCoreRangeTableRanged RsRFSigGen_rngGSMAQPSKAngle;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMTrainingSequenceSet;
extern RsCoreRangeTableRanged RsRFSigGen_rngGSMStealingFlag;
extern RsCoreRangeTableRanged RsRFSigGen_rngSequenceLengthARB;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPMarkerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPOCNSModeBS;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTimeDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPPageIndicatorsFrame;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTransmitDiversity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPCompressedModeMethod;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPFrameStructure;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPPowerOffsetMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPCompressedModePowerOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPSymbolRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPNumberOfDPCHBS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPCrestFactor;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPChannelTypeBS;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPChannelizationCode;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPChannelPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTimingOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTFCIField;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPPilotLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTPCDataSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTPCReadOutMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTPCMisUsePowerStepBS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTypeOfCell;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPERGCHEDCHTTI;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTau;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPAccessSlot;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPConfigurableTTIs;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEID;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPAbsoluteGrantValueIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPAbsoluteGrantScope;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPEnhPCPICHPattern;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPEnhHSDPAModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPConstellationVersionParameter;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPHSPredefined;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPHSSCCHType;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPHSChannelizationCode;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPPDSCHChannelizationCodes;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPHSDPATBSTable;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPHSDPATBSIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPHSDPATBSReference;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPVirtualIRBufferSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPHARQProcesses;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPHSDPAHARQMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPHSDPARedundancyVersion;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPNumberOfAdditionalUE;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPPowerOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTimeDelayStep;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPModeUE;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPScramblingMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPCompressedModeSlotNumberUE;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPGapDistance;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPCompressedModePatternLengthUE;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPStartOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPPreambleRepetition;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPMessageLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPSlotFormat;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTFCI;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPDataSourcePRACH;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPCodingType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPPowerControlPreambleLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPControlPart;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPFBIMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPSlotFormatDPCCH;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTPCMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPStartDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPInterTTIDistance;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPMIMONumberOfTTIsUE;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPHARQACK;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPCQIType;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPHSDPCCHMIMOCQI;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPOverallSymbolRateDPDCHUE;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPChannelCodingTypeUE1;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTransportBlockSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPRateMatchingAttributeUE1;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTransportTimeInterval;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPSizeOfCRC;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPErrorProtection;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPBitErrorRateUE1;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPInsertErrorsOn;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPETFCIInformation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPFRCOverallSymbolRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTBSTable;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPOverallSymbolRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPEDPDCHModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPHSUPAFRCChannel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPHSUPAHARQMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPHSUPAACKDefinition;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPBurstLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPDTXDPCCHCycleUE;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPDTXDPCCHOffsetUE;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngC2kMarkerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kCopyFromSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kCopyWalshCodeOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kTimeDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kPNOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngC2kTransmitDiversity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngC2kDiversityMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kQuasiOrthWalsh;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kPredefinedRadioConfiguration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngC2kCrestFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kNumberOfTrafficChannels;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kNumberOfSupplemental;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kPredefinedFrameLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngC2kPredefinedDataRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kFrameLengthBS;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kPower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngC2kDataSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngC2kReadOutMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kPowerStep;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngC2kCodingMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngC2kCoderType;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kBitErrorRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kAdditionalChannel;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kProtocolRevisionLevel;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kMinimumProtocolRevisionLevel;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kNetworkIdentification;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kSystemIdentification;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kNumberOfAdditional;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kTimeDelayStep;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngC2kOperationMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOPNOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOSystemTime;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEVDOPhysicalLayerSubtype;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOOtherUsersCount;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEVDOChannelRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOControlChannelOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOControlChannelRevision;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDORABLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEVDORABLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDORABOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDONumberOfPackets;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDORateIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEVDOPacketSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOMACIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOInterleaveFactor;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEVDORPCMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDORangeCount;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDORPCBit;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDORPCCount;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEVDOLockPeriod;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEVDOLockLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOFrameOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEVDOHARQMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOPreambleLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOAccessCycleOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEVDOModeAT;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOAccessCycleDuration;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOGain;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEVDOPayload;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDODSCChannelLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEVDODRCChannelLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEVDOChannelMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOCapsuleLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEVDODataRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOPacketsToSend;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOChipRateVariation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEVDOTriggerSignalDurationUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEVDOMarkerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANStandard;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANPhysicalLayerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANSimulationMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANFrameType;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANSequenceLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANIdleTime;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANBitRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANDataLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANScrambling;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNumberOfDataSymbols;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANTransitionTime;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANPLCPPHFormat;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANIncrementEvery;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNTransmissionBandwidth;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNAntennas;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNMappingCoordinates;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNAntennasChainMappingOutput;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNCartesianReal;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNMappingMagnitude;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNMappingPhase;
extern RsCoreRangeTableRanged RsRFSigGen_rngFilterUpsamplingFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNSampleRateVariation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNFrameBlockType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNPLCPFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNPhysicalMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNTxMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNTxModeLegacy;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNFrames;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNIdleTime;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNCodingScheme;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNPower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNPSDUBitRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNSpatialStreams;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNPPDUModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNDataLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNDataGuard;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNDataScrambler;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNPPDUDataChannelCoding;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNDataCodingRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNTransitionTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNPPDUMACSequenceControlFragIncrement;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNDuplicatedBandwidth;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNScramblingSequence;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNMappingMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNSignalDurationUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNMarkerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNPPDUStreamSegment;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNUserIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNUserGroupID;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNTimeShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNPPDUMACAddress;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNPPDUMACHTReserved;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNPPDUMACHTLinkAdaptationControl;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNPPDUMACHTControl;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNMACVHTMFB;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNStreamSpaceTimeBlockCoding;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNEncoders;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNDataScramblerInit;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNHeaderPartialAID;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNMACSequenceControlFragStart;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNMACSequenceControlSeqStart;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNTriggerStatus;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNMarkerFrameBlockIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngMarkerONOFFTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngExternalTriggerDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXVersion;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXBasebandBRelativetoA;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXPhysicalLayerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXDuplexing;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXFrameDuration;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXInitialDelayofBurst1;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXPredefinedFrames;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXLevelReference;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXOFDMALevelReference;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXOFDMFrequencyBand;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXOFDMChannelBandwidth;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXOFDMSamplingRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXBSID;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXNumberOfBursts;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXTgtoTbRatio;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXNumberOfUsedSubchannels;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXSubchannelIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXFramePreamble;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXOFDMFrameNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXFCHMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXMidambleRepetition;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXModulationAndCodingRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXGap;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXBurstType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXAllocationStartTimeBase;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXEKS;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXMACType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXOFDMAPredefinedFrame;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXPreambleMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXPreambleIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXFFTSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXIDCell;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXZoneNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXZoneType;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXOFDMASegment;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXPermBase;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXNumberofSymbols;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXPilotPattern;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXSpaceTimeCodingMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXSpaceTimeCodingAntenna;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXOFDMAChannelCoding;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXBurstDataLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXOffsetSymbol;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXOFDMAOffsetMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXOFDMABurstType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXUseAllSubchannels;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXHARQMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXChaseModulation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXPacketSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXNumberOfPDUs;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXPDUEKS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXRepetitionCoding;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXUCDCount;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXDLMAPMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXDLMAPRepetitionCoding;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXDLMAPFrameNumberOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXRangingOpportunitySize;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXSubchannelGroups;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXFastFeedbackMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXSoundingType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXRelevanceFlag;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXRelevance;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXSeparabilityType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXDecimationValue;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXCyclicShiftIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXOFDMASoundingPeriodicity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXSoundingAllocationMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXOFDMABurstProfileMapping;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXFECModulationType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXACKRegionIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXInclude;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXCSTDNumberOfAntennas;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXCyclicDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXLinearGain;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXSampleRateVariation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXFilterMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBStandard;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBSuperFrames;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBHierarchyMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBInterleaverMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBInnerTxMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBRFBandwidth;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBRFModulation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBRFAlpha;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBRFGuardInterval;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBTriggerSignalDurationUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBMarkerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMSymbolRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMCoding;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMDataSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMPRBSType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMModulationType;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMASKDepth;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMFSKDeviation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMVariableFSKType;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMAQPSKAngleAlpha;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMVariableFSKDeviation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMFilterType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMPowerRampSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMPowerRampFunction;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMPowerRampTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMPowerRampDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMAttenuation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMMarkerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMSwitchingSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBExtendedTriggerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBSignalDurationUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBMarkerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBTsignalFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBTsignalPhase;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBTsignalSamples;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBTsignalRectangleFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBTsignalRectangleAmplitude;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBOffsetDC;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBSamples;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBTsignalCIQ;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBOutputSegment;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBMultisegmentLevelMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBSequenceRestart;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBMultisegmentClockMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBMultiCarrierMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBMultiCarrierCrestFactorMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBSignalPeriodMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBMultiCarrierCount;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBMultiCarrierSpacing;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBMultiCarrierFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBMultiCarrierPhase;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBPhaseStep;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBPowerStep;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBMultiCarrierIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBTargetCrestFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPGapLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMSlotAttenuation;
extern RsCoreRangeTableRanged RsRFSigGen_rngGSMSlotAttenuationValue;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kPacketInterval;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kWalshCode;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kSPID;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kTimeSlotOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kSubpacketParameters;
extern RsCoreRangeTableRanged RsRFSigGen_rngUWBFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavSimulationMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavMarkerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngMarkerPulseWidth;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavClockMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavPowerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavPowerReference;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavE1DEF;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavIonosphericModel;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavai1;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavTroposphericModel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavSatStandard;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavSatTimeShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavNavigationPages;
extern RsCoreRangeTableRanged RsRFSigGen_rngGGNMESBGD;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavADGAssistanceMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngBBINFrequencyOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngBBINPathGain;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBBINSignalRouting;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBBINMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngBBINIQSkew;
extern RsCoreRangeTableRanged RsRFSigGen_rngBBINCrestFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngBBINPeakLevel;
extern RsCoreRangeTableRanged RsRFSigGen_rngBBINMeasurementPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rngBBINImpairmentsGainImbalance;
extern RsCoreRangeTableRanged RsRFSigGen_rngBBINImpairmentsOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPowerUnit;
extern RsCoreRangeTableRanged RsRFSigGen_rngPowerOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPowerSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngPowerFilterLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPowerFilterMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngPowerFilterNSRatio;
extern RsCoreRangeTableRanged RsRFSigGen_rngPowerFilterNSRatioTimeout;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBERMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBERTPRBS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBERDataPolarity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBERClockSlope;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBERTDataEnable;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBERTPatternIgnore;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBERTImpedance;
extern RsCoreRangeTableRanged RsRFSigGen_rngBERTThreshold;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBERDisplayUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBLERDataEnable;
extern RsCoreRangeTableRanged RsRFSigGen_rngThresholdDataInput;
extern RsCoreRangeTableRanged RsRFSigGen_rngThresholdTriggerControlInput;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngImpedance;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSlope;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGlobalClockMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOutputConnectorUserMapping;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNoSignalMarkerPolarity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQOutputSignal;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIMPOptimizationMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngIMPIQOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngIMPQuadratureOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngIMPDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMSignalRouting;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMStandard;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngAWGNMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngAWGNSystemBandwidth;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngAWGNNoiseMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngAWGNCarrierToNoiseRatio;
extern RsCoreRangeTableRanged RsRFSigGen_rngAWGNCarrierLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMFadingConfiguration;
extern RsCoreRangeTableRanged RsRFSigGen_rngStereoDeviation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngStereoAudioSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngStereoExternalClock;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngStereoAudioMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngStereoAudioLevel;
extern RsCoreRangeTableRanged RsRFSigGen_rngStereoLFGeneratorFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngStereoPreemphasis;
extern RsCoreRangeTableRanged RsRFSigGen_rngStereoPilotPhase;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngStereoTriggerStatus;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngStereoTriggerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngStereoDSPhase;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngStereoDSGroupsInputMethod;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngStereoDSMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngStereoGroupsProgramType;
extern RsCoreRangeTableRanged RsRFSigGen_rngStereoGroupTransmitTime;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngStereoGroupInputMethod;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngStereoGroupTypeVersion;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngStereoGroupMusicVoiceSwitch;
extern RsCoreRangeTableRanged RsRFSigGen_rngStereoGroupAlternativeFrequencyCount;
extern RsCoreRangeTableRanged RsRFSigGen_rngStereoGroupAlternativeFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngStereoGroupDateType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngStereoGroupTimeType;
extern RsCoreRangeTableRanged RsRFSigGen_rngStereoGroupProgramTypeNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngStereoGroupMappedFrequenciesCount;
extern RsCoreRangeTableRanged RsRFSigGen_rngStereoGroupMappedFrequencies;
extern RsCoreRangeTableRanged RsRFSigGen_rngStereoGroupsHexNumberofEntries;
extern RsCoreRangeTableRanged RsRFSigGen_rngStereoUserMessageNumberofEntries;
extern RsCoreRangeTableRanged RsRFSigGen_rngStereoPilotDeviation;
extern RsCoreRangeTableRanged RsRFSigGen_rngStereoDSDeviation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngStereoDSDataSet;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMSignalDedicatedTo;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMVirtualRFFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMSpeedUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMKeepConstant;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMRestartEvent;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMHoppingMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMProfile;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMHSTSpeed;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMHSTMinimumDistance;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMHSTStartDistance;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMTCILoss;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMTCISpeed;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMTCIDelayMin;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMTCIDelayMax;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMTCIMovingMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMTCIPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMTCIDoplerFrequencyRatio;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMPathDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMovingPathDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMPathVariation;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMovingPathVariationPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMovingPathVariationPeriodAll;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMMovingChannels;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMInsertionLossMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMInsertionLoss;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMGlobalSeed;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMBirthDeathMinDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMBirthDeathPositions;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMBirthDeathStartOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMBirthDeathHoppingDwell;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMBirthDeathFrequencyRatio;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMMIMOTab;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMMIMOSubset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMMIMOMatrixMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOMatrixPhase;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOMatrixRatio;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMORealIm;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMFadingProfile;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMBasicDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMPowerRatio;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMConstantPhase;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMCorrelationCoefficient;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMLocalConstant;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMStandardDeviation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngKeyboardLayout;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDisplayBlankMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDisplayProportionalScale;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGraphicsMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGraphicsTriggerSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGraphicsSampleRateMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngGraphicsSampleRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngUnitAngle;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngUnitPower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSystemIPAddressMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNetworkDNSMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHardCopyDestination;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHardCopyLanguage;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHardCopyImageResolution;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHardCopyPageUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHardCopyPageOrientation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHardCopyPageSize;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTriggerSourceForAllSweeps;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngRFFrequencyonRecall;
extern RsCoreRangeTableRanged RsRFSigGen_rngRFFrequencyOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngRFPhaseContinuousMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngRFDeltaPhase;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngROSCSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngROSCExternalReferenceFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngROSCSynchronizationBandwidth;
extern RsCoreRangeTableRanged RsRFSigGen_rngROSCAdjustmentFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngRFLevelOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngRFAttenuatorMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngRFLevelVariationStep;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPowerOnState;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngALCEnabled;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSweepMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngFrequencySweepDwellTime;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFrequencySweepShape;
extern RsCoreRangeTableRanged RsRFSigGen_rngLevelStep;
extern RsCoreRangeTableRanged RsRFSigGen_rngLevelSweepDwellTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngLFSweepStepLog;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngAMExternalCoupling;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPULMPolarity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPULMSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngPULMDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPULMExternalInputImpedance;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPULMTriggerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFMMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngFMDDeviation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPMMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngCorrectionListMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngCorrectionASCIIExtension;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngCorrectionASCIISeparator;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngCorrectionASCIIDecimalSeparator;
extern RsCoreRangeTableRanged RsRFSigGen_rngListDwellTime;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngListTriggerSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngBBPathGain;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBBSignalRouting;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBBSignalSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTClippingLevel;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMASequenceLengthARB;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMARampFunction;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMARampTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMARampDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMATriggerSignalDurationUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMAMarkerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMASpreadingFactorDedicatedChannels;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMACrestFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMACopyCell;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMAScramblingCode;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMADwPTSPower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMAPhaseRotation;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMASyncULCode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMANumberofUsers;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMADCHCodingTypeDownlink;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMADCHNumberofTimeSlots;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMADCHNumberofChannels;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMADataSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMADCHTransportTimeInterval;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMADCHTransportBlocks;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMADCHTransportBlockSize;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMADCHTransportSizeofCRC;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMADCHTransportRateMatchingAttribute;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMATransportErrorProtection;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMADCHSpreadingCodeSelection;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMADCHBitErrorRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMADCHInsertErrorsOn;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMADCHBlockErrorRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMARedundancyVersionPar;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMARMCConfiguration;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMAUEID;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMATTIDistance;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMAEUCCHperTTI;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMADEDCHFRC;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMATimeSlots;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMAModulation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMAHsdpaTransportBlockSizeTable;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMAHsupaTransportBlockSizeTable;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMASpreadingFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMATransmissionTimeInterval;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMAHARQProcesses;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMAHARQMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMARedundancyVersionParameter;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMACQIValue;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMASlotChannelType;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMASlotFmt;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMASpreadingCode;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMASlotPower;
extern RsCoreRangeTableCoerced RsRFSigGen_rngTDSCDMANumberofTFCIBits;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMATFCIValue;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMASyncRepetitionM;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMATPCSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMAReadOutMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMAEUCCHChannels;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMAETFCIValue;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMARetransmissionSequenceNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMAHARQProcessID;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMASlotMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMAPRACHPowerStep;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMAUpPTSStart;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMAUpPTSDistance;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMAPRACHPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMAUpPTSRepetition;
extern RsCoreRangeTableCoerced RsRFSigGen_rngTDSCDMARACHSpreadingFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMACurrentUser;
extern RsCoreRangeTableCoerced RsRFSigGen_rngTDSCDMARACHMessageLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMAClockSynchronisationMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMASwitchingPoint;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMADCHCodingTypeUplink;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMATransportTimeInterval;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMASizeOfCRC;
extern RsCoreRangeTableCoerced RsRFSigGen_rngTDSCDMANumberofTPCBits;
extern RsCoreRangeTableRanged RsRFSigGen_rngMCCWNoOfCarriers;
extern RsCoreRangeTableRanged RsRFSigGen_rngMCCWCarrierSpacing;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngMCCWCrestFactorMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngMCCWCrestFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngMCCWEditCarrier;
extern RsCoreRangeTableRanged RsRFSigGen_rngMCCWPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngMCCWPowerStep;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngMCCWMarkerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngMCCWClockMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANClockMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANMarkerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXOFDMAPRBSID;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngXMRClockMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSiriusClockMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSiriusTerrestrialMarkerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEVDOClockMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMClockMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMFilterParameterCosineBw;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBMultiCarrierEditPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBMultiCarrierDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXLinkDirection;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPClockMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTriggerStatus;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSMUIQInternalBasebandGain;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQAnalogCrestFactor;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQModulationSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQAuxiliaryInformation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQOutputMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQOutputLevelVp;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQOutputType;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQOutputLevel;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQOutputBias;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQOutputOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQOutputPowerOnState;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQOutputLoad;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQOutputDigitalLevel;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMATimeDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPAditionalUserDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMANumberOfCodesPerTS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPEnhHSDPAMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLEDataSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLERole;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPBS1ChannelCodingType;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTransportBlocks;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPRateMatchingAttribute;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPBS1BitErrorRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPBS1BlockErrorRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDynamicPowerControlMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngControlDirection;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPDynamicPowerControlManual;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPPowerStep;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPDynamicPowerControlRange;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPDynamicPowerControlAssignmentMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPFeedbackConnector;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEVDOTerminalPredefinedSettings;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMScenario;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMScenarioCoordinateSystem;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMUserFaderProfileSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMTrajectory;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMVehicle;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMVehicleCategory;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMTypeAir;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMTypeLand;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMTypeWater;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMBehaviorAtEnd;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMUserTrajectoryAcceleration;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMShipToShipSpeed;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMShipToShipHeading;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMShipToShipHeightOfAntenna;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMShipToShipDistance;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMShipToShipWaterType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMShipToShipWaterSurfaceType;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMTowerToAircraftSpeedStart;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMTowerToAircraftSpeedTake;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMTowerToAircraftSpeedDeparture;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMTowerToAircraftAngle;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMTowerToAircraftRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMTowerToAircraftCruiseAltitude;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMTowerToAircraftTurnRadius;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMTerrainType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngAMDepthType;
extern RsCoreRangeTableRanged RsRFSigGen_rngAMDepthLinear;
extern RsCoreRangeTableRanged RsRFSigGen_rngAMDepthExponential;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEVDOBandClass;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOCarrierCDMAChannelNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOCarrierCenterFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMTowerToAircraftSpeedCruise;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBTriggerSignalDuration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPBS1TCHTransportTimeInterval;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPSRateSCCPCH;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kBSQOrthEnabled;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngC2kClockMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXOFDMAHARQCount;
extern RsCoreRangeTableRanged RsRFSigGen_rngMCCWCarrierPhaseStep;
extern RsCoreRangeTableRanged RsRFSigGen_rngMCCWEditCarrierPowerStep;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngRFLevelVariationActive;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExternalInputImpedance;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTriggerSour;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngClockSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQInternalBasebandGain;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPULMTransitionType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPGENMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGraphicsSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngALCDetectorSensitivity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngALCSampleLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngRFAttRFOFFMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngRFAttDigitalAtt;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngLFGenShapeMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngLFGenPulsePeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rngLFGeneratorPulseWidth;
extern RsCoreRangeTableRanged RsRFSigGen_rngLFGenPulseDutyCycle;
extern RsCoreRangeTableRanged RsRFSigGen_rngLFGenTrapHigh;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPGENOutputPolarity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngRFLevelMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngRFLevelSettingCharacteristics;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngLFOutputSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngRFNoiseDistribution;
extern RsCoreRangeTableRanged RsRFSigGen_rngRFNoiseBandwidth;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSystemConfigurationMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTestIQSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngTestGeneratorGain;
extern RsCoreRangeTableRanged RsRFSigGen_rngTestGeneratorFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTestBNCSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngLFOutputVoltage;
extern RsCoreRangeTableRanged RsRFSigGen_rngLFOutputDCOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQSMWAnalogWidebandGain;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavADGMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngADGUncertainlyRadius;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngADGTimeBasis;
extern RsCoreRangeTableRanged RsRFSigGen_rngADGDataDuration;
extern RsCoreRangeTableRanged RsRFSigGen_rngADGDataResolution;
extern RsCoreRangeTableRanged RsRFSigGen_rngADGDataTimeOfWeek;
extern RsCoreRangeTableRanged RsRFSigGen_rngADGDataWeekNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavVehicleType;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavSimulationStart;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavObscurationType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavObscurationEnvironment;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavObscurationPhysicalModel;
extern RsCoreRangeTableRanged RsRFSigGen_rngObscurationReceiverOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngObscurationReceiverOffsetHeight;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavObscurationAreaReference;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavObscurationAreaLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavSATCount;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavSATModulation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavSATSignal;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGlobalPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavIntraGPSCAP;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavMessageSQRA;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGPSTestScenario;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCTechnology;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCDivisor;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCTransmissionMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngNFCModulationSlope;
extern RsCoreRangeTableRanged RsRFSigGen_rngNFCModulationDepth;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCPredefinedSequence;
extern RsCoreRangeTableRanged RsRFSigGen_rngNFCSequenceInsert;
extern RsCoreRangeTableRanged RsRFSigGen_rngNFCSequence;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCSequenceCommandType;
extern RsCoreRangeTableRanged RsRFSigGen_rngNFCPowerOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngNFCSDuration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCFrameNFCSize;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCFrameSELCMD;
extern RsCoreRangeTableRanged RsRFSigGen_rngNFCFrameSELPARUPPER;
extern RsCoreRangeTableRanged RsRFSigGen_rngNFCFrameSELPARLOWER;
extern RsCoreRangeTableRanged RsRFSigGen_rngNFCFrameBlockSelection;
extern RsCoreRangeTableRanged RsRFSigGen_rngNFCGlobalBlockSelection;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCPacketSelection;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCBlockType;
extern RsCoreRangeTableRanged RsRFSigGen_rngNFCDataLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCLengthReduction;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavTap;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavMpathCPhase;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavDopplerShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGlobalSignalGPS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGlobalSignalGALILEO;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGlobalSignalGLONASS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGlobalSignalBeiDou;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavTuningCATOGEO;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavSatOrbit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTriggerSignalDurationUnit;
extern RsCoreRangeTableRanged RsRFSigGen_rngNFCTriggerSignalDuration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCMarkerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCApplicationCoding;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCANSelection;
extern RsCoreRangeTableRanged RsRFSigGen_rngNFCBitOrientedLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCFrameType;
extern RsCoreRangeTableRanged RsRFSigGen_rngNFCShortFrameLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCBitFrameAnticollision;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCDLPoll;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCFrameD;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCDWSelection;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCMaximumFrameSize;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCMTR0;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCMTR1;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCMTR2;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCNFCID2Format;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCNACK;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCNumberOfSlots;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCSizeNFCID1;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCTypePDU;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCRequestCode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCSelectCL;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCSlotNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCTSN;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCProtocolConfigured;
extern RsCoreRangeTableRanged RsRFSigGen_rngNFCPayloadLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCAttentionTimeout;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCCodeListConfiguration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCBlockLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXOFDMABurstSpaceTimeCodingMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXExternalClockMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXExternalClockMultiplier;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXClockSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXClockSynchronizationMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXFilterOversamplingFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXOFDMBurstDataLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXOFDMBurstMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXOFDMBurstSymbolsCount;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWiMAXOFDMFFTSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXTriggerSignalDuration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTDSCDMADwPTSMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMABasicMidambleCodeID;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMASyncDLCode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGBASVDBSSID;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASVDBFrequencyNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGBASVDBData;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASVDBShedulingPower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGBASVDBGSReferenceReceivers;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGBASGSAccuracyDesignator;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGBASGSContinuityDesignator;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFeetMeter;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGBASRunwayLetter;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGBASApproachDesignator;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGBASTriggerSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGBASSignalDurationUnit;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASTriggerSignalDuration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGBASMarkerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASMarkerPulseDivider;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGBASClockMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCTriggerSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNFCClockSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNFrameBlockStandard;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNBeaconInterval;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMAFilterImpulseLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMAFilterOversamplingFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMAPRACHSequenceLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMANumberofDedicatedChannels;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMASlotCrtUserMidambleShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMASlotMidambleShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNFrameBlock;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNFrameBlockEditPaste;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNTriggerShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNMPDUNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNMPDUEOF;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNMPDUDataLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNTriggerShiftRising;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPOCNSSeed;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPCopyFromSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPChannelizationCodeOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTS25141TestMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPBSTestCase;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTS25141CarrierNoiseRatio;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTS25141SignalNoiseRatio;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTS25141BlockErrorRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTS25141RequiredProbabilityofDetection;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTS25141BSPowerClass;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTS25141BSRFFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTS25141BSRFPower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTS25141TriggerConfiguration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTS25141MarkerConfiguration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTS25141BlockingScenario;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTS25141PowerRatioDPCCHDPDCH;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTS25141SlotFormatDPCCH;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTS25141TPCRepeatPattern;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTS25141TPCStartPattern;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTS25141TPCPowerSteps;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTS25141ChannelCodingScheme;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTS25141BitErrorRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTS25141DPDCHBlockErrorRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTS25141OverallSymbolRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTS25141WantedSignalOperatingBand;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTS25141TransportBlockSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTS25141WantedSignalPowerLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTS25141BasebandASignalRouting;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTS25141ScramblingCodeMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTS25141InterfererBandwidthType;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTS25141SignalLevelRatio;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTS25141CWInterferingSignalFrequencyOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTS25141CWInterferingSignalPowerLevel;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTS25141ModulatedInterferingSignalFrequencyOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTS25141ModulatedInterferingSignalPowerLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTS25141Interferer2Modulation;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTS25141InterferingSignalFrequencyOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTS25141InterferingSignalPowerLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPTS25141InterferenceModel;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPEnhHSDPAInterTTIDistance;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPEnhHSDPAHSConstellationVersionParameterbState;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPEnhHSDPAHSRandomSeed;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPEnhHSDPAHSHSPDSCHAlternativeModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPBS1TCHDTXIndicationBits;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEPreambleDeltaPowerPRACH;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPUEAICHTransmissionTimingPRACH;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUELevelCorrectionDeltaPowerPRACH;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUELevelCorrectionMessageControlPRACH;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUELevelCorrectionMessageDataPRACH;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEAICHPreamblePowerPCPCH;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUETimePreambleMessagePartPCPCH;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUETimePreamblesDifferencePCPCH;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPUECodingTypePCPCH;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEHSDPCCHMIMOPCICQINumberofRows;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEHSDPCCHMIMOPowerOffsetCQITypeA;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEHSDPCCHMIMOPowerOffsetACK;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEHSDPCCHMIMOPowerOffsetNACK;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEHSDPCCHMIMOSecondaryCellEnabled;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEHSDPCCHMIMOSecondaryCellActive;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEHSDPCCHMIMOSlotFormat;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEHSDPCCHMIMOHARQACKPowerOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPUEHSDPCCHMIMOHARQACK;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEHSDPCCHMIMOPCICQIPowerOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPUEHSDPCCHMIMOPCICQIType;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEHSDPCCHMIMOPCI;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEHSDPCCHMIMOPCICQIContent;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEEDPDCHSelectedChannelPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEEDCHNumberofTableRows;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEEDCHFromTTI;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEHSUPAFRCBitErrorInsertionRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEHSUPAFRCBlockErrorRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPHSDPABitErrorInsertion;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPHSDPABitErrorRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPHSDPABlockErrorRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPUEDTXMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEDTXOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPUEDTXSchedulingEDCHTTI;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPUEDTXInactivityThresholdforCycle2;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPUEDTXLongPreambleLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPUEDTXBurstLength1;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPUEDTXCycle1;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPUEDTXCycle2;
extern RsCoreRangeTableRanged RsRFSigGen_rngGSMAQPSKSubchannelPowerImbalanceRatio;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMTriggerSignalDurationUnit;
extern RsCoreRangeTableRanged RsRFSigGen_rngGSMFrameRepetitions;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDORABMACIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOMultiCarrierDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLEDevicesAddrTypeTxRx;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLCSIConfiguration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLCSIAntennaPortsNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLCSIPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLCSISubframeConfig;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLUserTimePlanCellIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLUserAPMCell;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLUserSPSCRNTI;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLUserSPSSubframe;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLUserSPSInterval;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardWSANBits;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLSubframePBCHSFNRestartPeriod;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngC2kBSDomainOrder;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kBSSyncSystemTime;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngC2kTriggerSignalDurationUnit;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLSRSRequest;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLEnhancedPDCCHDCIForm2ApLayerId;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLReferenceReferenceSignalPowerRERelative;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRATriggerDelayUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardGeneralNumberofTXAntennas;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardGeneralBaseStationClass;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEPUSCHCCODOCQIMin;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSystemFrameNumberOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBExternalTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBExternalTriggerInhibit;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBInternalTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBInternalTriggerInhibit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngAMSourceSMW;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFMSourceSMW;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPMSourceSMW;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kFrameLengthMS;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPRepeatAfter;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTSlotTimingMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLEClockAccuracy;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPSweepSignalDurationUnit;
extern RsCoreRangeTableRanged RsRFSigGen_rngPSweepTriggerSignalDuration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPSweepMarkerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPSweepClockMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngPSweepAttenuation;
extern RsCoreRangeTableRanged RsRFSigGen_rngPSweepRFBlankingTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngPSweepFallTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngPSweepPreSweep;
extern RsCoreRangeTableRanged RsRFSigGen_rngPSweepRange;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPSweepShape;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPSweepSlope;
extern RsCoreRangeTableRanged RsRFSigGen_rngPSweepStepSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngPSweepTime;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardSubtest;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRATestModelCodes;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULCACellIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRACarrierAggregationULDLConfNum;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRACarrierAggregationSRSSubframe;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRACarrierAggregationDMRS;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRACarrierAggregationSpecialSubframe;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRACarrierAggregationSRSBW;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardOption;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULRTFBLoggingOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSystConfBBSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExternalDirection;
extern RsCoreRangeTableRanged RsRFSigGen_rngExternalRFFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngExternalRFFrequencyOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngExternalRFPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngExternalRFPowerOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExternalDisplayMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngTestInterfaceSpeed;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQOutputDigitalPowerOnState;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQOutputDigitalPowerLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQOutputDigitalPowerStepMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQOutputDigitalPowerStep;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQOutputDigitalPeakLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQOutputDigitalVIA;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQOutputDigitalSampleRateSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngRefOscOutputFreqMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBPowerReference;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBBGeneratorSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPULMImpedance;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSystemConfigurationMappingMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQImpairmentsDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQImpairmentsLeakageI;
extern RsCoreRangeTableRanged RsRFSigGen_rngSystemConfigurationFrequencyOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngSystemConfigurationPhaseOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPowerBasebandAcquisition;
extern RsCoreRangeTableRanged RsRFSigGen_rngPowerBasebandDuration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPowerBasebandGateSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPowerBasebandOutput;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPowerBasebandRunMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPowerBasebandSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngControlImpedance;
extern RsCoreRangeTableRanged RsRFSigGen_rngControlInputClockLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngInputConnectorDirection;
extern RsCoreRangeTableRanged RsRFSigGen_rngPCT;
extern RsCoreRangeTableCoerced RsRFSigGen_rngSystemSerialBaud;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSystemSerialParity;
extern RsCoreRangeTableCoerced RsRFSigGen_rngSystemSerialStopBits;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngInputConnectorSignal;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBBINDigitalSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngTriggerSignalDuration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBMultisegmentMarkerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQDigitalPredistortionReferenceLevel;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQDigitalPredistortionMaximumOutputLevelError;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQDigitalPredistortionMaximumNumberofIterations;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQDigitalPredistortionCorrectionCoefficientsShaping;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQDigitalPredistortionInterpolation;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQDigitalPredistortionInputPowerMaximum;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQDigitalPredistortionInputPowerMinimum;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLUserCellDCISequenceMCSMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLUserCellDCISequenceMCS;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLUserCellDCISequenceTargetCodeRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLUserCellDCISequenceTargetModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLTableULDCIPUSCHTPC;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLTableULDCISubframes;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLTableULDCIULIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLTableULDCIRBA;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLTableDLDCIHARQProcess;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLTableDLDCIRedundancyVersionTB1;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLTableDLDCIRedundancyVersionTB2;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLTableDLDCITB1RLCCounter;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLTableDLDCITB2RLCCounter;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLTableDLDCITB1MCS;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLTableDLDCITB2MCS;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLTableULDCISubframe;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLAutoSeqARBSeqLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLAutomaticSequenceDLNumberOfHARQTransmissions;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLAutomaticSequenceULNumberOfHARQTransmissions;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLAutomaticSequenceDLNumberOfHARQProcessIDs;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUEPUCCHNumberOfAntennaPortsFormat3;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULEnhancedPUSCHCodewordNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUEPUSCHNumberOfAntennaPorts;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULEnhancedPUSCHCQIMapedTo;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULEnhancedPUSCHDRSCyclicShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULEnhancedPUSCHPrecodingNumberOfLayers;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULEnhancedPUSCHPrecodingScheme;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULEnhancedPUSCHPrecodingCodebookIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQOutputEnvelopeVoltageReference;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQOutputEnvelopeMaximumVpp;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQOutputEnvelopeTermination;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQOutputEnvelopeVccOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQOutputEnvelopeShaping;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQOutputEnvelopeShapingScale;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQOutputEnvelopeDetroughingFunction;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQOutputEnvelopeDetroughingFunctionFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQOutputEnvelopeDetroughingFunctionExponent;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPowerDisplayPermanent;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPowerSPCSensorSelect;
extern RsCoreRangeTableRanged RsRFSigGen_rngPowerSPCDelayTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngPowerSPCTargetLevel;
extern RsCoreRangeTableRanged RsRFSigGen_rngPowerSPCCatchRange;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngLocalOscillatorCouplingMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngALCDriverAmplifier;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMBitClockSlope;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMBitOrder;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMClocktoDataTimeDeviation;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMTriggerActualDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMExternalTriggerDelayUnit;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMExternalTriggerActualDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBMultisegmentSegmentLevelMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULEnhancedPUCCHNumberOfUsedAntennaPorts;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUEPUSCHTransmissionMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUEReferenceSRSNumberOfAntennaPort;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSystemConfigurationSignalOutputs;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngListRunMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngListDwellTimeMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngMandatoryLOInFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngLOOutFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngRFAttenuatorAttenuation;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAWizardIS2RFFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngILSComponent;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngCarrierFrequencyMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngILSCarrierFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngILSICAOChannel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngILSDDMPolarity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngILSSignalMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngILSLeftFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngILSRightFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngILSPhase;
extern RsCoreRangeTableRanged RsRFSigGen_rngILSSumOfDepth;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngILSFly;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngILSDDMStep;
extern RsCoreRangeTableRanged RsRFSigGen_rngILSDDMCurrent;
extern RsCoreRangeTableRanged RsRFSigGen_rngILSDDMDepth;
extern RsCoreRangeTableRanged RsRFSigGen_rngILSDDMLogarithmics;
extern RsCoreRangeTableRanged RsRFSigGen_rngILSDDMPercent;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngILSDDMCoupling;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngILSLocalizerSignalMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngILSLocalizerFly;
extern RsCoreRangeTableRanged RsRFSigGen_rngILSLocalizerDDMCurrent;
extern RsCoreRangeTableRanged RsRFSigGen_rngILSLocalizerDDMDepth;
extern RsCoreRangeTableRanged RsRFSigGen_rngCOMIDFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngCOMIDPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rngCOMIDDepth;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngCOMIDTimeSchema;
extern RsCoreRangeTableRanged RsRFSigGen_rngCOMIDLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngCOMIDlSpace;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngILSBeaconCarrierFrequencyMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngILSMarkerBeaconsMarkerFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngILSMarkerBeaconsMarkerDepth;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTriggerSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngAvionicsClockMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngVORDMECarrierFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngVORICAOChannel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngVORSignalMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngVORVariableReferenceFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngVORVariableDepth;
extern RsCoreRangeTableRanged RsRFSigGen_rngVORSubcarrierFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngVORSubcarrierDepth;
extern RsCoreRangeTableRanged RsRFSigGen_rngVORFrequencyDeviation;
extern RsCoreRangeTableRanged RsRFSigGen_rngVORPositionBearingAngle;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngVORPositionBearingAngleDirection;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMEChannelMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMEICAOChannel;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMEPulseRepetitionRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMEReplyEfficiency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMEPulseInputSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMEPulseInputDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMEPulseShape;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMEPulseRise;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMEPulseFall;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMEPulseSpacing;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMEPulsePairSpacingTolerance;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMEAnalysisExpectedReplyDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMEAnalysisGateLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMEAnalysisMeasurementTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMEAnalysisGateCount;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMECOMIDPulsePairSpacing;
extern RsCoreRangeTableRanged RsRFSigGen_rngVORCOMIDRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMEAdjustmentFactorsUsed;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOSCMEWinnerMSSpeed;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOSCMEWinnerMSDoT;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOSCMEWinnerClusterGain;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOSCMEWinnerClusterAoD;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOSCMEWinnerClusterSpread;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOSCMEWinnerClusterAoA;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMMIMOSCMEWinnerClusterDistribution;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOChannelPolarizationPowerRatio;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMMIMOPolarizationSlantAngle;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMMIMOAntennaArraySize;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOAntennaArrayVerticalSpacing;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOAntennaArrayCrossPolarizedSpacing;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMMIMOAntennaArrayPattern;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMTwoChannelInterferSpeed;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMTwoChannelInterferPeriodDwell;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMTwoChannelInterferProfile;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMTwoChannelInterferPathLoss;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMTwoChannelInterferFrequencyRatio;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMTwoChannelInterferDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMTwoChannelInterferMovingMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMCopyToDestination;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMClockRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMMIMOPath;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMDedicatedConnector;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMHSTRicianFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMHSTVirtualDownlinkRF;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMCustomFadingProfileDopplerShape;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMFrequencyShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMFrequencySpread;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMEMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMEMarkerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMEMarkerWidth;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMEMarkerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOAGain;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNavigationDataMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLBaseband;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLUsereIMTARNTI;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLPMCHModulation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAWizardTestSpecification;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEPowerOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLCellTimeDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAMarkerDelayFloat;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLAutomaticSequenceDLSelectTable;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLAutomaticSequenceULSelectTable;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLEnhancedPDCCHDCIUE_ID;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAExternalTriggerTimeDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLAllocationCWResourceBlocks;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLChannelCodingTransportBlockSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLEnhancedPDCCHDCICellIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLEnhancedPDCCHDCIRBA;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAFilterLTECutOffFrequencyFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULEnhancedPUSCHCellRINumberofBits;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULPRACHConfiguration;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULPUCCHNumberofResourceBlocks;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULPUSCHVRBOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULReferenceSignalDeltaSequenceShift;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLMBSFNPMCHCommonSubframeAP;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRATriggerSignalDuration;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMSymbolRateVariation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOFDMModulationType;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMNumberOfAllocations;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOFDMAllocationModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMAllocationNoOfSubcarriers;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMAllocationNoOfSymbols;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMAllocationSubcarrierOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMAllocationSymbolOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOFDMAllocationDataSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMAllocationPower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOFDMAllocationContentType;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMSpreadingFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMCodebookSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMCodebookNumberOfLayers;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOFDMLayerMappingUser;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMLayerMappingPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMUserPower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOFDMFilterType;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMRolloffFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMFilterLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMStopbandAttenuation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOFDMFilterWindowing;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMUserFilterLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOFDMTriggerSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOFDMTriggerSignalDurationUnit;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMTriggerInhibit;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMInternalTriggerTimeDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMInternalTriggerActualTimeDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOFDMExternalTriggerDelayUnit;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMExternalTriggerTimeDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMExternalTriggerDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOFDMMarkerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMMarkerUserPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMMarkerOffTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMMarkerOnTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMMarkerRiseOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMMarkerFallOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMMarkerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMFixedMarkerDelayMaximum;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMFixedMarkerDelayMinimum;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOFDMClockMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMClockMultiplier;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMNumberOfSubcarriers;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMOccupiedNumberOfSubcarriers;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMSubcarrierSpacing;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMSequenceLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngCyclicPrefixLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMSampleRAte;
extern RsCoreRangeTableRanged RsRFSigGen_rngOccupiedBandwidth;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMLeftGuardSubcarriers;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMNumberOfUFMCSubbands;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMNumberOfFOFDMSubbands;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMFOFDMNTxBlocks;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMDataBlockSize;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavStandard;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavRTDisplayType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavSignalDynamicsConfig;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavSignalDynamicsDopplerShiftUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavSignalDynamicsProfile;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavLogMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavLogDestination;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavLogFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavLogUMotionStep;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavSBASRegion;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOFilterParameterCosine;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOKroneckerCorrelationTableRxPhase;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOKroneckerCorrelationTableTxImaginary;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOKroneckerCorrelationTableTxMagnitude;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOArrivalArraySpread;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOArrivalAngle;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMODepartureAngle;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMERangeDistanceUnit;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMBirthDeathActualDopplerFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMCopyGroupSettings;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMResultingDopplerShiftFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMStandardRatio;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kChipRateVariation;
extern RsCoreRangeTableRanged RsRFSigGen_rngC2kTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngDABFilterParameterAPCO25;
extern RsCoreRangeTableRanged RsRFSigGen_rngDABFilterParameterCosine;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMEPulseWidth;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMORXAntennaArrayHorizontalSpacing;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOTXAntennaArrayHorizontalSpacing;
extern RsCoreRangeTableRanged RsRFSigGen_rngGSMExternalTriggerInhibit;
extern RsCoreRangeTableRanged RsRFSigGen_rngGSMTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngNFCSequenceRepetition;
extern RsCoreRangeTableRanged RsRFSigGen_rngPowerSweepExternalTriggerInhibit;
extern RsCoreRangeTableRanged RsRFSigGen_rngPowerSweepTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngPowerSweepInternalTriggerInhibit;
extern RsCoreRangeTableRanged RsRFSigGen_rngTDSCDMATriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngTETRAFilterImpulseLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngTETRATriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXOFDMNumberOfBursts;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXOFDMANumberOfBursts;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXOFDMASoundingShiftValueU;
extern RsCoreRangeTableRanged RsRFSigGen_rngWiMAXOFDMAZoneBoosting;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNInternalTriggerInhibit;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNMarkerONTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNTriggerFrameIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavMConDataRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngTETRAPowerRampFallOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMBirthDeathPositionsSMW;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngMCCWTriggerDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMReceiverState;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMThroughputDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMInternalTriggerInhibit;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMMarkerONTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBExternalTriggerInhibit;
extern RsCoreRangeTableRanged RsRFSigGen_rngControlInputThresholdLevel;
extern RsCoreRangeTableRanged RsRFSigGen_rngTestGeneratorPathGain;
extern RsCoreRangeTableRanged RsRFSigGen_rngControlInputTriggerLevel;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQImpairmentsFaderDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExternalInputCouplingMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQImpairmentsRFDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHardCopyRegion;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOutputConnectorUserSignal;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngRFFrequencyModeNew;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavRoMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQDigitalSampleRateSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBTriggerStatus;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBExternalTriggerDelayUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSweepTriggerSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngLFSweepState;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngRFPowerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOutputConnectorDirection;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOutputImpedance;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTMCInputConnectorDirection;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTMCOutputConnectorDirection;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTMCConnectorInputSignal;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTMCConnectorOututSignal;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngInputImpedance;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExternalLFSignalBandwidth;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngLFOutputSourcePath;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBBINSampleRateSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANADTriggerSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANADTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLADTriggerFrameIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANADMarkerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANADMarkerPulseDivider;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANADMarkerDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANADClockSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLADSampleRateVariation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANADPPDUMCS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANADPPDUModulation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANADPPDUChannelCoding;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANADPPDURepetition;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANADPPDUCodeRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANADDataSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANADPPDUDataLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANADPPDUTransitionTime;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANADPPDUHeaderPacketType;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANADTrainingLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANADLastRSSI;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANADTonePairingType;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANADNumberofMPDUs;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANADMPDUDataLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANADIncrementEvery;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANADSequenceLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANADFrameIdleTime;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANADDMGPHYMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANADFrameType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBFilterRolloffRange;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBFilterRolloffFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMSCMMSSpeed;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBSStreamType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBSDataSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2DataLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBSInnerCoderRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2SF;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBSCodeType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBS2MODCOD;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBSModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2XScrSequence;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBSTransportPriority;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBSScramblingControl;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBSContinuityCounter;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2XGSELabelType;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2XGSELength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBSBBCCMACM;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBSBBDFL;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2BBUPL;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngEVDOTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngNFCTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngDABTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMSCMMSDoT;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMSCMSigma;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMSCMRelativeGain;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOSCMSpread;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOSCMPolarizationPower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMMIMOSCMAntColRows;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMMIMOSCMAntCalculationMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOSCMAntHorizontalSpacing;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMMIMOSCMAntPattern;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOSCMLOSKFactor;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMCustomDynamicFadingProfile;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPowerSensorMapping;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRATriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngSiriusTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngSystemWait;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAWizardWSVirtualDownlinkRFFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRATDDULDLConfiguration;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLCATDDSpecialSubframeConfig;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavADGDataFormatGLONASS;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQImp;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQImpRatio;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAEPDCCHTransmissionType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAEPDCCHPRBPairs;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAEPDCCHRBA;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAEPDCCHID;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAEPDCCHRelativePower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAPDCCHType;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAHARQACKResourceOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngXMRTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMSCMMSDoTT;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGraphicsFFTSize;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngREGTestSetup;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGTestOTAAntennaRxGain;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGTestOTAAntennaTxGain;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGTestOTARangeOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngREGRadarRxPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGRUTRadarTxPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGRUTRadarAntennaTxGain;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGRUTRadarAntennaRxGain;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGRUTSystemLoss;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGExternalAttenuator;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGAnalyzerReferenceLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngREGAnalyzerReferenceLevelStatus;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngREGSimulationSystemLatencyCalibration;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGSimulationSystemLatencyBZ;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngREGSimulationCalibrationSuccessful;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGSimulationCorrection;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGSimulationPRF;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGSimulationLevel;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGSimulationDedicatedFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngREGSimulationDedicatedConnector;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngREGObject;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngREGObjectType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngREGObjectSimulationMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGObjectRadarPowerRx;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGObjectRadarRxPowerStartEnd;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGObjectTimeToReachEndRange;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGObjectStartEndRange;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGObjectPhaseOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGObjectVelocity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngREGObjectDirection;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGObjectHoldOff;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGObjectFirstEchoToPulseNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngREGObjectRadarRxPowerDedicated;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngREGObjectRCSModel;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGObjectRCSMean;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngREGObjectPreviewDiagramType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngREGUnitAngle;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngREGUnitLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngREGUnitTime;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngUnitVelocity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLEExtendedHeaderACAD;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLEAuxPtrClockAccuracy;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLEAuxPtrOffsetUnits;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLEAuxPtrAUXPHY;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLESyncOffsetUnits;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLESyncEventCounter;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLEFeatureSet;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLEExtendedHeaderTxPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLEExtendedHeaderACADLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLEModulationFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLEMainPayloadAdvertisingMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTDTTModulationIndexMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLEChannelSelection;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLEMainPayloadMinUsedChannels;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMAlternativeCyclicPrefixLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMCPNumberOfSymbols;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMAlternativeCPNumberOfSymbols;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCNarrowbandsRAStartingNB;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCNarrowbandsPagingStartingNB;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCNarrowbandsNumberOfeMTC;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCNarrowbandsHoppingOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAeMTCNarrowbandsHoppingInterval;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAeMTCBitmapSubframes;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCBitmapStartingSymbol;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCBitmapSchedulingInfoSIB1BR;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAeMTCSearchSpaceMPDCCHMax;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAeMTCSearchSpaceStartSubframe;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAeMTCSearchSpacePDSCHMax;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIAllocationsNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAeMTCDCIUser;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIUEID;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAeMTCDCIFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAeMTCDCISearchSpace;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIContentTransportBlockSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIMPDCCHFormat;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIStartSufbrame;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIECCEIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCINumberDummyECCEs;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAeMTCAllocationContentType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAeMTCAllocationModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCAllocationStartSF;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCAllocationAbsoluteSubframes;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCAllocationStartNB;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCAllocationStartSymbol;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCAllocationOffsetVRB;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCAllocationPhysicalBits;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRANIOTAllocationDataSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCAllocationPower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAeMTCPDSCHPrecodingScheme;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCPDSCHPrecodingNumberOfLayers;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCPDSCHScramblingUEID;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIContentMPDCCHRepetitions;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIContentPDSCHRepetitions;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIContentStartingRedundancyVersion;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIFormat60ABResourceBlockAssignment;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIFormat60ABModulationandCodingScheme;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIFormat60ABRepetitionNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIFormat60ABHARQProcessNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIFormat60ABRedundancyVersion;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIFormat60ABTPCCommandforScheduledPUSCH;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIFormat60ABULIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIFormat60ABDownlinkAssignmentIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIFormat60ABSubframeRepetitionNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAeMTCDCIFormat61ABMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIFormat61ABAPSI;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIFormat61ABTPMIPrecoding;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIFormat61ABHARQACKRessourceOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIFormat62DirectIndicationInformation;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTAllocationPower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAeMTCAllocationDataSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANBIoTAllocationPhysicalBits;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRANIOTAllocationStartSymbol;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRANIOTAllocationModulation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRANIOTAllocationContentType;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANBIoTAllocationNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIAllocationsNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRANIOTNPBCHPrecodingScheme;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANBIoTNPBCHPrecodingNumberOfLayers;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANBIoTNPBCHScramblingUEID;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANBIoTNPBCHChannelCodingSFNOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANBIoTNPBCHChannelCodingSchedulingSIB1;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANBIoTNPBCHChannelCodingNCellID;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANBIoTNPBCHChannelCodingStartingSIB1;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANBIoTNPDSCHResourceAssignmentField;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIFormat61ABPreambleIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIFormat61ABPRACHMaskIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCDCIFormat61ABStartingCELevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLLAACell;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLLAANumberOfBursts;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLLAAStartingSubframe;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLLAAStartingSymbol;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLLAABurstDuration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLLAANumberOfEndingSymbols;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLLAADCI1CMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLLAAEPDCCHFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLDRSPeriodicity;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLDRSOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLDRSDuration;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLDRSCSIRSZeroTxPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLDRSCSIRSNonZeroTxPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLDRSCSIRSZeroPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLDRSCSIRSSubframeConfig;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLDRSCSIRSPeriodicity;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLDRSCSIRSSubframeOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLDRSCSIRSScramblingIdentity;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLDRSCSIRSConfiguration;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLDRSCSIRSSubframeOffsetSSS;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLDRSCSIRSQOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRANIOTSearchSpaceUEMaxRepetitions;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngCorrFreqOptimizationMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngCorrFreqBandwidthMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngCorrectionFrequencyPorts;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSystemConfigurationMultiinstrumentMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSystConfMultiinstSync;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExtSeqNetworkAddressMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngExtSeqNetworkPort;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExtSeqNetworkProtocol;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExtSeqTriggerDelayUnit;
extern RsCoreRangeTableRanged RsRFSigGen_rngExtSeqTriggerExternalDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngExtSeqTriggerExternalInhibit;
extern RsCoreRangeTableRanged RsRFSigGen_rngExtSeqTriggerOtherTimeDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExtSeqTriggerSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngExtSeqMarkerXDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngExtSeqMarkerDuration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExtSeqMarkerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExtSeqClockMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExtSeqClockSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExtSeqMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNFBlRUSelectionContentChannel;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNFrameBlockNumberOfMUMIMOUsersContentChannel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNHELinkDirection;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNHEGuardInterval;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNHEPacketExtension;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNHEPPDUFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNHELTF;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNHECurrentPE;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNHETransitionTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNStationID;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRANIOTSearchSpaceUEOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRANBIOTSearchSpaceUEStartSubframe;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRANIOTSearchSpaceCommonMaxRepetitionsType1;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRANIOTSearchSpaceCommonMaxRepetitionsType2;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRANIOTSearchSpaceCommonStartSubframe;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRANIOTSearchSpaceCommonOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRANIOTDCIAllocationUser;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIAllocationUEID;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRANIOTDCIAllocationFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRANIOTDCISearchSpace;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIAllocationStartSufbrame;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIAllocationNPDCCHFormat;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIAllocationNumberNCCEs;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIAllocationNCCEIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIContentTransportBlockSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIContentResourceUnitsNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIContentNPDSCHSubframes;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIContentNPDSCHRepetitions;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIContentNPDCCHRepetitions;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIFormatN0SubcarrierIdentification;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIFormatN0ResourceAssignmentField;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIFormatN0SchedulingDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIFormatN0ModulationCodingScheme;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIFormatN0RedundancyVersion;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIFormatN0NPUSCHRepetition;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIFormatN0SubframesRepetitions;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIFormatN1StartingNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANBIoTDCIFormatN1ResourceAssignmentField;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIFormatN1NPDSCHRepetition;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIOTDCIFormatN1HARQACK;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLNRSNSYNCTxAntenna;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLNRSNSYNCPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLNPSYNCPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLNSSYNCPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLCSIScramblingIdentity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAeMTCDCIMPDCCHSet;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCPDSCHChannelCodingSFNOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCPDSCHChannelCodingStartingSIB1;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLEnhancedPDCCHDCILAASubframe;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLNIOTCarrierAllocationMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLNIOTCarrierAllocationCRSSequenceInfo;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLNIOTCarrierAllocationRBIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLNIOTCarrierAllocationDeltaFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLNIOTCarrierAllocationNCellID;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLNIOTIdentity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLNIOTCarrierAllocationSubframeNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLUserEPDCCHSetStartingNB;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLUserEPDCCHSetMPDCCHMaxRepetitions;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAEPDCCHSearchSpaceStartSubframe;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLMIMONIOTConfiguration;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUENIOTDeltaFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUENIOTSubcarrierSpacing;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUENIOTMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUENIOTTransmissionsNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUENIOTNPUSCHFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUENIOTModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUENIOTStartingSubframe;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUENIOTStartingSlot;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUENIOTRepetitions;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUENIOTResourceUnitsNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUENIOTSubcarrierIndication;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUENIOTSubcarriersNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUENIOTSlots;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUENIOTStartingSubcarrier;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUENIOTPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUENIOTSuggested;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUENIOTULSCHPhysicalBits;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUENIOTULSCHTransportBlockSizeIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAPRACHNIOTPreambleFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAPRACHNIOTPeriodicity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAPRACHNIOTStartingTime;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAPRACHNIOTRepetitionsNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAPRACHNIOTSubcarriersNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAPRACHNIOTSubcarrierOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUENPRACHMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUENPRACHResourceBlockIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUENPRACHPreambleAttempts;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUENPRACHConfiguration;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUENPRACHStartingSubframe;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUENPRACHRepetitionsNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUENPRACHNInit;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUENPRACHPower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUEeMTCCELevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUEeMTCNarrowbandHoppingInterval;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEeMTCTransmissionsNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUEeMTCContent;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUEeMTCModulation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUEeMTCFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUEeMTCPUSCHHARQACKMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEeMTCPUSCHHARQACKBits;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEeMTCPUSCHCQIBits;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEeMTCPUSCHULSCHTransportBlockSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngRedundancyVersionIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEeMTCPUCCHResourceIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEeMTCPUCCHCQIBits;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEeMTCStartSubframe;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUEeMTCRepetitions;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEeMTCResourceBlocks;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEeMTCOffsetVRB;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEeMTCPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULPUSCHeMTCHoppingOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULPRACHeMTCPreambleAttempts;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULPRACHeMTCCELevel;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULPRACHeMTCStartingSubframe;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULPRACHeMTCFrequencyResourceIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULPRACHeMTCNcsConfiguration;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULPRACHeMTCLogicalRootSequenceIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULPRACHeMTCSequenceIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULPRACHeMTCDeltaTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULPRACHeMTCPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULPRACHeMTCHoppingOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULPRACHeMTCConfiguration;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULPRACHeMTCFrequencyOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULPRACHeMTCRepetitionsNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULPRACHeMTCStartingSFPeriodicity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebConfigMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebDuplexing;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebLinkDirection;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebTriggerSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebTrgSignalDurationUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebTriggerDelayUnit;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebInternalTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebTriggerInhibit;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebInternalTriggerTimeDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebInternalTriggerActualTimeDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebTriggerExternalInhibit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebMarkerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebMarkerRiseOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebMarkerUserPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebMarkerOffTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebMarkerOnTime;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebClockMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebScheduling;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebBandwidth;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebCellID;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebRARNTI;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebRefSignPower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebMIMOConfiguration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebMIMOAntenna;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebMIMOMapCoor;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebMIMOBBMaps;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebMIMOPhysicalAntennas;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSystemFadingConfiguration;
extern RsCoreRangeTableRanged RsRFSigGen_rngReferenceOscillatorUserDefinedFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSystemUserInterfaceLock;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngAWGNPowersForOutput;
extern RsCoreRangeTableRanged RsRFSigGen_rngAWGNTargetCWFrequencyOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngAWGNReferenceMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngDMFilterTypeParameter;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngLevelSweepAttenuatorMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExternalIQCheckConnection;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBBINDigitalInterface;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBBINMappedChannel;
extern RsCoreRangeTableRanged RsRFSigGen_rngBBINChannelCrestFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngBBINChannelPeakLevel;
extern RsCoreRangeTableRanged RsRFSigGen_rngBBINChannelSampleRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngBBINChannelRMSLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebAllocationPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebResBlockCount;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebDataSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebFrameConfSubfr;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebClippingMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebContentType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebULUEMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebCodeWords;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebTBS;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebULPhysicalCellIDGroup;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebULPhysicalLayerID;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebDSSH;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebRBCount;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebDeltaShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebPBCHScrUEID;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebIRSoftBuffer;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebFrameUEID;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebAllocationFormat;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebNcs;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebDeltaTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebSeqIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebPDCCHFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebCyclicPrefix;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebHARQMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebSubframeConfig;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebBWHopp;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebPhysBits;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebPDCCHSelectedItem;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebPDCCHDCIFormat;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebPDCCHUEID;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebPDCCHItemFormat;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebMCSR;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebTPCCommand;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebPDCCHHARQProcNum;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebPDCCHFormat1a;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebPRACHPreambleId;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebPRACHMaskIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebPDCCHItemUser;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebPDCCHSearchSpace;
extern RsCoreRangeTableCoerced RsRFSigGen_rngOneWebFramePDSCHPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebSRSConfig;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebHARQIndexOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebULAllocationPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebPUACHOCQIMin;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebSRSRequest;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebULAllocationPUACHnDMRS;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebSFNOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebULBw;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebULCellID;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebCaInd;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebConfigurableSubframes;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebPRACHTransitionTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebULSFNOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebFrameUECategory;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebULCellDeltaf;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebPUACHMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebULCellIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebDMRS;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebPDCCHCSIReq;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebULCellTimeDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebCQIIndexOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebFrameUserTx;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebCSRS;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebPDCCHCellIdx;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebPDCCHItemType;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebCFI;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebVRB;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebDLSubframePDCCHDCIFormat3ResourceIndicator;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebDLSubframePDCCHDCIMCSFirstTransmission;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebULReferenceSignalSRSCelln_RRC;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebULReferenceSignalSRSCellCyclicShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebULAllocationCyclicShiftField;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebULAllocationPUACHDelta;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebAllocationModulation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebClockSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebULContentType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLSubframeAllocationRhoA;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLSubframeResourceBlocks;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLSubframeSymbolCount;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLSubframeSymbolOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFrameNoOfConfigurableSubframes;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLSubframeDataSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLSyncPower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLSubframeAllocationContentType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GULFrameUEMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GClockCustomExternal;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GULSubframeAllocationContent;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GSubframePrecodingScheme;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLSubframeAllocationScramblingUE_ID_n_RNTI;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GULFrameUE_UE_ID_n_RNTI;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFrameUserConfigurationUEID;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GULFrameUEPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHPower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GULFrameUECellsChannelCodingAndMultiplexingMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLFramexPDCCHDummyCCExREGs;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCITableSelectItem;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLFramexPDCCHDCIFormat;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCIUE_ID;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCIxPDCCHFormat;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCICCEIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCIModulationAndCodingScheme;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCIResourceBlockAssignment;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCIHARQProcessNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCIRedundancyVersion;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GxPDSCHScheduling;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLFramexPDCCHDCIUser;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GTriggerSignalDurationUnit;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GInternalTriggerInhibit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLSubframeAllocationReferenceSignalAPConfiguration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GULSubframeAllocationPrecodingScheme;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLDeltaFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLPowerOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLFramexPDCCHDCISRSRequest;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLSubframeAllocationReferenceSignalN_SCID;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GInternalTriggerTimeDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GULFrameUECellsTransmissionMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GULCarrierAggregationCellID;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GMarkerUserPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLPhysicalCellID;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GMarkerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GMarkerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GULNumberOfConfigurableSubframes;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GMarkerOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLSubframeAllocationPrecodingAntennaPorts;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GUserConfigurationAPMReal;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLN_ID_CSI;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GExternalTriggerTimeDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLTimeDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLRelPower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLFrameUserConfigurationMappingCoordinates;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLFrameUserTxMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GInternalTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLSubframeAllocationReferenceSignalRelativePower;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GMarkerOnTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GMarkerOffTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCICellIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GExternalTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GExternalTriggerInhibit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GClockMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GTriggerSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GExternalTriggerDelayUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GClockSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLSignalBRSNumberofAntennaPorts;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLSignalBRSTransmissionPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GAntennaPortMappingxPBCHBRS;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLSubframeAllocationPrecodingNumberOfLayers;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLSubframeAllocationReferenceSignalDMRSN_IDSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLSubframeAllocationReferenceSignalDMRSN_ID_DMRS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLSubframeAllocationReferenceSignalPCRSN_IDSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLSubframeAllocationReferenceSignalPCRSN_ID_PCRS;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCIxPDCCHSymbol;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLFramexPDCCHDCILastxPUSCHSymbol;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCITransmissionTimingOffsetI;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLFramexPDCCHDCICSIBSIBRIRequest;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCITransmissionTimingofCSIRSBRRS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLFramexPDCCHDCICSI_RS_BRRS_Symbol;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLFramexPDCCHDCICSI_RS_BRRS_Process;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLFramexPDCCHDCISRSSymbol;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCIREMappingIndexforDMRS_PCRS;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCIN_SCID;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCIPrecodingMatrixIndicator;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCITPCCommandforxPUCCH;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCIULDualPCRS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLFramexPDCCHDCIxPDSCHStart;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLFramexPDCCHDCIxPDSCHEnd;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCIBMIforHARQ_ACK;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCITransmissionTimingofxPUCCH;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCIFrequencyResourceIndexofxPUCCH;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GDLFramexPDCCHDCIAPandNumberofLayersIndication;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GDLFramexPDCCHDCIDL_PCRS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GULFrameUENumberofAntennaPortsforxPUCCH;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GULFrameUECellsAntennaPortMappingPowerOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GULSubframeAllocationModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GULSubframeAllocation_n_xPUCCH_2;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GULSubframeAllocationNumberOfUsedAntennaPorts;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GULSubframeAllocationREMappingIndexk_i;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GULSubframeAllocationN_SCID;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GULSubframeAllocationPCRSRelativePower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngV5GULSubframeAllocationChannelCodingCodeRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GULSubframeAllocationChannelCodingTransportBlockSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GULSubframeAllocationxPUSCHResourceBlocks;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GULSubframeAllocationxPUSCHResourceBlocksOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GULSubframeAllocationxPUCCHResourceBlocksOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GULSubframeAllocationPhysicalBits;
extern RsCoreRangeTableRanged RsRFSigGen_rngV5GULSubframeAllocationRhoPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAScramblingIdentity;
extern RsCoreRangeTableRanged RsRFSigGen_rngHARQProcessNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRARemapQCL;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULeMTCRetuningSymbols;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULNDRSSixToneCyclicShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAPRBSStartEnd;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLEMaxOctets;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLERefConnectionEventCount;
extern RsCoreRangeTableRanged RsRFSigGen_rngDCISubcarrierIndicationField;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAStandardMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULNDRSDeltaSequenceShiftForNPUSCH;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULNDRSSixToneBaseSequence;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULNDRSThreeToneBaseSequence;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULNDRSThreeToneCyclicShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULNDRSTwelveToneBaseSequence;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPredistortionXUnit;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAAPDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRASidelinkOffsetIndicatorDiscovery;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLEAdvertisingEventDutyCycle;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTDTTNumberOfPacketsPerSet;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLEMainPayloadMaxTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLEMainPayloadRejectOpcode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTDTTTPCSymbolsPerABit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLEPacketFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAeMTCPDSCHChannelCodingSFNRestartPeriod;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRANBIoTDCIContentDistanceFromNPDCCHtoNPDSCH;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLUser3GPPRelease;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAeMTCWidebandConfig;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRANIoTNPBCHChannelCodingTransportBlockSize;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUEeMTCWidebandOffsetVRB;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUEeMTCWidebandResourceBlocks;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULNIoTFRCType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULNIoTFRCSubcarriersSpacing;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULNIoTFRCModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUENPRACHDeltaFrequency;
extern RsCoreRangeTableCoerced RsRFSigGen_rngEUTRADLCSICDMType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLCSINZPFrequencyDensity;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLCSINZPTransmissionComb;
extern RsCoreRangeTableCoerced RsRFSigGen_rngEUTRADLCSINumberofCSIRSConfigurations;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLEnhancedPDCCHDCIModulationScheme;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULSidelinkMode;
extern RsCoreRangeTableCoerced RsRFSigGen_rngEUTRAULSidelinkResourceControlPeriodComm;
extern RsCoreRangeTableCoerced RsRFSigGen_rngEUTRAULSidelinkResourceControlPeriodDiscovery;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkResourceOffsetIndicator;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkResourceDataOffsetIndicator;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAPRBNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkResourceDiscoveryNumberOfRetransmissions;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkResourceDiscoveryNumberOfRepetitions;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkResourceDiscoveryN1PDSCH;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkResourceDiscoveryN2PDSCH;
extern RsCoreRangeTableCoerced RsRFSigGen_rngEUTRAULSidelinkResourceDiscoveryN3PDSCH;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkResourceDiscoverySubframeIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkResourceDiscoveryPRBIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkResourceDataHoppingParameter;
extern RsCoreRangeTableCoerced RsRFSigGen_rngEUTRAULSidelinkResourceDataNumberOfSubbands;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkResourceDataRBOffset;
extern RsCoreRangeTableCoerced RsRFSigGen_rngEUTRAULSidelinkResourceV2XSubframeBitmapLength;
extern RsCoreRangeTableCoerced RsRFSigGen_rngEUTRAULSidelinkResourceV2XNumberOfSubchannel;
extern RsCoreRangeTableCoerced RsRFSigGen_rngEUTRAULSidelinkResourceV2XSubchannelSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkResourceV2XStartRBSubchannel;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkSynchronizationSLSSSyncOffsetIndicator;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkSynchronizationSLSSID;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkSCINumberOfSCIConfig;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkSCITableTransmissionMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkSCITablen_PSCCH;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkSCITableStartSF;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkSCITableSubchannel;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkSCITableSCIFormat;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkSCITableFormat0RBAAndHoppingRA;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkSCITableFormat0TimeResourcePattern;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkSCITableFormat0ModulationAndCodingScheme;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkSCITableFormat0TimingAdvance;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkSCITableFormat0GroupDestinationID;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkSCITableFormat1Priority;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkSCITableFormat1ResourceReservation;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkSCITableFormat1FreqResLocation;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkSCITablePSCCHPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkSCITableFormat1TimeGap;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkAllocationNumberOfRetransmissions;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULSidelinkAllocationContent;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULSidelinkAllocationDiscoveryType;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkAllocationPSDCHPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkAllocationn_PSDCH;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULSidelinkAllocationModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkAllocationPower;
extern RsCoreRangeTableCoerced RsRFSigGen_rngEUTRAULSidelinkAllocationDRSCyclicShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUEPUSCHCCODCellUpPTSNumberOfSymbols;
extern RsCoreRangeTableCoerced RsRFSigGen_rngEUTRAULUEReferenceSRSCellTransmissionCombNumkTC;
extern RsCoreRangeTableCoerced RsRFSigGen_rngEUTRAULUEReferenceSRSCellUpPTSAdd;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULEnhancedPUCCHDRSCyclicShiftField;
extern RsCoreRangeTableCoerced RsRFSigGen_rngEUTRAULEnhancedPUCCHDRSn1_DMRS;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULEnhancedPUCCHn_oc;
extern RsCoreRangeTableCoerced RsRFSigGen_rngEUTRAULEnhancedPUCCHM_RB;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQDigitalDohertyPhaseOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQDigitalDohertyDigAtt;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQDigitalDohertyShapingMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQDigitalDohertyShapingPowerSplit;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQDigitalDohertyInputPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQDigitalDohertyPreGain;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQDigitalPredistortionScale;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQDigitalPredistortionLinearizeRFAdjustLinearizationCurrentFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQEnvelopeVoltageAdaptation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQEnvelopeeTrakInterfaceType;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQEnvelopeVout;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQEnvelopeBias;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQEnvelopeDCModulatorRin;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQEnvelopeDCModulatorGain;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQEnvelopePACharacteristicsPEP;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQEnvelopeToRFDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQOutputEnvelopeTablesInterpolation;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQOutputEnvelopeDetroughingGain;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQEnvelopeVccForXUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQEnvelopeVccForXScale;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBMODCODNumberOfSettings;
extern RsCoreRangeTableRanged RsRFSigGen_rngMODCODTableDFL;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLCarrierAggregationCellIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExtSeqRTCIWaveformStreamingRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOInverseChannelMatrix;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMMIMOChannelPolarizationMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOMatrixMagnitude;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMMIMOSCMEDistribution;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMORayGain;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOSCMEDistance;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMHSRFilterType;
extern RsCoreRangeTableRanged RsRFSigGen_rngGSMVAMOSOffsetJitter;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGSMSCPIR;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNHEBSSColor;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNHETXOPDuration;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNHESpatialReuse;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANPSDUModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNUserInfoGain;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNUserInfoNsts;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNUserInfoRUType;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCPDSCHPrecodingCodebookIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngW3GPPUEStartOffsetPRACH;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngW3GPPUEReferenceLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOneWebFilterLTEOptimization;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebFilterCutoffFrequencyShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngOneWebFilterLTECutoffFrequencyFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSStreamOutput;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSAntenna;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSStreamRFBand;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSStreamNumberOfBasebands;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSMonitorType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSMonitorVehicle;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSMonitorMapAxis;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSMonitorShowSVID;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSStream;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSTroposphericModel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSIonosphericModel;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSIonosphericSolarFlux;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSIonosphericSunspotNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSIonosphericMOPSDisplay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSADGDataFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSADGReferenceFrame;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSIODnav;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSIODe;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSAdditionalDataURA;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSGPSNED;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSWNOP;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSCodeOnL2Mode;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSAODO;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSDVS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSGLONSatType;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSGLONASSP;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSAdditionalDataGLONAOE;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSGLONTbAlignment;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSGLONASSEn;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSWNot;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSTot;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSA2;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSA1;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSA0;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSIonosphericAlpha;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSAi;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSQZSSIonosphericBeta;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSSF;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSUTCSA0;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSUTCSA1;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSPowerReference;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSSignalPowerOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSFrequencyNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSNavMessageControl;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSNavMessageType;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSHILSystemLatency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSHILInterfaceType;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSHILUDPPort;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSReceiverPositioning;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSAttitudeBehaviour;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSAttitudeValues;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSAttitudeSpinrate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSROMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSAntennaCount;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSAntennaView;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSAntennaDelta;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSAntennaDeltaX;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSLoggingMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSLoggingOfflineTimeOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSLoggingStep;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSTriggerSequenceLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSInternalTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSInternalTriggerInhibit;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSMarkerTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSMarkerPulseWidth;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngREGRestartMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngREGRestartSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGRestartStopTimeAttenuation;
extern RsCoreRangeTableRanged RsRFSigGen_rngImpairmentsPhaseOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngLFOOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDeviationMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngNumberOfNotches;
extern RsCoreRangeTableRanged RsRFSigGen_rngNotchBandwidthRelative;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngVariationStepMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngAWGNImpulsiveNoiseCI;
extern RsCoreRangeTableRanged RsRFSigGen_rngAWGNImpulsiveNoisePulsesPerBurst;
extern RsCoreRangeTableRanged RsRFSigGen_rngAWGNPhaseNoiseLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSystemConfigurationHSChannels;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGraphicsSelectedStream;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBTestSignalForm;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBAWGNSamples;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDMAPSK16Gamma;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDM32APSKGamma;
extern RsCoreRangeTableRanged RsRFSigGen_rngFMDeviationTotal;
extern RsCoreRangeTableRanged RsRFSigGen_rngAWGNImpulsiveNoiseFrameDuration;
extern RsCoreRangeTableRanged RsRFSigGen_rngAWGNImpulsiveNoisePulseSpacing;
extern RsCoreRangeTableRanged RsRFSigGen_rngMCCWEditCarrierPhaseStart;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNodeCarrierMappingCarrier;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNodeCarrierMappingDeltaFToOutput;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNodeCarrierCellIndicator;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNodeDummyREsPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngNR5GSSPBCHNumberOfPatterns;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNR5GSSPBCHOffsetRelativeTo;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPatternMIBCORESETZero;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPatternMIBSearchSpaceZero;
extern RsCoreRangeTableRanged RsRFSigGen_rngNR5GSSPBCHPatternPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngNR5GSSPBCHPatternRBOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngNR5GSSPBCHPatternSCOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNodeCarrierCellDMRSTypeAPosition;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNodeTxBWSCSOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNumberOfCarriers;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPowerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNROutputSequenceLength;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingCORESETDCIPatternLength;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingCORESETDCIDownlinkAssignmentIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingCORESETDCIFrequencyDomainResourceAssignment;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingCORESETDCIHARQProcessNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingCORESETDCICCEIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingCORESETDCIPDSCHToHARQFeedbackTimingIndicator;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingCORESETDCIPUCCHResourceIndicator;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingCORESETDCIRNTI;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingCORESETDCIShortMessageIndicator;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingCORESETDCIModulationAndCodingScheme;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingCORESETDCIRedundancyVersion;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingCORESETDCITimeDomainResourceAssignment;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingCORESETDCITPCCommandForSchedulingPUCCH;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingCORESETDCITPCCommandForSchedulingPUSCH;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingCORESETDMRSScramblingID;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingCORESETShiftIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingCORESETDCIs;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingPDSCHNumberOfCodewords;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingDMRSLength;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingDMRSPower;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingTxSchemeAntennaPorts;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingTxSchemeCDMGroupsWithoutData;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingTxSchemeNumberOfLayers;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingPower;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingPRACHPreambleIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingPRACHLogicalRootSequence;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingPRACHZeroCorrelationZone;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingPUCCHInitialCyclicShift;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingPUCCHOCCIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingPUCCHTimeDomainOCCIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingPUCCHHoppingID;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingPUCCHNumberOfBits;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingPUCCHPositiveSRCount;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingPUCCHSecongHoppingPRB;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingPUSCHTxSchemeTPMI;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingPUSCHUCINumberOfBits;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingRB;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingRBOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingSlot;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingSymbols;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingSymbolOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingChannelCodingI_MSC;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingChannelCodingRedundancyVersionIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocations;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRExternalTriggerTimeDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRInternalTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRInternalTriggerInhibit;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRInternalTriggerTimeDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRMarkerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRMarkerOnOffTime;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRMarkerUserPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRMarkerOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRExternalTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngNR5GUsers;
extern RsCoreRangeTableRanged RsRFSigGen_rngNR5GBWPIndicator;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPDSCHAdditionalPositionIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPDSCHMaxLength;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPDSCHMaxNumberOfCodewordsPerDCI;
extern RsCoreRangeTableRanged RsRFSigGen_rngNR5GBWPResourceBlocks;
extern RsCoreRangeTableRanged RsRFSigGen_rngNR5GBWPRBOffsetInTxBW;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNumberOfBWPs;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPUSCHAdditionalPositionIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPUSCHMaxLength;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPUSCHMaximumRank;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPUSCHUCII_CSI_Offset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPUSCHUCII_HARQ_Offset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPUSCHUCIMode;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRUserUE_ID_RNTI;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTriggerSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTriggerSignalDurationUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRExternalTriggerDelayUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRMarkerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRClockSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRClockMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRNodeCarrierCellDeployment;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNodeCarrierCellFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRNodeCarrierCellChannelBW;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNodeTxBWPointAToCarrierCenter;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRNodeSSPBCHPatternSCSpacingCP;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNR5GSSPBCHPatternCase;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNR5GSSPBCHPatternBurstSetPeriodicity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPatternChannelCodingDataSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPatternMIBSCSCommon;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPatternMIBCellBarred;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPatternMIBIntraFreqReselection;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRNodeDummyREsSCSpacingCP;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRNodeDummyREsModulation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRDummyREsDataSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRUserDataSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNR5GBWPSCSpacingCP;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRDLBWPPDSCHConfigType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPDSCHMCSTable;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRULBWPFRCType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRFRCModulation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRDLBWPPUSCHConfigType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRULBWPPUSCHTxConfig;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPUSCHMCSTable;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPUSCHUCIScalingAlpha;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingContent;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingMappingType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingPUCCHFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingPRACHSCSpacingCP;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingRepetition;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingPDSCHModulation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingCORESETBundleSize;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingCORESETSize;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingCORESETDCIUsage;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingCORESETDCIFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingCORESETDCISearchSpace;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingCORESETDCIAggregationLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationPUCCHGroupHopping;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationPUCCHOCCLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingPRACHFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingPRACHRestrictedSet;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNROutputFilterMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNROutputSampleRateMode;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNROutputBasebandPlaybackRate;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTimeDomainWindowingTransitionTime;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPowerReferenceSystemBandwidth;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSSISA;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSAF;
extern RsCoreRangeTableRanged RsRFSigGen_rngBERBLERTestGeneratorErrorRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngBERBLERTestGeneratorClockFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBERBLERTestGeneratorTrigger;
extern RsCoreRangeTableRanged RsRFSigGen_rngBERBLERTestGeneratorDataEnableTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngBERBLERTestGeneratorRestartDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBERBLERTestGeneratorMeasurementMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBERBLERTestGeneratorExternalIQMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBERTDataConnector;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBLERCRCOrder;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngCalibrationExternalLevelAdjustment;
extern RsCoreRangeTableRanged RsRFSigGen_rngAutomaticDelayCompensationSlavePositionInChain;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngLFOutputSourceImpedance;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBBINSampleRateFIFOStatus;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQOutputDigitalPowerVariationStep;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIQOutputDigitalSetLevelVia;
extern RsCoreRangeTableRanged RsRFSigGen_rngIQOutputDigitalAttenuation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngALCOffMode;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRRTFeedbackBB;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRRTFeedbackConnector;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRRTFeedbackDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRLTECRSOffsToA;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRLTECRSvShift;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNodeSSPBCHMIBSFStart;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRCORESETActiveBWP;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRCORESETState;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRAntennaPorts;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRCORESETDCICandidate;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRCORESETDCICBGTI;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRCORESETDCITCI;
extern RsCoreRangeTableRanged RsRFSigGen_rngNR5GCORESETID;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRCORESETPrecoderGranula;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRDuration;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRDMRSScramblingID;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTxSRS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingMode;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNZPResources;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNZPMagn;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNZPPhase;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNZPReal;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNZPI;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNZPOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNZPRBNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNZPRow;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNZPScramblingId;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNZPStartRB;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRMCS;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPTRSRB;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRScrambId;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRScramblingID;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTDAK0;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTDAStart;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTDAllocations;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRVrbToPrb;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRRATMNumOfGroups;
extern RsCoreRangeTableRanged RsRFSigGen_rngNR5GRATMResources;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRRATMSlot;
extern RsCoreRangeTableRanged RsRFSigGen_rngNR5GNumberOfEntries;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRIndicatorX;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRCodebookSubset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRDataScramblingID;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSRSSet;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSRSResources;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSRScSRS;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSRSFreqPos;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSRSFreqShift;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSRSOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSRSCyclicShift;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSRSHopping;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSRSSeqId;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSRSPosition;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRRTFeedbackMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRRTFeedbackSerialRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRNodeLTECRSBW;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRNodeLTECRSAntennaPorts;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRNodeSSPBCHPatternL;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRCORESETDCIAggregationLevels;
extern RsCoreRangeTableCoerced RsRFSigGen_rng5GNRCORESETDCIMaxCandidate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPUSCHPTRSMaxPorts;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPUSCHPTRSPower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNREPRERatio;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPTRSFrequencyDensity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPTRSMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPTRSREOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPTRSTimeDensity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSRSTransmissionType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSRSTransmissioUsage;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSRSPeriodicity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSRSSymbols;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSRSRepetitionFactor;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSRSTransmissionComb;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSRSAntennaPort;
extern RsCoreRangeTableCoerced RsRFSigGen_rng5GNRZPPeriodicity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRNZPDensity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRNZPCDMType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPortIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRResourceBlockGroupSize;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTDAMappingType;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTDALength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPDSCHResourceAllocation;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTimeOffset;
extern RsCoreRangeTableCoerced RsRFSigGen_rng5GNRRATMPeriodicity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRRATMGrid;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRFilterTestModel;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOSCMAzimuthAngle;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOSCMElevationAngle;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFSIMMIMOSCMAntennaRXStructure;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRFilterTestModelFreq;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRFilterTestModelDuplexing;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRFilterTestModelBandwidth;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRFilterTestModelSCS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRFRCMappingType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPTRSGroups;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPTRSSamplesPerGroup;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLEAdressType;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLEConnectionEventCount;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLECTETime;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBTLECTETypeReq;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLEHostIdentifierId;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLELastPaEventCounter;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLECTEMinLenReq;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLESIDCtrData;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPreamblePuncturingMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNNumberOfBasebands;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNDataFrameDuration;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNDataDutyCycle;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMMIMOSCMAntVetricalSpacing;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBCFRDCFDelta;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBCFROCF;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBCFRFilteringMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBCFRMaxIterations;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBCFRRCF;
extern RsCoreRangeTableRanged RsRFSigGen_rngARBCFRMaximumFilterOrder;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBCFRAlgorithm;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASInternalDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASVDBAppData;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASTCH;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASGPA;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASRunwayNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASKmd;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASMaxUseDistance;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASFASDataBlocks;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASRPDF;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASRSDS;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASFrameOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASRepFrame;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGBASMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASigma_vert_iono_gradient_ID;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSBASGroundStationSSID;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASFilterCosineRollOffFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASFilterCutOffFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngGBASGaussRollOffFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngLoRaDataLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngLoRaSyncMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngLoRaUPLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngLoRaIdleInterval;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngLoRaFDRType;
extern RsCoreRangeTableRanged RsRFSigGen_rngLoRaSTE;
extern RsCoreRangeTableRanged RsRFSigGen_rngLoRaOversampling;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngLoRaBandwidth;
extern RsCoreRangeTableRanged RsRFSigGen_rngLoRaSampleRateVariation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngLoRaTriggerSignalDurationUnit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngLoRaMarkerMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngLoRaCodingRate;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngLoRaSpreadingFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngLoRaImpFreqOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngLoRaFrequencyDriftRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLNPRSID;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLNPRSPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLNPRSSequenceInfo;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULUserSpecificCellID;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAeMTCWidebandNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLNBIotCarrierAllocationGapThreshold;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLNBIoTCarrierAllocationGapPeriod;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLNPRSParameter;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLNPRSBitmap;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLNPRSPeriod;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLNPRSStartSubrame;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLNPRSNumberofSubframes;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAeMTCPDSCHPrecodingTransmissionScheme;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLTDDNumberOfSymbols;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAUPTDDNumberOfSymbols;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLNBIoTCarrierAllocationGapDurationCoefficient;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULUEAntennaOutput;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRABitmapSubframes;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLNPRSMutingInfo;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavAWGNBandwidth;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSAWGNCNDensityRatio;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavAWGNCWFreqOffs;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSAWGNMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSSARMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSSARSpareData;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSSARRLM;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLUserModulationAndCodingTable;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLUserCellTransportBlockSize;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULSidelinkReferenceMeasurementChannel;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkReferenceMeasurementChannelPayloadSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkReferenceMeasurementChannelPhysicalBits;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAULSidelinkReferenceMeasurementChannelResourceBlocks;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAULSidelinkReferenceMeasurementChannelModulationScheme;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngRFPortsAlignmentCalibrationFrequencyMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngRFPortsAlignmentCalibrationPEPMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngRFPortsAlignmentLocalOscillatorCoupling;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngRFPortsAlignmentStatus;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngRFPortsAlignmentLocalOscillatorConnectionMethod;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngRFPortsAlignmentLocalOscillatorSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngRFPortsAlignmentLocalOscillatorReferenceSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBMultisegmentNextSegmentSource;
extern RsCoreRangeTableRanged RsRFSigGen_rngAWGNCenterFrequencyOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngCombinedSweepStartStopFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngCombinedSweepStartStopPower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFrontendSettingsReferenceFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFrontendSettingsRFOutputConnector;
extern RsCoreRangeTableRanged RsRFSigGen_rngCombinedSweepDwellTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngCombinedSweepCount;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLECTEAntennaGain;
extern RsCoreRangeTableRanged RsRFSigGen_rngBTLECTENumberOfAntennas;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngLocationFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngALCMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPowerSensorMappingClear;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRQuickDuplexing;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRQuickNoOfCarriers;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRQuickDeployment;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRQuickRaster;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRQuickChannelSpacing;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSCSpacing;
extern RsCoreRangeTableRanged RsRFSigGen_rngQuickCORESETLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRQuickRBConfig;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRQuickModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRQuickResourceBlocks;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRQuickRBOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRQuickDLSlots;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRQuickULSlots;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRQuickSlotFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRMarkerDuplexing;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRMarkerDLSlots;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRMarkerULSlots;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRMarkerSlotFormatIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRRFPhaseCompensation;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRCellID;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNodeCarrierCellDeltaFreqToOutput;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRHarqCodebook;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRMappingCartesian;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRMappingCylindricalMagnitude;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRMappingCylindricalPhase;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRRestartData;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRRTNI;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSFIsInDCI2_0;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSecondPNmSequenceInit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRCodeBlockGroups;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPRBBundlingType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPRBBundleSize;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPRBBundleSizeSet2;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRDCI2_1PreemptionIndications;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRControlReportTrigger;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRDCIFormat2_2Blocks;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSRS_TPC_PDCCH_GroupType;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRDCIFormat2_3Blocks;
extern RsCoreRangeTableCoerced RsRFSigGen_rng5GNRControlCancellationIndicationLength;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRControlCancellationIndications;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPUSCHResourceAllocation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRFreqHopping;
extern RsCoreRangeTableCoerced RsRFSigGen_rng5GNRFreqHoppingOffsets;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRFreqHopOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNPuschID;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRDMRS_n_ID;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingCopyToSlot;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingCopyToSubframe;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingResAlloc;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPDSCHPPrecodingGranularity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRDMRSSequenceGeneration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRDMRSSeqHopping;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRDMRSPDSCHLayerAntennaPort;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRDMRSPUSCHLayerAntennaPort;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPUSCHPTRSScramblingID;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRCFReductionAlgorithm;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTargetCrestFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRCFReductionIterations;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNROutputCrestFactor;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTestCaseWizardSpecification;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTestCaseWizardRelease;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTestCaseWizardBSClass;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTestCase;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardTriggerConfig;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardMarkerConfig;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardTXAntennas;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardRXAntennas;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardCSIPart;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardChannelBW;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTCWizardDMRSTypeAPos;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardDuplexing;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardMaxThroughput;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardFRC;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardFrequencyOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardMappingType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardMode;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTCWizardOFDMSymbols;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardPreambleFormat;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTCWizardPowerLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardPropagationCondition;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTCWizardRBOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTCWizardRFFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardSCSpacing;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardSCSpacingPRACH;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardTestSetup;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardUCIBits;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardFreqAlloc;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardISBand;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTestCaseWizardISOffsetFactor;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardISTestModel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardISInterfererType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardIS2InterfererType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardISTestRequirement;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardISFrequencyShift;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardFeedbackRealtimeMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardFeedbackSerialRate;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTCWizardFeedbackDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTCWizardFeedbackConnector;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTCWizardFeedbackBBSelector;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSPseudorangeMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSSignalDynamicsVelocityProfile;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSSignalDynamicsPredefinedConfig;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSEnvVerticalPredefined;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSReceiverEnvPhysicalModel;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSRecEnvStartRecXOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSRecEnvStartRecHeightOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSRecEnvRoadsideRepetition;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSReceiverEnvRoadsideDisplay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSEnvGroundSeaMaterialProperty;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSEnvGroundSeaSurfaceType;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSRecEnvGroundSeaPLoss;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSRecEnvGroundPermitivity;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSRecEnvGroundConductivity;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSRecEnvGroundHeight;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSReceiverEnvFullScale;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSRecEnvFullRepetition;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSRecEnvlAreaLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSAWGNAutoConfiguration;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSAWGNCenterFreq;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSStreamRFOutput;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSTimeConversionLeapSeconds;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSMarkerHPPSAdditionalDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSTimeConversionISC;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSOrbitGALILEOBGD;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngIoTNPUSCHFRC;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPRSResourceSetCombSize;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPRSResourceSetPeriodicity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPRSResourceNumberOfSymbols;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPRSResourceSetTimeGapT_gap;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNR5GHARQACKCodebookR16;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNR5GSysInfoTimingAdvanceOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNR5GTCISizeInDCI12;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRFilterTestModelStandard;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNROTABaseStationType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNROTADeclaredDirection;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNROTAFrequencyRange;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRMarkerInvert;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRType1Granularity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRFullPowerTransmission;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNROLPCParameterSet;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSRSConfiguredBy;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRBitsForSRSRequest;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRAckNackFeedbackMode;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNROCNGAntennaPorts;
extern RsCoreRangeTableRanged RsRFSigGen_rngNR5GSysInfoSubFrameOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngNR5GSysInfoCustomTimingAdvanceOffsetTc;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationResultsMCSTable;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPTRSTPTimeDensity;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRDCI25AvailabilityIndications;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRK0NumberofEntries;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRK0MinAppOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRRedundancyVersionBitsDCI1_2;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRHARQBitsDCI1_2;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRMappedTCICodepoints;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRRefMeasChannel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRRMCModulation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRRMCSubcarrierSpacing;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRMinimumSchedulingOffsetK2;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRP0PUSCHSetList;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRULAccessConfigList;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRBitsforRedundancyVersionDCI0_2;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTimeDomainAllocationsDCI0_2;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTimeDomainAllocationsMultiPUSCH;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRMultiPUSCHLength;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPUCCHBitsForResourceIndicator;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPUCCHCPextNumberOfEntries;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPUCCHCPextValue;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRBitsForHARQProcessNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRMsgBRNTI;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSCellGroupsWithinActiveTime;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRRealtimeFeedbackProcessingDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPRSSCSpacingCP;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPRSResourceSets;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPRSResourceSetSlotOffsetT_offset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRPRSResourceSetRepetitionFactorT_rep;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPRSResourceSetNumberOfRBs;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPRSResourceSetStartRBToPointA;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPRSResourceSetResources;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPRSResourceREOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPRSResourceSlotOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPRSResourceSymbolOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPRSResourceSequenceID;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRPRSResourcePowerPerdB;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRDLBWPControlNumberofDormancyIndications;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRDLBWPControlNumberofSCellGroups;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNROTA_EIS_minSENS;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNROTAEIS_REFSENS_50M;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNROTABeW_PhiREFSENS;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNROTABeW_ThetaREFSENS;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTestCaseWizardISDistance;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHRPUWBClippingMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFrameSTSActiveSegmentsNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngConvolutionalCodeConstraintLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHRPUWBExternalClockMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHRPUWBClockSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFrameCodeIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFrameDataChipsPerBurst;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFrameDataSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFrameDeltaLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFrameDataHopBursts;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFrameSFDLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFrameSyncLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHRPUWBFilterOversamplingFactor;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHRPUWBFilterLTEOptimization;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHRPUWBFilterType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngMACHeaderFrameControlLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngMACHeaderAddressLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngMACHeaderSequenceNumberLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngMACHeaderPANIDLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFramePHRDataRateMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFrameSFD;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFrameSTSDeltaLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSTSPacketConfiguration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExternalTriggerDelayUnit;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBChannelNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBIdleInterval;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBSequenceLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBClippingLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHRPUWBMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBFilterAPCO25;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBFilterCosine;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBFilterPureGauss;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBFilterGauss;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBFilterLowPass;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBFilterLowPassEVM;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBFilterRootCosine;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBFilterSplitPhase;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBFilterLTECutoffFrequencyFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBFilterLTECutoffFrequencyShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBFilterCosineCutoffFrequencyShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBFilterLTERolloffFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBFilterSampleRateVariation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHRPUWBMarkerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBMarkerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBMarkerOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBImpairmentsFrequencyOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBImpairmentsChipClockError;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBTriggerSignalDuration;
extern RsCoreRangeTableRanged RsRFSigGen_rngInternalTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngSpecifiedTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBExternalTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngExternalTriggerInhibit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTriggerSignalGenerationStatus;
extern RsCoreRangeTableRanged RsRFSigGen_rngFrameDataLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngFrameSTSAdditionalGap;
extern RsCoreRangeTableRanged RsRFSigGen_rngFrameType;
extern RsCoreRangeTableRanged RsRFSigGen_rngMACHeaderSecurityEnabled;
extern RsCoreRangeTableRanged RsRFSigGen_rngMACHeaderFramePending;
extern RsCoreRangeTableRanged RsRFSigGen_rngMACHeaderAR;
extern RsCoreRangeTableRanged RsRFSigGen_rngMACHeaderPANIDCompression;
extern RsCoreRangeTableRanged RsRFSigGen_rngMACHeaderReserved;
extern RsCoreRangeTableRanged RsRFSigGen_rngMACHeaderSequenceNumberSupport;
extern RsCoreRangeTableRanged RsRFSigGen_rngMACHeaderIEPresent;
extern RsCoreRangeTableRanged RsRFSigGen_rngMACHeaderDestinationAddressingMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngMACHeaderFrameVersion;
extern RsCoreRangeTableRanged RsRFSigGen_rngMACHeaderFrameControl;
extern RsCoreRangeTableRanged RsRFSigGen_rngMACHeaderPANID;
extern RsCoreRangeTableRanged RsRFSigGen_rngMACHeaderSourceAddressMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngMACHeaderAddress;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBMACHeaderSourceAddress;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHRPUWBFrameActiveSegmentLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHRPUWBFrameDataViterbiRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngHRPUWBMACHeaderSequenceNumber;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFrontedAttenuationMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFrontendConnectionMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngFrontendAttenuation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBasebandBandwidth;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSystemConfigurationHSChannelsperBBMM;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSystemGPIBLineTerminator;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSystemIdentificationMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHUMSDataFormat;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSystemConfigurationCABandwidth;
extern RsCoreRangeTableRanged RsRFSigGen_rngSystemGPIBAddress;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTestDirectParameter;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSecurityUpdatePolicy;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNodeLTECRSNumberofPatterns;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNodeLTECRSPatternvShift;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNFrameUserMRUIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGObjectRCSPeak;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGObjectRCSTestCoverage;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGObjectRCSSimulationPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGObjectRCSUpdateInterval;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGSimulationScanPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rngREGSimulationPRI;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLNBIoTWakeUpSignalDuration;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRADLNBIoTWakeUpSignalTimeOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRATestCaseWizardDIP;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRATestCaseWizardCEMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRATestCaseWizardRepetitions;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAFRC;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLNBIoTWakeUpSignalPower;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRADLNBIoTWakeUpSignalSubframe;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExtSeqStreamOutput;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExtSeqRTCIPDWFormat;
extern RsCoreRangeTableRanged RsRFSigGen_rngExtSeqMarkerTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngExtSeqAdvancedAttenuation;
extern RsCoreRangeTableRanged RsRFSigGen_rngExtSeqAdvancedFrequencyOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngExtSeqAdvancedPhaseOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngExtSeqAdvancedTriggerDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngExtSeqStreamMaximumNumberofSequencers;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavClockSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavErrorCorrectionMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGNSSStaticMultipathSVID;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGNSSStaticMultipathStandard;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngGNSSEnvironmentModel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavVehicle;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSEarthObscurationReference;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavSVSelectionMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavTestMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSMarkerMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSAWGNTargetFrequency;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSSVSelectionEarthObscurationOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSSVSelectionMaxNumberofChannels;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSReceiverNumberOfVehicles;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSTGD;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSSBASMessageSchedulePeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSUTCTimeOfWeek;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSUTCWeekNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSMarkerPulseDivider;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSAllExternalTriggersDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSAllExternalTriggersInhibit;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHUMSProtocolSNMP;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRLinkDirection;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRRealtimeFeedbackCustomSerialRate;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNodeNewCopyFrom;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRNodeNewSource;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRFilterTestCase;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTestCaseWizardRFPorts;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTestCaseWizardOutputMode;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTestCaseWizardFeedbackSerialRate;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTestCaseWizardFeedbackBBSelectorIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTestCaseWizardFeedbackConnector;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTestCaseWizardWSRestrictedSet;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTestCaseWizardWSTestRequirement;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRTestCaseWizardWSVirtualDownlinkRFFrequency;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRMarkerConfigurationMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRNodeSSPBCHSLBlocks;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNodeSSPBCHPatternSLSlotsBetweenBlocks;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNodeSSPBCHPatternSLTimeOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationPDSCHTxSchemeCSIRSAntennaPorts;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationPDSCHTxSchemeCodebookMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationPDSCHTxSchemeCodebookType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationPDSCHTxScheme;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationPSCCHResourceBlocks;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationPSCCHDMRSScrambleID;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationPSCCHSymbols;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationPSSCHDMRSAntennaPort;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationPSSCHModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationPSSCHDMRS;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationPSSCHSubchannels;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationPSSCHResourcePool;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationSCIAdditionalMCSIndicator;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationSCIBetaOffsetIndicator;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationSCICommunicationRangeRequirement;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationSCICastTypeIndicator;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationSCIDestinationID;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationSCIDMRSPatterns;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationSCIDMRSPorts;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationSCIFrequencyDomainResourceAssignment;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationSCIHarqProcess;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationSCIModulationandCodingScheme;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationSCIPriority;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationSCIRedundancyVersion;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationSCIResourceReservationPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationSCI2ndStageSCIFormat;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationSCISourceID;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationSCITimeDomainResourceAssignment;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationSCIZoneID;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRDLBWPPDSCHPrecodingMethod;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRDLBWPPDSCHxOverhead;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRDLBWPRMCCQIIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSLBWPID;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSLBWPRBOffsettoPointA;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSLBWPResourceBlocks;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSLBWPRBOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSLBWPResourcePools;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSLBWPResourcePoolsAdditionalMCS;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSLBWPResourcePoolsBetaOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSLBWPResourcePoolsID;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSLBWPResourcePoolsMaxNumberperReserve;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSLBWPResourcePoolsMCSTable;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSLBWPResourcePoolsPRBs;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSLBWPResourcePoolsSubchannels;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSLBWPResourcePoolsPeriodList;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSLBWPResourcePoolsReservedBits;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSLBWPScalingFactor;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSLBWPSubchannelSize;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSLBWPResourcePoolsStartRB;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSLBWPSCSpacing;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRULBWPFRCBandwidth;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRULBWPPUSCHxOverhead;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRULBWPPUSCHUCICGUCIOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRUserDSCHCOTDurationIndicators;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRUserDSCHCOTDurationIndicatorSize;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRUserDSCHAvailableRBSetIndicators;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRUserDSCHSearchSpaceSwitchingFlags;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRUserDSCHAvailableRBSetIndicatorSize;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationCORESETDCIPower;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationCORESETDCIIdentifier;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationPDSCHCodebookParameter;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationPRACHSequenceLength;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationPUSCHTimeOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationResultingMappingType;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationResultingPower;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationPUCCHOCCLengths;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationPUCCHInterlaces;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationPUSCHInterlaces;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationPUSCHCGUCIBits;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationPUSCHAggregationFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationPUSCHAggregationOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationPUCCHCyclicPrefixExtension;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationPSSCHChannelCodingRVIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationTBSScalingFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationPSSCHChannelCodingTransportBlockSize;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationPSSCHChannelCodingTargetCodeRate;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationPUSCHInterlace;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingResourceBlocks;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationsRBOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSymbolNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSymbolOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2Superframes;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2SuperframeFrames;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2BTUDuration;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2BTUBandwidth;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2BTUTimeUnitCount;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2GridNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2GridOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2SectionNumbers;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2Section;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBRCS2SectionMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBRCS2WaveformId;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2StartBTU;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2RepeatCount;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2TimeslotSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2BurstStartOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBRCS2Modulation;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2BurstLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBRCS2SpreadingFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2BurstLengthChip;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBRCS2PayloadContentType;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2PayloadLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2PilotBlockLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2EncodingP;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2EncodingQ;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2UWLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2PreambleLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2PostambleLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2PilotPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2NumberofPilotBlocks;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2FrameBandwidth;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2FrameStartTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2FrameOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBRCS2TXFormat;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBRCS2SuperframeIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBMarkerSuperfameIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBS2SFConfigSFFI;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2SFConfignRef;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2SFConfigSFPilotWH;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2SFConfigSpecificSFL;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBS2SFConfigPLI;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2SFConfigCULength;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2SFConfigd_SF;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2SFConfigP_SF;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2SFConfigPostambleLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2SFConfigEHF;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2SFConfigSFL;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2SFConfigSTWH;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2BHConfigNumberOfDwells;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2BHConfigBeamHoppingCycle;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2DTConfigNumberOfSuperFrames;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2DTConfigSFL;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2DTConfigBeamSwitchingTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2DTConfigDwellLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2GoldSequenceIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngDVBS2MODCODUnique;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSOrbitGLONASSCDMAFieldM;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSSBASSystem;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBEthernetUploadMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngARBMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSystemNetworkQSFPIPAddressMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSystemNetworkQSFPProtocol;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFrontendMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMHSTStartOffset;
extern RsCoreRangeTableRanged RsRFSigGen_rngFSIMActualDelayDEL30MHzDopplerShift;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHRPUWBFrameMaxDataLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHRPUWBFrameMaxFCSLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNEHTSIGMCS;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNEHTSIGNonOFDMAUsers;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNMPDUPaddingLength;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNMPDUTriggerProcessTime;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNRUAllocation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExtSeqAgileSequencingOperationMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngExtSeqDesiredARBSampleRate;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAARBDwellTime;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAARBMaxShift;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngEUTRAARBMode;
extern RsCoreRangeTableRanged RsRFSigGen_rngEUTRAARBSteps;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSatNavGNSSRTKProtocol;
extern RsCoreRangeTableCoerced RsRFSigGen_rngSatNavGNSSRTKPort;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSRTKAntennaOrientation;
extern RsCoreRangeTableRanged RsRFSigGen_rngSatNavGNSSRTKAntennaDelta;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationCORESETDCIConfigurationIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationCORESETDCIFieldFirstSubchannel;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationCORESETDCIIdentifier_001;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationCORESETDCIMCCH;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationCORESETDCIMultiplexingTable;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationCORESETDCIMonitoringAdaptionIndication;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationCORESETDCIPSFCHtoHARQ;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationCORESETDCITimeGap;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationCORESETDMRSReferencePoint;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationResultsSRSCSRS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationResultsDensity;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationResultsFrequencyPosition;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationResultsSRSFrequencyShift;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationResultsCSIRSI;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationResultsCSIRSI1;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationResultsSRSOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationResultsSRSPorts;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationPDSCHFrequencyDensity;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationResultsSRSRepetitionFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationResultsCSIRSRow;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationResultsSRSResourceType;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationResultsCSIRSScramblingID;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationResultsSRSSequenceCyclicShift;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationResultsSRSSequenceHopping;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationResultsSRSSequenceID;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationResultsSRSTransmissionComb;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationResultsRIMRSDelta;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRTestCaseWizardGeneratedSignal;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRDLBWPDCIFormat42;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRDLBWPDCIMaxLTESubchannels;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRDLBWPDCINumberPerPei;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRDLBWPDCIPayloadSize;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRDLBWPDCINumberofslPSFCHToPUCCHSlots;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRDLBWPDCINumberofSubgroupsperPO;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRDLBWPDCITRSAvailabilityIndication;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRDLBWPDCIMonitoringAdaptionIndication;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRUserORANTestCase;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRUserCSRNTIG;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSchedulingAllocationCORESETDCIInstancePagingEarlyIndicator;
extern RsCoreRangeTableRanged RsRFSigGen_rngRFLevelReference;
extern RsCoreRangeTableRanged RsRFSigGen_rngDVBS2SFConfigTSN;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANNFrame320MHzTypeBW;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANNFrameDelay;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFrontendExternalDeviceType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngBandwidthExtensionAlignStatus;
extern RsCoreRangeTableRanged RsRFSigGen_rngBandwidthExtensionPortAdditionalIQDelay;
extern RsCoreRangeTableRanged RsRFSigGen_rngBandwidthExtensionPortAdditionalPhase;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMAllocationModulationOrder;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMAllocationSplitPatternSCSSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMAllocationSplitPatternSymbolSize;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMAllocationZadoffChuCyclicShift;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMAllocationZadoffChuSequenceLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMAllocationZadoffChuSequenceNumber;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMAllocationConstellationPointReal;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMAllocationConstellationPointMagnitude;
extern RsCoreRangeTableRanged RsRFSigGen_rngOFDMAllocationConstellationPointPhase;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngFrontendLocalOscillatorMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngOFDMDCMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngPowerSPCMode;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHUMSSNMPAccessRights;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngHUMSSNMPSecurityLevel;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngTestPixelColor;
extern RsCoreRangeTableRanged RsRFSigGen_rngTestPixelTextPointSize;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSystemTimeProtocol;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngLANServices;
extern RsCoreRangeTableRanged RsRFSigGen_rngCalibrationDelayMinutes;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANAYMinimumDurationOfData;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANAYSpatialStreams;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANAYTRNAggregation;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANAYGIType;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANAYBaseMCS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANAYBandwidth;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANAYChannelConfiguration;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANAYPrimaryChannel;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANAYRXTRNUnitsperEachTXTRNUnit;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANAYTrainingM;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANAYTrainingN;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANAYTrainingP;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngWLANAYTrainingSequenceLength;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANAYDifferentialModulationAndCodingScheme;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANAYScramblerSeed;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANAYStationID;
extern RsCoreRangeTableRanged RsRFSigGen_rngWLANAYNumberOfUsers;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRNodeSystemInformationSsbTimeOffsetR17;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNROutputCFReductionBandwidth;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSecondPrecodingInfo;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSecondSRSResourceIndicator;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRCORESETDCIBitLength;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRT3CBind;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngSRSFrequencyScalingFactor;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRDMRSAdditionalPositionIndex;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNRDMRSConfigurationType;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNRDMRSConfigMode;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRDMRSTypeAPosition;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNumberofSlotsTBoMS;
extern RsCoreRangeTableDiscrete RsRFSigGen_rngNRNumberofSlotsTBoMS;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRRestartSlotInterval;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSlotInterval_001;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSlotInterval;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRSlotOffset;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRMaxBits2ndDownlinkAssignmentIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRBitsFor3rdDownlinkAssignmentIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRBitsFor2ndPrecodingInformation;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRBitsForSRSOffsetIndicator;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRBitsFor2ndSRSResourceIndication;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRBitsForEnhancedType3CodebookIndicator;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRCurrentTDAllocationList;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRNumberofTDAllocationLists;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRQuickSettingsFrameFormatSlotPeriod;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRMarkerSlotPeriod;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRSchedulingAllocationSRSConfig;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRULBWPFRCDeployment;
extern RsCoreRangeTableDiscrete RsRFSigGen_rng5GNRULBWPFRCWizardModulation;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRULBWPFRCWizardPayloadSize;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRULBWPPUCCHulAccessConfigListDCI1_2;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRULBWPPUSCHulAccessConfigListDCI0_2;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRUserUSCHBitsforSidelinkAssignmentIndex;
extern RsCoreRangeTableRanged RsRFSigGen_rng5GNRDLBWPPDSCHTDMLNumberOfOFDMSymbols;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REFERENCE_OSCILLATOR_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REFERENCE_OSCILLATOR_EXTERNAL_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REFERENCE_OSCILLATOR_OUTPUT_FREQUENCY_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REFERENCE_OSCILLATOR_USER_DEFINED_CALIBRATION_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REFERENCE_OSCILLATOR_USER_DEFINED_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_ATTENUATOR_ATTENUATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RESET_SIGNAL_PATH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ACTIVATE_ALL_MODULATIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BB_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BB_PATH_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BB_SIGNAL_ROUTING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BB_SIGNAL_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BB_MEASUREMENT_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BB_MEASUREMENT_REMAINING_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BB_MEASUREMENT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BB_MEASUREMENT_POWER_PEAK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BB_MEASUREMENT_POWER_RMS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BB_PHASE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BB_GENERATOR_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SYMBOL_RATE_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SIMULATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SEQUENCE_LENGTH_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SEQUENCE_LENGTH_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_FAST_STORING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_RECALL_PREDEFINED_FRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_USER_FRAME_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_RECALL_USER_FRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SAVE_USER_FRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_DELETE_USER_FRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SYMBOL_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_IGNORE_QUARTER_SYM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_FORCE_DUMMY_BITS_TO_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_MODULATION_TYPE_AQPSK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_MODULATION_TYPE_EDGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_MODULATION_TYPE_16QAM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_MODULATION_TYPE_32QAM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_FILTER_TYPE_AQPSK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_FILTER_TYPE_EDGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_FILTER_TYPE_16QAM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_FILTER_TYPE_32QAM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_FSK_DEVIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_FILTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_FILTER_PARAMETER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_AQPSK_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_AQPSK_SUBCHANNEL_POWER_IMBALANCE_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_HSR_MODULATION_TYPE_QPSK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_HSR_MODULATION_TYPE_16QAM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_HSR_MODULATION_TYPE_32QAM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_HSR_FILTER_TYPE_QPSK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_HSR_FILTER_TYPE_16QAM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_HSR_FILTER_TYPE_32QAM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_RAMP_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_RAMP_FUNCTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_RAMP_RISE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_RAMP_FALL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SLOT_ATTENUATIONS_IN_BB_ONLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SLOT_ATTENUATION_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_TRIGGER_MODE_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_TRIGGER_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_GSM_TRIGGER_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_GSM_TRIGGER_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_TIME_BASED_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_EXTERNAL_TRIGGER_CLOCK_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_EXTERNAL_TRIGGER_CLOCK_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_MARKER_FRAME_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_MARKER_SLOT_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_CLOCK_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SYMBOL_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SYMBOL_CLOCK_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_FRAME_REPETITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_BURST_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_HSR_SLOT_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_MULTISLOT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_NUMBER_OF_SLOTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_GMSK_TIMING_JITTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_VAMOS_OFFSET_JITTER_MEAN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_VAMOS_OFFSET_JITTER_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_ETSC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_ETSC_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_TRAINING_SEQUENCE_SYNC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SYNC_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_FIXED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_FIXED_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_MIXED_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SCPIR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SLOT_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SLOT_ATTENUATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_STEALING_FLAG_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_STEALING_FLAG_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SELECT_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_DATA_LIST_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_TRAINING_SEQUENCE_SET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_TSC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_TSC_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_PREDEFINED_SLOTS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_RECALL_PREDEFINED_SLOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_USER_SLOT_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_RECALL_USER_SLOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_SAVE_USER_SLOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GSM_DELETE_USER_SLOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_TRANSPORT_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FREQUENCY_DEVIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_CONTROLLER_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_SLOT_TIMING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FAST_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FILTER_PARAMETER_ROOT_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FILTER_PARAMETER_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FILTER_PARAMETER_GAUSS_PURE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FILTER_PARAMETER_GAUSS_FSK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FILTER_PARAMETER_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FILTER_PARAMETER_APCO25;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FILTER_PARAMETER_SPLIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FILTER_PARAMETER_LOWPASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FILTER_IMPULSE_LENGTH_AUTO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FILTER_IMPULSE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FILTER_OVERSAMPLING_AUTO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FILTER_OVERSAMPLING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FILTER_SYMBOL_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FILTER_MODULATION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FILTER_MODULATION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_CLIPPING_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_CLIPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_TRIGGER_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_BT_TRIGGER_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_BT_TRIGGER_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_TIME_BASED_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_MARKER_FE_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_MARKER_RE_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_MARKER_PACKETS_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_CLOCK_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_RAMP_FUNCTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_RAMP_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_RAMP_RISE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_RAMP_FALL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_DATA_WHITENING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_NAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_UAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_LAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_LAP_SYNCHRONIZATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_LAP_FOR_SYNC_WORD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_DATA_SOURCE_VOICE_FIELD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_HEADER_LOGICAL_TRANSPORT_ADDRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_HEADER_FLOW_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_HEADER_ACKNOWLEDGMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_HEADER_SEQN_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_PAYLOAD_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_PAYLOAD_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_PAYLOAD_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_PAYLOAD_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_PAYLOAD_EIR_PACKET_FOLLOWS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_PAYLOAD_CLASS_OF_DEVICE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_PAYLOAD_SCAN_REPETITION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_PAYLOAD_FLOW_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_DV_PAYLOAD_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_DV_PAYLOAD_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_PACKET_DV_PAYLOAD_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DTT_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DTT_TABLE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DTT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DTT_FREQUENCY_DRIFT_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DTT_FREQUENCY_DRIFT_DEVIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DTT_START_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DTT_MODULATION_INDEX_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DTT_NUMBER_OF_PACKETS_PER_SET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DTT_SHORT_TABLE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DTT_SHORT_TABLE_CARRIER_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DTT_SHORT_TABLE_SYMBOL_TIMING_ERROR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DTT_LONG_TABLE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DTT_LONG_TABLE_CARRIER_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DTT_LONG_TABLE_SYMBOL_TIMING_ERROR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DTT_LONG_TABLE_MODULATION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DTT_TPC_PACKET_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DTT_TPC_PAYLOAD_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DTT_TPC_SYMBOLS_PER_A_BIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_DTT_TPC_PAYLOAD_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_CHANNEL_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_PACKET_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_PACKET_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_ENCRYPTED_DIVERSIFIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_ACCESS_ADDRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_LONG_TERM_KEY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_ROLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_ADVERTISING_PACKET_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_ADVERTISERS_NAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_CONNECTION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_FEATURE_SET_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_HOP_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_NEW_HOP_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_LL_CONNECTION_EVENT_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_LL_CONNECTION_TIMEOUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_NEW_LL_CONNECTION_TIMEOUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_LL_CONNECTION_INSTANT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_MORE_PROFILES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_NEW_SLAVE_LATENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_NEW_TRANSMIT_WINDOW_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_NEW_TRANSMIT_WINDOW_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_GET_TRANSMIT_WINDOW_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_GET_TRANSMIT_WINDOW_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_PACKETS_PER_EVENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_NESN_START_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_PROFILE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_RANDOM_VECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_SLEEP_CLOCK_ACCURACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_SCAN_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_SCAN_WINDOW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_SN_START_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_CTE_INFO_PRESENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_CTC_INFO_HEADER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_CTE_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_CTE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_CTE_NUMBER_OF_ANTENNAS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_CTE_ANTENNA_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_CTE_TYPEREQ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_CTE_MIN_LEN_REQ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_HOST_IDENTIFIER_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_SID_CTR_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_LAST_PA_EVENT_COUNTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_SYNC_CONNECTION_EVENT_COUNTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_SESSION_KEY_ID_SKDM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_SESSION_KEY_ID_SKDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_SLAVE_LATENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_TRANSMIT_WINDOW_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_TRANSMIT_WINDOW_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_ADRESS_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_CTR_DATA_CONNECTION_EVENT_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_UNKNOWN_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DATA_WHITENING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_CHANNEL_SELECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_CRC_INITIAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_INITIALIZATION_VECTOR_M;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_INITIALIZATION_VECTOR_S;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DEVICES_ADDR_TYPE_ADVERTISER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DEVICES_ADDR_TYPE_SCANNER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DEVICES_ADDR_TYPE_INITIATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DEVICES_ADDR_TYPE_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DEVICES_ADDR_TYPE_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DEVICES_ADDR_ACID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DEVICES_ADDR_ACAS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DEVICES_ADDR_SCID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DEVICES_ADDR_SCAS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DEVICES_ADDR_ICID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DEVICES_ADDR_ICAS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DATA_CHANNEL_MAP_TABLE_AC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DATA_CHANNEL_MAP_TABLE_DC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DATA_CHANNEL_MAP_TABLE_DCM_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DATA_CHANNEL_MAP_TABLE_AC_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DATA_CHANNEL_MAP_TABLE_DC_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DATA_CHANNEL_MAP_TABLE_PCON_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_PAYLOAD_ERROR_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_PAYLOAD_VERSION_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_PAYLOAD_SUBVERSION_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_PAYLOAD_COMPANY_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_CLOCK_ACCURACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_FIRST_ACTIVE_DATA_CHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_CORRUPTED_CRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_MODULATION_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_ADVERTISING_EVENT_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_ADVERTISING_EVENT_DIRECT_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_ADVERTISING_EVENT_DUTY_CYCLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_ADVERTISING_EVENT_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_CONNECTION_EVENT_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_NEW_CONNECTION_EVENT_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_NEW_CONNECTION_EVENT_INTERVAL_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_NEW_CONNECTION_EVENT_INTERVAL_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_EVENT_OFFSET_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_EVENT_OFFSET_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_CONNECTION_EVENT_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_EVENT_REJECT_OPCODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_MAIN_PAYLOAD_PREFERRED_PERIODICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_MAIN_PAYLOAD_ADVERTISING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_MAIN_PAYLOAD_MIN_USED_CHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_MAIN_PAYLOAD_MAX_RX_OCTETS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_MAIN_PAYLOAD_MAX_TX_OCTETS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_MAIN_PAYLOAD_MAX_RX_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_MAIN_PAYLOAD_MAX_TX_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DEVICE_ADDR_ADVERTISER_UPPER_PART;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DEVICE_ADDR_ADVERTISER_LOWER_PART;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DEVICE_ADDR_INITIATOR_UPPER_PART;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DEVICE_ADDR_INITIATOR_LOWER_PART;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DEVICE_ADDR_SCANNER_UPPER_PART;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DEVICE_ADDR_SCANNER_LOWER_PART;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DEVICE_ADDR_TARGET_UPPER_PART;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_DEVICE_ADDR_TARGET_LOWER_PART;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_EXTENDED_HEADER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_EXTENDED_HEADER_ADVA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_EXTENDED_HEADER_TARGETA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_EXTENDED_HEADER_ADVDATA_INFO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_EXTENDED_HEADER_AUXPTR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_EXTENDED_HEADER_SYNCINFO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_EXTENDED_HEADER_TX_POWER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_EXTENDED_HEADER_TX_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_EXTENDED_HEADER_ACAD_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_EXTENDED_HEADER_ACAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_EXTENDED_HEADER_APATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_EXTENDED_HEADER_ALIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_RX_PHY_LE1_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_RX_PHY_LE2_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_RX_PHY_LE_CODED_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_TX_PHY_LE1_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_TX_PHY_LE2_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_TX_PHY_LE_CODED_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_PHY_LE1M_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_PHY_LE2M_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_PHY_LCOD_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_PHY_LE1_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_PHY_LE2_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_PHY_LE_CODED_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_M_TO_S_PHY_1MBIT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_M_TO_S_PHY_2MBIT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_M_TO_S_PHY_1MBIT_CODED_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_S_TO_M_PHY_1MBIT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_S_TO_M_PHY_2MBIT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_S_TO_M_PHY_1MBIT_CODED_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_ADVERTISING_DATA_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_ADVERTISING_SET_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_AUXPTR_CLOCK_ACCURACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_AUXPTR_OFFSET_UNITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_AUXPTR_AUX_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_AUXPTR_AUX_PHY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_SYNC_PACKET_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_SYNC_OFFSET_UNITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_SYNC_OFFSET_ADJUST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_SYNC_PERIODIC_ADVERTISING_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BT_LE_SYNC_EVENT_COUNTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_CHIP_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_LINK_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ADJUST_TOTAL_POWER_TO_0DB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TOTAL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_DELETE_3GPP_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_RECALL_3GPP_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_SAVE_3GPP_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_SEQUENCE_LENGTH_ARB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_FILTER_PARAMETER_APCO25;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_FILTER_PARAMETER_ROOT_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_FILTER_PARAMETER_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_FILTER_PARAMETER_SPLIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_FILTER_PARAMETER_LOWPASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_FILTER_PARAMETER_LOWPASS_EVM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_FILTER_PARAMETER_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_CHIP_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_CLIPPING_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_CLIPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TRIGGER_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TRIGGER_SINGLE_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TRIGGER_SINGLE_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_MARKER_USER_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_CLOCK_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_CHIP_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_OCNS_ADD_BS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_OCNS_SEED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_OCNS_MODE_BS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_RESET_ALL_BASESTATIONS_BS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_COPY_FROM_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_COPY_TO_DESTINATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_COPY_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_CHANNELIZATION_CODE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_TEST_MODEL_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_TEST_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_TEST_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_TEST_CASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_TEST_CASE_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_CARRIER_NOISE_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_QUERY_CARRIER_NOISE_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_SIGNAL_NOISE_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_QUERY_SIGNAL_NOISE_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_NOISE_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_BLOCK_ERROR_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_REQUIRED_PROBABILITY_OF_DETECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_AWGN_SIGNAL_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_BS_POWER_CLASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_BS_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_BS_RF_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_FADING_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_TRIGGER_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_MARKER_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_BLOCKING_SCENARIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_POWER_RATIO_DPCCH_DPDCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_SLOT_FORMAT_DPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_TPC_REPEAT_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_TPC_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_TPC_BIT_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_TPC_START_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_TPC_START_PATTERN_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_TPC_POWER_DOWN_STEPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_TPC_POWER_UP_STEPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_RMC_CODING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_BIT_ERROR_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_DPDCH_BLOCK_ERROR_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_OVERALL_SYMBOL_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_WANTED_SIGNAL_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_WANTED_SIGNAL_OPERATING_BAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_WANTED_SIGNAL_POWER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_RACH_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_WANTED_SIGNAL_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_WANTED_SIGNAL_PROPAGATION_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_BASEBAND_A_SIGNAL_ROUTING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_BASEBAND_DIVERSITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_SCRAMBLING_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_SCRAMBLING_CODE_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_INTERFERER_BANDWIDTH_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_SIGNAL_LEVEL_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_CW_INTERFERING_SIGNAL_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_CW_INTERFERING_SIGNAL_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_CW_INTERFERING_SIGNAL_POWER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_MODULATED_INTERFERING_SIGNAL_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_MODULATED_INTERFERING_SIGNAL_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_MODULATED_INTERFERING_SIGNAL_POWER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_INTERFERER_2_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_INTERFERER_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_INTERFERING_SIGNAL_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_INTERFERING_SIGNAL_POWER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_INTERFERENCE_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_TS25141_INTERFERER_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_USER_CHANNEL_CODING_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_CHANNEL_CODING_USER_CODING_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_HSDPA_H_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_CHANNEL_TABLE_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_SCRAMBLING_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_SCRAMBLING_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_SCPICH_PHASE_REFERENCE_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_SECOND_SEARCH_CODE_GROUP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_PAGE_INDICATORS_FRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_TRANSMIT_DIVERSITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_OPEN_LOOP_TRANSMIT_DIVERSITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_RESOLVE_DOMAIN_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_DOMAIN_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_COMPRESSED_MODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_COMPRESSED_MODE_METHOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_COMPRESSED_MODE_DL_FRAME_STRUCTURE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_COMPRESSED_MODE_POWER_OFFSET_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_COMPRESSED_MODE_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_COMPRESSED_MODE_SLOT_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_COMPRESSED_MODE_TRANSMISSION_GAP_DISTANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_COMPRESSED_MODE_PATTERN_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_COMPRESSED_MODE_GAP_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_USE_CHANNELS_NEEDED_FOR_SYNC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_USE_SCCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_SYMBOL_RATE_SCCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_NUMBER_OF_DPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_SYMBOL_RATE_DPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_CREST_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_PREDEFINED_SETTINGS_ACCEPT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_CHANNEL_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_SLOT_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_SYMBOL_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_CHANNELIZATION_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_CHANNEL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_DATA_SOURCE_OF_DATA_FIELDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_DLIST_PATTERN_DATA_LISTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_DLIST_PATTERN_DLIST_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_TIMING_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_TFCI_FIELD_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_TFCI_FIELD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_PILOT_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_MULTICODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_DYNAMIC_POWER_CONTROL_UP_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_TPC_DATA_SOURCE_FIELD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_TPC_PATTERN_FIELD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_TPC_DATA_LISTS_SELECT_TPC_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_TPC_READ_OUT_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_TPC_FOR_OUTPUT_POWER_CONTROL_MISUSE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_TPC_MISUSE_POWER_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_FDPCH_TPC_DATA_SOURCE_FIELD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_FDPCH_TPC_PATTERN_FIELD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_FDPCH_TPC_DATA_LISTS_SELECT_TPC_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_FDPCH_TPC_READ_OUT_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_FDPCH_TPC_FOR_OUTPUT_POWER_CONTROL_MISUSE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_FDPCH_TPC_MISUSE_POWER_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_DPCCH_POWER_OFFSET_PILOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_DPCCH_POWER_OFFSET_TPC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_DPCCH_POWER_OFFSET_TFCI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_ERGCH_TYPE_OF_CELL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_ERGCH_EDCH_TTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_ERGCH_SIGNATURE_HOPPING_PATTERN_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_ERGCH_RELATIVE_GRANT_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_ERGCH_TAU_DPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_ERGCH_TAU_ERGCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_EHICH_TYPE_OF_CELL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_EHICH_EDCH_TTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_EHICH_SIGNATURE_HOPPING_PATTERN_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_EHICH_ACK_NACK_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_EHICH_TAU_DPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_EHICH_TAU_EHICH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_AICH_ACCESS_SLOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_AICH_SIGNATURE_ACKNACK_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_APAICH_ACCESS_SLOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_APAICH_SIGNATURE_ACKNACK_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_EAGCH_INFORMATION_FIELD_CODING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_EAGCH_EDCH_TTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_EAGCH_CONFIGURABLE_TTIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_EAGCH_UEID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_EAGCH_ABSOLUTE_GRANT_VALUE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_EAGCH_ABSOLUTE_GRANT_SCOPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS_ENH_PCPICH_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_MIMO_PRECODING_WEIGHT_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_MIMO_STREAM_2_ACTIVE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_INTER_TTI_DISTANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_MIMO_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_MIMO_CONSTELLATION_VERSION_PARAMETER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_PREDEFINED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_ADVANCED_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_SUGGESTED_ARB_SEQ_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_ADJUST_ARB_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_NAIB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_UE_CATEGORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_HSSCCH_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_BURST_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_CONSTELLATION_VERSION_PARAMETER_B_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_PRECODING_WEIGHT_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_DATA_SOURCE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_DATA_SOURCE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_UEID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_CHANNELIZATION_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_RANDOMLY_VARYING_MODULATION_AND_NUMBER_OF_CODES_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_ALTERNATIVE_NUMBER_HSPDSCH_CHANNELIZATION_CODES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_RANDOM_SEED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_ALTERNATIVE_HSPDSCH_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_TOTAL_HSPDSCH_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_HSPDSCH_CHANNELIZATION_CODES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_START_CHANNELIZATION_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_UE_SUPPORTS_64QAM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_STREAM_2_ACTIVE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_HSPDSCH_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_BINARY_CHANNEL_BITS_PER_TTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_TBS_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_TBS_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_TBS_REFERENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_INFORMATION_BIT_PAYLOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_CODING_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_VIRTUAL_IR_BUFFER_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_HARQ_PROCESSES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_SIGNALLING_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_HARQ_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_REDUNDANCY_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_ENH_HSDPA_HS_REDUNDANCY_VERSION_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_DPCH_ENHANCED_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_TCH_INTERLEAVER_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_CHANNEL_CODING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_CHANNEL_CODING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_CHANNEL_CODING_USER_CODING_RECALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_CHANNEL_CODING_USER_CODING_SAVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_SLOT_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_SYMBOL_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_BITS_PER_FRAME_DPDCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_TCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_TCH_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_TCH_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_TCH_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_TCH_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_TCH_TRANSPORT_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_TCH_RATE_MATCHING_ATTRIBUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_TCH_TRANSPORT_TIME_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_TCH_DTX_INDICATION_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_TCH_SIZE_OF_CRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_TCH_ERROR_PROTECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_TCH_INTERLEAVER_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_BIT_ERROR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_BIT_ERROR_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_INSERT_ERRORS_ON;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_BLOCK_ERROR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_BLOCK_ERROR_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_DYNAMIC_POWER_CONTROL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_DYNAMIC_POWER_CONTROL_DEVIATION_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_DYNAMIC_POWER_CONTROL_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_DYNAMIC_POWER_CONTROL_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_DYNAMIC_POWER_CONTROL_CONNECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_DYNAMIC_POWER_CONTROL_MANUAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_DYNAMIC_POWER_CONTROL_POWER_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_DYNAMIC_POWER_CONTROL_UP_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_DYNAMIC_POWER_CONTROL_DOWN_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_ENHANCED_PCCPCH_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_ENHANCED_PCCPCH_CHANNEL_CODING_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_ENHANCED_PCCPCH_INTERLEAVER_1_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_ENHANCED_PCCPCH_INTERLEAVER_2_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_BS1_ENHANCED_PCCPCH_CHANNEL_CODING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TEST_SETUPS_MODELS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TEST_SETUPS_MODELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_ENABLED_ADDITIONAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_NUMBER_OF_ADDITIONAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_SCRAMBLING_CODE_STEP_ADDITIONAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_POWER_OFFSET_ADDITIONAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TIME_DELAY_STEP_ADDITIONAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_RESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_SCRAMBLING_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_SCRAMBLING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_COMPRESSED_MODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_COMPRESSED_MODE_METHOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_COMPRESSED_MODE_POWER_OFFSET_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_COMPRESSED_MODE_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_COMPRESSED_MODE_SLOT_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_COMPRESSED_MODE_GAP_DISTANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_COMPRESSED_MODE_PATTERN_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_COMPRESSED_MODE_GAP_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_START_OFFSET_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TIME_PRE_PRE_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TIME_PRE_MP_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_SEQUENCE_PERIOD_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_PREAMBLE_POWER_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_PREAMBLE_POWER_STEP_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_PREAMBLE_DELTA_POWER_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_PREAMBLE_REPETITION_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_SIGNATURE_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_AICH_TRANSMISSION_TIMING_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DATA_POWER_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_CONTROL_POWER_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_MESSAGE_LENGTH_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_SLOT_FORMAT_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_SYMBOL_RATE_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TFCI_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DATA_SOURCE_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DATA_LIST_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_PATTERN_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_LEVEL_CORRECTION_DELTA_POWER_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_LEVEL_CORRECTION_MESSAGE_CONTROL_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_LEVEL_CORRECTION_MESSAGE_DATA_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_REPEATED_DURING_ARB_SEQUENCE_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_REPEAT_AFTER_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_CODING_ENABLED_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_CODING_TYPE_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_START_OFFSET_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TIME_PRE_PRE_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_SEQUENCE_PERIOD_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_PREAMBLE_POWER_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_PREAMBLE_POWER_STEP_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_PREAMBLE_REPETITION_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_POWER_CONTROL_PREAMBLE_LENGTH_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_SIGNATURE_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_AICH_PREAMBLE_POWER_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TIME_PREAMBLE_MESSAGE_PART_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TIME_PREAMBLES_DIFFERENCE_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_REPEATED_DURING_ARB_SEQUENCE_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_REPEAT_AFTER_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DATA_POWER_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_CONTROL_POWER_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_MESSAGE_LENGTH_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_LEVEL_CORRECTION_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_SLOT_FORMAT_CONTROL_PART_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_FBI_MODE_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_FBI_PATTERN_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_SYMBOL_RATE_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DATA_SOURCE_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DATA_LIST_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DATA_PATTERN_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TFCI_VALUE_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TPC_DATA_SOURCE_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TPC_DATA_LIST_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TPC_PATTERN_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TPC_READ_OUT_MODE_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_CODING_ENABLED_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_CODING_TYPE_PCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_POWER_DPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DLUL_TIMING_OFFSET_DPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_SLOT_FORMAT_DPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_USE_TFCI_DPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TFCI_VALUE_DPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_FBI_MODE_DPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_FBI_PATTERN_DPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DPCCH_CHANNELIZATION_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TPC_MODE_DPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TPC_DATA_SOURCE_DPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TPC_DATA_LIST_DPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TPC_PATTERN_DPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_TPC_READ_OUT_MODE_DPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_MISUSE_TPC_FOR_OUTPUT_POWER_CONTROL_DPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_POWER_STEP_TPC_DPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_ENABLED_HSDPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_POWER_HSDPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_START_DELAY_HSDPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_INTER_TTI_DISTANCE_HSDPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_CQI_PATTERN_LENGTH_HSDPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_ACK_NACK_PATTERN_HSDPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_CHANNELIZATION_CODE_HSDPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_POWER_OFFSET_ACKACK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_POWER_OFFSET_ACKNACK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_POWER_OFFSET_NACKACK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_POWER_OFFSET_NACKNACK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_NUMBER_OF_TTIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_RELEASE_8_MIMO_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_HARQ_ACK_REPEAT_AFTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_HARQ_ACK_NUMBER_OF_ROWS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_POWER_OFFSET_CQI_TYPE_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_PCI_CQI_REPEAT_AFTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_PCI_CQI_NUMBER_OF_ROWS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_POWER_OFFSET_ACK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_POWER_OFFSET_NACK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_SECONDARY_CELL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_SECONDARY_CELL_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_SLOT_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_ADJUST_ARB_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_SUGGESTED_CURRENT_ARB_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_CQI_VALUES_HSDPCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_HSDPCCH_MIMO_HARQACK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_HSDPCCH_MIMO_PCI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_HSDPCCH_MIMO_CQI_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_HSDPCCH_MIMO_CQI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_HARQ_ACK_FROM_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_HARQ_ACK_TO_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_HARQ_ACK_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_HARQ_ACK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_PCI_CQI_FROM_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_PCI_CQI_TO_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_PCI_CQI_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_PCI_CQI_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_PCI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSDPCCH_MIMO_PCI_CQI_CONTENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_ENABLED_DPDCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_CHANNEL_POWER_DPDCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_OVERALL_SYMBOL_RATE_DPDCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_FORCE_CHANNELIZATION_CODE_TO_IO_DPDCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_SYMBOL_RATE_DPDCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_CHANNELIZATION_CODE_DPDCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DPDCH_DATA_SOURCE_DPDCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DPDCH_PATTERN_DPDCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DPDCH_DATA_LIST_DPDCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DCCH_DATA_SOURCE_DPDCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DCCH_PATTERN_DPDCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DCCH_DATA_LIST_DPDCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_CHANNEL_CODING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_CHANNEL_CODING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_USER_CODING_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_USER_CODING_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_USER_CODING_RECALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_USER_CODING_SAVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_OVERALL_SYMBOL_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_BITS_PER_FRAME_DPDCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_INTERLEAVER_2_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_BS_ENHANCED_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_TRANSPORT_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_TRANSPORT_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_RATE_MATCHING_ATTRIBUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_TRANSPORT_TIME_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_SIZE_OF_CRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_ERROR_PROTECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_INTERLEAVER_1_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_BIT_ERROR_INSERTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_BIT_ERROR_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_INSERT_ERRORS_ON;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_BLOCK_ERROR_INSERTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE1_BLOCK_ERROR_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPCCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPCCH_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPCCH_RETRANS_SEQUENCE_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPCCH_CHANNELIZATION_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPCCH_ETFCI_INFORMATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPCCH_EDCH_TTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPCCH_HAPPY_BIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPCCH_DTX_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPCCH_DTX_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPCCH_FRC_UE_CATEGORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPCCH_FRC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPCCH_FRC_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPCCH_FRC_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPCCH_FRC_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPCCH_FRC_OVERALL_SYMBOL_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPCCH_FRC_TBS_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPCCH_FRC_TBS_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPDCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPDCH_CHANNEL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPDCH_OVERALL_SYMBOL_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPDCH_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPDCH_EDCH_TTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPDCH_FORCE_CHANNELIZATION_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPDCH_DTX_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPDCH_DTX_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPDCH_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPDCH_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPDCH_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPDCH_SYMBOL_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPDCH_CHANNELIZATION_CODE_AND_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDPDCH_SELECTED_CHANNEL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDCH_TTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_ULDTX_EDCH_TTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDCH_NUMBER_OF_TABLE_ROWS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDCH_SCHEDULE_REPEATS_AFTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDCH_FROM_TTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_EDCH_TO_TTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_CHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_MIBRATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_EDCH_TTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_HARQ_PROCESSES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_PAYBITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_TTIBITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_CODING_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_PHYSICAL_CHAN_CODES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_DTX_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_DTX_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_HARQ_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_HARQ_FEEDBACK_SIMULATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_HARQ_FEEDBACK_REDUNDANCY_VERSION_0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_HARQ_FEEDBACK_MAX_NUMBER_OF_RETRANSMISSIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_HARQ_FEEDBACK_ACK_DEFINITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_HSUPA_FRC_HARQ_FEEDBACK_CONNECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_HARQ_FEEDBACK_DELAY_BETWEEN_FEEDBACK_AND_HARQ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_HARQ_FEEDBACK_ADITIONAL_USER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_BIT_ERROR_INSERTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_BIT_ERROR_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_BIT_ERROR_INSERTION_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_BIT_ERROR_INSERTION_LAYER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_BLOCK_ERROR_INSERTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_BLOCK_ERROR_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_BLOCK_ERROR_INSERTION_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_HSUPA_FRC_VIRTUAL_HARQ_ACKNACK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_HSDPA_BIT_ERROR_INSERTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_HSDPA_BIT_ERROR_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_HSDPA_BIT_ERROR_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_HSDPA_BLOCK_ERROR_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_HSDPA_BLOCK_ERROR_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_DPCCH_BURST_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_DPCCH_CYCLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_DPCCH_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_DPCCH_PREAMBLE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_DPCCH_POSTAMBLE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_ULDTX_USER_SCHEDULING_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_SCHEDULING_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_DELETE_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_SELECT_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_SCHEDULING_EDCH_TTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_INACTIVITY_THRESHOLD_FOR_CYCLE_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_LONG_PREAMBLE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_BURST_LENGTH_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_BURST_LENGTH_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_CYCLE_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_CYCLE_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_POSTAMBLE_LENGTH_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_POSTAMBLE_LENGTH_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_PREAMBLE_LENGTH_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DTX_PREAMBLE_LENGTH_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DYNAMIC_POWER_CONTROL_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DYNAMIC_POWER_CONTROL_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DYNAMIC_POWER_CONTROL_MANUAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DYNAMIC_POWER_CONTROL_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DYNAMIC_POWER_CONTROL_CONNECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DYNAMIC_POWER_CONTROL_POWER_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DYNAMIC_POWER_CONTROL_UP_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DYNAMIC_POWER_CONTROL_DOWN_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DYNAMIC_POWER_CONTROL_POWER_DEVIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DYNAMIC_POWER_CONTROL_ASSIGNMENT_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_W3GPP_UE_DYNAMIC_POWER_CONTROL_ENABLE_ALL_ACTIVE_UES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_SPREADING_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_LINK_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_ADJUST_TOTAL_POWER_TO_0DB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_TOTAL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_FAST_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_SEQUENCE_LENGTH_ARB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_INVERT_Q_FOR_CORRECT_BASEBAND_OUTPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_FILTER_PARAMETER_APCO25;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_FILTER_PARAMETER_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_FILTER_PARAMETER_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_FILTER_PARAMETER_PURE_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_FILTER_PARAMETER_ROOT_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_FILTER_PARAMETER_SPLIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_FILTER_PARAMETER_LOWPASS_EVM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_FILTER_PARAMETER_LOWPASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_CHIP_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_CLIPPING_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_CLIPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_TRIGGER_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MARKER_USER_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_CLOCK_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_CHIP_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_COPY_FROM_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_TO_DESTINATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_COPY_WALSH_CODE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_EXECUTE_COPY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_RESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_PN_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_TRANSMIT_DIVERSITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_DIVERSITY_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_QUASI_ORTH_WALSH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_RESOLVE_DOMAIN_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_DOMAIN_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_DOMAIN_ORDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_PREDEFINED_RADIO_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_USE_PILOT_FPICH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_USE_SYNC_FSYNC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_USE_PAGING_CHANNEL_FPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_CREST_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_PREDEFINED_SETTINGS_ACCEPT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_NUMBER_OF_TRAFFIC_CHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_USE_DEDICATED_CONTROL_FDCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_USE_FUNDAMENTAL_FFCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_NUMBER_OF_SUPPLEMENTAL_FSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_PREDEFINED_FRAME_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_PREDEFINED_DATA_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_REAL_TIME_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_CHANNEL_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_RADIO_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_FRAME_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_DATA_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_WALSH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_Q_ORTH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_CHANNEL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_DLIST_PATTERN_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_DLIST_PATTERN_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_WALSH_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_LC_MASK_HEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_POWER_CONTROL_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_POWER_CONTROL_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_POWER_CONTROL_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_POWER_CONTROL_READ_OUT_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_MISUSE_FOR_OUTPUT_POWER_CONTROL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_POWER_CONTROL_POWER_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_CHANNEL_CODING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_EFFECTIVE_DATA_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_SOURCE_BITS_PER_FRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_CRC_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_CODER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_SYMBOL_REPETITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_SYMBOL_PUNCTURE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_BLOCK_INTERLEAVER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_BIT_ERROR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_BIT_ERROR_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_BLOCK_ERROR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_BLOCK_ERROR_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_PACKET_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_WALSH_CODE_COLUMN_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_SAME_PACKET_SETUP_FOR_ALL_SUBPACKETS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_SUBPACKET_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_SPID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_SUBPACKET_TIME_SLOT_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_SUBPACKET_PARAMETERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_SUBPACKET_WELSH_CODES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_SYNC_ADDITIONAL_CHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_SYNC_PROTOCOL_REVISION_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_SYNC_MINIMUM_PROTOCOL_REVISION_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_SYNC_NETWORK_IDENTIFICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_SYNC_SYSTEM_IDENTIFICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_SYNC_LC_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_BS_SYNC_SYSTEM_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_RESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_ENABLED_ADDITIONAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_NUMBER_OF_ADDITIONAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_LC_MASK_STEP_ADDITIONAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_POWER_OFFSET_ADDITIONAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_TIME_DELAY_STEP_ADDITIONAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_RADIO_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_CHANNEL_CODING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_OPERATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_LC_MASK_HEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_POWER_CONTROL_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_POWER_CONTROL_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_POWER_CONTROL_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_POWER_CONTROL_READ_OUT_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_MISUSE_FOR_OUTPUT_POWER_CONTROL_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_POWER_CONTROL_POWER_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_CHANNEL_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_FRAME_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_DATA_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_WALSH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_SPREAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_CHANNEL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_DLIST_PATTERN_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_DLIST_PATTERN_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_C2K_MS_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_CHIP_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_LINK_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SETTINGS_TEST_MODEL_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SETTINGS_TEST_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SEQUENCE_LENGTH_ARB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_FILTER_PARAMETER_ROOT_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_FILTER_PARAMETER_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_FILTER_PARAMETER_PURE_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_FILTER_PARAMETER_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_FILTER_PARAMETER_APCO25;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_FILTER_PARAMETER_SPLIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_FILTER_PARAMETER_LOWPASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_FILTER_PARAMETER_LOWPASS_EVM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_CHIP_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_FILTER_IMPULSE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_FILTER_IMPULSE_LENGTH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_FILTER_OVERSAMPLING_FACTOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_FILTER_OVERSAMPLING_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_CLIPPING_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_CLIPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_RAMP_FUNCTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_RAMP_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_RAMP_RISE_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_RAMP_FALL_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_IN_BASEBAND_ONLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_TRIGGER_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_MARKER_USER_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_CLOCK_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_CHIP_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_RESET_ALL_CELLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_ADJUST_TOTAL_POWER_TO_0DB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_TOTAL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_USE_PCCPCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SPREADING_FACTOR_DEDICATED_CHANNELS_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SPREADING_FACTOR_DEDICATED_CHANNELS_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_NUMBER_OF_DEDICATED_CHANNELS_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_NUMBER_OF_DEDICATED_CHANNELS_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_CREST_FACTOR_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_CREST_FACTOR_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_PREDEFINED_SETTINGS_ACCEPT_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_PREDEFINED_SETTINGS_ACCEPT_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_COPY_CELL_FROM_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_COPY_CELL_TO_DESTINATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_CELL_COPY_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DWPTS_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_UPPTS_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DWPTS_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_UPPTS_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_CELL_ENABLE_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_CELL_ENABLE_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_USE_SCRAMBLING_CODE_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_USE_SCRAMBLING_CODE_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SCRAMBLING_CODE_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SCRAMBLING_CODE_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BASIC_MIDAMBLE_CODE_ID_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BASIC_MIDAMBLE_CODE_ID_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SYNC_DL_CODE_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SYNC_DL_CODE_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_PHASE_ROTATION_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_PHASE_ROTATION_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SYNC_UL_CODE_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SYNC_UL_CODE_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_NUMBER_OF_USERS_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_NUMBER_OF_USERS_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SWITCHING_POINT_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SWITCHING_POINT_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_TIME_DELAY_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_TIME_DELAY_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_CODING_TYPE_DOWNLINK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_CODING_TYPE_UPLINK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_ENABLE_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_ENABLE_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_NUMBER_OF_TIME_SLOTS_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_NUMBER_OF_TIME_SLOTS_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_NUMBER_OF_CHANNELS_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_NUMBER_OF_CHANNELS_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_RESOURCE_UNITS_ON_PHYSICAL_LAYER_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_RESOURCE_UNITS_ON_PHYSICAL_LAYER_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_SLOT_FORMAT_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_SLOT_FORMAT_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_DATA_BITS_PER_FRAME_10MS_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_DATA_BITS_PER_FRAME_10MS_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_CHANNEL_ENABLE_DL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_CHANNEL_ENABLE_DL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_CHANNEL_ENABLE_UL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_CHANNEL_ENABLE_UL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_CHANNEL_DATA_SOURCE_DL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_CHANNEL_DATA_SOURCE_DL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_CHANNEL_DATA_SOURCE_UL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_CHANNEL_DATA_SOURCE_UL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_CHANNEL_DATA_PATTERN_DL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_CHANNEL_DATA_PATTERN_DL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_CHANNEL_DATA_PATTERN_UL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_CHANNEL_DATA_PATTERN_UL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_CHANNEL_DATA_LIST_DL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_CHANNEL_DATA_LIST_DL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_CHANNEL_DATA_LIST_UL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_CHANNEL_DATA_LIST_UL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_TIME_INTERVAL_DL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_TIME_INTERVAL_DL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_TIME_INTERVAL_UL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_TIME_INTERVAL_UL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_BLOCKS_DL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_BLOCKS_DL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_BLOCKS_UL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_BLOCKS_UL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_BLOCK_SIZE_DL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_BLOCK_SIZE_DL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_BLOCK_SIZE_UL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_BLOCK_SIZE_UL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_SIZE_OF_CRC_DL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_SIZE_OF_CRC_DL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_SIZE_OF_CRC_UL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_SIZE_OF_CRC_UL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_RATE_MATCHING_ATTRIBUTE_DL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_RATE_MATCHING_ATTRIBUTE_DL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_RATE_MATCHING_ATTRIBUTE_UL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_RATE_MATCHING_ATTRIBUTE_UL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_ERROR_PROTECTION_DL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_ERROR_PROTECTION_DL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_ERROR_PROTECTION_UL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_ERROR_PROTECTION_UL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_INTERLEAVER1_ENABLE_DL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_INTERLEAVER1_ENABLE_DL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_INTERLEAVER1_ENABLE_UL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_INTERLEAVER1_ENABLE_UL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_INTERLEAVER2_ENABLE_DL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_INTERLEAVER2_ENABLE_DL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_INTERLEAVER2_ENABLE_UL_DTCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_TRANSPORT_INTERLEAVER2_ENABLE_UL_DCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_SPREADING_CODE_SELECTION_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_SPREADING_CODE_SELECTION_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_MAPPING_ON_PHYSICAL_CHANNELS_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_MAPPING_ON_PHYSICAL_CHANNELS_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_BIT_ERROR_INSERTION_ENABLE_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_BIT_ERROR_INSERTION_ENABLE_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_BIT_ERROR_RATE_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_BIT_ERROR_RATE_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_INSERT_ERRORS_ON_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_INSERT_ERRORS_ON_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_BLOCK_ERROR_INSERTION_ENABLE_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_BLOCK_ERROR_INSERTION_ENABLE_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_BLOCK_ERROR_RATE_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_BLOCK_ERROR_RATE_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSCH_REDUNDANCY_VERSION_PAR_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSCH_REDUNDANCY_VERSION_PAR_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSCH_PRIORISATION_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSCH_PRIORISATION_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSCH_PUNCTURING_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSCH_PUNCTURING_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSCH_CONSTELLATION_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSCH_CONSTELLATION_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_RMC_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSUPA_EDCH_FRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSSCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_UEID_HRNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_VIRTUAL_IR_BUFFER_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_INTER_TTI_DISTANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_SIGNALING_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSUPA_NUMBER_OF_EUCCH_PER_TTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_TRANSPORT_BLOCK_SIZE_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSUPA_TRANSPORT_BLOCK_SIZE_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSUPA_SPREADING_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSUPA_RETRANSMISSION_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSUPA_RETRANSMISSION_SEQUENCE_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_UE_CATEGORY_DL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_UE_CATEGORY_DL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_UE_CATEGORY_UL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_UE_CATEGORY_UL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_MAXIMUM_INFORMATION_BIT_THROUGHPUT_DL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_MAXIMUM_INFORMATION_BIT_THROUGHPUT_DL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_MAXIMUM_INFORMATION_BIT_THROUGHPUT_UL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_MAXIMUM_INFORMATION_BIT_THROUGHPUT_UL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_NUMBER_OF_TIME_SLOTS_DL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_NUMBER_OF_TIME_SLOTS_DL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_NUMBER_OF_TIME_SLOTS_UL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_NUMBER_OF_TIME_SLOTS_UL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_NUMBER_OF_CODES_PER_TS_DL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_NUMBER_OF_CODES_PER_TS_DL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_NUMBER_OF_CODES_PER_TS_UL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_NUMBER_OF_CODES_PER_TS_UL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_DATA_SOURCE_DL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_DATA_SOURCE_DL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_DATA_SOURCE_UL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_DATA_SOURCE_UL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_DATA_PATTERN_DL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_DATA_PATTERN_DL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_DATA_PATTERN_UL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_DATA_PATTERN_UL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_DATA_LIST_DL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_DATA_LIST_DL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_DATA_LIST_UL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_DATA_LIST_UL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_MODULATION_DL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_MODULATION_DL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_MODULATION_UL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_MODULATION_UL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_NUMBER_OF_CODED_BITS_PER_TTI_DL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_NUMBER_OF_CODED_BITS_PER_TTI_DL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_NUMBER_OF_CODED_BITS_PER_TTI_UL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_NUMBER_OF_CODED_BITS_PER_TTI_UL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_TRANSMISSION_TIME_INTERVAL_DL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_TRANSMISSION_TIME_INTERVAL_DL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_TRANSMISSION_TIME_INTERVAL_UL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_TRANSMISSION_TIME_INTERVAL_UL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_TRANSPORT_BLOCK_SIZE_INDEX_DL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_TRANSPORT_BLOCK_SIZE_INDEX_DL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_TRANSPORT_BLOCK_SIZE_INDEX_UL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_TRANSPORT_BLOCK_SIZE_INDEX_UL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_INFORMATION_BIT_PAYLOAD_DL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_INFORMATION_BIT_PAYLOAD_DL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_INFORMATION_BIT_PAYLOAD_UL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_INFORMATION_BIT_PAYLOAD_UL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_CODING_RATE_DL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_CODING_RATE_DL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_CODING_RATE_UL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_CODING_RATE_UL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_NUMBER_OF_HARQ_PROCESSES_DL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_NUMBER_OF_HARQ_PROCESSES_DL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_NUMBER_OF_HARQ_PROCESSES_UL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_NUMBER_OF_HARQ_PROCESSES_UL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_HARQ_MODE_DL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_HARQ_MODE_DL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_HARQ_MODE_UL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_HARQ_MODE_UL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_REDUNDANCY_VERSION_PARAMETER_DL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_REDUNDANCY_VERSION_PARAMETER_DL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_REDUNDANCY_VERSION_PARAMETER_UL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_REDUNDANCY_VERSION_PARAMETER_UL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_REDUNDANCY_VERSION_SEQUENCE_DL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_REDUNDANCY_VERSION_SEQUENCE_DL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_REDUNDANCY_VERSION_SEQUENCE_UL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_REDUNDANCY_VERSION_SEQUENCE_UL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_SLOT_FORMAT_DL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_SLOT_FORMAT_DL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_SLOT_FORMAT_UL_HSDPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSDPA_HSUPA_SLOT_FORMAT_UL_HSUPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_PLCCH_SYNC_SHIFT_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_PLCCH_TPC_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_PLCCH_TTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSSICH_CQI_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSSICH_CQI_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSSICH_ACK_NAK_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DCH_HSSICH_TTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BCH_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BCH_CODING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BCH_SLOT_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BCH_DATA_BITS_PER_FRAME_10MS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BCH_TRANSPORT_CHANNEL_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BCH_TRANSPORT_CHANNEL_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BCH_TRANSPORT_CHANNEL_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BCH_TRANSPORT_CHANNEL_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BCH_TRANSPORT_TIME_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BCH_TRANSPORT_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BCH_TRANSPORT_BLOCKS_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BCH_TRANSPORT_SIZE_OF_CRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BCH_TRANSPORT_RATE_MATCHING_ATTRIBUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BCH_TRANSPORT_ERROR_PROTECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BCH_TRANSPORT_INTERLEAVER1_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BCH_TRANSPORT_INTERLEAVER2_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BCH_SPREADING_CODE_SELECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_BCH_MAPPING_ON_PHYSICAL_CHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_IN_THE_SUBFRAME_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_UPLINK_SLOT_IN_THE_SUBFRAME_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_CONFLICT_DOWNLINK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_CONFLICT_UPLINK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_CHANNEL_TYPE_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_CHANNEL_TYPE_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_ENHANCED_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_ENHANCED_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_CRT_USER_MIDAMBLE_SHIFT_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_CRT_USER_MIDAMBLE_SHIFT_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_MIDAMBLE_SHIFT_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_MIDAMBLE_SHIFT_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_FMT_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_FMT_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_SPREADING_FACTOR_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_SPREADING_FACTOR_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_SPREADING_CODE_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_SPREADING_CODE_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_POWER_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_POWER_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_DATA_SOURCE_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_DATA_SOURCE_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_DATA_PATTERN_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_DATA_PATTERN_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_DATA_LIST_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_DATA_LIST_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_CHANNEL_ENABLE_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_CHANNEL_ENABLE_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_EUCCH_CHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_EUCCH_ETFCI_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_EUCCH_RETRANSMISSION_SEQUENCE_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_EUCCH_HARQ_PROCESS_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_NUMBER_OF_TFCI_BITS_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_NUMBER_OF_TFCI_BITS_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_TFCI_VALUE_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_TFCI_VALUE_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_NUMBER_OF_SYNC_SHIFT_TPC_BITS_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_NUMBER_OF_SYNC_SHIFT_TPC_BITS_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_SYNC_SHIFT_PATTERN_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_SYNC_SHIFT_PATTERN_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_SYNC_SHIFT_REPETITION_M_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_SYNC_SHIFT_REPETITION_M_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_TPC_SOURCE_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_TPC_SOURCE_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_TPC_SOURCE_PATTERN_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_TPC_SOURCE_PATTERN_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_TPC_SOURCE_DATA_LIST_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_TPC_SOURCE_DATA_LIST_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_READ_OUT_MODE_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_DPCCH_READ_OUT_MODE_UL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_UP_SLOT_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_PRACH_POWER_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_PRACH_UPPTS_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_PRACH_UPPTS_DISTANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_PRACH_UPPTS_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_PRACH_UPPTS_POWER_CORRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_PRACH_UPPTS_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_PRACH_UPPTS_REPETITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_RACH_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_RACH_SLOT_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_RACH_SPREADING_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_RACH_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_RACH_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_RACH_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_RACH_CURRENT_USER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_RACH_MESSAGE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_RACH_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_RACH_POWER_CORRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_RACH_SPREADING_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_RACH_MIDAMBLE_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_DW_PTS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TDSCDMA_SLOT_UP_PTS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_LINK_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_PN_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_SYSTEM_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_FAST_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_ANET_PILOT_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_ANET_PHYSICAL_LAYER_SUBTYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_ANET_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_ANET_OTHER_USERS_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CONTROL_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CONTROL_CHANNEL_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CONTROL_CHANNEL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CONTROL_CHANNEL_REVISION_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CONTROL_CHANNEL_REVISION_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_RAB_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_RAB_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_RAB_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_RAB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_RAB_MAC_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_MULTI_CARRIER_ENABLED_UP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_MULTI_CARRIER_ENABLED_DOWN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_BAND_CLASS_UP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_BAND_CLASS_DOWN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_MULTI_CARRIER_DELAY_UP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_MULTI_CARRIER_DELAY_DOWN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_MULTI_CARRIER_CENTER_FREQUENCY_UP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_MULTI_CARRIER_CENTER_FREQUENCY_DOWN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CARRIER_ENABLED_UP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CARRIER_ENABLED_DOWN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CARRIER_CDMA_CHANNEL_NUMBER_UP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CARRIER_CDMA_CHANNEL_NUMBER_DOWN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CARRIER_CENTER_FREQUENCY_UP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CARRIER_CENTER_FREQUENCY_DOWN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_NUMBER_OF_PACKETS_INFINITE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_NUMBER_OF_PACKETS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_RATE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_PACKET_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_SLOT_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_MAC_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_MAC_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_INTERLEAVE_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_RPC_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_RPC_RANGE_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_RPC_INJECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_RPC_BIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_RPC_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_DRC_LOCK_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_DRC_LOCK_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_DRC_LOCK_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_DRC_FRAME_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TU_HARQ_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TERMINAL_PREDEFINED_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_PHYSICAL_LAYER_SUBTYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_LONG_CODE_MASK_I;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_PREAMBLE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_ACCESS_CYCLE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DISABLE_QUADRATURE_SPREADING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_LONG_CODE_MASK_Q;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_ACCESS_CYCLE_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_PILOT_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_PILOT_CHANNEL_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_AUXILIARY_PILOT_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_AUXILIARY_PILOT_CHANNEL_MINIMUM_PAYLOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_AUXILIARY_PILOT_CHANNEL_RELATIVE_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_RRI_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_RRI_CHANNEL_RELATIVE_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DSC_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DSC_CHANNEL_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DSC_CHANNEL_RELATIVE_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DSC_CHANNEL_VALUES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DRC_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DRC_CHANNEL_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DRC_CHANNEL_COVER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DRC_CHANNEL_RELATIVE_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DRC_CHANNEL_VALUES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DRC_CHANNEL_GATING_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_ACK_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_ACK_CHANNEL_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_ACK_CHANNEL_VALUES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_ACK_CHANNEL_RELATIVE_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_ACK_CHANNEL_GATING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_CAPSULE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_APPEND_FCS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_RELATIVE_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_DATA_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_PACKET_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_PACKET_RELATIVE_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_PACKET_INFINITE_PACKETS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_PACKETS_TO_SEND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_PACKET_SUBPACKETS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_PACKET_PAYLOAD_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_PACKET_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_PACKET_DATA_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_PACKET_CODING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_PACKET_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_PACKET_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_PACKET_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_AT_DATA_CHANNEL_PACKET_FCS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_FILTER_PARAMETER_ROOT_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_FILTER_PARAMETER_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_FILTER_PARAMETER_GAUSS_PURE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_FILTER_PARAMETER_GAUSS_FSK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_FILTER_PARAMETER_APCO25;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_FILTER_PARAMETER_SPLIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_FILTER_PARAMETER_LOW_PASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_FILTER_PARAMETER_LOW_PASS_EVM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CHIP_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CLIPPING_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CLIPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_SEQUENCE_LENGTH_ARB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_INVERT_Q_FOR_CORRECT_BASEBAND_OUTPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TRIGGER_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_TRIGGER_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_MARKER_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CLOCK_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CHIP_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EVDO_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FAST_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_PHYSICAL_LAYER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_SIMULATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_PREDEFINED_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_IDLE_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_PSDU_BIT_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_PSDU_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_PSDU_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_PSDU_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_PSDU_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_SCRAMBLING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_NUMBER_OF_DATA_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_SCRAMBLER_INITIALIZATION_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_SERVICE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_INTERLEAVER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_SERVICE_FIELD_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_TIME_DOMAIN_WINDOWING_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_TRANSITION_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_PLCP_PH_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_SERVICE_FIELD_CLOCK_BIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_BARKER_SPREADING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_MAC_HEADER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FCS_CHECKSUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FRAME_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_DURATION_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_MAC_ADDRESS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_MAC_ADDRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FRAME_CONTROL_PROTOCOL_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FRAME_CONTROL_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FRAME_CONTROL_SUBTYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FRAME_CONTROL_TO_DS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FRAME_CONTROL_FROM_DS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FRAME_CONTROL_MORE_FRAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FRAME_CONTROL_RETRY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FRAME_CONTROL_PWR_MGT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FRAME_CONTROL_MORE_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FRAME_CONTROL_WEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FRAME_CONTROL_ORDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_SEQUENCE_CONTROL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_SEQUENCE_CONTROL_FRAG_START_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_SEQUENCE_CONTROL_SEQU_START_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_SEQUENCE_CONTROL_FRAG_INCREMENT_EVERY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_SEQUENCE_CONTROL_SEQU_INCREMENT_EVERY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FILTER_PARAMETER_APCO25;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FILTER_PARAMETER_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FILTER_PARAMETER_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FILTER_PARAMETER_PURE_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FILTER_PARAMETER_ROOT_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FILTER_PARAMETER_SPLIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FILTER_PARAMETER_LOW_PASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FILTER_PARAMETER_LOW_PASS_EVM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_CHIP_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_CLIPPING_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_CLIPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_TRIGGER_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_TRIGGER_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_TRIGGER_SEQUENCE_LENGTH_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_CLOCK_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_CHIP_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COUPLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_TRANSMISSION_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_PSDU_MODULATION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_EDIT_APPEND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_EDIT_COPY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_EDIT_PASTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_EDIT_INSERT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_EDIT_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FAST_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_NUMBER_OF_ANTENNAS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_ANTENNAS_MAPPING_COORDINATES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_ANTENNA_COUPLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_NUMBER_OF_BASEBANDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_ANTENNAS_CHAIN_MAPPING_OUTPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_ANTENNAS_CHAIN_MAPPING_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_ANTENNAS_CHAIN_MAPPING_CARTESIAN_REAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_ANTENNAS_CHAIN_MAPPING_CARTESIAN_IMAGINARY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_ANTENNAS_CHAIN_MAPPING_CYLINDRICAL_MAGNITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_ANTENNAS_CHAIN_MAPPING_CYLINDRICAL_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FILTER_DEFAULT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_CUT_OFF_FREQUENCY_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FILTER_IFFT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FILTER_PARAMETER_ROOT_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FILTER_PARAMETER_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FILTER_PARAMETER_GAUSS_PURE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FILTER_PARAMETER_GAUSS_FSK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FILTER_PARAMETER_APCO25;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FILTER_PARAMETER_SPLIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FILTER_PARAMETER_LOW_PASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FILTER_PARAMETER_LOW_PASS_EVM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FILTER_IMPULSE_LENGTH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FILTER_IMPULSE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FILTER_UPSAMPLING_FACTOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FILTER_UPSAMPLING_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_SAMPLE_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_CLIPPING_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_CLIPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_CLIPPING_SIGNAL_FIELDS_TO_PAYLOAD_MAX_PEAK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_INSERT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_COPY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_PASTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_PLCP_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_PLCP_LOCKED_CLOCK_BIT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_PHYSICAL_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_TX_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_TX_MODE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_IDLE_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_BOOST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_OFDMA_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_PSDU_BIT_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_PSDU_BARKER_SPREADING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLAN_FRAME_BLOCK_PSDU_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_BEAM_CHANGE_AND_SMOOTHING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_320MHZ_TYPE_BW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_STREAM_SPATIAL_STREAMS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_STREAM_EXTENDED_SPATIAL_STREAMS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_STREAM_MULTI_USER_MIMO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_STREAM_SEGMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_STREAM_SPACE_TIME_STREAMS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_STREAM_SPACE_TIME_BLOCK_CODING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_STREAM_RIGHT_106_TONE_RU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_N_STS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_GROUP_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BLOCK_MODULATION_AND_CODING_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BITS_PER_SYMBOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_CHANNEL_CODING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_ENCODERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_CODING_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_GUARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_STREAM_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MODULATION_USER_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MODULATION_USER_BITS_PER_SYMBOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MODULATION_USER_ENCODERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MODULATION_USER_COD_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MODULATION_USER_CHANNEL_CODING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_BLOCK_MODULATION_AND_CODING_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_DCM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_STREAM_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_DATA_NUMBER_OF_DATA_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_DATA_FRAME_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_DATA_DUTY_CYCLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_DATA_SCRAMBLER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_DATA_SCRAMBLER_INIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_DATA_INTERLEAVER_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_DATA_SERVICE_FIELD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_DATA_TIME_DOMAIN_WINDOWING_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_DATA_TRANSITION_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_DATA_CHANNEL_BANDWIDTH_IN_NON_HT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_DATA_DYNAMIC_BANDWIDTH_IN_NON_HT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_DATA_NUMBER_OF_DATA_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_DATA_INTERLEAVER_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_DATA_SCRAMBLER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_DATA_SCRAMBLER_INIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_DATA_SERVICE_FIELD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_DATA_DEAFULT_PN_SEED_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_DATA_PN_SEED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_PREAMBLE_HEADER_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HEADER_BLOCK_SMOOTHING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HEADER_NTPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HEADER_PARTIAL_AID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_HEADER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_FCS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_FRAME_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_DURATION_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_QOS_CONTROL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_QOS_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_BSSID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_SOURCE_ADDRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_FRAME_CONTROL_PROTOCOL_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_FRAME_CONTROL_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_FRAME_CONTROL_SUBTYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_FRAME_CONTROL_TO_DS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_FRAME_CONTROL_FROM_DS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_FRAME_CONTROL_MORE_FRAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_FRAME_CONTROL_RETRY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_FRAME_CONTROL_POWER_MANAGEMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_FRAME_CONTROL_MORE_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_FRAME_CONTROL_WEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_FRAME_CONTROL_ORDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_ADDRESS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_ADDRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_SEQUENCE_CONTROL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_SEQUENCE_CONTROL_FRAG_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_SEQUENCE_CONTROL_FRAG_INCREMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_SEQUENCE_CONTROL_SEQ_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_SEQUENCE_CONTROL_SEQ_INCREMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_HT_CONTROL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_HT_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_HT_RDG_MORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_HT_AC_CONSTRAINT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_HT_RESERVED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_HT_S_RESERVED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_HT_ZLF_ANNOUNCEMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_HT_NDP_ANNOUNCEMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_HT_CSI_STEERING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_HT_FEEDBACK_REQUEST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_HT_CALIBRATION_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_HT_CALIBRATION_POSITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_HT_LINK_ADAPTATION_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_HT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_VHT_CONTROL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_VHT_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_VHT_RDG_MORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_VHT_AC_CONSTRAINT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_VHT_UNSOLICITED_MFB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_VHT_FB_TX_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_VHT_CODING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_VHT_GIDH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_VHT_MFB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_VHT_MFSI_GIDL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_VHT_MSI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_VHT_MRQ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_VHT_RESERVED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_VHT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_HE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_HE_AGGREGATED_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MAC_HE_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_HEADER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_FCS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_FRAME_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_DURATION_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_QOS_CONTROL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_QOS_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_FRAME_CONTROL_PROTOCOL_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_FRAME_CONTROL_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_FRAME_CONTROL_SUBTYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_FRAME_CONTROL_TO_DS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_FRAME_CONTROL_FROM_DS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_FRAME_CONTROL_MORE_FRAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_FRAME_CONTROL_RETRY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_FRAME_CONTROL_POWER_MANAGEMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_FRAME_CONTROL_MORE_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_FRAME_CONTROL_WEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_FRAME_CONTROL_ORDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_ADDRESS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_ADDRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_SEQUENCE_CONTROL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_SEQUENCE_CONTROL_FRAG_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_SEQUENCE_CONTROL_FRAG_INCREMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_SEQUENCE_CONTROL_SEQ_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_SEQUENCE_CONTROL_SEQ_INCREMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_HT_CONTROL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MAC_VHT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_SPATIAL_MAPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_SPATIAL_MAPPING_BEAMFORMING_FILE_SELECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_SPATIAL_MAPPING_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_SPATIAL_MAPPING_TIME_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_SPATIAL_MAPPING_I_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_SPATIAL_MAPPING_Q_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_LINK_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_GUARD_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_PACKET_EXTENSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_TIME_DOMAIN_WINDOWING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_BEAM_CHANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_PPDU_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_LTF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_CURRENT_PE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_106_TONE_RU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_TRANSITION_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_LOCKED_CLOCK_BIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_SIGB_DCM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_SIGB_MCS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_PREAMBLE_PUNCTURING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_PREAMBLE_PUNCTURING_BANDWIDTH_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_BSS_COLOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_TXOP_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_SPATIAL_REUSE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_DOPPLER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_PREFEC_PADDING_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_PE_DISAMBIGUITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_LOGGING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_HE_LOGGING_OUTPUT_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_EHT_SIG_BLOCK_USER_X;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_EHT_SIG_MCS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_EHT_SIG_DIFF_PER_80MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_EHT_SIG_NON_OFDMA_USERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_TIME_STAMP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_SSID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_SUPPORTED_RATES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_DSSS_CURRENT_CHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_ATIM_WINDOW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_IMMEDIATE_BLOCK_ACK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_APSD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_CHANNEL_AGILITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_CF_POLL_REQUEST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_DELAYED_BLOCK_ACK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_DELAYED_SHORT_SLOT_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_PBCC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_CF_POLLABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_DSSS_OFDM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_QOS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_SHORT_PREAMBLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_IBSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_RADIO_MEASUREMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_SPECTRUM_MGMT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_PRIVACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_ESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_BARKER_PREAMBLE_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_USE_PROTECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_NONERP_PRESENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_HT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_BEACON_GREEN_FIELD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_TRIGGER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_CASCADE_INDICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_CS_REQUIRED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_GI_LTF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_MU_MIMO_LTF_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_NUM_HE_LTF_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_STBC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_LDPC_EXT_SYMB_SEG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_AP_TX_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_PACKET_EXTENSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_SPATIAL_REUSE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_DOPPLER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_HE_SIG_A_RESERVED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_RESERVED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_TF_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_EHT_RESERVED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_HE_EHT_P160;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_COMMON_INFO_SPECIAL_USER_INFO_FIELD_PRESENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_INFO_AID12;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_INFO_RU_ALLOCATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_INFO_CODING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_INFO_MCS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_INFO_DCM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_INFO_SS_ALLOCATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_INFO_TARGET_RSSI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_INFO_TARGET_RSV;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_TRIGGER_DEPENDENT_USER_INFO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_INFO_PS160;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_INFO_PHY_VERSION_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_INFO_FIRST_SPATIAL_REUSE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_INFO_SECOND_SPATIAL_REUSE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_INFO_UL_BAND_EXTENSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_INFO_U_SIG_DISREGARD_AND_VALIDATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_INFO_RESERVED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_USER_RU_SELECTION_FIRST_CONTENT_CHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_USER_RU_ALLOCATION_FIRST_CONTENT_CHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_USER_RU_ALLOCATION_SECOND_CONTENT_CHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_USER_RU_SELECTION_SECOND_CONTENT_CHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_NUMBER_OF_MU_MIMO_USERS_FIRST_CONTENT_CHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_NUMBER_OF_MU_MIMO_USERS_SECOND_CONTENT_CHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_BLOCK_CENTER_26_TONE_RU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MPDU_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MPDU_EOF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MPDU_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MPDU_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MPDU_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MPDU_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MPDU_USER_EOF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MPDU_USER_PADDING_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MPDU_USER_TRIGGER_PROCESS_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_USER_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_USER_MRU_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_USER_MU_MIMO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_USER_NSTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_USER_RU_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_USER_STATION_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_USER_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_USER_TXBF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_USER_DUAL_CARRIER_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FRAME_USER_MPDU_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MPDU_EOF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MPDU_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MPDU_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MPDU_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_USER_MPDU_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_WLANN_TRIGGER_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_WLANN_TRIGGER_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_TIME_BASED_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_TRIGGER_SHIFT_FALLING_EDGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_TRIGGER_SHIFT_RISING_EDGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_TRIGGER_FRAME_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MARKER_FRAME_BLOCK_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MARKER_FRAME_BLOCK_INDEX_SMW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_CHIP_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANN_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_FRAME_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_DMG_PHY_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_CUT_OFF_FREQUENCY_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_FILTER_PARAMETER_ROOT_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_FILTER_PARAMETER_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_FILTER_PARAMETER_GAUSS_PURE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_FILTER_PARAMETER_GAUSS_FSK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_FILTER_PARAMETER_APCO25;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_FILTER_PARAMETER_SPLIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_FILTER_PARAMETER_LOW_PASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_FILTER_PARAMETER_LOW_PASS_EVM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_FILTER_IMPULSE_LENGTH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_FILTER_IMPULSE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_FILTER_UPSAMPLING_FACTOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_FILTER_UPSAMPLING_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_SAMPLE_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_CLIPPING_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_CLIPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_FRAME_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_FRAME_IDLE_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MCS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_CHANNEL_CODING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_DATA_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_REPETITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_CODE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_SCRAMBLER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_SCRAMBLER_INIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_DATA_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_DATA_TIME_DOMAIN_WINDOWING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_DATA_TRANSITION_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_PREAMBLE_HEADER_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_HEADER_PACKET_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_HEADER_TURNAROUND_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_HEADER_TRAINING_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_HEADER_BEAM_TRACKING_REQUEST_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_HEADER_LAST_RSSI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_HEADER_EXTENDED_SC_MCS_INDICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_HEADER_TONE_PAIRING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_HEADER_DTP_INDICATOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_NUMBER_OF_MPDUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MPDU_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MPDU_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MPDU_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MPDU_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_HEADER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_FCS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_DURATION_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_SEQUENCE_CONTROL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_SEQUENCE_START_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_FRAGMENT_START_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_SEQUENCE_INCREMENT_EVERY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_FRAGMENT_INCREMENT_EVERY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_QOS_CONTROL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_QOS_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_FRAME_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_FRAME_CONTROL_EXTENSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_FRAME_CONTROL_FDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_FRAME_CONTROL_MORE_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_FRAME_CONTROL_MORE_FRAGMENTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_FRAME_CONTROL_ORDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_FRAME_CONTROL_PFR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_FRAME_CONTROL_POWER_MANAGEMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_FRAME_CONTROL_PROTOCOL_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_FRAME_CONTROL_RETRY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_FRAME_CONTROL_SUBTYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_FRAME_CONTROL_TDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_FRAME_CONTROL_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_ADDRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_PPDU_MAC_ADDRESS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_MINIMUM_DURATION_OF_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_CSD_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_PI_2_8_PSK_APPLIED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_SPATIAL_STREAMS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_TRN_AGGREGATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_ADDITIONAL_PPDU_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_GI_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_PPDU_AGGREGATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_CHANNEL_AGGREGATE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_BEAMFORMED_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_BASE_MCS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_CHANNEL_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_LONG_LDPC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_DUAL_POLARIZATION_TRN_TRAINING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_FIRST_PATH_TRAINING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_MU_FORMAT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_NUC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_PRIMARY_CHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_RX_TRN_UNITS_PER_EACH_TX_TRN_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_STBC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_TRAINING_M;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_TRAINING_N;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_TRAINING_P;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_TRAINING_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_DIFFERENTIAL_MODULATION_AND_CODING_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_SCRAMBLER_SEED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_SUPERIMPOSED_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_MU_MIMO_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_USER_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_STATION_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAY_NUMBER_OF_USERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_WLANAD_TRIGGER_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_WLANAD_TRIGGER_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_TIME_BASED_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_EXTERNAL_SYNCHRONISE_OUTPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_TRIGGER_SHIFT_FALLING_EDGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_TRIGGER_SHIFT_RISING_EDGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_TRIGGER_FRAME_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WLANAD_CHIP_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_USE_BASEBAND_AB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_BASEBAND_B_RELATIVE_TO_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_FAST_STORING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_PHYSICAL_LAYER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_DUPLEXING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_LINK_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_FRAME_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_USER_FRAME_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_DOWNLINK_SUBFRAME_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_INITIAL_DELAY_OF_BURST_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_PREDEFINED_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_LEVEL_REFERENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_LEVEL_REFERENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_FREQUENCY_BAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_FACTOR_N;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_SAMPLING_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_BSID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_NUMBER_OF_BURSTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_TG_TO_TB_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_FFT_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_NUMBER_OF_USED_SUBCHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_SUBCHANNEL_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_FRAME_PREAMBLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_FRAME_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_ULMAP_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_ULMAP_UCD_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_FCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_FCH_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_FRAME_NUMBER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_CONFIGURATION_CHANGE_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_FCH_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_FCH_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_FCH_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_BURST_PREAMBLE_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_BURST_MIDAMBLE_REPETITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_BURST_MODULATION_AND_RSCC_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_BURST_CHANNEL_CODING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_BURST_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_BURST_SYMBOLS_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_BURST_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_BURST_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_BURST_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_BURST_DIUC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_BURST_UIUC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_BURST_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_BURST_GAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_BURST_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_BURST_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_ULMAP_ALLOCATION_START_TIME_BASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_ULMAP_ALLOCATION_START_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_DLMAP_APPEND_DCD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_DLMAP_APPEND_UCD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_DLMAP_APPEND_ULMAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_DLMAP_ALLOCATION_START_TIME_BASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_DLMAP_ALLOCATION_START_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_MAC_CRC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_MAC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_MAC_CID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_MAC_PAYLOAD_ENCRYPTED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_MAC_EKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDM_MAC_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_PREDEFINED_FRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_FREQUENCY_BAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SAMPLING_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_NUMBER_OF_ZONES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_FACTOR_N;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_PREAMBLE_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_PREAMBLE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_TG_TO_TB_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_FFT_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_ID_CELL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_ZONE_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_ZONE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SEGMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_UPLINK_NUMBER_OF_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_AUTO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_BURST_TABLE_OFFSET_SYMBOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_PERMBASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_PRBS_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_MAC_CRC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_MAC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_MAC_CID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_MAC_EKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_MAC_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_MAC_PAYLOAD_ENCRYPTED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_MAC_CRC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_MAC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_MAC_CID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_MAC_EKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_MAC_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_MAC_PAYLOAD_ENCRYPTED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SUBCARRIER_RANDOMIZATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SUBCARRIER_PERMUTATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DEDICATED_PILOTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_PILOT_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_NUMBER_OF_BURSTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SPACE_TIME_CODING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SPACE_TIME_CODING_ANTENNA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_ZONE_BOOSTING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_FCH_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_ULMAP_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_ULMAP_UCD_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_ALLOCATED_SUBCHANNELS_BITMAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SUBCHANNELS_ROTATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_USE_ALL_SUBCHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_USED_SUBCHANNELS_BITMAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_AMC_BAND_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_AMC_PHYSICAL_BANDS_BITMAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DLMAP_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DLMAP_REPETITION_CODING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DL_MAP_SLOT_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DLMAP_FRAME_NUMBER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DLMAP_DCD_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DLMAP_BASE_STATION_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DLMAP_INCLUDE_CID_SWITCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DLMAP_APPEND_DCD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DLMAP_DCD_CID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DLMAP_COMPRESSED_MAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DLMAP_APPEND_COMPRESSED_ULMAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DLMAP_ALLOCATION_START_TIME_BASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DLMAP_ALLOCATION_START_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DLMAP_ULMAP_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_RELEVANCE_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_RELEVANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_PERMUTATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_SEPARABILITY_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_DECIMATION_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_DECIMATION_OFFSET_RANDOMIZATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_MAX_CYCLIC_SHIFT_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_DL_PERMBASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_ALLOCATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_SHIFT_VALUE_U;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_TOTAL_NUMBER_OF_CIDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_SYMBOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_CID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_POWER_BOOST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_FREQUENCY_BANDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_START_FREQUENCY_BAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_RELEVANCE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_CYCLIC_SHIFT_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_DECIMATION_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_PERIODICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_SUBCHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_SUBCHANNEL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_SOUNDING_BAND_BITMAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_CSTD_NUMBER_OF_ANTENNAS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_CSTD_SHOW_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_CSTD_TAPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_CSTD_CYCLIC_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_CSTD_LINEAR_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_BURST_MODULATION_AND_CODING_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_CHANNEL_CODING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_BURST_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DURATION_SLOTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_NUMBER_OF_SUBCHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_NUMBER_OF_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_OFFSET_SUBCHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_OFFSET_SYMBOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_OFFSET_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_BURST_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_BOOST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_BURST_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DIUC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_UIUC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_START_OFFSET_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_SLOTS_AVAILABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_PDU_MULTIPLE_PDUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_PDU_NUMBER_OF_PDUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_BURST_SPACE_TIME_CODING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_DIUC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_ACID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_DISABLE_ACK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_CHASE_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_SPID_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_PACKET_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_HARQ_SLOT_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_PDU_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_PDU_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_PDU_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_PDU_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_PDU_CID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_PDU_MAC_CRC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_PDU_MAC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_PDU_MAC_PAYLOAD_ENCRYPTED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_PDU_MAC_EKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_PDU_MAC_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_CHANNEL_CODING_RANDOMIZER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_CHANNEL_CODING_FEC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_CHANNEL_CODING_INTERLEAVER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_CHANNEL_CODE_REPETITION_CODING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_ULMAP_ALLOCATION_START_TIME_BASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_ULMAP_ALLOCATION_START_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_ULMAP_APPEND_DCD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_ULMAP_DCD_CID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_ULMAP_APPEND_UCD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_ULMAP_UCD_CID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_ULMAP_RANGING_BACKOFF_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_ULMAP_RANGING_BACKOFF_END;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_ULMAP_REQUEST_BACKOFF_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_ULMAP_REQUEST_BACKOFF_END;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_RANGING_OPPORTUNITY_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_RANGING_OPPORTUNITY_SLOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_RANGING_SUBCHANNEL_GROUPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_RANGING_ALLOCATED_CODES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_FAST_FEEDBACK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_FAST_FEEDBACK_CODEWORD_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_FAST_FEEDBACK_SUBCHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_FAST_FEEDBACK_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_UCD_RANGING_BACKOFF_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_UCD_RANGING_BACKOFF_END;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_UCD_REQUEST_BACKOFF_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_UCD_REQUEST_BACKOFF_END;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_UCD_BURST_PROFILE_MAPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_UCD_FEC_MODULATION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DCD_FEC_MODULATION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DLUL_MAP_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DLUL_HARQ_ACK_OFFSET_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DLUL_DL_HARQ_ACK_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DLUL_UL_HARQ_ACK_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DLUL_ACK_REGION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_OFDMA_DLUL_INCLUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_SAMPLE_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_FILTER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_CUT_OFF_FREQUENCY_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_FILTER_PARAMETER_ROOT_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_FILTER_PARAMETER_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_FILTER_PARAMETER_GAUSS_PURE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_FILTER_PARAMETER_GAUSS_FSK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_FILTER_PARAMETER_APCO25;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_FILTER_PARAMETER_SPLIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_FILTER_PARAMETER_LOWPASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_FILTER_PARAMETER_LOWPASS_EVM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_FILTER_IMPULSE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_FILTER_IMPULSE_LENGTH_AUTO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_FILTER_OVERSAMPLING_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_FILTER_OVERSAMPLING_FACTOR_AUTO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_CLIPPING_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_CLIPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_DATA_DUMP_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_DATA_DUMP_OUTPUT_DIRECTORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_EXTERNAL_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_EXTERNAL_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_CLOCK_SYNCHRONIZATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_CLOCK_SYNCHRONIZATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_WIMAX_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_FAST_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_TRANSMITTED_SAMPLES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_DATA_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_NUMBER_OF_SUPER_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_HIERARCHY_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_SOURCE_HP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_SOURCE_LP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_TS_FILE_HP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_TS_FILE_LP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_PN_SCRAMBLER_HP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_PN_SCRAMBLER_LP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_OUTER_CODER_HP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_OUTER_CODER_LP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_OUTER_INTERLEAVER_HP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_OUTER_INTERLEAVER_LP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_INNER_CODER_HP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_INNER_CODER_LP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_INNER_CODER_RATE_HP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_INNER_CODER_RATE_LP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_INNER_INTERLEAVER_BIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_INNER_INTERLEAVER_SYMBOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_INNER_INTERLEAVER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_INNER_INTERLEAVER_TX_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_OFDM_RF_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_OFDM_RF_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_OFDM_RF_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_OFDM_RF_GUARD_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_TPS_SETTINGS_CELL_IDENTIFICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_TPS_SETTINGS_TIME_SLICING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_TPS_SETTINGS_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_T_TPS_SETTINGS_MPEFEC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_TRANSMITTED_SAMPLES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_DATA_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_NUMBER_OF_SUPER_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_HIERARCHY_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_SOURCE_HP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_SOURCE_LP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_TS_FILE_HP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_TS_FILE_LP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_PN_SCRAMBLER_HP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_PN_SCRAMBLER_LP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_OUTER_CODER_HP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_OUTER_CODER_LP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_OUTER_INTERLEAVER_HP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_OUTER_INTERLEAVER_LP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_INNER_CODER_HP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_INNER_CODER_LP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_INNER_CODER_RATE_HP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_INNER_CODER_RATE_LP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_INNER_INTERLEAVER_BIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_INNER_INTERLEAVER_SYMBOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_INNER_INTERLEAVER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_INNER_INTERLEAVER_TX_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_OFDM_RF_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_OFDM_RF_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_OFDM_RF_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_OFDM_RF_GUARD_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_TPS_SETTINGS_CELL_IDENTIFICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_TPS_SETTINGS_TIME_SLICING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_TPS_SETTINGS_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_H_TPS_SETTINGS_MPEFEC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_STREAM_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_INPUT_STREAM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_DATA_TS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_DATA_GSE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BB_SCRAMBLER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_CRC32_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_OUTER_CODER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_INNER_CODER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_INNER_CODER_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BIT_INTERLEAVER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_CODE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_MODCOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_PILOT_STATE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_PL_SCRAMBLER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_UNCODED_MODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_AUTO_DFL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_AUTO_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_MODCOD_NUMBER_OF_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_COMPLETE_PN_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_GOLD_SEQUENCE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BB_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_MODCOD_UNIQUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_TS_HEADER_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_TS_HEADER_SYNC_BYTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_TS_HEADER_TRANSPORT_ERROR_INDICATOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_TS_HEADER_PAYLOAD_UNIT_START_INDICATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_TS_HEADER_TRANSPORT_PRIORITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_TS_HEADER_PID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_TS_HEADER_SCRAMBLING_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_TS_HEADER_ADAPTATION_FIELD_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_TS_HEADER_PAYLOAD_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_TS_HEADER_CONTINUITY_COUNTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BB_HEADER_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BB_CCM_ACM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BB_ISSYI_ACTIVE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BB_NDP_ACTIVE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BB_UPL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BB_DFL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BB_SYNC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_MODCOD_TABLE_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_MODCOD_TABLE_CODE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_MODCOD_TABLE_MODCOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_MODCOD_TABLE_PLS_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_MODCOD_TABLE_SF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_MODCOD_TABLE_AUTO_DFL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_MODCOD_TABLE_DFL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_MODCOD_TABLE_PILOT_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_SF_CONFIG_SUPER_FRAME_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_SF_CONFIG_SFFI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_SF_CONFIG_SOSF_WH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_SF_CONFIG_N_REF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_SF_CONFIG_N_PAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_SF_CONFIG_SF_PILOT_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_SF_CONFIG_SF_PILOT_WH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_SF_CONFIG_ST_WH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_SF_CONFIG_SPECIFIC_SFL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_SF_CONFIG_SPECIFIC_PLI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_SF_CONFIG_INFORMATION_CU_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_SF_CONFIG_INFORMATION_D_SF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_SF_CONFIG_INFORMATION_P_SF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_SF_CONFIG_INFORMATION_POSTAMBLE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_SF_CONFIG_INFORMATION_EHF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_SF_CONFIG_INFORMATION_SFL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_SF_CONFIG_TSN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BH_CONFIG_BEAM_HOPING_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BH_CONFIG_ZERO_BEAM_SWITCHING_SIGNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BH_CONFIG_NUMBER_OF_DWELLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BH_CONFIG_ATTENUATE_OTHER_DWELL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BH_CONFIG_BEAM_HOPPING_CYCLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BH_CONFIG_FILL_OTHER_DWELLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BH_CONFIG_DT_CONFIG_NUMBER_OF_SUPER_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BH_CONFIG_DT_CONFIG_SFL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BH_CONFIG_DT_CONFIG_BEAM_SWITCHING_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2_BH_CONFIG_DT_CONFIG_DWELL_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_NUMBER_OF_SUPER_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_VL_SNR_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_STREAM_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_INPUT_STREAM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_DATA_TS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_DATA_GSE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_CRC32_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BB_SCRAMBLER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_OUTER_CODER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_INNER_CODER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_INNER_CODER_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_SF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BIT_INTERLEAVER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_CODE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_MODCOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_PILOT_STATE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_UNCODED_MODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_PL_SCRAMBLER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_SCR_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_AUTO_DFL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_AUTO_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_MODCOD_NUMBER_OF_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_COMPLETE_PN_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_GOLD_SEQUENCE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BB_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_MODCOD_UNIQUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_TS_HEADER_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_TS_HEADER_SYNC_BYTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_TS_HEADER_TRANSPORT_ERROR_INDICATOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_TS_HEADER_PAYLOAD_UNIT_START_INDICATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_TS_HEADER_TRANSPORT_PRIORITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_TS_HEADER_PID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_TS_HEADER_SCRAMBLING_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_TS_HEADER_ADAPTATION_FIELD_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_TS_HEADER_PAYLOAD_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_TS_HEADER_CONTINUITY_COUNTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_GSE_HEADER_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_GSE_LABEL_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_GSE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_GSE_FRAGMENT_ID_USE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_GSE_FRAGMENT_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_GSE_TOTAL_LENGTH_USE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_GSE_TOTAL_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_GSE_PROTOCOL_TYPE_USE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_GSE_PROTOCOL_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_GSE_LABEL_USE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_GSE_LABEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BB_CCM_ACM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BB_HEADER_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BB_ISSYI_ACTIVE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BB_GSE_LITE_ACTIVE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BB_NDP_ACTIVE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BB_UPL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BB_DFL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BB_SYNC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_MODCOD_TABLE_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_MODCOD_TABLE_CODE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_MODCOD_TABLE_MODCOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_MODCOD_TABLE_PLS_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_MODCOD_TABLE_SF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_MODCOD_TABLE_AUTO_DFL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_MODCOD_TABLE_DFL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_MODCOD_TABLE_PILOT_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_SF_CONFIG_SUPER_FRAME_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_SF_CONFIG_SFFI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_SF_CONFIG_SOSF_WH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_SF_CONFIG_N_REF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_SF_CONFIG_N_PAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_SF_CONFIG_SF_PILOT_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_SF_CONFIG_SF_PILOT_WH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_SF_CONFIG_ST_WH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_SF_CONFIG_SPECIFIC_SFL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_SF_CONFIG_SPECIFIC_PLI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_SF_CONFIG_INFORMATION_CU_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_SF_CONFIG_INFORMATION_D_SF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_SF_CONFIG_INFORMATION_P_SF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_SF_CONFIG_INFORMATION_POSTAMBLE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_SF_CONFIG_INFORMATION_EHF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_SF_CONFIG_INFORMATION_SFL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_SF_CONFIG_TSN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BH_CONFIG_BEAM_HOPING_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BH_CONFIG_ZERO_BEAM_SWITCHING_SIGNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BH_CONFIG_NUMBER_OF_DWELLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BH_CONFIG_ATTENUATE_OTHER_DWELL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BH_CONFIG_BEAM_HOPPING_CYCLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BH_CONFIG_FILL_OTHER_DWELLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BH_CONFIG_DT_CONFIG_NUMBER_OF_SUPER_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BH_CONFIG_DT_CONFIG_SFL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BH_CONFIG_DT_CONFIG_BEAM_SWITCHING_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_S2X_BH_CONFIG_DT_CONFIG_DWELL_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_NUMBER_OF_SUPERFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_APPEND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_RESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_GRID_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_NUMBERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_START_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_RESOLVE_CONFLICTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_TX_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_BTU_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_BTU_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_BTU_CHIP_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_BTU_SYMBOL_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_BTU_TIME_UNIT_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_GRID_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_WAVEFORM_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_START_BTU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_REPEAT_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_TIMESLOT_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_BURST_START_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_BURST_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_SPREADING_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_BURST_LENGTH_CHIP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_PAYLOAD_CONTENT_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_PAYLOAD_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_PAYLOAD_PILOT_BLOCK_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_PAYLOAD_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_PAYLOAD_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_PAYLOAD_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_ENCODING_P;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_ENCODING_Q0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_ENCODING_Q1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_ENCODING_Q2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_ENCODING_Q3;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_ENCODING_Y_PUNCTURING_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_ENCODING_W_PUNCTURING_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_REFERENCE_UW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_REFERENCE_UW_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_REFERENCE_PREAMBLE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_REFERENCE_POSTAMBLE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_REFERENCE_PILOT_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_REFERENCE_PILOT_BLOCK_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_RCS2_SUPERFRAME_FRAME_SECTION_REFERENCE_NUMBER_OF_PILOT_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_FILTER_ROLLOFF_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_FILTER_ROLLOFF_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_CUT_OFF_FREQUENCY_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_FILTER_PARAMETER_ROOT_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_FILTER_PARAMETER_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_FILTER_PARAMETER_GAUSS_PURE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_FILTER_PARAMETER_GAUSS_FSK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_FILTER_PARAMETER_APCO25;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_FILTER_PARAMETER_SPLIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_SAMPLE_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_FILTER_PARAMETER_LOW_PASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_FILTER_PARAMETER_LOW_PASS_EVM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_CLIPPING_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_CLIPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_TRIGGER_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_DVB_TRIGGER_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_DVB_TRIGGER_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_TIME_BASED_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_MARKER_SUPERFAME_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_CLOCK_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_CHIP_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_NOTCH_FILTER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_NOTCH_FILTER_CLOCK_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_NOTCH_FILTER_NUMBER_OF_NOTCHES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_NOTCH_FILTER_APPLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_NOTCH_FILTER_NOTCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_NOTCH_FILTER_NOTCH_BANDWIDTH_RELATIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_NOTCH_FILTER_NOTCH_BANDWIDTH_ABSOLUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DVB_NOTCH_FILTER_NOTCH_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_ETI_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_NUMBER_OF_ETI_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_LOOP_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_TRANSPORT_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_ETI_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_FAST_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_PN_SCRAMBLER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_CODER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_INTERLEAVER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_FILTER_CUT_OFF_FREQUENCY_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_FILTER_PARAMETER_ROOT_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_FILTER_PARAMETER_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_FILTER_PARAMETER_GAUSS_PURE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_FILTER_PARAMETER_GAUSS_FSK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_FILTER_PARAMETER_APCO25;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_FILTER_PARAMETER_SPLIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_FILTER_SAMPLE_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_FILTER_PARAMETER_LOWPASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_FILTER_PARAMETER_LOWPASS_EVM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_CLIPPING_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_CLIPPING_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_CLIPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_TRIGGER_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_CLOCK_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DAB_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_ACC_TO_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_SYMBOL_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_CODING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_USER_STANDARDS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_DELETE_USER_STANDARDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_LOAD_USER_STANDARDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_STORE_USER_STANDARDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_PRBS_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_BIT_ORDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_CLOCK_TO_DATA_TIME_DEVIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_CONTROL_LIST_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_CONTROL_LIST_COPY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_CONTROL_LIST_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_CONTROL_LIST_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_CONTROL_LIST_DATA_WRITE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_CONTROL_LIST_NUMBER_OF_LINES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_CONTROL_LIST_FREE_MEMORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_DATA_LIST_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_DATA_LIST_COPY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_DATA_LIST_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_DATA_LIST_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_DATA_LIST_DATA_WRITE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_DATA_LIST_DATA_APPEND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_DATA_LIST_NUMBER_OF_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_DATA_LIST_FREE_MEMORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_MAPPING_LIST_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_MAPPING_LIST_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_MAPPING_LIST_FREE_MEMORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_MAPPING_LIST_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_MAPPING_LIST_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_MODULATION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_ASK_DEPTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FSK_DEVIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_VARIABLE_FSK_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_MODULATION_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_SYNC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_AQPSK_ANGLE_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_16APSK_GAMMA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_32APSK_GAMMA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_RECEIVER_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_THROUGHPUT_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_VARIABLE_FSK_DEVIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_TYPE_PARAMETER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_PARAMETER_APCO25;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_PARAMETER_APCO25_LSM_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_PARAMETER_APCO25_LSM_LOWPASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_PARAMETER_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_PARAMETER_COSINE_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_PARAMETER_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_PARAMETER_PURE_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_PARAMETER_ROOT_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_PARAMETER_SPLIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_PARAMETER_LOW_PASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_PARAMETER_LOW_PASS_EVM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_LIST_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_LIST_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_LIST_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_LIST_FREE_MEMORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_LIST_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_OVERSAMPLING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FILTER_OVERSAMPLING_AUTO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_POWER_RAMPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_POWER_RAMP_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_POWER_RAMP_FUNCTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_POWER_RAMP_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_POWER_RAMP_RISE_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_POWER_RAMP_FALL_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_POWER_RAMP_ATTENUATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_POWER_RAMP_IN_BASEBAND_ONLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_TRIGGER_ARM_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_TRIGGER_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_DM_TRIGGER_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_DM_TRIGGER_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_TIME_BASED_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_TRIGGER_ACTUAL_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_TRIGGER_SPECIFIED_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_EXTERNAL_TRIGGER_DELAY_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_EXTERNAL_TRIGGER_ACTUAL_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_EXTERNAL_TRIGGER_SPECIFIED_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_CLOCK_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_CHIP_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_BIT_CLOCK_SLOPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_SWITCHING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DM_SWITCHING_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_ENABLED_NO_WAIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CLOCK_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_COUPLED_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_RF_POWER_RAMPING_WITH_BURST_MARKER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TEST_SIGNAL_FORM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_WAVEFORM_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_WAVEFORM_CATALOG_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_WAVEFORM_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_WAVEFORM_POINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_WAVEFORM_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_EXECUTE_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_EXTENDED_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TRIGGER_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TRIGGER_SINGLE_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TRIGGER_SINGLE_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TRIGGER_WAVEFORM_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_ARB_TRIGGER_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_ARB_TRIGGER_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TIME_BASED_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_INTERNAL_TRIGGER_EVENT_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_INTERNAL_TRIGGER_DELAY_FOR_TRIGGERING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_EXTERNAL_TRIGGER_DELAY_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_EXTERNAL_TRIGGER_EVENT_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_EXTERNAL_TRIGGER_DELAY_FOR_TRIGGERING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_EXTERNAL_TRIGGER_PROCESSING_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MARKER_DELAY_IN_MICROSECONDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CLOCK_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CHIP_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TSIGNAL_GENERATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TSIGNAL_CREATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TSIGNAL_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TSIGNAL_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TSIGNAL_SAMPLES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TSIGNAL_RECTANGLE_NAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TSIGNAL_RECTANGLE_CREATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TSIGNAL_RECTANGLE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TSIGNAL_RECTANGLE_AMPLITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TSIGNAL_RECTANGLE_OFFSET_DC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TSIGNAL_RECTANGLE_SAMPLES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TSIGNAL_CIQ_NAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TSIGNAL_CIQ_CREATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TSIGNAL_CIQ_I;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_TSIGNAL_CIQ_Q;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_AWGN_SAMPLES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_AWGN_CREATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CREATE_MULTI_CARRIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_RESET_MULTI_CARRIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_CREST_FACTOR_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_OUTPUT_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_SAVE_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_CLOCK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_SAMPLES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_SIGNAL_PERIOD_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_POWER_REFERENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_SIGNAL_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_DATA_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_EXECUTE_MULTI_CARRIER_EDITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_EDIT_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_EDIT_DELAY_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_INPUT_IQ_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_EDIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_EDIT_PHASE_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_EDIT_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_EDIT_POWER_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_STOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_EDIT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_LOAD_MULTI_CARRIER_SETTING_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_STORE_MULTI_CARRIER_SETTING_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_FAST_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_CLIPPING_TARGET_CREST_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTI_CARRIER_CLIPPING_FILTER_CUT_OFF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_FREE_DISK_SPACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_OUTPUT_SEGMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_CURRENT_OUTPUT_SEGMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_LEVEL_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_SEQUENCE_RESTART;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_SEGMENT_RESTART;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_SAVE_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_APPEND_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_NAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_EXECUTE_NEXT_SEGMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_NEXT_SEGMENT_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_NEXT_SEGMENT_LEVEL_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_SEQUENCING_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_WAVEFORM_TAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_CONFIGURATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_CREATE_FROM_CONFIGURATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_LOAD_FROM_CONFIGURATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_SEGMENT_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_DELETE_CONFIGURATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_COMMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_CLOCK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_MULTISEGMENT_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_NOTCH_FILTER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_NOTCH_FILTER_CLOCK_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_NOTCH_FILTER_NUMBER_OF_NOTCHES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_NOTCH_FILTER_APPLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_NOTCH_FILTER_NOTCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_NOTCH_FILTER_NOTCH_BANDWIDTH_RELATIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_NOTCH_FILTER_NOTCH_BANDWIDTH_ABSOLUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_NOTCH_FILTER_NOTCH_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CFR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CFR_ALGORITHM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CFR_DCF_DELTA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CFR_OCF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CFR_FILTERING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CFR_MAXIMUM_FILTER_ORDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CFR_CHANNEL_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CFR_STOP_BAND_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CFR_MAX_ITERATIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CFR_RCF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CFR_SIGNAL_BANDWITH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CFR_CANCELLATION_PULSE_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CFR_TRANSITION_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CFR_PF_REQ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CFR_MEASURE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_CFR_WAVEFORM_CREATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_ETHERNET_UPLOAD_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_ETHERNET_UPLOAD_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_ARB_ETHERNET_UPLOAD_STATISTIC_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_ETHERNET_UPLOAD_STATISTIC_OCCURED_ERRORS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_ETHERNET_UPLOAD_STATISTIC_RX_CONTROL_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_ETHERNET_UPLOAD_STATISTIC_RX_DATA_BYTES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_ETHERNET_UPLOAD_STATISTIC_RX_DATA_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_ETHERNET_UPLOAD_STATISTIC_RX_UPLOAD_SEGMENTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_ETHERNET_UPLOAD_STATISTIC_TX_REPLY_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_ETHERNET_UPLOAD_WAVEFORM_COUNTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ARB_ETHERNET_UPLOAD_WAVEFORM_INFO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_ARB_ETHERNET_UPLOAD_WAVEFORM_TAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SET_TO_DEFAULT_RF_AND_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_RF_BAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_FILTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_AGPS_TEST_SCENARIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_USE_BASEBAND_AB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SIMULATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_LOCALIZATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_PDOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NEXT_HANDOVER_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_TRIGGER_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_MARKER_PULSE_WIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_CHIP_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_LOCALIZATION_GEOGRAPHIC_LOCATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_LOCALIZATION_WAYPOINT_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_LOCALIZATION_READ_OUT_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_LOCALIZATION_POSITION_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_LOCALIZATION_ALTITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_LOCALIZATION_LATITUDE_DEGREES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_LOCALIZATION_LATITUDE_MINUTES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_LOCALIZATION_LATITUDE_SECONDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_LOCALIZATION_LATITUDE_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_LOCALIZATION_LONGITUDE_DEGREES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_LOCALIZATION_LONGITUDE_MINUTES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_LOCALIZATION_LONGITUDE_SECONDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_LOCALIZATION_LONGITUDE_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_LOCALIZATION_SATELLITE_ELEVATION_MASK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ALMANAC_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ALMANAC_FILE_BEGINNING_WEEK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ALMANAC_FILE_BEGINNING_DAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ALMANAC_FILE_BEGINNING_MONTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ALMANAC_FILE_BEGINNING_YEAR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ALMANAC_FILE_END_DAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ALMANAC_FILE_END_MONTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ALMANAC_FILE_END_YEAR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_TIME_OF_EPHEMERIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_GREENWICH_MEAN_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADJUST_TOTAL_POWER_TO_0_DB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_TOTAL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_USE_SPREADING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_INITIAL_HDOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_INITIAL_PDOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SATELLITE_TIME_SHIFT_SATELLITE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SATELLITE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SATELLITE_SPACE_VEHICLE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SATELLITE_RANGING_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SATELLITE_TIME_SHIFT_IN_S;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SATELLITE_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SATELLITE_DOPPLER_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SATELLITE_ADDITIONAL_TIME_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SATELLITE_ADDITIONAL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SATELLITE_ADDITIONAL_DOPPLER_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SATELLITE_INITIAL_CARRIER_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SATELLITE_RESULTING_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SATELLITE_RESULTING_CHIP_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SATELLITE_RESULTING_P_CHIP_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_SATELLITE_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_SET_TO_ALMANAC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_TIME_SHIFT_CHIPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_TIME_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_CODE_ON_L2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_L2_P_DATA_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_FIT_INTERVAL_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_SV_ACCURACY_URA_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_SV_HEALTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_IODC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_IODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_TGD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_TOC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_AF2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_AF1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_AF0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_M0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_DELTAN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_E;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_SQRTA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_OMEGA0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_I0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_OMEGA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_OMEGADOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_IDOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_CUC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_CUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_CRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_CRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_CIC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_CIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_SF1_RESERVED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_DELTA_TLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_WNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_WNLSF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_DN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_DELTA_TLSF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_BETA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_AODO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_NMES_SPACE_VEHICLE_CONFIG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_SYNCHRONIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_NUMBER_OF_SATELLITES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_POSITION_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_ALTITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_LATITUDE_DMS_DEGREES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_LATITUDE_DMS_MINUTES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_LATITUDE_DMS_SECONDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_LATITUDE_DMS_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_LATITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_LONGITUDE_DMS_DEGREES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_LONGITUDE_DMS_MINUTES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_LONGITUDE_DMS_SECONDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_LONGITUDE_DMS_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_LONGITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_UNCERTAINLY_RADIUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_TIME_OF_ASSISTANCE_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_DURATION_OF_ASSISTANCE_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_RESOLUTION_OF_ASSISTANCE_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_GENERATE_ALMANAC_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_GENERATE_NAVIGATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_GENERATE_ACQUISITION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_GENERATE_IONOSPHERIC_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_GENERATE_UTC_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GPS_ADG_SPACE_VEHICLE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_NO_OF_CARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_CARRIER_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_CLOCK_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_OPTIMIZE_CREST_FACTOR_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_CURRENT_CREST_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_DESIRED_CREST_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_EDIT_CARRIER_ACCEPT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_EDIT_CARRIER_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_EDIT_CARRIER_STOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_EDIT_CARRIER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_EDIT_CARRIER_POWER_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_EDIT_CARRIER_POWER_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_EDIT_CARRIER_PHASE_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_EDIT_CARRIER_PHASE_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_TRIGGER_ARM_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_EXECUTE_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_TRIGGER_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_MCCW_TRIGGER_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_MCCW_TRIGGER_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_TIME_BASED_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_CLOCK_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_SAMPLE_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MCCW_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_DEVIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_AUDIO_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_AUDIO_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_AUDIO_SOURCE_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_EXTERNAL_CLOCK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_AUDIO_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_AUDIO_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_LF_GENERATOR_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_PREEMPHASIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_WITHOUT_INTERRUPTION_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_PILOT_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_PILOT_DEVIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_PILOT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_DS_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_DS_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_DS_DEVIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_DS_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_DS_DATA_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_DS_DATA_SET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_DS_GROUP_LIST_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_DS_LOAD_GROUP_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_DS_USER_GROUPS_INPUT_METHOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUPS_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUPS_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUPS_SET_ACTIVE_GROUP_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUPS_PROGRAM_IDENTIFICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUPS_PROGRAM_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUPS_TRAFFIC_PROGRAM_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_TYPE_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_TRANSMIT_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_INPUT_METHOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_TYPE_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_PROGRAM_SERVICE_NAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_DYNAMIC_PTY_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_COMPRESSED_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_ARTIFICAL_HEAD_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_STEREO_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_AF_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_TRAFFIC_ANNOUNCEMENT_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_MUSIC_VOICE_SWITCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_DECODER_INFORMATION_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_AF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_TEXT_AB_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_RADIO_TEXT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_DATE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_USER_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GET_STEREO_GROUP_SYSTEM_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_TIME_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_USER_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_LOCAL_OFFSET_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_GET_SYSTEM_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_AB_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_PROGRAM_TYPE_NAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_PROGRAM_IDENTIFICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_PROGRAM_SERVICE_NAME_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_OTHER_NET_PROGRAM_SERVICE_NAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_PROGRAM_ITEM_NUMBER_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_PROGRAM_ITEM_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_PROGRAM_TYPE_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_PROGRAM_TYPE_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_TA_TYPE_A_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_TA_TYPE_B_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_TRAFFIC_PROGRAM_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_AF_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_MF_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_MF_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_OTHER_NET_AF_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_MF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_MAPPED_TUNNING_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_OTHER_NET_AF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_LI_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_LINKAGE_ACTUATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_EXTENDED_GENERIC_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_INTERNATIONAL_LINKAGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUP_LINKAGE_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUPS_HEX_TABLE_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUPS_HEX_TABLE_NUMBER_OF_ENTRIES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUPS_HEX_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUPS_HEX_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_GROUPS_HEX_TABLE_BLOCK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_USER_MESSAGE_TABLE_NUMBER_OF_ENTRIES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_USER_MEASSAGE_TABLE_BLOCK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STEREO_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_PHYSICAL_LAYER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_DATA_SOURCE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_DATA_SOURCE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_NUMBER_OF_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_FAST_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_FILTER_PARAMETER_ROOT_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_FILTER_PARAMETER_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_FILTER_PARAMETER_PURE_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_FILTER_PARAMETER_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_FILTER_PARAMETER_APCO25;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_FILTER_PARAMETER_SPLIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_FILTER_PARAMETER_LOWPASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_FILTER_PARAMETER_LOWPASS_EVM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_FILTER_SYMBOL_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_EXECUTE_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_MARKER_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SATELLITE_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_LEVEL_AMSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_LEVEL_MCM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_COMPLIANT_FILTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_FILTER_PARAMETER_ROOT_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_FILTER_PARAMETER_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_FILTER_COSINE_CUT_OFF_FREQUENCY_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_FILTER_PARAMETER_PURE_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_FILTER_PARAMETER_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_FILTER_PARAMETER_APCO25;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_FILTER_PARAMETER_SPLIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_FILTER_PARAMETER_LOWPASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_FILTER_PARAMETER_LOWPASS_EVM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_FILTER_SYMBOL_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_EXECUTE_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_MARKER_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_MARKER_MCM_POSITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TERRESTRIAL_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_PHYSICAL_LAYER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_PHYSICAL_LAYER_TRANSMISSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_DATA_SOURCE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_DATA_SOURCE_DATA_LIST_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_DATA_SOURCE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_FAST_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_HDD_STREAMING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_HDD_STREAMING_BUFFER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_OVERLAY_ANGULAR_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_FILTER_PARAMETER_ROOT_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_FILTER_PARAMETER_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_FILTER_PARAMETER_GAUSS_PURE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_FILTER_PARAMETER_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_FILTER_PARAMETER_APCO25;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_FILTER_PARAMETER_SPLIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_FILTER_PARAMETER_LOWPASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_FILTER_PARAMETER_LOWPASS_EVM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_FILTER_SYMBOL_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_MARKER_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_SATELLITE_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_XMR_SIRIUS_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_OVERLAY_ANGULAR_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_FILTER_COMPLIANT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_FILTER_PARAMETER_ROOT_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_FILTER_PARAMETER_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_FILTER_PARAMETER_GAUSS_PURE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_FILTER_PARAMETER_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_FILTER_PARAMETER_APCO25;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_FILTER_PARAMETER_SPLIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_FILTER_SYMBOL_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_FILTER_PARAMETER_LOWPASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_FILTER_PARAMETER_LOWPASS_EVM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_FILTER_COSINE_CUT_OFF_FREQUENCY_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_MARKER_SYMBOL_POSITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_MARKER_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TERRESTRIAL_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TRIGGER_ARM_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SIRIUS_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_UWB_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_UWB_TARGET_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DUPLEXING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LINK_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_SEQUENCE_LENGTH_IN_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_TEST_MODEL_DL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_TEST_MODEL_TDD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_USER_PLANE_DATA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FAST_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_TEST_CASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_SUBTEST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_OPTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_APPLY_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_GENERAL_TEST_SPECIFICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_GENERAL_TEST_SPECIFICATION_RELEASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_GENERAL_TRIGGER_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_GENERAL_MARKER_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_GENERAL_SIGNAL_ROUTING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_GENERAL_INSTRUMENT_SETUP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_GENERAL_NUMBER_OF_RX_ANTENNAS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_GENERAL_NUMBER_OF_TX_ANTENNAS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_GENERAL_ANTENNA_SUBSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_GENERAL_GENERATED_SIGNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_GENERAL_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_GENERAL_BASE_STATION_CLASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_FREQUENCY_ALLOCATION_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_FREQUENCY_ALLOCATION_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_DOMINANT_INTERFERER_PROPORTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_RELATIVE_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_OUTPUT_POWER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_DUPLEXING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_TDD_UL_DL_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_SIGNAL_ADVANCE_N_TA_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_SPECIAL_SUBFRAME_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_CELL_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_UE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_UE_ID_MOVING_UE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_VRB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_VRB_OFFSET_MOVING_UE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_POWER_LEVEL_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_CYCLIC_PREFIX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_PROPAGATION_CONDITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_FRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_BURST_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_TIMING_OFFSET_BASE_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_FRACTION_THROUGPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_ADDITIONALLY_CONFIGURE_PUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_POWER_LEVEL_PUSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_POWER_LEVEL_PUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_HIGH_SPEED_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_TRANSMIT_SRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_ORTHOGONAL_COVER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_ACK_NACK_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_ACK_NACK_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_VIRTUAL_DOWNLINK_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_NPUSCH_FRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_NPRACH_PREAMBLE_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_SUBCARRIER_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_REPETITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_CE_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_INTRACELL_POWER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_INTRACELL_FRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_INSTRACELL_UE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_CQI_PATTERN_PORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_WS_PORT_ORTHOGONAL_COVER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_OFFSET_TO_CHANNEL_EDGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_DUPLEXING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_TDD_UL_DL_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_SIGNAL_ADVANCE_N_TA_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_POWER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_UE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_UE_ID_STATIONARY_UE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_FREQUENCY_SHIFT_M;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_VRB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_VRB_OFFSET_STATIONARY_UE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_CELL_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_RB_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_INTERFERER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_TEST_REQUIREMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_TRANSMIT_SRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_PROPAGATION_CONDITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_ORTHOGONAL_COVER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_TEST_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_NRB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS_TEST_MODEL_CODES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS2_PROPAGATION_CONDITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS2_ORTHOGONAL_COVER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS2_POWER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS2_INTERFERER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS2_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS2_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS2_UE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS2_CELL_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS2_DUPLEXING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS3_PROPAGATION_CONDITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS3_ORTHOGONAL_COVER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_IS3_POWER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_RTF_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_RTF_CONNECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_RTF_CONNECTOR_MOVING_UE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_RTF_CONNECTOR_STATIONARY_UE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_RTF_ADDITIONAL_USER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_RTF_BASEBAND_SELECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_RTF_BASEBAND_SELECTOR_MOVING_UE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_RTF_BASEBAND_SELECTOR_STATIONARY_UE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_RTF_SERIAL_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_RTF_ACK_DEFINITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_WIZARD_AWGN_POWER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_OUTPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_PREAMBLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_GENERATE_SUMMARY_LOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_DL_EXTENDED_INFORMATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_UL_EXTENDED_INFORMATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_DL_ALL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_DL_ALL_DISABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_DL_ENCC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_DL_PBCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_DL_PDSCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_DL_PMCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_DL_NWUS_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_UL_ALL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_UL_ALL_DISABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_UL_PUSCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_UL_PUSDRS_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_UL_PUCDRS_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_UL_SIDELINK_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_UL_SIDELINK_DRS_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_UL_SRS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_UL_PUCCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_DL_LOGGING_POINT_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_LOGFILES_UL_LOGGING_POINT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CARRIER_AGGREGATION_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CARRIER_AGGREGATION_CELL_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CARRIER_AGGREGATION_PHYSICAL_CELL_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CARRIER_AGGREGATION_CELL_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CARRIER_AGGREGATION_CELL_BASEBAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CARRIER_AGGREGATION_CELL_DELTA_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CARRIER_AGGREGATION_CELL_DUPLEXING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CARRIER_AGGREGATION_CELL_TDD_UL_DL_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CARRIER_AGGREGATION_CELL_TDD_SPECIAL_SUBFRAME_CONFIG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CARRIER_AGGREGATION_CELL_CIF_PRESENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CARRIER_AGGREGATION_SCHEDCELL_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CARRIER_AGGREGATION_CELL_PDSCH_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CARRIER_AGGREGATION_CELL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CARRIER_AGGREGATION_CELL_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CARRIER_AGGREGATION_CELL_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CARRIER_AGGREGATION_CELL_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_RHO_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_UE_CATEGORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_SC_RADIO_FRAME_ALLOCATION_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_SC_RADIO_FRAME_ALLOCATION_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_SC_SUBFRAME_ALLOCATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_SC_ALLOCATION_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_AI_AREA_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_AI_NONMBSFN_REGION_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_AI_NOTIFICATION_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_AI_MCCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_AI_MCCH_REPETITION_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_AI_MCCH_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_AI_MCCH_MODIFICATION_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_AI_MCCH_MCS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_AI_MCCH_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_AI_MCCH_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_AI_MCCH_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_AI_MCCH_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_AI_MCCH_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_AI_ALLOCATION_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_AI_NOTIFICATION_REPETITION_COEFFICIENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_AI_NOTIFICATION_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_AI_NOTIFICATION_SUBFRAME_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_AI_NOTIFICATION_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_PMCH_COMMON_SUBFRAME_AP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_PMCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_PMCH_NUMBER_OF_PMCHS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_PMCH_SF_ALLOC_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_PMCH_SF_ALLOC_END;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_PMCH_MCS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_PMCH_MCS_TWO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_PMCH_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_PMCH_SCHEDULING_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_PMCH_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_PMCH_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MBSFN_PMCH_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PHYSICAL_SETTINGS_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PHYSICAL_SETTINGS_SAMPLING_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PHYSICAL_SETTINGS_FFT_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PHYSICAL_SETTINGS_OCCUPIED_SUBCARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PHYSICAL_SETTINGS_LEFT_GUARD_SUBCARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PHYSICAL_SETTINGS_RIGHT_GUARD_SUBCARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PHYSICAL_SETTINGS_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PHYSICAL_SETTINGS_MAPPED_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PHYSICAL_SETTINGS_OCCUPIED_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_K55_PDSCH_SCHEDULING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MIMO_GLOBAL_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MIMO_NIOT_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MIMO_SIMULATED_ANTENNA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MIMO_SIMULATED_ANTENNA_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MIMO_SIMULATED_ANTENNA_B;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MIMO_APM_MAPPING_COORDINATES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MIMO_CELL_SPECIFIC_APM_BASEBAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MIMO_CELL_SPECIFIC_APM_REAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MIMO_CELL_SPECIFIC_APM_IMAGINARY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MIMO_APM_REAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_MIMO_APM_IMAGINARY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CELL_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CELL_PHYSICAL_CELL_ID_GROUP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CELL_PHYSICAL_LAYER_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CELL_CYCLIC_PREFIX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CELL_TDD_CYCLIC_PREFIX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CELL_PDSCH_P_B;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CELL_FFNC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CELL_PSYNC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CELL_SSYNC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CELL_PDSCH_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CELL_PDCCH_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CELL_PBCH_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CELL_PHICH_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CELL_PHICH_N_G;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CELL_RA_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CELL_PHICH_DURATION_CELL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CELL_PHICH_N_G_CELL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_REFERENCE_FIRST_REFERENCE_SIGNAL_POSITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_REFERENCE_SUBCARRIER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_REFERENCE_USE_SECOND_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_REFERENCE_FIRST_REFERENCE_SYMBOL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_REFERENCE_SECOND_REFERENCE_SYMBOL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_REFERENCE_SIGNAL_POWER_RE_RELATIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_REFERENCE_SHIFTING_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_REFERENCE_ORTHOGONAL_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_REFERENCE_PRS_MODULATION_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_REFERENCE_SYMBOL_QPSK_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_REFERENCE_SYMBOL_IQF_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SYNCHRONIZATION_FIRST_SLOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SYNCHRONIZATION_P_S_SYNC_TX_ANTENNA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SYNCHRONIZATION_PSYNC_MODULATION_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SYNCHRONIZATION_PSYNC_QPSK_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SYNCHRONIZATION_PSYNC_IQF_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SYNCHRONIZATION_SSYNC_MODULATION_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SYNCHRONIZATION_SSYNC_QPSK_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SYNCHRONIZATION_SSYNC_IQF_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SYNCHRONIZATION_PSYNC_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SYNCHRONIZATION_SSYNC_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NPRS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NPRS_PARAMETER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NPRS_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NPRS_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NPRS_SEQUENCE_INFO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NPRS_BITMAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NPRS_VALID_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NPRS_MUTING_INFO_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NPRS_MUTING_INFO_B;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NPRS_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NPRS_START_SUBRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NPRS_NUMBER_OF_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PRS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PRS_CONFIGURATION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PRS_T_PRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PRS_SUBFRAME_OFFSET_DELTA_PRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PRS_DL_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PRS_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PRS_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PRS_MUTING_INFO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_ANTENNA_PORTS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_SUBFRAME_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_SFI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_PERIODICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_ZERO_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_ZERO_POWER_SUBFRAME_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_ZERO_POWER_SUBFRAME_CONFIG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_ZERO_POWER_PERIODICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_SCRAMBLING_IDENTITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_CELL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_CELL_ANTENNA_PORTS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_CELL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_CELL_SUBFRAME_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_CELL_SFI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_CELL_PERIODICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_CDMTYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_RS_IN_DWPTS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_NUMBER_OF_CSIRS_CONFIGURATIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_CELL_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_NZP_FREQUENCY_DENSITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_NZP_TRANSMISSION_COMB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_CELL_ZERO_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_CELL_ZERO_POWER_SUBFRAME_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_CELL_ZERO_POWER_SUBFRAME_CONFIG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_CELL_ZERO_POWER_PERIODICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TDD_CONFIGURATION_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TDD_SPECIAL_CONFIGURATION_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TDD_NUMBER_OF_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NIOT_IDENTITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NIOT_CARRIER_ALLOCATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NB_IOT_CARRIER_ALLOCATION_LTE_CELL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NB_IOT_CARRIER_ALLOCATION_PUNCTURE_INBAND_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NB_IOT_CARRIER_ALLOCATION_GAP_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NBIOT_CARRIER_ALLOCATION_GAP_THRESHOLD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NB_IOT_CARRIER_ALLOCATION_GAP_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NB_IOT_CARRIER_ALLOCATION_GAP_DURATION_COEFFICIENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NIOT_CARRIER_ALLOCATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NIOT_CARRIER_ALLOCATION_CRS_SEQUENCE_INFO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NIOT_CARRIER_ALLOCATION_RB_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NIOT_CARRIER_ALLOCATION_RB_INDEX_GB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NIOT_CARRIER_ALLOCATION_DELTA_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NIOT_CARRIER_ALLOCATION_NCELL_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NIOT_CARRIER_ALLOCATION_NCELL_ID_GROUP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NIOT_CARRIER_ALLOCATION_SUBFRAME_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NIOT_CARRIER_ALLOCATION_SUBFRAME_SELECT_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NIOT_CARRIER_ALLOCATION_SUBFRAME_DESELECT_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NIOT_CARRIER_ALLOCATION_SUBFRAME_VALID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_SEARCH_SPACE_COMMON_MAX_REPETITIONS_TYPE_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_SEARCH_SPACE_COMMON_MAX_REPETITIONS_TYPE_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_SEARCH_SPACE_COMMON_START_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_SEARCH_SPACE_COMMON_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_SEARCH_SPACE_UE_MAX_REPETITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_SEARCH_SPACE_UE_START_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_SEARCH_SPACE_UE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NB_IOT_WAKE_UP_SIGNAL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NB_IOT_WAKE_UP_SIGNAL_MAX_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NB_IOT_WAKE_UP_SIGNAL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NB_IOT_WAKE_UP_SIGNAL_START_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NB_IOT_WAKE_UP_SIGNAL_TIME_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NB_IOT_WAKE_UP_SIGNAL_ACTUAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NB_IOT_WAKE_UP_SIGNAL_PAGING_START_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_WIDEBAND_CONFIG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_WIDEBAND_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_BITMAP_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_BITMAP_STARTING_SYMBOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_BITMAP_SCHEDULING_INFO_SIB1_BR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_BITMAP_PBCH_REPETITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_BITMAP_SELECT_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_BITMAP_DESELECT_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_BITMAP_SUBFRAME_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_BITMAP_SUBFRAME_VALID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_NARROWBANDS_RA_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_NARROWBANDS_NUMBER_OF_EMTC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_NARROWBANDS_HOPPING_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_NARROWBANDS_HOPPING_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_NARROWBANDS_HOPPING_INTERVAL_CE_MODE_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_NARROWBANDS_HOPPING_INTERVAL_CE_MODE_B;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_NARROWBANDS_RA_STARTING_NB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_NARROWBANDS_PAGING_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_NARROWBANDS_PAGING_STARTING_NB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_SEARCH_SPACE_MPDCCH_MAX_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_SEARCH_SPACE_MPDCCH_MAX_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_SEARCH_SPACE_START_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_SEARCH_SPACE_PDSCH_MAX_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_SEARCH_SPACE_PDSCH_MAX_B;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DRS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DRS_PERIODICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DRS_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DRS_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DRS_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DRS_CSI_RS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DRS_CSI_RS_ZERO_TX_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DRS_CSI_RS_NON_ZERO_TX_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DRS_CSI_RS_ZERO_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DRS_CSI_RS_SUBFRAME_CONFIG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DRS_CSI_RS_PERIODICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DRS_CSI_RS_SUBFRAME_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DRS_CSI_RS_SCRAMBLING_IDENTITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DRS_CSI_RS_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DRS_CSI_RS_SUBFRAME_OFFSET_SSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DRS_CSI_RS_Q_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NRS_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NRS_NSYNC_TX_ANTENNA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NPSYNC_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_NSSYNC_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SUBFRAME_SELECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CONFIGURABLE_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_BEHAVIOR_IN_UNSCHEDULED_RE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SUBFRAME_PBCH_MIB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SUBFRAME_PBCH_SFN_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SUBFRAME_PBCH_SFN_RESTART_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SUBFRAME_PBCH_MIB_SPARE_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_RESET_FRAME_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DUMMY_DATA_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DUMMY_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DUMMY_DATA_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DUMMY_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DUMMY_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_DUMMY_DATA_OMIT_PRS_SF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_3GPP_RELEASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_CHANNEL_CODING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_CHANNEL_CODING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_UE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_UE_CATEGORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_SCRAMBLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_SUPPORT_TWO_HARQ_PROCESSES_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_P_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_EIMTA_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_TIME_PLAN_VIEW_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_TIME_PLAN_CELL_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_TRANSMISSION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_APM_PORT_MAPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_APM_CONSTANT_CODEBOOK_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_APM_CODEBOOK_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_APM_USE_ALTERNATIVE_CODEBOOKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_APM_MAPPING_COORDINATES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_APM_CELL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_CARRIER_AGGREGATION_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_APERIODIC_SRS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_CSI_AWARENESS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_MSC_TABLE_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_TBS_ALTERNATIVE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_PATTERN_INIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_APM_REAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_APM_IMAGINARY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_LAYER_APM_REAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_LAYER_APM_IMAGINARY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_CELL_TRANSMISSION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_CELL_DMRS_ALT_TABLE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_CELL_MSC_TABLE_2_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_CELL_MODULATION_AND_CODING_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_CELL_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_CELL_SEMI_OPEN_LOOP_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_CELL_UL_CARRIERS_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_UL_VARY_UL_TX_POWER_AND_RBA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_CELL_DCI_SEQUENCE_MCS_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_CELL_DCI_SEQUENCE_MCS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_CELL_DCI_SEQUENCE_TARGET_CODE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_CELL_DCI_SEQUENCE_TARGET_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_CELL_DCI_SEQUENCE_REDUNDANCY_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_CELL_DCI_SEQUENCE_RLC_COUNTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_UL_INSERT_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_DL_INSERT_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_UL_APPEND_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_DL_APPEND_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_UL_SELECT_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_DL_SELECT_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_UL_DELETE_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_DL_DELETE_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_UL_RESET_DCI_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_DL_RESET_DCI_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_UL_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_DL_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_SCRAMBLING_USE_IDENTITIES_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_SCRAMBLING_IDENTITY_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_SCRAMBLING_IDENTITY_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TABLE_UL_DCI_NID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TABLE_UL_DCI_PUSCH_TPC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TABLE_UL_DCI_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TABLE_UL_DCI_UL_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TABLE_UL_DCI_RBA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TABLE_DL_DCI_HARQ_PROCESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TABLE_DL_DCI_MAPPING_AND_QCL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TABLE_DL_DCI_TB1_NDI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TABLE_DL_DCI_TB2_NDI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TABLE_DL_DCI_REDUNDANCY_VERSION_TB1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TABLE_DL_DCI_REDUNDANCY_VERSION_TB2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TABLE_DL_DCI_TB1_RLC_COUNTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TABLE_DL_DCI_TB2_RLC_COUNTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TABLE_DL_DCI_TB1_MCS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TABLE_DL_DCI_TB2_MCS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TABLE_DL_DCI_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TABLE_DL_DCI_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_TABLE_UL_DCI_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_EPDCCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_EPDCCH_SET_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_EPDCCH_SET_TRANSMISSION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_EPDCCH_SET_PRB_PAIRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_EPDCCH_SET_RESOURCE_BLOCK_ASSIGNEMNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_EPDCCH_SET_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_EPDCCH_SET_RELATIVE_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_EPDCCH_SET_STARTING_NB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_EPDCCH_SET_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_EPDCCH_SET_MPDCCH_MAX_REPETITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_EPDCCH_SET_SEARCH_SPACE_START_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_SPS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_SPS_CRNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_SPS_START_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_SPS_END_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_USER_SPS_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTO_SEQUENCE_ARB_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTO_SEQUENCE_ADJUST_ARB_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTO_SEQUENCE_APPLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_DL_CONFIGURATION_DCI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_UL_CONFIGURATION_DCI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_DL_NUMBER_OF_HARQ_TRANSMISSIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_UL_NUMBER_OF_HARQ_TRANSMISSIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_DL_INITIATE_NDI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_UL_INITIATE_NDI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_DL_NUMBER_OF_HARQ_PROCESS_IDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_DL_SKIP_HARQ_PROCESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_AUTOMATIC_SEQUENCE_DL_HARQ_USED_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_SCRAMBLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PRECODING_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_NUMBER_OF_LAYERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PCFICH_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PCFICH_SCRAMBLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PCFICH_CONTROL_REGION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PHICH_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PHICH_NUMBER_OF_GROUPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PHICH_POWER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PHICH_ACK_NACK_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PHICH_ACK_NACK_PATTERN_CELL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PHICH_NUMBER_OF_GROUPS_CELL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PHICH_INDIVIDUAL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PHICH_INDIVIDUAL_POWER_CELL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_SCRAMBLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_NUMBER_OF_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_AVAILABLE_REGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_AVAILABLE_CCES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_ALLOCATED_REGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DUMMY_REGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_NUMBER_OF_PDCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DUMMY_CCE_REGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DUMMY_CCE_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DUMMY_CCE_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DUMMY_CCE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_SELECTED_ITEM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_APPEND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_INSERT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_DOWN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_UP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_RESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_RESOLVE_CONFLICTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_CONFLICTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_USER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_UE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_CELL_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_PDCCH_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_NUMBER_CCES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_SEARCH_SPACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_CCE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_DUMMY_CCES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_SCRAMBLING_IDENTITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_NUMBER_ITEMS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_PDCCH_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_FORM_CARRIER_INDICATOR_FIELD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_UL_DL_CONFIG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_MCSR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_NEW_DATA_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_NEW_DATA_INDICATOR1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_NEW_DATA_INDICATOR2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_REDUNDANCY_VERSION_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_REDUNDANCY_VERSION_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_TPC_PUSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_RESOURCE_ALLOCATION_HEADER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_RESOURCE_BLOCK_ASSIGNMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_TRANSPORT_BLOCK_SIZE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_HARQ_PROCESS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_HARQACK_RESOURCE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_REDUNDANCY_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_VRB_ASSIGNMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_PRACH_PREAMBLE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_PRACH_MASK_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_TPMI_PRECODING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_PMI_CONFIRMATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_DOWNLINK_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_SWAP_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_MODULATION_SCHEME_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_MODULATION_SCHEME_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_PRECODING_INFORMATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_GAP_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_TPC_COMMAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_UL_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_DOWNLINK_ASSIGMENT_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_BIT_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_SRS_REQUEST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_APLAYERID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_PDSCH_RE_MAPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_LAA_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_TB_MODULATION_AND_CODING_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_TB_NEW_DATA_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_TB_REDUNDANCY_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_FORM_0_CSI_CQI_REQUEST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_FORM_0_RESOURCE_ALLOCATION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_PUSCH_FREQ_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_RAHR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_CYCLIC_SHIFT_FOR_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ENHANCED_PDCCH_DCI_CQI_REQUEST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SUBFRAME_CYCLIC_PREFIX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SUBFRAME_USED_ALLOCATIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SUBFRAME_USER_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ALLOCATION_CODE_WORD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CSI_AWARENESS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ALLOCATION_CW_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ALLOCATION_CW_VRB_GAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ALLOCATION_CW_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ALLOCATION_CW_SYMBOL_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ALLOCATION_CW_RESOURCE_BLOCKS_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ALLOCATION_CW_SYMBOL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ALLOCATION_CW_AUTOMATIC_OFFSET_CALCULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ALLOCATION_CW_CHANNEL_CODING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ALLOCATION_CW_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ALLOCATION_CW_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ALLOCATION_CW_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ALLOCATION_CW_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ALLOCATION_CW_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ALLOCATION_CW_CONTENT_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ALLOCATION_CW_NABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_ALLOCATION_CW_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SCRAMBLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_SCRAMBLING_UE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CHANNEL_CODING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CHANNEL_CODING_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CHANNEL_CODING_REDUNDANCY_VERSION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CHANNEL_CODING_SOFT_BUFFER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_CHANNEL_CODING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PRECODING_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PRECODING_TRANSMISSION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PRECODING_NUMBER_OF_LAYERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PRECODING_SCRAMBLING_IDENTITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PRECODING_ANTENNA_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PRECODING_ANTENNA_PORTS_MAPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PRECODING_CODEBOOK_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PRECODING_COORDINATES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PRECODING_CYCLIC_DELAY_DIVERSITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_PRECODING_INDEX_CODEBOOK_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_ALLOCATION_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_ALLOCATIONS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NB_IOT_DCI_ALLOCATION_WRAP_AROUND_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_ALLOCATION_USER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_ALLOCATION_UEID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_ALLOCATION_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_ALLOCATION_SEARCH_SPACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_ALLOCATION_START_SUFBRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_ALLOCATION_NPDCCH_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_ALLOCATION_NUMBER_NCCES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_ALLOCATION_NCCE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_ALLOCATION_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_CONTENT_BIT_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_CONTENT_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_CONTENT_RESOURCE_UNITS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_CONTENT_NPDSCH_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_CONTENT_NPDSCH_REPETITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_CONTENT_NPDCCH_REPETITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NB_IOT_DCI_CONTENT_DISTANCE_FROM_NPDCCH_TO_NPDSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_FORMAT_N0_SUBCARRIER_IDENTIFICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_FORMAT_N0_RESOURCE_ASSIGNMENT_FIELD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_FORMAT_N0_SCHEDULING_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_FORMAT_N0_MODULATION_CODING_SCHEME_;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_FORMAT_N0_HARQ_PROCESS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_FORMAT_N0_REDUNDANCY_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_FORMAT_N0_NPUSCH_REPETITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_FORMAT_N0_NEW_DATA_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_FORMAT_N0_SUBFRAMES_REPETITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_FORMAT_N1_NPDCCH_ORDER_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_FORMAT_N1_STARTING_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_FORMAT_N1_RESOURCE_ASSIGNMENT_FIELD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_FORMAT_N1_NPDSCH_REPETITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_FORMAT_N1_HARQ_ACK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_FORMAT_N1_SUBCARRIER_INDICATION_FIELD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_FORMAT_N2_PAGING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_FORMAT_N2_SYSTEM_INFO_MODIFICATION_EXTENDED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_DCI_FORMAT_N2_SYSTEM_INFO_MODIFICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_ALLOCATION_CONTENT_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_ALLOCATION_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_ALLOCATION_SUBFRAME_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_ALLOCATION_START_SYMBOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_ALLOCATION_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_ALLOCATION_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_ALLOCATION_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_ALLOCATION_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_ALLOCATION_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_ALLOCATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_ALLOCATION_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_NPBCH_PRECODING_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_NPBCH_PRECODING_NUMBER_OF_LAYERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_NPBCH_SCRAMBLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_NPBCH_SCRAMBLING_UEID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_NPBCH_LEGACY_SCRAMBLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_NPBCH_SCRAMBLING_SYMBOL_ROTATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_NPBCH_CHANNEL_CODING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_NPBCH_CHANNEL_CODING_NPDSCH_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_NPBCH_CHANNEL_CODING_MIB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_NPBCH_CHANNEL_CODING_SFN_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_NPBCH_CHANNEL_CODING_SCHEDULING_SIB1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_NPBCH_CHANNEL_CODING_REPETITION_SIB1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_NPBCH_CHANNEL_CODING_NCELL_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_NPBCH_CHANNEL_CODING_STARTING_SIB1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_NPBCH_CHANNEL_CODING_MIB_SPARE_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_NPBCH_CHANNEL_CODING_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_NPBCH_CHANNEL_CODING_TRANSPORT_BLOCK_PAYLOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NIOT_NPDSCH_RESOURCE_ASSIGNMENT_FIELD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_ALLOCATION_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_ALLOCATIONS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_WRAP_AROUND_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_USER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_UEID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_MPDCCH_SET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_SEARCH_SPACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_START_SUFBRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_MPDCCH_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_NUMBER_ECCES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_ECCE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_NUMBER_DUMMY_ECCES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_CONTENT_BIT_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_CONTENT_FORMAT_3;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_CONTENT_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_CONTENT_MPDCCH_REPETITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_CONTENT_PDSCH_REPETITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_CONTENT_PDSCH_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_CONTENT_STARTING_REDUNDANCY_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_60AB_PUSCH_FREQUENCY_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_60AB_RESOURCE_BLOCK_ASSIGNMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_60AB_MCS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_60AB_REPETITION_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_60AB_HARQ_PROCESS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_60AB_NEW_DATA_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_60AB_REDUNDANCY_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_60AB_TPC_PUSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_60AB_UL_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_60AB_DAI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_60AB_CSI_REQUEST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_60AB_SRS_REQUEST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_60AB_SUBFRAME_REPETITION_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_61AB_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_61B_RESOURCE_BLOCK_ASSIGNEMENT_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_61AB_APSI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_61AB_TPMI_PRECODING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_61AB_PMI_CONFIRMATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_61AB_HARQACK_RESSOURCE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_61AB_PREAMBLE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_61AB_PRACH_MASK_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_61AB_STARTING_CE_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_62_PAGING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_DCI_FORMAT_62_DIINFO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_ALLOCATION_CONTENT_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_ALLOCATION_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_ALLOCATION_START_SF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_ALLOCATION_ABSOLUTE_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_ALLOCATION_START_NB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_ALLOCATION_START_SYMBOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_ALLOCATION_NUMBER_OF_RB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_ALLOCATION_OFFSET_VRB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_ALLOCATION_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_ALLOCATION_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_ALLOCATION_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_ALLOCATION_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_ALLOCATION_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_ALLOCATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_ALLOCATION_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_EMTC_PDSCH_CODEWORD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_PRECODING_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_PRECODING_NUMBER_OF_LAYERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_PRECODING_ANTENNA_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_PRECODING_ANTENNA_PORT_MAPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_PRECODING_TRANSMISSION_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_PRECODING_MAPPING_COORDINATES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_PRECODING_CODEBOOK_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_PRECODING_CYCLIC_DELAY_DIVERSITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_PRECODING_SCRAMBLING_IDENTITY_N_SCID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_PRECODING_MAPPING_TABLE_REAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_PRECODING_MAPPING_TABLE_IMAGINARY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_SCRAMBLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_SCRAMBLING_UEID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_CHANNEL_CODING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_CHANNEL_CODING_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_CHANNEL_CODING_TRANSPORT_BLOCK_PAYLOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_CHANNEL_CODING_MIB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_CHANNEL_CODING_MIB_SPARE_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_CHANNEL_CODING_SFN_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_CHANNEL_CODING_STARTING_SIB1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_CHANNEL_CODING_REPETITIONS_SIB1_RB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EMTC_PDSCH_CHANNEL_CODING_SFN_RESTART_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_LAA_CELL_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_LAA_NUMBER_OF_BURSTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_LAA_STARTING_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_LAA_STARTING_SYMBOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_LAA_BURST_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_LAA_NUMBER_OF_ENDING_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_LAA_ENDING_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_LAA_DCI_1C_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_DL_LAA_EPDCCH_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NUMBER_OF_WIDEBANDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_CARRIER_AGGREGATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_CARRIER_AGGREGATION_CELL_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_CARRIER_AGGREGATION_PHYSICAL_CELL_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_CARRIER_AGGREGATION_CELL_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_CARRIER_AGGREGATION_CELL_DELTA_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_CARRIER_AGGREGATION_DUPLEXING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_CARRIER_AGGREGATION_UL_DL_CONFIGURATION_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_CARRIER_AGGREGATION_SRS_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_CARRIER_AGGREGATION_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_CARRIER_AGGREGATION_SPECIAL_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_CARRIER_AGGREGATION_SRS_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_CARRIER_AGGREGATION_CELL_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PHYSICAL_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PHYSICAL_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PHYSICAL_FFT_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PHYSICAL_OCCUPIED_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PHYSICAL_SAMPLING_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PHYSICAL_OCCUPIED_SUBCARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PHYSICAL_LEFT_GUARD_SUBCARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PHYSICAL_RIGHT_GUARD_SUBCARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_CELL_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PHYSICAL_CELL_ID_GROUP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PHYSICAL_LAYER_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_CYCLIC_PREFIX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_CELL_TDD_CYCLIC_PREFIX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SFN_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_CELL_FFNC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_REFERENCE_SIGNAL_GROUP_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_REFERENCE_SIGNAL_SEQUENCE_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_REFERENCE_SIGNAL_DELTA_SEQUENCE_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_REFERENCE_SIGNAL_DMRS_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_REFERENCE_SIGNAL_N_PRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_PREAMBLE_SET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_RESTRICTED_SET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_NIOT_PREAMBLE_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_NIOT_PERIODICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_NIOT_STARTING_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_NIOT_REPETITIONS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_NIOT_SUBCARRIERS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_NIOT_SUBCARRIER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_EMTC_HOPPING_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_EMTC_RESTRICTED_SET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_EMTC_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_EMTC_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_EMTC_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_EMTC_REPETITIONS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_EMTC_STARTING_SF_PERIODICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_FREQUENCY_HOPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_NUMBER_OF_SUBBANDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_HOPPING_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_EMTC_NARROWBAND_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_EMTC_HOPPING_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUCCH_NUMBER_OF_RBS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUCCH_DELTA_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUCCH_DELTA_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUCCH_N1CS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUCCH_N2RB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUCCH_RANGE_N1_PUCCH_NORMAL_CP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUCCH_RANGE_N1_PUCCH_EXTENDED_CP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUCCH_RANGE_N2_PUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUCCH_RANGE_N3_PUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUCCH_RANGE_N4_PUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUCCH_RANGE_N5_PUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SRS_STRUCTURE_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SRS_STRUCTURE_TRANSMISSION_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SRS_STRUCTURE_CONFIGURATION_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SRS_STRUCTURE_C_SRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SRS_STRUCTURE_A_N_SRS_SIMULTANEOUS_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SRS_STRUCTURE_MAXUPPTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_RTFB_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_RTFB_REDUNDANCY_VERSION_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_RTFB_MAX_NUMBER_OF_TRANSMISSIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_RTFB_INITIAL_TIMING_ADVANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_RTFB_ACK_DEFINITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_RTFB_ASSUME_ACK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_RTFB_CONNECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_RTFB_DISTANCE_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_RTFB_ADDITIONAL_USER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_RTFB_BASEBAND_SELECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_RTFB_SERIAL_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_RTFB_BLOCK_ERROR_INSERTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_RTFB_BLOCK_ERROR_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_RTFB_DEBUG_REPORTS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_RTFB_LOGGING_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_RTFB_IGNORE_TIMING_ADJUSTMENT_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_TDD_UL_DL_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_TDD_SPECIAL_SUBFRAME_CONFIG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_TDD_NUMBER_OF_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_EMTC_RETUNING_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_EMTC_WIDEBAND_CONFIG_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_EMTC_VALID_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_EMTC_NB_IOT_VALID_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_EMTC_NB_IOT_BITMAP_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NDRS_GROUP_HOPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NDRS_DELTA_SEQUENCE_SHIFT_FOR_NPUSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NDRS_THREE_TONE_CYCLIC_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NDRS_SIX_TONE_CYCLIC_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NDRS_USE_BASE_SEQUENCE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NDRS_THREE_TONE_BASE_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NDRS_SIX_TONE_BASE_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NDRS_TWELVE_TONE_BASE_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SUBFRAME_SELECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_RESET_FRAME_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NUMBER_OF_SUBFRAMES_PUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NUMBER_OF_SUBFRAMES_PUSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_3GPP_RELEASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_OVERRIDE_CELL_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_USER_SPECIFIC_CELL_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_ANTENNA_OUTPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_RESTART_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_FRC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_FRC_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_FRC_ALLOCATED_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_FRC_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_FRC_PAYLOAD_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_FRC_PHYSICAL_BITS_PER_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_FRC_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_FRC_VRB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_FRC_CELL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_FRC_CELL_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_FRC_CELL_ALLOCATED_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_CELL_FRC_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_FRC_CELL_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_FRC_CELL_PAYLOAD_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_FRC_CELL_PHYSICAL_BITS_PER_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_FRC_CELL_VRB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NIOT_FRC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NIOT_FRC_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NIOT_FRC_SUBCARRIERS_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NIOT_FRC_NUMBER_OF_ALLOCATED_SUBCARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NIOT_FRC_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NIOT_FRC_NUMBER_OF_NPUSCH_REPETITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NIOT_FRC_TRANSPORT_BLOCK_SIZE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NIOT_FRC_PAYLOAD_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NIOT_FRC_ALLOCATED_RESOURCE_UNITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NIOT_FRC_TOTAL_NUMBER_OF_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_AP_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_AP_10_PUSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_AP_20_PUSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_AP_21_PUSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_AP_40_PUSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_AP_41_PUSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_AP_42_PUSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_AP_43_PUSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_AP_100_PUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_AP_200_PUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_AP_201_PUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_AP_1000_PUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_AP_1010_PUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_AP_1020_PUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_AP_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NPUSCH_AND_SRS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_SCRAMBLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_TRANSMISSION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_NUMBER_OF_ANTENNA_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CELL_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CELL_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CELL_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CELL_SCRAMBLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CELL_TRANSMISSION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CELL_NUMBER_OF_ANTENNA_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CCOD_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CCOD_CHANNEL_INTERLEAVER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CCOD_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CCOD_I_HARQ_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CCOD_I_RI_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CCOD_I_CQI_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CCOD_O_CQI_MIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CCOD_CELL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CCOD_CELL_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CCOD_CELL_I_HARQ_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CCOD_CELL_I_RI_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CCOD_CELL_I_CQI_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CCOD_CELL_O_CQI_MIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CCOD_CELL_UPPTS_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CCOD_CELL_UPPTS_LESS_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CCOD_CELL_UPPTS_NUMBER_OF_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUSCH_CCOD_CELL_PATTERN_INIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUCCH_NUMBER_OF_ANTENNA_PORTS_FORMAT_3;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUCCH_NUMBER_OF_ANTENNA_PORTS_FORMAT_22A2B;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUCCH_NUMBER_OF_ANTENNA_PORTS_FORMAT_11A1B;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUCCH_NUMBER_OF_ANTENNA_PORTS_FORMAT_4;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PUCCH_NUMBER_OF_ANTENNA_PORTS_FORMAT_5;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_GROUP_HOPPING_DISABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_SUBCARRIER_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_DELTA_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_RESOURCE_BLOCK_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_TRANSMISSIONS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_SUGGESTED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_NPUSCH_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_STARTING_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_STARTING_SLOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_REPETITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_RESOURCE_UNITS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_SUBCARRIER_INDICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_SUBCARRIERS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_SLOTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_STARTING_SUBCARRIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_ULSCH_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_ULSCH_RESOURCE_UNIT_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_ULSCH_TRANSPORT_BLOCK_SIZE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_ULSCH_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_ULSCH_REDUNDANCY_VERSION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_HARQ_ACK_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_HARQ_ACK_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NIOT_HARQ_CODED_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NB_IOT_HARQ_MULTIPLY_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_CE_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_NARRORBANDS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_NARROWBAND_HOPPING_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_TRANSMISSIONS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_SUGGESTED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_CONTENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_START_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_REPETITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_ABSOLUTE_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_START_NARROWBAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_OFFSET_VRB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_START_WIDEBAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_WIDEBAND_OFFSET_VRB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_WIDEBAND_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_PUSCH_DRS_CYCLIC_SHIFT_FILED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_PUSCH_DRS_N_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_PUSCH_HARQ_ACK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_PUSCH_HARQ_ACK_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_PUSCH_HARQ_ACK_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_PUSCH_HARQ_ACK_CODED_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_PUSCH_CQI_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_PUSCH_CQI_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_PUSCH_CQI_CODED_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_PUSCH_ULSCH_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_PUSCH_ULSCH_CODED_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_PUSCH_ULSCH_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_PUSCH_ULSCH_REDUNDANCY_VERSION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_PUCCH_USED_ANTENNA_PORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_PUCCH_RESOURCE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_PUCCH_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_PUCCH_CQI_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_PUCCH_CQI_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_EMTC_PUCCH_CODED_CQI_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NPRACH_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NPRACH_RESOURCE_BLOCK_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NPRACH_DELTA_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NPRACH_SUGESTED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NPRACH_PREAMBLE_ATTEMPTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NPRACH_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NPRACH_STARTING_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NPRACH_REPETITIONS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NPRACH_N_INIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NPRACH_N_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_NPRACH_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PRACH_PREAMBLE_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PRACH_POWER_RAMPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PRACH_POWER_RAMPING_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PRACH_NUMBER_OF_CONFIGURABLE_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PRACH_FREQUENCY_RESOURCE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PRACH_RB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PRACH_NCS_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PRACH_ROOT_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PRACH_SEQUENCE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PRACH_DELTA_T;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PRACH_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_PRACH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_EMTC_PREAMBLE_ATTEMPTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_EMTC_SUGGESTED_ARB_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_EMTC_CE_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_EMTC_STARTING_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_EMTC_FREQUENCY_RESOURCE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_EMTC_NCS_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_EMTC_LOGICAL_ROOT_SEQUENCE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_EMTC_SEQUENCE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_EMTC_DELTA_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRACH_EMTC_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_DRS_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_DRS_WITH_OCC_FOR_ONE_ANTENNA_PORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_SIMULTANEOUS_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_CYCLIC_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_FIRST_SRS_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_PERIODICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_LAST_SRS_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_I_SRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_T_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_T_SRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_B_SRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_TRANSMISSION_COMBINATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_B_HOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_N_RRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SYMBOL_IN_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_NUMBER_OF_RBS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_FREQUENCY_HOPPING_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_NUMBER_OF_ANTENNA_PORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_DRS_CELL_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_DRS_CELL_WITH_OCC_FOR_ONE_ANTENNA_PORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_DRS_CELL_ENHANCED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_CELL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_CELL_TRANSMIT_TRIGGER_TYPE_0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_CELL_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_CELL_B_HOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_CELL_CYCLIC_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_CELL_UPPTS_ADD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_CELL_I_SRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_CELL_T_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_CELL_T_SRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_CELL_B_SRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_CELL_TRANSMISSION_COMB_NUM_K_TC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_CELL_TRANSMISSION_COMBINATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_CELL_N_RRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_NUMBER_OF_TRANSMISSIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_CELL_NUMBER_OF_ANTENNA_PORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_UE_REFERENCE_SRS_SUBFRAMES_FOR_TRANSMISSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESTART_AT_EACH_SL_TRANSMISSION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_COMMUNICATION_CONTROL_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_COMMUNICATION_OFFSET_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_COMMUNICATION_PRB_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_COMMUNICATION_PRB_END;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_COMMUNICATION_PRB_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_COMMUNICATION_SUBFRAME_BITMAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DISCOVER_CONTROL_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DISCOVERY_OFFSET_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DISCOVERY_PRB_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DISCOVERY_PRB_END;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DISCOVERY_PRB_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DISCOVERY_SUBFRAME_BITMAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DISCOVERY_NUMBER_OF_RETRANSMISSIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DISCOVERY_NUMBER_OF_REPETITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DISCOVERY_N1_PDSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DISCOVERY_N2_PDSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DISCOVERY_N3_PDSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DISCOVERY_SUBFRAME_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DISCOVERY_PRB_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_V2X_OFFSET_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_V2X_SUBFRAME_BITMAP_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_V2X_SUBFRAME_BITMAP_HIGH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_V2X_SUBFRAME_BITMAP_LOW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_V2X_ADJACENCY_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_V2X_NUMBER_OF_SUBCHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_V2X_SUBCHANNEL_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_V2X_START_RB_SUBCHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DATA_OFFSET_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DATA_PRB_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DATA_PRB_END;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DATA_PRB_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DATA_SUBFRAME_BITMAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DATA_TRPT_SUBSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DATA_HOPPING_PARAMETER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DATA__NUMBER_OF_SUBBANDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_RESOURCE_DATA_RB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SYNCHRONIZATION_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SYNCHRONIZATION_PSBCH_MIBSL_INCOVERAGE_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SYNCHRONIZATION_SLSS_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SYNCHRONIZATION_SLSS_SYNC_OFFSET_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_NUMBER_OF_SCI_CONFIG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_TABLE_TRANSMISSION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_TABLE_PSCCH_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_TABLE_N_PSCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_TABLE_START_SF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_TABLE_SUBCHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_TABLE_SF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_TABLE_SCI_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_TABLE_BIT_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_TABLE_MODULATION_AND_CODING_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_TABLE_FORMAT_0_FREQUENCY_HOPPING_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_TABLE_FORMAT_0_RBA_AND_HOPPING_RA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_TABLE_FORMAT_0_TIME_RESOURCE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_TABLE_FORMAT_0_TIMING_ADVANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_TABLE_FORMAT_0_GROUP_DESTINATION_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_TABLE_FORMAT_1_PRIORITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_TABLE_FORMAT_1_RESOURCE_RESERVATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_TABLE_FORMAT_1_FREQ_RES_LOCATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_TABLE_FORMAT_1_TIME_GAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_SCI_TABLE_FORMAT_1_RETRANSMISSION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_ALLOCATION_NUMBER_OF_RETRANSMISSIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_ALLOCATION_CONTENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_ALLOCATION_DISCOVERY_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_ALLOCATION_PSDCH_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_ALLOCATION_N_PSDCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_ALLOCATION_SF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_ALLOCATION_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_ALLOCATION_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_ALLOCATION_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_ALLOCATION_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_ALLOCATION_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_ALLOCATION_DRS_CYCLIC_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_ALLOCATION_SCRAMBLING_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_ALLOCATION_CHANNEL_CODING_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_ALLOCATION_CHANNEL_CODING_TRANSPORT_BLOCK_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_ALLOCATION_CHANNEL_CODING_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_REFERENCE_MEASUREMENT_CHANNEL_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_REFERENCE_MEASUREMENT_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_REFERENCE_MEASUREMENT_CHANNEL_PAYLOAD_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_REFERENCE_MEASUREMENT_CHANNEL_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_REFERENCE_MEASUREMENT_CHANNEL_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SIDELINK_REFERENCE_MEASUREMENT_CHANNEL_MODULATION_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_SUBFRAME_CYCLIC_PREFIX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_USER_EQUIPMENT_CONTENT_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_VRB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_NUMBER_OF_RB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_USER_EQUIPMENT_CODEWORD_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PRB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_CELL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_CELL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_CELL_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_CELL_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_CELL_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_NUMBER_OF_RB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_VRB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_PRB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_CELL_NUMBER_OF_RB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_CELL_VRB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUSCH_CELL_PRB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_N2_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_FREQUENCY_HOPPING_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_INFORMATION_IN_HOPPING_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_FREQUENCY_HOPPING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_FREQUENCY_HOPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CODEWORD_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_NUMBER_OF_USED_ANTENNA_PORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_HARQ_ACK_NACK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_HARQ_N_BUNDLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_HARQ_NUMBER_OF_ACK_NACK_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_HARQ_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_HARQ_NUMBER_OF_CODED_ACK_NACK_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_ACK_NACK_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_RI_NUMBER_OF_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_RI_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_RI_NUMBER_OF_CODED_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CQI_NUMBER_OF_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CQI_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CQI_MAPED_TO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CQI_NUMBER_OF_CODED_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_ULSCH_NUMBER_OF_CODED_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_REDUNDANCY_VERSION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_DRS_CYCLIC_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_FREQUENCY_HOPPING_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_INFORMATION_IN_HOPPING_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_FREQUENCY_HOPPING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_CODEWORD_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_HARQ_ACK_NACK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_HARQ_N_BUNDLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_HARQ_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_HARQ_NUMBER_OF_ACK_NACK_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_RI_NUMBER_OF_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_RI_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_CQI_NUMBER_OF_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_CQI_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_CQI_MAPED_TO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_CQI_NUMBER_OF_CODED_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_DRS_CYCLIC_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_RI_NUMBER_OF_CODED_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_ULSCH_NUMBER_OF_CODED_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_HARQ_NUMBER_OF_CODED_ACK_NACK_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_REDUNDANCY_VERSION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_PRECODING_NUMBER_OF_LAYERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_PRECODING_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_PRECODING_CODEBOOK_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_PRECODING_ALTERNATIVE_CODEBOOKS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_PRECODING_CELL_NUMBER_OF_LAYERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_PRECODING_CELL_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_PRECODING_CELL_NUMBER_OF_USED_ANTENNA_PORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_PRECODING_CELL_CODEBOOK_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_N2_DMRS_LAYERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_BIT_FOR_DMRS_MAPPING_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUSCH_CELL_N2_DMRS_LAYERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUCCH_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUCCH_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUCCH_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUCCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUCCH_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUCCH_NUMBER_OF_RB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_PUCCH_PRB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_N_PUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUCCH_HARQ_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUCCH_ACK_NACK_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUCCH_CQI_NUMBER_OF_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUCCH_CQI_NUMBER_OF_CODED_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUCCH_CQI_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUCCH_M_RB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUCCH_N_OC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUCCH_DRS_CYCLIC_SHIFT_FIELD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUCCH_DRS_N1_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUCCH_DRS_N2_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUCCH_NUMBER_OF_ACK_NACK_SR_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUCCH_NUMBER_OF_CODED_ACK_NACK_SR_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_PUCCH_NUMBER_OF_USED_ANTENNA_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_UL_ENHANCED_N_PUCCH_ANTENNA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_TIME_DOMAIN_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_TIME_DOMAIN_TRANSITION_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_COSINE_ROLL_OFF_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_COSINE_CUT_OFF_FREQUENCY_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_ROOT_COSINE_ROLL_OFF_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_GAUSS_PURE_BT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_GAUSS_FSK_BT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_APCO25_ROLL_OFF_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_SPLIT_PHASE_BT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_LOWPASS_ACP_CUT_OFF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_LOWPASS_EVM_CUT_OFF_FREQUNECY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_LOAD_USER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_IMPULSE_LENGTH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_IMPULSE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_UPSAMPLING_FACTOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_UPSAMPLING_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_AUTO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_SAMPLE_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_LTE_OPTIMIZATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_LTE_ROLL_OFF_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_LTE_CUT_OFF_FREQUENCY_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FILTER_LTE_CUT_OFF_FREQUENCY_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_CLIPPING_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_CLIPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_POWER_OFFSET_RELATIVE_TO_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_POWER_LEVEL_REFERENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_REFERENCE_UE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_REFERENCE_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_REFERENCE_CHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_SIGNAL_ADVANCE_N_TA_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_TRIGGER_DELAY_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_TRIGGER_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_EUTRA_TRIGGER_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_EUTRA_TRIGGER_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_TIME_BASED_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_INTERNAL_TRIGGER_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_INTERNAL_TRIGGER_ACTUAL_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EXTERNAL_TRIGGER_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_EXTERNAL_TRIGGER_ACTUAL_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_MARKER_RISE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_MARKER_FALL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_MARKER_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_MARKER_DELAY_IN_MICROSECONDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_CLOCK_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_CLOCK_CUSTOM_EXTERNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NOTCH_FILTER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NOTCH_FILTER_CLOCK_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NOTCH_FILTER_NUMBER_OF_NOTCHES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NOTCH_FILTER_APPLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NOTCH_FILTER_NOTCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NOTCH_FILTER_NOTCH_BANDWIDTH_RELATIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NOTCH_FILTER_NOTCH_BANDWIDTH_ABSOLUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_NOTCH_FILTER_NOTCH_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_ARB_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_ARB_DWELL_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_ARB_MAX_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EUTRA_ARB_STEPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_TEST_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_LINK_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_CHANNEL_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SEQUENCE_LENGTH_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_DL_BURST_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_MODULATION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_FAST_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_POWER_RAMP_FUNCTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_POWER_RAMP_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_POWER_RAMP_RISE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_POWER_RAMP_FALL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_POWER_RAMP_LEVEL_ATTENUATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_FREQUENCY_CARRIER_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_FREQUENCY_MAIN_CARRIER_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_FREQUENCY_FREQUENCY_BAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_FREQUENCY_DUPLEX_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_FREQUENCY_REVERSE_OPERATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_FREQUENCY_CODED_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_CONTENTS_SYSTEM_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_CONTENTS_SHARING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_CONTENTS_TS_RESERVED_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_CONTENTS_UPLANE_DTX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_CONTENTS_FRAME_18_EXTENSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_NEIGHBOUR_DNWRKBROADCAST_BROADCAST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_NEIGHBOUR_DNWRKBROADCAST_ENQUIRY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_NEIGHBOUR_CELL_SERVICE_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_NEIGHBOUR_LATE_ENTRY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_NEIGHBOUR_MS_TXPWR_MAX_CELL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_NEIGHBOUR_ACCESS_PARAMETER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_NEIGHBOUR_TX_ON;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_NEIGHBOUR_TX_BURST_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_NEIGHBOUR_T1_T4_BURST_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_NEIGHBOUR_LOOP_BACK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_NEIGHBOUR_ERROR_CORRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_SCRAMBLING_BASE_COLOUR_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_SCRAMBLING_MOBILE_COUNTRY_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_BROADCAST_SCRAMBLING_MOBILE_NETWORK_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SLOT_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SLOT_ATTENUATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SLOT_LOGICAL_CHANNEL_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SLOT_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SLOT_DATA_SOURCE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SLOT_DATA_SOURCE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SLOT_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SLOT_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SLOT_DATA_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SLOT_SCRAMBLING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SLOT_DATA_TRAINING_SEQUENCE_TSC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SLOT_TSC_USER_DEFINED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SLOT_BURST_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SLOT_AACH_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SLOT_AACH_ACCESS_ASSIGN_HEADER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SLOT_AACH_ACCESS_ASSIGN_FIELD1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SLOT_AACH_ACCESS_ASSIGN_FIELD2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SLOT_AUTO_CODING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_FILTER_CUT_OFF_FREQUENCY_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_FILTER_PARAMETER_ROOT_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_FILTER_PARAMETER_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_FILTER_PARAMETER_GAUSS_PURE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_FILTER_PARAMETER_GAUSS_FSK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_FILTER_PARAMETER_APCO25;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_FILTER_PARAMETER_SPLIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_FILTER_PARAMETER_LOWPASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_FILTER_PARAMETER_LOWPASS_EVM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_FILTER_OVERSAMPLING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_FILTER_OVERSAMPLING_AUTO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_FILTER_IMPULSE_LENGTH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_FILTER_IMPULSE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_SAMPLE_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_CLIPPING_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_CLIPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_TRIGGER_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_CLOCK_SOURCE_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TETRA_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_UPDATE_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_RF_BAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TEST_SCENARIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SIMULATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_FAST_STORING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_GNSS_ENABLED_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_GNSS_ENABLED_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_GNSS_ENABLED_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_GNSS_USE_COMMON_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_GNSS_P_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_GNSS_ANTI_SPOOFING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ALMANAC_FILE_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ALMANAC_FILE_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ALMANAC_FILE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ALMANAC_WEEK_NUMBER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ALMANAC_WEEK_NUMBER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ALMANAC_WEEK_SPAN_BEGIN_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ALMANAC_WEEK_SPAN_BEGIN_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ALMANAC_WEEK_SPAN_END_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ALMANAC_WEEK_SPAN_END_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ALMANAC_TOAP_WEEK_NUMBER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ALMANAC_TOAP_WEEK_NUMBER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ALMANAC_TOAP_TIME_OF_WEEK_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ALMANAC_TOAP_TIME_OF_WEEK_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ALMANAC_TOAP_DATE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ALMANAC_TOAP_TIME_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_RINEX_FILE_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_RINEX_ENABLED_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_RINEX_FILE_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_RINEX_ENABLED_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_RINEX_FILE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_RINEX_ENABLED_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_RINEX_UTC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_RINEX_UPDATE_FREQUENCY_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_RINEX_IMPORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_GNSS_VALID_SATELLITES_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_GNSS_VALID_SATELLITES_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_GNSS_VALID_SATELLITES_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_GNSS_VALID_SATELLITES_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MARKER_PULSE_WIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_CLOCK_SYNCHRONIZATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_CHIP_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_USER_ENVIRONMENT_VEHICLE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_USER_ENVIRONMENT_VEHICLE_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_USER_ENVIRONMENT_VEHICLE_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_USER_ENVIRONMENT_VEHICLE_LOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_LOC_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_LOC_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_LOC_WAYPOINT_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_LOC_YAW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_LOC_FROM_MOTION_YAW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_LOC_PITCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_LOC_FROM_MOTION_PITCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_LOC_ROLL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_LOC_CONSTANT_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_LOC_START_ROLL_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_LOC_SMOOTH_MOVEMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_OBSCURATION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_OBSCURATION_NEAR_ENVIRONMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_OBSCURATION_PHYSICAL_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_OBSCURATION_RECEIVER_OFFSET_X;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_OBSCURATION_RECEIVER_OFFSET_Y;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_OBSCURATION_RECEIVER_HEIGHT_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_OBSCURATION_MAP_ORIENTATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_OBSCURATION_OBSTACLES_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_OBSCURATION_ROADSIDE_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_OBSCURATION_OBSTACLES_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_OBSCURATION_ROADSIDE_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_OBSCURATION_AREA_INSERT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_OBSCURATION_AREA_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_OBSCURATION_AREA_REFERENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_OBSCURATION_AREA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_ENABLED_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_ENABLED_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_ENABLED_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_ENABLED_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_TAP_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_TAP_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_TAP_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_TAP_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_CARRIER_PHASE_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_CARRIER_PHASE_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_CARRIER_PHASE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_CARRIER_PHASE_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_DOPPLER_SHIFT_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_DOPPLER_SHIFT_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_DOPPLER_SHIFT_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_DOPPLER_SHIFT_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_POWER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_POWER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_POWER_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_POWER_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_DELAY_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_DELAY_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_DELAY_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_MPATH_DELAY_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ANTENNA_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ANTENNA_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ANTENNA_LOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ANTENNA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ANTENNA_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_NAVIGATION_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_NAVIGATION_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_NAVIGATION_SYSTEM_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_NAVIGATION_WEEK_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_NAVIGATION_TIME_OF_WEEK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TCON_LEAP_SECOND_SYNCHRONIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TCON_LEAP_SECOND_CURRENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TCON_LEAP_SECOND_SIMULATE_TRANSITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TCON_UTC_REFERENCE_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TCON_UTC_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TCON_UTC_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TCON_PARAMETERS_A0_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TCON_PARAMETERS_A0_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TCON_PARAMETERS_A0_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TCON_PARAMETERS_A1_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TCON_PARAMETERS_A1_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TCON_PARAMETERS_A1_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TCON_PARAMETERS_T_OT_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TCON_PARAMETERS_T_OT_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TCON_PARAMETERS_T_OT_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TCON_PARAMETERS_WN_OT_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TCON_PARAMETERS_WN_OT_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_TCON_PARAMETERS_WN_OT_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_POWER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_REFERENCE_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_REFERENCE_SATELLITE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_TOTAL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_REFERENCE_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_REFERENCE_SIGNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_REFERENCE_DISTANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_ELEVATION_MASK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_HDOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_PDOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_OPTIMAL_CONSTELLATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_TUNING_INTRA_ZERO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_TUNING_INTRA_SET_TO_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_TUNING_INTRA_CA_P;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_TUNING_INTER_ZERO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_TUNING_INTER_SET_TO_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_TUNING_INTER_CA_E1DEF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_TUNING_INTER_CA_RCA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_TUNING_INTER_CA_TO_GEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ATMOSPHERIC_TROPOSPHERIC_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ATMOSPHERIC_IONOSPHERIC_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ATMOSPHERIC_GPS_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ATMOSPHERIC_KLOBUCHAR_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ATMOSPHERIC_GPS_BETA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ATMOSPHERIC_KLOBUCHAR_BETA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ATMOSPHERIC_GALILEO_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ATMOSPHERIC_GALILEO_SF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_CONFIGURATION_EPHEMERIS_PROJECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_CONFIGURATION_NUMBER_OF_SATELLITES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_SIGNALS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_SPACE_VEHICLE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_STANDARD_CHIP_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_PSEUDORANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_PSEUDORANGE_BIAS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_TIME_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_INITIAL_CARRIER_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_RESULTING_START_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_RESULTING_START_CHIP_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_NAVIGATION_PAGES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_NAVIGATION_REAL_TIME_PROJECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_SET_TO_ALMANAC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_PROJECT_NAVIGATION_MESSAGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_CODE_ON_L2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_L2_P_DATA_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_FIT_INTERVAL_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_URA_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_SV_HEALTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_IODC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_IODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_TOE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_M0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_N_DELTA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_ECCENTRICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_SQRTA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_OMEGA0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_I0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_OMEGA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_OMEGA_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_IDOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_CUC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_CUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_CRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_CRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_CIC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_CIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_SF1_RESERVED_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_SF1_RESERVED_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_SF1_RESERVED_3;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_SF1_RESERVED_4;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_AODO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_MESSAGE_SV_CONFIG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_CLOCK_TGD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_CLOCK__TOC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_CLOCK_AF0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_CLOCK_AF1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_CLOCK_AF2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_SYNCHRONIZE_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_SYNCHRONIZE_SVID_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_SYNCHRONIZE_SVID_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_SYNCHRONIZE_SVID_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_REF_SYNCHRONIZE_LOCATION_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_REF_SYNCHRONIZE_LOCATION_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_REF_SYNCHRONIZE_LOCATION_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_REF_UNCERTAINLY_RADIUS_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_REF_UNCERTAINLY_RADIUS_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_REF_UNCERTAINLY_RADIUS_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_TOA_SYNCHRONIZE_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_TOA_SYNCHRONIZE_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_TOA_SYNCHRONIZE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_TOA_TIME_BASIS_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_TOA_TIME_BASIS_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_TOA_TIME_BASIS_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_TOA_WEEK_NUMBER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_TOA_WEEK_NUMBER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_TOA_WEEK_NUMBER_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_TOA_TIME_OF_WEEK_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_TOA_TIME_OF_WEEK_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_TOA_TIME_OF_WEEK_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_TOA_DURATION_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_TOA_DURATION_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_TOA_DURATION_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_TOA_RESOLUTION_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_TOA_RESOLUTION_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_SVID_ENABLED_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_SVID_ENABLED_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_SVID_ENABLED_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_GENERATE_ALMANAC_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_GENERATE_NAVIGATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_GENERATE_ACQUISITION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_GENERATE_IONOSPHERIC_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_ADG_GENERATE_UTC_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_GLOBAL_SIGNAL_COUPLING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_GLOBAL_SIGNAL_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_GLOBAL_SIGNAL_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_GLOBAL_SIGNAL_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_GLOBAL_SIGNAL_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_GLOBAL_POWER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_GLOBAL_POWER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_GLOBAL_POWER_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GPS_SAT_GLOBAL_POWER_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_UPDATE_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_RF_BAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TEST_SCENARIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SIMULATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_FAST_STORING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GALILEO_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_GNSS_ENABLED_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_GNSS_ENABLED_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_GNSS_ENABLED_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_GNSS_USE_COMMON_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_GNSS_P_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_GNSS_ANTI_SPOOFING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ALMANAC_FILE_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ALMANAC_FILE_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ALMANAC_FILE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ALMANAC_WEEK_NUMBER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ALMANAC_WEEK_NUMBER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ALMANAC_WEEK_SPAN_BEGIN_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ALMANAC_WEEK_SPAN_BEGIN_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ALMANAC_WEEK_SPAN_END_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ALMANAC_WEEK_SPAN_END_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ALMANAC_TOAP_WEEK_NUMBER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ALMANAC_TOAP_WEEK_NUMBER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ALMANAC_TOAP_TIME_OF_WEEK_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ALMANAC_TOAP_TIME_OF_WEEK_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ALMANAC_TOAP_DATE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ALMANAC_TOAP_TIME_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_RINEX_FILE_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_RINEX_ENABLED_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_RINEX_FILE_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_RINEX_ENABLED_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_RINEX_FILE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_RINEX_ENABLED_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_RINEX_UTC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_RINEX_UPDATE_FREQUENCY_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_RINEX_IMPORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_GNSS_VALID_SATELLITES_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_GNSS_VALID_SATELLITES_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_GNSS_VALID_SATELLITES_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_GNSS_VALID_SATELLITES_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MARKER_PULSE_WIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_CLOCK_SYNCHRONIZATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_CHIP_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_USER_ENVIRONMENT_VEHICLE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_USER_ENVIRONMENT_VEHICLE_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_USER_ENVIRONMENT_VEHICLE_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_USER_ENVIRONMENT_VEHICLE_LOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_LOC_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_LOC_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_LOC_WAYPOINT_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_LOC_YAW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_LOC_FROM_MOTION_YAW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_LOC_PITCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_LOC_FROM_MOTION_PITCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_LOC_ROLL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_LOC_CONSTANT_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_LOC_START_ROLL_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_LOC_SMOOTH_MOVEMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_OBSCURATION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_OBSCURATION_NEAR_ENVIRONMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_OBSCURATION_PHYSICAL_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_OBSCURATION_RECEIVER_OFFSET_X;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_OBSCURATION_RECEIVER_OFFSET_Y;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_OBSCURATION_RECEIVER_HEIGHT_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_OBSCURATION_MAP_ORIENTATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_OBSCURATION_OBSTACLES_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_OBSCURATION_ROADSIDE_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_OBSCURATION_OBSTACLES_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_OBSCURATION_ROADSIDE_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_OBSCURATION_AREA_INSERT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_OBSCURATION_AREA_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_OBSCURATION_AREA_REFERENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_OBSCURATION_AREA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_ENABLED_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_ENABLED_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_ENABLED_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_ENABLED_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_TAP_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_TAP_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_TAP_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_TAP_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_CARRIER_PHASE_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_CARRIER_PHASE_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_CARRIER_PHASE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_CARRIER_PHASE_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_DOPPLER_SHIFT_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_DOPPLER_SHIFT_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_DOPPLER_SHIFT_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_DOPPLER_SHIFT_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_POWER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_POWER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_POWER_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_POWER_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_DELAY_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_DELAY_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_DELAY_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_MPATH_DELAY_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ANTENNA_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ANTENNA_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ANTENNA_LOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ANTENNA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ANTENNA_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_NAVIGATION_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_NAVIGATION_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_NAVIGATION_SYSTEM_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_NAVIGATION_WEEK_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_NAVIGATION_TIME_OF_WEEK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TCON_LEAP_SECOND_SYNCHRONIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TCON_LEAP_SECOND_CURRENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TCON_LEAP_SECOND_SIMULATE_TRANSITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TCON_UTC_REFERENCE_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TCON_UTC_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TCON_UTC_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TCON_PARAMETERS_A0_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TCON_PARAMETERS_A0_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TCON_PARAMETERS_A0_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TCON_PARAMETERS_A1_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TCON_PARAMETERS_A1_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TCON_PARAMETERS_A1_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TCON_PARAMETERS_T_OT_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TCON_PARAMETERS_T_OT_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TCON_PARAMETERS_T_OT_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TCON_PARAMETERS_WN_OT_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TCON_PARAMETERS_WN_OT_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_TCON_PARAMETERS_WN_OT_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_POWER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_REFERENCE_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_REFERENCE_SATELLITE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_TOTAL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_REFERENCE_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_REFERENCE_SIGNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_REFERENCE_DISTANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_ELEVATION_MASK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_HDOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_PDOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_OPTIMAL_CONSTELLATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_TUNING_INTRA_ZERO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_TUNING_INTRA_SET_TO_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_TUNING_INTRA_CA_P;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_TUNING_INTER_ZERO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_TUNING_INTER_SET_TO_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_TUNING_INTER_CA_E1DEF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_TUNING_INTER_CA_RCA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_TUNING_INTER_CA_TO_GEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ATMOSPHERIC_TROPOSPHERIC_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ATMOSPHERIC_IONOSPHERIC_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ATMOSPHERIC_GPS_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ATMOSPHERIC_KLOBUCHAR_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ATMOSPHERIC_GPS_BETA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ATMOSPHERIC_KLOBUCHAR_BETA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ATMOSPHERIC_GALILEO_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ATMOSPHERIC_GALILEO_SF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_CONFIGURATION_EPHEMERIS_PROJECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_CONFIGURATION_NUMBER_OF_SATELLITES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_SIGNALS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_SPACE_VEHICLE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_STANDARD_CHIP_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_PSEUDORANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_PSEUDORANGE_BIAS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_TIME_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_INITIAL_CARRIER_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_RESULTING_START_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_RESULTING_START_CHIP_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_NAVIGATION_PAGES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_NAVIGATION_REAL_TIME_PROJECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_SET_TO_ALMANAC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_PROJECT_NAVIGATION_MESSAGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_CODE_ON_L2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_L2_P_DATA_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_FIT_INTERVAL_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_URA_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_SV_HEALTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_IODC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_IODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_TOE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_M0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_N_DELTA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_ECCENTRICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_SQRTA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_OMEGA0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_I0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_OMEGA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_OMEGA_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_IDOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_CUC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_CUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_CRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_CRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_CIC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_CIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_SF1_RESERVED_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_SF1_RESERVED_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_SF1_RESERVED_3;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_SF1_RESERVED_4;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_AODO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_MESSAGE_SV_CONFIG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_CLOCK_TGD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_CLOCK__TOC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_CLOCK_AF0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_CLOCK_AF1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_CLOCK_AF2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_SYNCHRONIZE_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_SYNCHRONIZE_SVID_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_SYNCHRONIZE_SVID_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_SYNCHRONIZE_SVID_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_REF_SYNCHRONIZE_LOCATION_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_REF_SYNCHRONIZE_LOCATION_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_REF_SYNCHRONIZE_LOCATION_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_REF_UNCERTAINLY_RADIUS_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_REF_UNCERTAINLY_RADIUS_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_REF_UNCERTAINLY_RADIUS_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_TOA_SYNCHRONIZE_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_TOA_SYNCHRONIZE_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_TOA_SYNCHRONIZE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_TOA_TIME_BASIS_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_TOA_TIME_BASIS_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_TOA_TIME_BASIS_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_TOA_WEEK_NUMBER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_TOA_WEEK_NUMBER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_TOA_WEEK_NUMBER_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_TOA_TIME_OF_WEEK_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_TOA_TIME_OF_WEEK_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_TOA_TIME_OF_WEEK_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_TOA_DURATION_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_TOA_DURATION_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_TOA_DURATION_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_TOA_RESOLUTION_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_TOA_RESOLUTION_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_SVID_ENABLED_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_SVID_ENABLED_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_SVID_ENABLED_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_GENERATE_ALMANAC_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_GENERATE_NAVIGATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_GENERATE_ACQUISITION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_GENERATE_IONOSPHERIC_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_ADG_GENERATE_UTC_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_GLOBAL_SIGNAL_COUPLING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_GLOBAL_SIGNAL_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_GLOBAL_SIGNAL_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_GLOBAL_SIGNAL_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_GLOBAL_SIGNAL_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_GLOBAL_POWER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_GLOBAL_POWER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_GLOBAL_POWER_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GAL_SAT_GLOBAL_POWER_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_UPDATE_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_RF_BAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TEST_SCENARIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SIMULATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_FAST_STORING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_GNSS_ENABLED_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_GNSS_ENABLED_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_GNSS_ENABLED_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_GNSS_USE_COMMON_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_GNSS_P_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_GNSS_ANTI_SPOOFING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ALMANAC_FILE_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ALMANAC_FILE_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ALMANAC_FILE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ALMANAC_WEEK_NUMBER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ALMANAC_WEEK_NUMBER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ALMANAC_WEEK_SPAN_BEGIN_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ALMANAC_WEEK_SPAN_BEGIN_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ALMANAC_WEEK_SPAN_END_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ALMANAC_WEEK_SPAN_END_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ALMANAC_TOAP_WEEK_NUMBER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ALMANAC_TOAP_WEEK_NUMBER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ALMANAC_TOAP_TIME_OF_WEEK_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ALMANAC_TOAP_TIME_OF_WEEK_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ALMANAC_TOAP_DATE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ALMANAC_TOAP_TIME_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_RINEX_FILE_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_RINEX_FILE_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_RINEX_FILE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_RINEX_UTC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_RINEX_UPDATE_FREQUENCY_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_RINEX_IMPORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_GNSS_VALID_SATELLITES_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_GNSS_VALID_SATELLITES_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_GNSS_VALID_SATELLITES_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_GNSS_VALID_SATELLITES_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MARKER_PULSE_WIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_CLOCK_SYNCHRONIZATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_CHIP_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_USER_ENVIRONMENT_VEHICLE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_USER_ENVIRONMENT_VEHICLE_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_USER_ENVIRONMENT_VEHICLE_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_USER_ENVIRONMENT_VEHICLE_LOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_LOC_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_LOC_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_LOC_WAYPOINT_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_LOC_YAW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_LOC_FROM_MOTION_YAW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_LOC_PITCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_LOC_FROM_MOTION_PITCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_LOC_ROLL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_LOC_CONSTANT_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_LOC_START_ROLL_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_LOC_SMOOTH_MOVEMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_OBSCURATION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_OBSCURATION_NEAR_ENVIRONMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_OBSCURATION_PHYSICAL_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_OBSCURATION_RECEIVER_OFFSET_X;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_OBSCURATION_RECEIVER_OFFSET_Y;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_OBSCURATION_RECEIVER_HEIGHT_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_OBSCURATION_MAP_ORIENTATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_OBSCURATION_OBSTACLES_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_OBSCURATION_ROADSIDE_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_OBSCURATION_OBSTACLES_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_OBSCURATION_ROADSIDE_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_OBSCURATION_AREA_INSERT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_OBSCURATION_AREA_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_OBSCURATION_AREA_REFERENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_OBSCURATION_AREA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_ENABLED_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_ENABLED_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_ENABLED_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_ENABLED_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_TAP_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_TAP_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_TAP_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_TAP_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_CARRIER_PHASE_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_CARRIER_PHASE_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_CARRIER_PHASE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_CARRIER_PHASE_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_DOPPLER_SHIFT_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_DOPPLER_SHIFT_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_DOPPLER_SHIFT_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_DOPPLER_SHIFT_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_POWER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_POWER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_POWER_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_POWER_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_DELAY_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_DELAY_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_DELAY_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_MPATH_DELAY_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ANTENNA_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ANTENNA_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ANTENNA_LOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ANTENNA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ANTENNA_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_NAVIGATION_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_NAVIGATION_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_NAVIGATION_SYSTEM_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_NAVIGATION_WEEK_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_NAVIGATION_TIME_OF_WEEK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TCON_LEAP_SECOND_SYNCHRONIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TCON_LEAP_SECOND_CURRENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TCON_LEAP_SECOND_SIMULATE_TRANSITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TCON_UTC_REFERENCE_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TCON_UTC_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TCON_UTC_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TCON_PARAMETERS_A0_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TCON_PARAMETERS_A0_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TCON_PARAMETERS_A0_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TCON_PARAMETERS_A1_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TCON_PARAMETERS_A1_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TCON_PARAMETERS_A1_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TCON_PARAMETERS_T_OT_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TCON_PARAMETERS_T_OT_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TCON_PARAMETERS_T_OT_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TCON_PARAMETERS_WN_OT_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TCON_PARAMETERS_WN_OT_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_TCON_PARAMETERS_WN_OT_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_POWER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_REFERENCE_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_REFERENCE_SATELLITE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_TOTAL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_REFERENCE_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_REFERENCE_SIGNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_REFERENCE_DISTANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_ELEVATION_MASK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_HDOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_PDOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_OPTIMAL_CONSTELLATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_TUNING_INTRA_ZERO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_TUNING_INTRA_SET_TO_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_TUNING_INTRA_CA_P;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_TUNING_INTER_ZERO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_TUNING_INTER_SET_TO_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_TUNING_INTER_CA_E1DEF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_TUNING_INTER_CA_RCA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_TUNING_INTER_CA_TO_GEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ATMOSPHERIC_TROPOSPHERIC_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ATMOSPHERIC_IONOSPHERIC_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ATMOSPHERIC_GPS_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ATMOSPHERIC_KLOBUCHAR_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ATMOSPHERIC_GPS_BETA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ATMOSPHERIC_KLOBUCHAR_BETA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ATMOSPHERIC_GALILEO_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ATMOSPHERIC_GALILEO_SF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_CONFIGURATION_EPHEMERIS_PROJECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_CONFIGURATION_NUMBER_OF_SATELLITES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_SIGNALS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_SPACE_VEHICLE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_STANDARD_CHIP_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_PSEUDORANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_PSEUDORANGE_BIAS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_TIME_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_INITIAL_CARRIER_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_RESULTING_START_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_RESULTING_START_CHIP_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_MESSAGE_NAVIGATION_PAGES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_NAVIGATION_REAL_TIME_PROJECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_MESSAGE_SET_TO_ALMANAC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_MESSAGE_PROJECT_NAVIGATION_MESSAGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_MESSAGE_URA_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_SYNCHRONIZE_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_SYNCHRONIZE_SVID_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_SYNCHRONIZE_SVID_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_SYNCHRONIZE_SVID_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_REF_SYNCHRONIZE_LOCATION_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_REF_SYNCHRONIZE_LOCATION_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_REF_SYNCHRONIZE_LOCATION_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_REF_UNCERTAINLY_RADIUS_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_REF_UNCERTAINLY_RADIUS_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_REF_UNCERTAINLY_RADIUS_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_TOA_SYNCHRONIZE_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_TOA_SYNCHRONIZE_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_TOA_SYNCHRONIZE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_TOA_TIME_BASIS_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_TOA_TIME_BASIS_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_TOA_TIME_BASIS_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_TOA_WEEK_NUMBER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_TOA_WEEK_NUMBER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_TOA_WEEK_NUMBER_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_TOA_TIME_OF_WEEK_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_TOA_TIME_OF_WEEK_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_TOA_TIME_OF_WEEK_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_TOA_DURATION_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_TOA_DURATION_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_TOA_DURATION_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_TOA_RESOLUTION_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_TOA_RESOLUTION_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_SVID_ENABLED_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_SVID_ENABLED_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_SVID_ENABLED_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_GENERATE_ALMANAC_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_GENERATE_NAVIGATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_GENERATE_ACQUISITION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_GENERATE_IONOSPHERIC_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_ADG_GENERATE_UTC_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_GLOBAL_SIGNAL_COUPLING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_GLOBAL_SIGNAL_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_GLOBAL_SIGNAL_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_GLOBAL_SIGNAL_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_GLOBAL_SIGNAL_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_GLOBAL_POWER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_GLOBAL_POWER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_GLOBAL_POWER_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GLON_SAT_GLOBAL_POWER_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_RF_BAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SIMULATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_FAST_STORING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_GNSS_ENABLED_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_GNSS_ENABLED_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_GNSS_ENABLED_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_GNSS_USE_COMMON_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_GNSS_P_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_GNSS_ANTI_SPOOFING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_FILE_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_FILE_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_FILE_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_FILE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_WEEK_NUMBER_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_WEEK_NUMBER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_WEEK_NUMBER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_WEEK_SPAN_BEGIN_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_WEEK_SPAN_BEGIN_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_WEEK_SPAN_BEGIN_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_WEEK_SPAN_END_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_WEEK_SPAN_END_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_WEEK_SPAN_END_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_TOAP_WEEK_NUMBER_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_TOAP_WEEK_NUMBER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_TOAP_WEEK_NUMBER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_TOAP_TIME_OF_WEEK_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_TOAP_TIME_OF_WEEK_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_TOAP_TIME_OF_WEEK_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_TOAP_DATE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ALMANAC_TOAP_TIME_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_RINEX_FILE_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_RINEX_ENABLED_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_RINEX_FILE_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_RINEX_ENABLED_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_RINEX_FILE_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_RINEX_ENABLED_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_RINEX_FILE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_RINEX_ENABLED_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_RINEX_UTC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_RINEX_UPDATE_FREQUENCY_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_RINEX_IMPORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_GNSS_VALID_SATELLITES_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_GNSS_VALID_SATELLITES_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_GNSS_VALID_SATELLITES_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_GNSS_VALID_SATELLITES_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MARKER_PULSE_WIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_CLOCK_SYNCHRONIZATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_CHIP_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_USER_ENVIRONMENT_VEHICLE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_USER_ENVIRONMENT_VEHICLE_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_USER_ENVIRONMENT_VEHICLE_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_USER_ENVIRONMENT_VEHICLE_LOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_LOC_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_LOC_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_LOC_WAYPOINT_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_LOC_YAW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_LOC_FROM_MOTION_YAW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_LOC_PITCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_LOC_FROM_MOTION_PITCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_LOC_ROLL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_LOC_CONSTANT_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_LOC_START_ROLL_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_LOC_SMOOTH_MOVEMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_OBSCURATION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_OBSCURATION_NEAR_ENVIRONMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_OBSCURATION_PHYSICAL_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_OBSCURATION_RECEIVER_OFFSET_X;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_OBSCURATION_RECEIVER_OFFSET_Y;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_OBSCURATION_RECEIVER_HEIGHT_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_OBSCURATION_MAP_ORIENTATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_OBSCURATION_OBSTACLES_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_OBSCURATION_ROADSIDE_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_OBSCURATION_OBSTACLES_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_OBSCURATION_ROADSIDE_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_OBSCURATION_AREA_INSERT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_OBSCURATION_AREA_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_OBSCURATION_AREA_REFERENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_OBSCURATION_AREA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_ENABLED_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_ENABLED_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_ENABLED_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_ENABLED_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_TAP_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_TAP_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_TAP_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_TAP_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_CARRIER_PHASE_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_CARRIER_PHASE_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_CARRIER_PHASE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_CARRIER_PHASE_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_DOPPLER_SHIFT_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_DOPPLER_SHIFT_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_DOPPLER_SHIFT_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_DOPPLER_SHIFT_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_POWER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_POWER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_POWER_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_POWER_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_DELAY_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_DELAY_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_DELAY_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_MPATH_DELAY_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ANTENNA_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ANTENNA_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ANTENNA_LOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ANTENNA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ANTENNA_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_NAVIGATION_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_NAVIGATION_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_NAVIGATION_SYSTEM_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_NAVIGATION_WEEK_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_NAVIGATION_TIME_OF_WEEK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_LEAP_SECOND_SYNCHRONIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_LEAP_SECOND_CURRENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_LEAP_SECOND_SIMULATE_TRANSITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_UTC_REFERENCE_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_UTC_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_UTC_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_PARAMETERS_A0_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_PARAMETERS_A0_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_PARAMETERS_A0_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_PARAMETERS_A0_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_PARAMETERS_A1_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_PARAMETERS_A1_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_PARAMETERS_A1_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_PARAMETERS_A1_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_PARAMETERS_T_OT_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_PARAMETERS_T_OT_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_PARAMETERS_T_OT_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_PARAMETERS_T_OT_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_PARAMETERS_WN_OT_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_PARAMETERS_WN_OT_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_PARAMETERS_WN_OT_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_TCON_PARAMETERS_WN_OT_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_POWER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_REFERENCE_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_REFERENCE_SATELLITE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_TOTAL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_REFERENCE_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_REFERENCE_SIGNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_REFERENCE_DISTANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_ELEVATION_MASK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_HDOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_PDOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_OPTIMAL_CONSTELLATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_TUNING_INTRA_ZERO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_TUNING_INTRA_SET_TO_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_TUNING_INTRA_CA_P;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_TUNING_INTER_ZERO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_TUNING_INTER_SET_TO_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_TUNING_INTER_CA_E1DEF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_TUNING_INTER_CA_RCA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_TUNING_INTER_CA_TO_GEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ATMOSPHERIC_TROPOSPHERIC_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ATMOSPHERIC_IONOSPHERIC_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ATMOSPHERIC_BEIDOU_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ATMOSPHERIC_KLOBUCHAR_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ATMOSPHERIC_BEIDOU_BETA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ATMOSPHERIC_KLOBUCHAR_BETA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ATMOSPHERIC_GALILEO_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ATMOSPHERIC_GALILEO_SF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_CONFIGURATION_EPHEMERIS_PROJECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_CONFIGURATION_NUMBER_OF_SATELLITES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_SIGNALS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_SPACE_VEHICLE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_STANDARD_CHIP_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_ORBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_PSEUDORANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_PSEUDORANGE_BIAS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_TIME_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_INITIAL_CARRIER_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_RESULTING_START_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_RESULTING_START_CHIP_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_NAVIGATION_PAGES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_NAVIGATION_REAL_TIME_PROJECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_SET_TO_ALMANAC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_PROJECT_NAVIGATION_MESSAGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_URA_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_SV_HEALTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_IODC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_IODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_TOE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_M0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_N_DELTA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_ECCENTRICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_SQRTA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_OMEGA0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_I0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_OMEGA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_OMEGA_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_IDOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_CUC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_CUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_CRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_CRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_CIC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_MESSAGE_CIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_CLOCK_TGD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_CLOCK_TGD_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_CLOCK_TOC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_CLOCK_TOC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_CLOCK_AF0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_CLOCK_AF0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_CLOCK_AF1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_CLOCK_AF1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_CLOCK_AF2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_CLOCK_AF2_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_SYNCHRONIZE_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_SYNCHRONIZE_SVID_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_SYNCHRONIZE_SVID_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_SYNCHRONIZE_SVID_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_SYNCHRONIZE_SVID_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_REF_SYNCHRONIZE_LOCATION_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_REF_SYNCHRONIZE_LOCATION_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_REF_SYNCHRONIZE_LOCATION_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_REF_SYNCHRONIZE_LOCATION_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_REF_UNCERTAINLY_RADIUS_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_REF_UNCERTAINLY_RADIUS_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_REF_UNCERTAINLY_RADIUS_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_REF_UNCERTAINLY_RADIUS_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_SYNCHRONIZE_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_SYNCHRONIZE_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_SYNCHRONIZE_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_SYNCHRONIZE_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_TIME_BASIS_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_TIME_BASIS_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_TIME_BASIS_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_TIME_BASIS_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_WEEK_NUMBER_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_WEEK_NUMBER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_WEEK_NUMBER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_WEEK_NUMBER_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_TIME_OF_WEEK_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_TIME_OF_WEEK_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_TIME_OF_WEEK_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_TIME_OF_WEEK_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_DURATION_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_DURATION_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_DURATION_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_DURATION_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_RESOLUTION_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_RESOLUTION_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_TOA_RESOLUTION_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_SVID_ENABLED_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_SVID_ENABLED_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_SVID_ENABLED_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_SVID_ENABLED_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_GENERATE_ALMANAC_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_GENERATE_NAVIGATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_GENERATE_ACQUISITION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_GENERATE_IONOSPHERIC_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_ADG_GENERATE_UTC_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_GLOBAL_SIGNAL_COUPLING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_GLOBAL_SIGNAL_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_GLOBAL_SIGNAL_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_GLOBAL_SIGNAL_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_GLOBAL_SIGNAL_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_GLOBAL_POWER_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_GLOBAL_POWER_GALILEO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_GLOBAL_POWER_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_BEIDOU_SAT_GLOBAL_POWER_BEIDOU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_BEIDOU_SVID_LIST_VALID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_GALILEO_SVID_LIST_VALID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_GLONASS_SVID_LIST_VALID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_GPS_SVID_LIST_VALID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_NAVIC_SVID_LIST_VALID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_QZSS_SVID_LIST_VALID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_SVID_LIST_VALID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_QUERY_GNSS_CENTRAL_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOAD_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_PREDEFINED_SCENARIO_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOAD_PREDEFINED_SCENARIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SCENARIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIMULATION_CONFIG_INFO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TEST_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SCALED_VALUES_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_PSEUDORANGE_ERRORS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_SIMULATED_ORBIT_GLONASS_REFERENCE_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_SIMULATED_ORBIT_GLONASS_REFERENCE_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIMULATED_ORBIT_GLONASS_XN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIMULATED_ORBIT_GLONASS_YN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIMULATED_ORBIT_GLONASS_ZN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIMULATED_ORBIT_GLONASS_XN_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIMULATED_ORBIT_GLONASS_YN_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIMULATED_ORBIT_GLONASS_ZN_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIMULATED_ORBIT_GLONASS_XN_DOT_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIMULATED_ORBIT_GLONASS_YN_DOT_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIMULATED_ORBIT_GLONASS_ZN_DOT_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_GLONASS_SIMULATED_CLOCK_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_GLONASS_SIMULATED_CLOCK_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_BEIDOU_SIMULATED_CLOCK_AF_GROUP_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_STREAM_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_STREAM_OUTPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_STREAM_LOCK_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_STREAM_OUTPUT_RESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_STREAM_STREAM_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_STREAM_VEHICLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_STREAM_ANTENNA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_STREAM_RF_BAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_STREAM_MAX_NUMBER_OF_CHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_STREAM_NUMBER_OF_BASEBANDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_STREAM_ALLOCATED_BASEBAND_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_STREAM_BASEBANDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_STREAM_MAX_CHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_STREAM_L1_BAND_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_STREAM_L2_BAND_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_STREAM_L5_BAND_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_STREAM_OUTPUTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_STREAM_BBMM_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_STREAM_RF_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_VEHICLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_ANTENNA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_MAP_AXIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SHOW_TRACKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SHOW_SV_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_TRAJECTORY_SYSTEM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SHOW_ECHOES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_STREAM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_NUMBER_OF_CHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_ACTIVE_CHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_BEIDOU_L1_BAND_B1C;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_BEIDOU_L1_BAND_B1I;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_BEIDOU_L2_BAND_B2I;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_BEIDOU_L2_BAND_B3I;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_BEIDOU_L5_BAND_B2A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_BEIDOU_L5_BAND_B2B;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_BEIDOU_L5_BAND_B2I;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GALILEO_L1_BAND_E1OS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GALILEO_L1_BAND_E1PRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GALILEO_L2_BAND_E6S;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GALILEO_L2_BAND_E6PRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GALILEO_L5_BAND_E5A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GALILEO_L5_BAND_E5B;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GLONASS_L1_BAND_CA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GLONASS_L2_BAND_CA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GLONASS_L1_BAND_CDMA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GLONASS_L2_BAND_CDMA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GLONASS_L5_BAND_CDMA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_QZSS_L1_BAND_CA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_QZSS_L2_BAND_L2C;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GZSS_L5_BAND_L5S;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_QZSS_L1_BAND_C;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_SBAS_L1_BAND_CA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_SBAS_L5_BAND_EL5S;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GPS_L5_BAND_L5S;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GPS_L2_BAND_CA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GPS_L2_BAND_L2C;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GPS_L2_BAND_P;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GPS_L2_BAND_M;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GPS_L2_BAND_PY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GPS_L1_BAND_P;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GPS_L1_BAND_CA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GPS_L1_BAND_C;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GPS_L1_BAND_M;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_GPS_L1_BAND_PY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MONITOR_SIGNAL_NAVIC_L5_BAND_SPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TROPOSPHERIC_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_IONOSPHERIC_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_IONOSPHERIC_SOLAR_FLUX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_IONOSPHERIC_SUNSPOT_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_IONOSPHERIC_UMSN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_IONOSPHERIC_MOPS_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_IONOSPHERIC_MOPS_DISPLAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_IONOSPHERIC_MOPS_EXPORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MOPS_IMPORT_ADD_EMS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MOPS_IMPORT_ADD_NSTB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MOPS_IMPORT_ADD_GRID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MOPS_IMPORT_ADD_DIRECTORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MOPS_IMPORT_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MOPS_IMPORT_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MOPS_IMPORT_REMOVE_ALL_FILES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MOPS_IMPORT_REMOVE_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_IONOSPHERIC_KLOBUCHAR_ALPHA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_IONOSPHERIC_KLOBUCHAR_BETA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_GPS_CNAV_IONOSPHERIC_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_GPS_CNAV_IONOSPHERIC_ALPHA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_GPS_CNAV_IONOSPHERIC_BETA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_GPS_CNAV_IONOSPHERIC_BETA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_GPS_LNAV_IONOSPHERIC_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_GPS_LNAV_IONOSPHERIC_ALPHA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_GPS_LNAV_IONOSPHERIC_BETA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_GPS_LNAV_IONOSPHERIC_BETA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_GALILEO_IONOSPHERIC_AI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_GALILEO_IONOSPHERIC_AI_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_GALILEO_INAV_IONOSPHERIC_AI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_GALILEO_INAV_IONOSPHERIC_AI_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_BEIDOU_IONOSPHERIC_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_BEIDOU_IONOSPHERIC_ALPHA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_BEIDOU_IONOSPHERIC_BETA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_BEIDOU_IONOSPHERIC_BETA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_BEIDOU_DNAV_IONOSPHERIC_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_BEIDOU_DNAV_IONOSPHERIC_ALPHA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_BEIDOU_DNAV_IONOSPHERIC_BETA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_BEIDOU_DNAV_IONOSPHERIC_BETA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_BEIDOU_CNAV_IONOSPHERIC_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_BEIDOU_CNAV_IONOSPHERIC_ALPHA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_BEIDOU_CNAV_IONOSPHERIC_BETA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_BEIDOU_CNAV_IONOSPHERIC_BETA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_QZSS_IONOSPHERIC_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_QZSS_IONOSPHERIC_ALPHA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_QZSS_IONOSPHERIC_BETA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_QZSS_IONOSPHERIC_BETA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_QZSS_NAV_IONOSPHERIC_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_QZSS_NAV_IONOSPHERIC_ALPHA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_QZSS_NAV_IONOSPHERIC_BETA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_QZSS_NAV_IONOSPHERIC_BETA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_QZSS_CNAV_IONOSPHERIC_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_QZSS_CNAV_IONOSPHERIC_ALPHA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_QZSS_CNAV_IONOSPHERIC_BETA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_QZSS_CNAV_IONOSPHERIC_BETA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_NAVIC_IONOSPHERIC_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_NAVIC_IONOSPHERIC_ALPHA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_NAVIC_IONOSPHERIC_BETA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_NAVIC_IONOSPHERIC_BETA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_IONOSPHERIC_GALILEO_FNAV_SF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_IONOSPHERIC_GALILEO_INAV_SF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADG_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADG_DATA_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADG_CREATE_ACQUISITION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADG_CREATE_ALMANAC_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADG_CREATE_UTC_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADG_CREATE_NAVIGATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADG_CREATE_IONOSPHERIC_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_IODNAV;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_IODNAV;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_L5_HEALTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_S_HEALTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_IODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_AODO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_IODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_IODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_IODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_NAV_TOE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_TOE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_TOE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_TOE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_TOE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_TOE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_TOE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_TOE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_TOE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_TOE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_NAV_TOE_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_TOE_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_TOE_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_TOE_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_TOE_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_TOE_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_TOE_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_TOE_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_TOE_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_TOE_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_SQRTA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_SQRTA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_SQRTA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_SQRTA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_SQRTA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_SQRTA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_SQRTA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_SQRTA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_SQRTA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_SQRTA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_SQRTA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_SQRTA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_SQRTA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_SQRTA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_SQRTA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_SQRTA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_SQRTA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_SQRTA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_ECCENTRICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_ECCENTRICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_ECCENTRICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_ECCENTRICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_ECCENTRICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_ECCENTRICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_ECCENTRICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_ECCENTRICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_ECCENTRICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_ECCENTRICITY_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_ECCENTRICITY_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_ECCENTRICITY_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_ECCENTRICITY_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_ECCENTRICITY_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_ECCENTRICITY_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_ECCENTRICITY_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_ECCENTRICITY_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_ECCENTRICITY_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_INCLINATION_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_INCLINATION_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_INCLINATION_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_INCLINATION_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_INCLINATION_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_INCLINATION_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_INCLINATION_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_INCLINATION_ANGEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_INCLINATION_ANGEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_INCLINATION_ANGLE_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_INCLINATION_ANGLE_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_INCLINATION_ANGLE_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_INCLINATION_ANGLE_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_INCLINATION_ANGLE_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_INCLINATION_ANGLE_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_INCLINATION_ANGEL_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_INCLINATION_ANGEL_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_INCLINATION_ANGLE_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_OMEGA0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_OMEGA0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_OMEGA0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_OMEGA0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_OMEGA0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_OMEGA0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_OMEGA0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_OMEGA0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_OMEGA0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_OMEGA0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_OMEGA0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_OMEGA0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_OMEGA0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_OMEGA0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_OMEGA0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_OMEGA0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_OMEGA0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_OMEGA0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_OMEGA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_OMEGA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_OMEGA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_OMEGA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_OMEGA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_OMEGA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_OMEGA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_OMEGA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_OMEGA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_OMEGA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_OMEGA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_OMEGA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_OMEGA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_OMEGA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_OMEGA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_OMEGA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_OMEGA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_OMEGA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_M0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_M0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_M0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_M0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_M0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_M0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_M0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_M0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_M0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_M0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_M0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_M0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_M0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_M0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_M0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_M0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_M0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_M0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_IDOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_IDOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_IDOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_IDOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_IDOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_IDOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_IDOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_IDOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_IDOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_IDOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_IDOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_IDOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_IDOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_IDOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_IDOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_IDOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_IDOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_IDOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_OMEGADOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_OMEGADOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_OMEGADOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_OMEGADOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_OMEGADOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_OMEGADOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_OMEGADOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_OMEGADOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_OMEGADOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_OMEGADOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_OMEGADOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_OMEGADOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_OMEGADOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_OMEGADOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_OMEGADOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_OMEGADOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_OMEGADOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_OMEGADOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_DELTA_OMEGA_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_DELTA_OMEGA_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_DELTA_OMEGA_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_DELTA_OMEGA_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_DELTA_N;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_DELTA_N;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_DELTA_N;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_DELTA_N;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_DELTA_N;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_DELTA_N;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_DELTA_N;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_DELTA_N;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_DELTA_N;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_DELTA_N_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_DELTA_N_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_DELTA_N_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_DELTA_N_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_DELTA_N_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_DELTA_N_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_DELTA_N_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_DELTA_N_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_DELTA_N_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_DELTA_N_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_DELTA_N_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_DELTA_N_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_DELTA_N_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_DELTA_N_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_DELTA_N_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_A_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_A_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_A_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_A_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_A_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_A_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_DELTA_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_DELTA_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_DELTA_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_DELTA_A_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_DELTA_A_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_DELTA_A_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_T_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_GLONASS_TB_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_GLONASS_TB_INDEX_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_XN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_XN_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_YN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_YN_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_ZN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_ZN_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_XN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_XN_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_YN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_YN_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_ZN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_ZN_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_CDMA_FIELD_M;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_XN_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_XN_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_YN_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_YN_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_ZN_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_ZN_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_XN_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_XN_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_YN_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_YN_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_ZN_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_ZN_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_XN_DOT_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_XN_DOT_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_YN_DOT_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_YN_DOT_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_ZN_DOT_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_ZN_DOT_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_XN_DOT_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_XN_DOT_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_YN_DOT_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_YN_DOT_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_ZN_DOT_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_ZN_DOT_DOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_CUC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_CUC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_CUC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_CUC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_CUC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_CUC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_CUC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_CUC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_CUC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_CUC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_CUC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_CUC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_CUC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_CUC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_CUC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_CUC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_CUC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_CUC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_CUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_CUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_CUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_CUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_CUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_CUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_CUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_CUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_CUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_CUS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_CUS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_CUS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_CUS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_CUS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_CUS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_CUS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_CUS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_CUS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_CRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_CRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_CRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_CRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_CRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_CRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_CRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_CRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_CRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_CRC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_CRC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_CRC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_CRC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_CRC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_CRC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_CRC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_CRC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_CRC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_CRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_CRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_CRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_CRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_CRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_CRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_CRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_CRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_CRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_CRS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_CRS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_CRS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_CRS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_CRS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_CRS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_CRS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_CRS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_CRS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_CIC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_CIC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_CIC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_CIC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_CIC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_CIC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_CIC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_CIC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_CIC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_CIC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_CIC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_CIC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_CIC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_CIC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_CIC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_CIC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_CIC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_CIC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_CIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_CIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_CIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_CIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_CIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_CIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_CIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_CIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_CIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_CIS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_CIS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_CIS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_CIS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_CIS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_CIS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_CIS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_CIS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_CIS_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_BROADCAST_GROUP_DELAY_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_BROADCAST_GROUP_DELAY_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_BROADCAST_GROUP_DELAY_B;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_BROADCAST_GROUP_DELAY_A_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_BROADCAST_GROUP_DELAY_A_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_BROADCAST_GROUP_DELAY_B_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_TOC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_TOC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_TOC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_TOC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_TOC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_TOC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_TOC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_TOC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_TOC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_TOC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_TOC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_TOC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_TOC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_TOC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_TOC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_TOC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_TOC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_TOC_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_TGD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_TGD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_TGD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_TGD1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_TGD2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_TGD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_TGD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_TGD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_TGD_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_TGD_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_TGD_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_TGD1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_TGD2_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_TGD_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_TGD_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_TGD_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_TAU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_TAU_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_GAMMA_N;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_GAMMA_N_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_DELTA_TN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GLONASS_DELTA_TN_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_NAV_AF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_AF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_AF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_AF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_AF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_AF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_AF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_AF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_AF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_AF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_SBAS_NAV_AF_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_NAV_AF_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_QZSS_CNAV_AF_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_NAVIC_NAV_AF_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_FNAV_AF_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GALILEO_INAV_AF_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_DNAV_AF_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_BEIDOU_CNAV_AF_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_CNAV_AF_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ORBIT_GPS_LNAV_AF_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GPS_ALERT_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_BEIDOU_ALERT_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_QZSS_ALERT_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GPS_L1_HEALTH_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_QZSS_L1_HEALTH_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GPS_L2_HEALTH_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_QZSS_L2_HEALTH_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GPS_L5_HEALTH_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_QZSS_L5_HEALTH_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GPS_URA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GPS_NED0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_QZSS_NED0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GPS_NED1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_QZSS_NED1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GPS_NED2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_QZSS_NED2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GPS_WNOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GPS_TOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GPS_TOP_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GPS_IS_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_QZSS_IS_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GPS_L2C_PHASING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_QZSS_L2C_PHASING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_QZSS_CNAV_URA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GPS_ANTI_SPOOFING_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GPS_AODO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GALILEO_FNAV_SISA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GALILEO_INAV_SISA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GALILEO_E1BDVS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GALILEO_E5ADVS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GALILEO_E5BDVS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GALILEO_E1BHS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GALILEO_E5AHS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GALILEO_E5BHS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GLONASS_SATELLITE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GLONASS_P;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GLONASS_AGE_OF_EMPHEMERIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GLONASS_TB_ALIGNMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ADDITIONAL_DATA_GLONASS_EN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SAR_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SAR_SPARE_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SAR_RLM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_START_TIME_BASIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_WEEK_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_TIME_OF_WEEK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_LEAP_AUTO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_UTC_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_UTCS_WNOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_UTCS_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_UTCS_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_UTCS_INTEGER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_UTCS_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_UTCS_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_UTCS_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_UTCS_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GLONASS_UTC_SU_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GLONASS_UTC_SU_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GLONASS_UTC_SU_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GLONASS_UTC_SU_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GLONASS_UTC_SU_TIME_OF_WEEK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GLONASS_UTC_SU_TIME_OF_WEEK_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GLONASS_UTC_SU_WEEK_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_APPLIES_TIME_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_ISC_QZSS_L1CA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_ISC_QZSS_L1CA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_ISC_QZSS_L2C;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_ISC_QZSS_L2C_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_ISC_QZSS_L5I;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_ISC_QZSS_L5I_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_ISC_QZSS_L5Q;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_ISC_QZSS_L5Q_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_ISC_GPS_L1CA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_ISC_GPS_L1CA_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_ISC_GPS_L2C;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_ISC_GPS_L2C_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_ISC_GPS_L5I;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_ISC_GPS_L5I_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_ISC_GPS_L5Q;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_ISC_GPS_L5Q_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_QZSS_WNOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_FNAV_WNOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_INAV_WNOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GLONASS_WNOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_WNOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_CNAV_WNOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_LNAV_WNOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_QZSS_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_QZSS_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_FNAV_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_FNAV_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_INAV_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_INAV_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GLONASS_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GLONASS_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_CNAV_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_CNAV_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_LNAV_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_LNAV_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_A2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_A2_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_QZSS_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_QZSS_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_FNAV_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_FNAV_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_INAV_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_INAV_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GLONASS_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GLONASS_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_CNAV_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_CNAV_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_LNAV_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_LNAV_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_QZSS_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_QZSS_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_FNAV_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_FNAV_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_INAV_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_INAV_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GLONASS_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GLONASS_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_CNAV_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_CNAV_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_LNAV_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_LNAV_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_GPS_WNOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_FNAV_GPS_WNOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_INAV_GPS_WNOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_GPS_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_GPS_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_FNAV_GPS_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_FNAV_GPS_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_INAV_GPS_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_INAV_GPS_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GLONASS_GPS_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GLONASS_GPS_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_FNAV_GPS_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_FNAV_GPS_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_INAV_GPS_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_INAV_GPS_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_GPS_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_GPS_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_FNAV_GPS_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_FNAV_GPS_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_INAV_GPS_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GALILEO_INAV_GPS_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_GPS_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_GPS_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_GALILEO_WNOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_GALILEO_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_GALILEO_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_GALILEO_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_GALILEO_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_GALILEO_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_GALILEO_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_GALILEO_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_GALILEO_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_GALILEO_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_GALILEO_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_GALILEO_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_GALILEO_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_GALILEO_A2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_GALILEO_A2_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_GLONASS_WNOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_GLONASS_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_GLONASS_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_GLONASS_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_GLONASS_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_GLONASS_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_GLONASS_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_GLONASS_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_GLONASS_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_GLONASS_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_GLONASS_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_GLONASS_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_GLONASS_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_GLONASS_A2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_GLONASS_A2_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_NAVIC_GPS_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_NAVIC_GPS_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_NAVIC_GPS_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_NAVIC_GPS_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_NAVIC_GPS_A2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_NAVIC_GPS_A2_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_NAVIC_GPS_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_NAVIC_GPS_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_NAVIC_GPS_WNOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_NAVIC_UTC_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_NAVIC_UTC_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_NAVIC_UTC_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_NAVIC_UTC_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_NAVIC_UTC_A2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_NAVIC_UTC_A2_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_NAVIC_UTC_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_NAVIC_UTC_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_NAVIC_UTC_WNOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_QZSS_UTC_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_QZSS_UTC_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_QZSS_UTC_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_QZSS_UTC_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_QZSS_UTC_A2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_QZSS_UTC_A2_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_QZSS_UTC_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_QZSS_UTC_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_QZSS_UTC_WNOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_GALILEO_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_GALILEO_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_GALILEO_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_GALILEO_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_GALILEO_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_GALILEO_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_GLONASS_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_GLONASS_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_GLONASS_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_GLONASS_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_GLONASS_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_GLONASS_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_GPS_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_GPS_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_GPS_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_GPS_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_GPS_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_GPS_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_UTC_A1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_UTC_A1_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_UTC_A0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_UTC_A0_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_UTC_TOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_UTC_TOT_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_BEIDOU_CNAV_UTC_WNOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_GPS_CNAV_UTC_A2_UNSCALED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_LEAP_SECONDS_BEFORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_CONVERSION_LEAP_SECONDS_AFTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_L1_BAND_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_L2_BAND_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_L5_BAND_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SYSTEM_SBAS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1C_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L2_BAND_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L2_BAND_B3I_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2A_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2I_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2B_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5B_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5A_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1OS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1PRS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L2_BAND_E6PRS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_SYSTEM_L1_BAND_CDMA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_SYSTEM_L2_BAND_CDMA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_SYSTEM_L5_BAND_CDMA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_CDMA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SBAS_L1_BAND_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SBAS_L5_BAND_EL5S_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_CA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_P_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_CDMA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_M_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_PY_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_CA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_P_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_L2C_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_M_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_PY_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L2_BAND_L2C_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L5_BAND_L5S_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L2_BAND_E6S_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L5_BAND_L5S_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_NAVIC_L5_BAND_SPS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_POWER_REFERENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SBAS_L1_BAND_CA_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SBAS_L5_BAND_EL5S_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1PRS_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5B_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5A_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E1OS_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L2_BAND_E6S_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L2_BAND_E6PRS_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_NAVIC_L5_BAND_SPS_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CA_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CA_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CDMA_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CDMA_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L5_BAND_CDMA_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_CA_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_C_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L2_BAND_L2C_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L5_BAND_L5S_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1C_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1L_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L2_BAND_B2L_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L2_BAND_B3I_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2A_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2I_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2B_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_CA_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_P_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_C_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_M_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_PY_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_CA_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_P_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_L2C_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_M_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_PY_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L5_BAND_L5S_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SVID_GPS_L1_BAND_CA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SVID_GPS_L1_BAND_P_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SVID_GPS_L1_BAND_C_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SVID_GPS_L1_BAND_M_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SVID_GPS_L1_BAND_PY_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SVID_GPS_L2_BAND_CA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SVID_GPS_L2_BAND_L2C_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SVID_GPS_L2_BAND_P_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SVID_GPS_L2_BAND_M_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SVID_GPS_L2_BAND_PY_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SVID_GPS_L5_BAND_L5S_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SBAS_L1_BAND_CA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SVID_SBAS_L5_BAND_EL5S_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_CA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SVID_QZSS_L1_BAND_C_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SVID_QZSS_L5_BAND_L5S_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_SVID_L5_BAND_E5B_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_SVID_L5_BAND_E5A_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_SVID_L2_BAND_E6S_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E10S_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_SVID_L1_BAND_E1PRS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_SVID_L2_BAND_E6PRS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CDMA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CDMA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L5_BAND_CDMA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SVID_BEIDOU_L1_BAND_B1C_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1L_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L2_BAND_B2L_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SVID_BEIDOU_L2_BAND_B3I_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SVID_BEIDOU_L5_BAND_B2A_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SVID_BEIDOU_L5_BAND_B2I_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SVID_BEIDOU_L5_BAND_B2B_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_NAVIC_L5_BAND_SPS_SVID_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L2_BAND_L2C_SVID_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L5_BAND_L5S_SVID_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_FREQUENCY_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SBAS_L1_BAND_CA_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SBAS_L1_BAND_CA_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SBAS_L5_BAND_EL5S_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_CA_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_CA_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_C_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_C_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L2_BAND_L2C_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L2_BAND_L2C_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L5_BAND_L5S_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L5_BAND_L5S_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_NAVIC_L5_BAND_SPS_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1OS_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1OS_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1PRS_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L2_BAND_E6S_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L2_BAND_E6S_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L2_BAND_E6PRS_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5B_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5B_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5A_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5A_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CA_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CA_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CA_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CA_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CDMA_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CDMA_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CDMA_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L5_BAND_CDMA_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L5_BAND_CDMA_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1C_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1C_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1L_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1L_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L2_BAND_B2L_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L2_BAND_B2L_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L2_BAND_B3I_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2A_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2A_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2I_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2B_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_CA_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_CA_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_C_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_C_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_M_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_PY_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L5_BAND_L5S_PILOT_PRIMATE_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_P_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_P_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_L2C_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_L2C_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_P_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_P_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_CA_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_CA_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_M_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_PY_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L5_BAND_L5S_DATA_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L5_BAND_L5S_PILOT_PRIMARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1C_PILOT_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1L_DATA_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1L_PILOT_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L2_BAND_B2L_DATA_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L2_BAND_B2L_PILOT_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L2_BAND_B3I_DATA_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2A_DATA_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2A_PILOT_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2I_DATA_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1OS_DATA_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1OS_PILOT_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1PRS_DATA_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L2_BAND_E6S_PILOT_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L2_BAND_E6PRS_DATA_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5A_DATA_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5A_PILOT_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5B_DATA_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5B_PILOT_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_C_PILOT_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L5_BAND_L5S_DATA_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L5_BAND_L5S_PILOT_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_C_PILOT_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_M_DATA_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_PY_DATA_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_M_DATA_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_PY_DATA_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L5_BAND_L5S_DATA_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CDMA_DATA_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CDMA_PILOT_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L5_BAND_CDMA_DATA_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L5_BAND_CDMA_PILOT_SECONDARY_CODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SBAS_L1_BAND_CA_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SBAS_L5_BAND_EL5S_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_CA_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L2_BAND_L2C_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L5_BAND_L5S_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1OS_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1PRS_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L2_BAND_E6S_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L2_BAND_E6PRS_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5A_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5B_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_NAVIC_L5_BAND_SPS_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CA_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CA_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CDMA_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CDMA_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L5_BAND_CDMA_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1C_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1L_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L2_BAND_B3I_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L2_BAND_B2L_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2A_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2I_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2B_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_CA_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_P_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_C_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_M_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_PY_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_L2C_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_P_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_CA_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_M_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_PY_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L5_BAND_L5S_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_CA_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_P_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_C_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_M_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_PY_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_L2C_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_P_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_M_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_PY_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L5_BAND_L5S_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SBAS_L1_BAND_CA_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SBAS_L5_BAND_EL5S_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_CA_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_C_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_C_NAV_MESSAGE_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L2_BAND_L2C_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L5_BAND_L5S_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1OS_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1PRS_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L2_BAND_E6S_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L2_BAND_E6PRS_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5A_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5B_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_NAVIC_L5_BAND_SPS_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CA_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CA_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CDMA_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CDMA_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L5_BAND_CDMA_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1C_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1I_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L2_BAND_B3I_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2A_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2I_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2B_NAV_MESSAGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_C_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SBAS_L1_BAND_CA_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SBAS_L5_BAND_EL5S_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_CA_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_C_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1OS_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1PRS_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L2_BAND_E6S_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L2_BAND_E6PRS_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5A_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5B_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_NAVIC_L5_BAND_SPS_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L2_BAND_L2C_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L5_BAND_L5S_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CA_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CA_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CDMA_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CDMA_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L5_BAND_CDMA_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1C_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1L_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L2_BAND_B3I_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L2_BAND_B2L_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2A_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2I_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2B_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_CA_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_P_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_M_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_PY_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_L2C_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_P_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_CA_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_M_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_PY_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L5_BAND_L5S_NAV_MESSAGE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SBAS_L1_BAND_CA_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SBAS_L5_BAND_EL5S_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_CA_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_C_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L2_BAND_L2C_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L5_BAND_L5S_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_NAVIC_L5_BAND_SPS_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_CA_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_P_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_C_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_M_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_PY_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_CA_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_L2C_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_P_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_M_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_PY_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L5_BAND_L5S_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CA_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CA_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CDMA_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CDMA_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L5_BAND_CDMA_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1OS_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1PRS_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L2_BAND_E6S_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L2_BAND_E6PRS_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5A_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5B_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1C_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1I_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L2_BAND_B3I_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2A_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2I_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2B_NAV_MESSAGE_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SBAS_L1_BAND_CA_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_SBAS_L5_BAND_EL5S_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_CA_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L1_BAND_C_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L2_BAND_L2C_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_QZSS_L5_BAND_L5S_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_NAVIC_L5_BAND_SPS_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_CA_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_C_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_P_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_M_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L1_BAND_PY_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_CA_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_L2C_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_P_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_M_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L2_BAND_PY_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GPS_L5_BAND_L5S_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CA_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CA_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CDMA_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CDMA_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L5_BAND_CDMA_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1OS_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1OS_OSNMA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L1_BAND_E1PRS_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L2_BAND_E6S_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L2_BAND_E6PRS_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5A_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GALILEO_L5_BAND_E5B_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1C_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L1_BAND_B1I_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L2_BAND_B3I_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2A_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2I_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_BEIDOU_L5_BAND_B2B_NAV_MESSAGE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CA_MEANDRING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CA_MEANDRING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L1_BAND_CA_TIME_SIGNAL_COMPONENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SIGNAL_GLONASS_L2_BAND_CA_TIME_SIGNAL_COMPONENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SV_SELECTION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SV_SELECTION_EARTH_OBSCURATION_REFERENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SV_SELECTION_EARTH_OBSCURATION_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SV_SELECTION_MAX_NUMBER_OF_CHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SV_SELECTION_REFERENCE_VEHICLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_HIL_LATENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_HIL_SYSTEM_LATENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_HIL_INTERFACE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_HIL_UDP_PORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_HIL_ELAPSED_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_NUMBER_OF_VEHICLES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_POSITIONING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_LOCATION_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_LOCATION_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_LOCATION_REFERENCE_FRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_LOCATION_COORDINATES_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_LOCATION_ATTITUDE_BEHAVIOUR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_LOCATION_ATTITUDE_YAW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_LOCATION_ATTITUDE_PITCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_LOCATION_ATTITUDE_ROLL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_LOCATION_ATTITUDE_SPIN_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_LOCATION_WAYPOINTS_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_LOCATION_WAYPOINTS_TRAJECTORY_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_LOCATION_TRAJECTORY_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_LOCATION_RO_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_LOCATION_SMOOTH_MOVEMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_LOCATION_PREDEFINED_VEHICLES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_LOCATION_USER_VEHICLES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_LOCATION_VEHICLE_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_PREDEFINED_ENVIRONMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_PHYSICAL_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_FULL_SET_TO_TRAJECTORY_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_RPL_SET_TO_TRAJECTORY_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_VERTICAL_PREDEFINED_ENVIRONMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_VERTICAL_PHYSICAL_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_VERTICAL_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_VERTICAL_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_VERTICAL_LOAD_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_VERTICAL_MAP_ORIENTATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_VERTICAL_START_REC_X_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_VERTICAL_START_REC_Y_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_VERTICAL_START_REC_HEIGHT_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_ROADSIDE_PREDEFINED_ENVIRONMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_ROADSIDE_PHYSICAL_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_ROADSIDE_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_ROADSIDE_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_ROADSIDE_LOAD_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_ROADSIDE_REPETITION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_ROADSIDE_REPETITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_ROADSIDE_RECEIVER_HEIGHT_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_ROADSIDE_SET_LENGTH_TO_INFINITE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_ROADSIDE_DISPLAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_GROUND_SEA_MATERIAL_PROPERTY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_GROUND_SEA_POWER_LOSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_GROUND_SEA_SURFACE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_GROUND_SEA_PERMITIVITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_GROUND_SEA_CONDUCTIVITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_GROUND_SEA_HEIGHT1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_GROUND_SEA_HEIGHT2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_GROUND_SEA_DISTANCE1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_GROUND_SEA_DISTANCE2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_GROUND_SEA_ALTITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_GROUND_SEA_ORIENTATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_FULL_PREDEFINED_ENVIRONMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_FULL_REFERENCE_SCALE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_FULL_REPETITION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_FULL_REPETITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_QUERY_SATNAV_GNSS_RECEIVER_ENVIRONMENT_FULL_AREAS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_FULL_AREA_APPEND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_FULL_AREA_INSERT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_FULL_AREA_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_FULL_AREA_REFERENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_FULL_AREA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_LAND_MOBILE_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_LAND_MOBILE_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_LAND_MOBILE_LOAD_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_STATIC_MULTIPATH_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_STATIC_MULTIPATH_SVID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_STATIC_MULTIPATH_COPY_TARGET_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_STATIC_MULTIPATH_COPY_TARGET_SVID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RECEIVER_ENVIRONMENT_STATIC_MULTIPATH_COPY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ANTENNA_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ANTENNA_VIEW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ANTENNA_VISUALIZE_3D;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ANTENNA_PREDEFINED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_USER_ANTENNA_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_BODY_PREDEFINED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_USER_BODY_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ANTENNA_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_BODY_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ANTENNA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ANTENNA_DELTA_BANK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ANTENNA_DELTA_HEADING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ANTENNA_DELTA_ELEVATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ANTENNA_DELTA_X;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ANTENNA_DELTA_Y;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ANTENNA_DELTA_Z;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RT_PDOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RT_HDOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RT_VDOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RT_RECEIVER_ATTITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RECEIVER_POSITION_AND_VELOCITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RT_GPS_AZIMUTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RT_GALILEO_AZIMUTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RT_GLONASS_AZIMUTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RT_BEIDOU_AZIMUTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RT_QZSS_AZIMUTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RT_SBAS_AZIMUTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RT_NAVIC_AZIMUTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RT_GPS_ELEVATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RT_GALILEO_ELEVATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RT_GLONASS_ELEVATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RT_BEIDOU_ELEVATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RT_QZSS_ELEVATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RT_SBAS_ELEVATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RT_NAVIC_ELEVATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RT_STREAM_ACTIVE_SYSTEMS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RT_STREAM_ACTIVE_GPS_SIGNALS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RT_STREAM_ACTIVE_GALILEO_SIGNALS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RT_STREAM_ACTIVE_GLONASS_SIGNALS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RT_STREAM_ACTIVE_BEIDOU_SIGNALS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RT_STREAM_ACTIVE_QZSS_SIGNALS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RT_STREAM_ACTIVE_SBAS_SIGNALS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RT_STREAM_ACTIVE_NAVIC_SIGNALS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_PROTOCOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_PORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_PASSWORD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_USER_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_NUMBER_OF_BASE_STATIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_BASE_MOUNTPOINT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_BASE_LOCATION_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_BASE_LOCATION_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_BASE_LOCATION_SYNC_TO_RECEIVER_POSITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_BASE_LOCATION_REFERENCE_FRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_BASE_LOCATION_COORDINATES_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RTK_BASE_LOCATION_DECIMAL_PZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RTK_BASE_LOCATION_DECIMAL_WGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RTK_BASE_LOCATION_DMS_PZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_RTK_BASE_LOCATION_DMS_WGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_ANTENNA_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_ANTENNA_PATTERN_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_ANTENNA_BODY_MASK_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_ANTENNA_ORIENTATION_DELTA_BANK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_ANTENNA_ORIENTATION_DELTA_HEADING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_ANTENNA_ORIENTATION_DELTA_ELEVATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_ANTENNA_DELTA_X;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_ANTENNA_DELTA_Y;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_RTK_ANTENNA_DELTA_Z;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_OFFLINE_GENERATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_OFFLINE_ABORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_RT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_OFFLINE_TIME_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_OFFLINE_TIME_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_OFFLINE_PROGRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_DESTINATION_DIRECTORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_FILE_TIMESTAMP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_FILE_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_U_MOTION_FILE_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_U_MOTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_U_MOTION_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_SELECT_ALL_SVID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_U_MOTION_SELECT_ALL_SVID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_SELECT_NONE_SVID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_U_MOTION_SELECT_NONE_SVID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_PARAMETER_ACCELERATION_ECEF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_PARAMETER_POSITION_ECEF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_PARAMETER_VELOCITY_ECEF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_PARAMETER_AZIMUTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_PARAMETER_CLOCK_BIAS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_PARAMETER_CLOCK_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_PARAMETER_CLOCK_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_PARAMETER_DOPPLER_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_PARAMETER_ELEVATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_PARAMETER_IONOSPHERIC_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_PARAMETER_PSEUDORANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_PARAMETER_PSEUDORANGE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_PARAMETER_PSEUDORANGE_BIAS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_PARAMETER_PSEUDORANGE_BIAS_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_PARAMETER_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_PARAMETER_RANGE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_PARAMETER_SIGNAL_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_SATELLITE_PARAMETER_TROPOSPHERIC_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_PARAMETER_U_MOTION_ACCELERATION_ECEF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_PARAMETER_U_MOTION_JERK_ECEF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_PARAMETER_U_MOTION_POSITIONAL_ECEF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_PARAMETER_U_MOTION_VELOCITY_ECEF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_PARAMETER_U_MOTION_ATTITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_PARAMETER_U_MOTION_ATTITUDE_ACCELERATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_PARAMETER_U_MOTION_ATTITUDE_JERK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_PARAMETER_U_MOTION_ATTITUDE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_PARAMETER_U_MOTION_GEOMETRIC_DOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_PARAMETER_U_MOTION_HORIZONTAL_DOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_PARAMETER_U_MOTION_POSITIONAL_DOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_PARAMETER_U_MOTION_VERTICAL_DOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_PARAMETER_U_MOTION_TIME_DOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_PARAMETER_U_MOTION_GROUND_SPEED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_PARAMETER_U_MOTION_ANTENNA_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_PARAMETER_U_MOTION_NUMBER_OF_VISIBLE_SVS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_PARAMETER_U_MOTION_POSITION_ENU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_PARAMETER_U_MOTION_POSITION_LLA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_LOGGING_PARAMETER_U_MOTION_VELOCITY_LOCAL_NED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TRIGGER_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ALL_EXTERNAL_TRIGGERS_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_ALL_EXTERNAL_TRIGGERS_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_TRIGGER_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_TRIGGER_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_TIME_BASED_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MARKER_PULSE_WIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MARKER_HIGH_PRECISION_PPS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_MARKER_HIGH_PRECISION_PPS_ADDITIONAL_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_AWGN_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_AWGN_AUTO_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_AWGN_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_AWGN_SYSTEM_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_AWGN_CARRIER_NOISE_DENSITY_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_AWGN_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_AWGN_REFERENCE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_AWGN_CW_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_AWGN_TARGET_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_AWGN_JS_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_SBAS_SIMULATED_ORBIT_REFERENCE_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_SBAS_SIMULATED_ORBIT_REFERENCE_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_SBAS_SIMULATED_CLOCK_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SATNAV_GNSS_SBAS_SIMULATED_CLOCK_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_SYSTEM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_SIMULATED_ORBIT_XG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_SIMULATED_ORBIT_YG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_SIMULATED_ORBIT_ZG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_SIMULATED_ORBIT_XG_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_SIMULATED_ORBIT_YG_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_SIMULATED_ORBIT_ZG_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_SIMULATED_ORBIT_XG_DOT_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_SIMULATED_ORBIT_YG_DOT_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_SIMULATED_ORBIT_ZG_DOT_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_ALMANAC_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_ALMANAC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_C_E_COVARIANCE_MATRIX_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_C_E_COVARIANCE_MATRIX_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_DEGRADATION_FACTOR_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_DEGRADATION_FACTOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_FC_DEGRADATION_FACTOR_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_FC_DEGRADATION_FACTOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_FAST_CORRECTION_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_FAST_CORRECTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_IONOSPHERIC_GRID_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_IONOSPHERIC_GRID_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_LONG_TERM_CORRECTION_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_LONG_TERM_CORRECTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_PRN_MASK_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_PRN_MASK_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_RINEX_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_RINEX_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_SERVICE_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_SERVICE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_UTC_OFFSET_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_UTC_OFFSET_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_EGNOS_SVID_PRN_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_ALMANAC_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_ALMANAC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_C_E_COVARIANCE_MATRIX_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_C_E_COVARIANCE_MATRIX_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_DEGRADATION_FACTOR_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_DEGRADATION_FACTOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_FC_DEGRADATION_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_FC_DEGRADATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_FAST_CORRECTION_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_FAST_CORRECTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_IONOSPHERIC_GRID_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_IONOSPHERIC_GRID_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_LONG_TERM_CORRECTION_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_LONG_TERM_CORRECTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_PRN_MASK_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_PRN_MASK_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_RINEX_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_RINEX_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_SERVICE_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_SERVICE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_UTC_OFFSET_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_UTC_OFFSET_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_GAGAN_SVID_PRN_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_ALMANAC_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_ALMANAC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_C_E_COVARIANCE_MATRIX_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_C_E_COVARIANCE_MATRIX_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_DEGRADATION_FACTOR_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_DEGRADATION_FACTOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_FC_DEGRADATION_FACTOR_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_FC_DEGRADATON_FACTOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_FAST_CORRECTION_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_FAST_CORRECTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_IONOSPHERIC_GRID_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_IONOSPHERIC_GRID_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_LONG_TERM_CORRECTION_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_LONG_TERM_CORRECTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_PRN_MASK_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_PRN_MASK_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_RINEX_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_RINEX_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_SERVICE_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_SERVICE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_UTC_OFFSET_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_UTC_OFFSET_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_MSAS_SVID_PRN_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_ALMANAC_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_ALMANAC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_C_E_COVARIANCE_MATRIX_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_C_E_COVARIANCE_MATRIX_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_DEGRADATION_FACTOR_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_DEGRADATION_FACTOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_FC_DEGRADATION_FACTOR_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_FC_DEGRADATION_FACTOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_FAST_CORRECTION_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_FAST_CORRECTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_IONOSPHERIC_GRID_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_IONOSPHERIC_GRID_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_LONG_TERM_CORRECTION_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_LONG_TERM_CORRECTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_PRN_MASK_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_PRN_MASK_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_RINEX_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_RINEX_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_SERVICE_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_SERVICE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_UTC_OFFSET_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_UTC_OFFSET_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_GNSS_SBAS_WAAS_SV_ID_PRN_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SATNAV_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_TECHNOLOGY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_DIVISOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_DESIRED_VOLTAGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_TRANSMISSION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_UNMODULATED_PARTS_VOLTAGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_AUTOMATICALLY_ADJUST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_WAVEFORM_CREATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FAST_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MODULATION_BIT_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MODULATION_SLOPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MODULATION_RLC_CURVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MODULATION_INVERSE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MODULATION_TFALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MODULATION_TRISE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MODULATION_TLOW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MODULATION_OVERSHOOT_RISING_SLOPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MODULATION_UNDERSHOOT_FALLING_SLOPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MODULATION_DEPTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MODULATION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MODULATION_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MODULATION_BASEBAND_OUTPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_PREDEFINED_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_PREDEFINED_SEQUENCE_CONFIGURE_MARKER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_PREDEFINED_SEQUENCE_APPLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_SEQUENCE_APPEND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_SEQUENCE_INSERT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_SEQUENCE_REMOVES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_SEQUENCE_COPY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_SEQUENCE_PASTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_SEQUENCE_TOTAL_NUMBER_OF_SAMPLES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_SEQUENCE_TOTAL_SEQUENCE_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_SEQUENCE_START_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_SEQUENCE_COMMAND_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_SEQUENCE_REPETITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_SEQUENCE_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_SEQUENCE_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_SEQUENCE_SAMPLES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_NFCID1_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_SEL_CMD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_SEL_PAR_UPPER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_SEL_PAR_LOWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_NFCID0_HEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_NFCID1_HEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_NFCID2_HEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_BLOCK_SELECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_BYTE_SELECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_GLOBAL_BLOCK_SELECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_BLOCK_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_PACKET_SELECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_ADVANCED_PROTOCOL_FEATURE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_DID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_CID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_CID_SUPPORTED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_BLOCK_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_CHAINING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_DID_FOLLOWING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_LENGTH_REDUCTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_GENERAL_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_A_CHECK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_A_UPDATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_B_CHECK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_B_UPDATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_E_CHECK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_E_UPDATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_APPLICATION_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_APPLICATION_CODING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_APPLICATION_FAMILY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_AID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_AID_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_AN_SELECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_BCC_ERROR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_BIT_FRAME_ANTICOLLISION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_BIT_FRAME_SDD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_DLP2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_DLP4;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_DLP8;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_DL_POLL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_DPL2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_DPL4;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_DPL8;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_DPPCD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_DPP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_DPTL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_DRI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_DSI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_DID_SUPPORTED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_DW_SELECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_EXTENDED_ATQB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_EXTENDED_SENSBRES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_MAXIMUM_FRAME_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_FWI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_IB_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_MBLI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_MI_CHAINED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_MINIMUM_TR0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_MINIMUM_TR1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_MINIMUM_TR2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_NFCID2_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_NACK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_NAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_NUMBER_OF_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_NAD_FOLLOWING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_NFCID1_COMPLETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_NUMBER_OF_APPLICATIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_NUMBER_OF_SLOTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_NUMBER_OF_SERVICES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_NAD_SUPPORTED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_PAD0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_PAD1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_PAD2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_TYPE_PDU;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_WTX_POWER_LEVEL_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_POWER_LEVEL_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_PNI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_PUPI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_REQUEST_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_RTOX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_SYSTEM_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_SEGMENT_SELECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_SELECT_CL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_SEN_REQUIRED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_SF1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_SF2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_SFGI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_SLOT_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_SECTOR_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_SSN_REQUIRED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_T1T_CONFIGURED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_HISTORICAL_BYTES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_APPLICATIONS_IN_PICC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_TSN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_UID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_UID_COMPLETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_UID_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_WAITING_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_WTXM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_K_PARAMETER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_SAME_BIT_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_PROTOCOL_CONFIGURED_FOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_CFG_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FRAME_ATTENTION_TIMEOUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_AP_GENERIC_BIT_ORIENTED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_AP_GENERIC_BIT_ORIENTED_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_AP_GENERIC_SHORT_FRAME_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_AP_GENERIC_SHORT_FRAME_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_AP_GENERIC_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_AP_GENERIC_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_AP_GENERIC_PAYLOAD_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_AP_GENERIC_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_AP_GENERIC_EOD_PRESENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FP_GENERIC_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FP_GENERIC_PAYLOAD_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FP_GENERIC_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_BP_GENERIC_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_BP_GENERIC_PAYLOAD_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_BP_GENERIC_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_SERVICE_CODE_LIST_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_SERVICE_NUMBER_OF_SERVICES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_BLOCK_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_BLOCK_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_BLOCK_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_BLOCK_STATUS_INFORMATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_BLOCK_SERVICE_CODE_LIST_ORDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_CLIPPING_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NFC_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_WAVEFORM_CREATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_MULTIPLE_FREQUENCY_CHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_GATED_POWER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_SAMPLE_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_MODULATION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_SCATI_HEADER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_NUMBER_OF_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_FAST_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_APPEND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SSID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_FREQUENCY_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_APPLICATION_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_NUMBER_OF_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_INSERT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_RID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SBAS_VDB_GROUND_STATION_SSID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_MESSAGE_TYPE_1_SLOT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_MESSAGE_TYPE_2_SLOT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_MESSAGE_TYPE_4_SLOT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_MESSAGE_TYPE_11_SLOT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_MESSAGE_TYPE_1_FRAME_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_MESSAGE_TYPE_2_FRAME_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_MESSAGE_TYPE_4_FRAME_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_MESSAGE_TYPE_11_FRAME_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_MESSAGE_TYPE_1_LINKED_PAIR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_MESSAGE_TYPE_11_LINKED_PAIR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_MESSAGE_TYPE_1_NUMBER_OF_BYTES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_MESSAGE_TYPE_2_NUMBER_OF_BYTES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_MESSAGE_TYPE_4_NUMBER_OF_BYTES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_MESSAGE_TYPE_11_NUMBER_OF_BYTES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_MESSAGE_TYPE_1_FRAME_CYCLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_MESSAGE_TYPE_11_FRAME_CYCLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_MESSAGE_TYPE_2_REPETITION_FRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_SCHEDULING_MESSAGE_TYPE_4_REPETITION_FRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_GS_REFERENCE_RECEIVERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_GS_ACCURACY_DESIGNATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_GS_CONTINUITY_DESIGNATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_LOCAL_MAGNETIC_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_SIGMA_VERT_IONO_GRADIENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_REFRACTIVITY_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_SCALE_HEIGHT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_REFRACTIVITY_UNCERTAINTY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_REFERENCE_LOCATION_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADDITIONAL_DATA_BLOCK_1_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADDITIONAL_DATA_BLOCK_3_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADDITIONAL_DATA_BLOCK_4_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADB_1_POSITIONING_SERVICE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADB_1_MAXIMUM_USE_DISTANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADB_1_KMD_E_C_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADB_1_KMD_E_C_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADB_1_REFERENCE_STATION_DATA_SELECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADB_1_KMD_E_POS_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADB_1_KMD_E_POS_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADB_3_KMD_E_D_GPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADB_3_KMD_E_D_GLONASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADB_3_SIGMA_VERT_IONO_GRADIENT_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADB_4_SLOT_GROUP_DEFINITION_A_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADB_4_SLOT_GROUP_DEFINITION_B_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADB_4_SLOT_GROUP_DEFINITION_C_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADB_4_SLOT_GROUP_DEFINITION_D_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADB_4_SLOT_GROUP_DEFINITION_E_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADB_4_SLOT_GROUP_DEFINITION_F_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADB_4_SLOT_GROUP_DEFINITION_G_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_2_ADB_4_SLOT_GROUP_DEFINITION_H_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FAS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FAS_GLIDE_PATH_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FAS_TCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FAS_TCH_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FAS_LTP_FTP_HEIGHT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FAS_AIRPORT_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FAS_RUNWAY_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FAS_RUNWAY_LETTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FAS_APROACH_PERFORMANCE_DESIGNATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FAS_ROUTE_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FAS_REFERENCE_PATH_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FAS_LTP_FTP_LOCATION_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FAS_DELTA_FPAP_LOCATION_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FAS_COURSE_WIDTH_AT_TRESHOLD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FAS_DELTA_LENGTH_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FAS_VERTICAL_ALERT_LIMIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FAS_LATERAL_ALERT_LIMIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FAS_REFERENCE_PATH_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FAS_DATA_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FDB_GLIDE_PATH_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FDB_AIRPORT_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FDB_TCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FDB_RUNWAY_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FDB_RUNWAY_LETTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FDB_ROUTE_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FDB_REFERENCE_PATH_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FDB_REFERENCE_PATH_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FDB_DERP_LOCATION_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_FDB_DP_LOCATION_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_TAP_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_TAP_REFERENCE_PATH_DATA_SELECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_TAP_REFERENCE_PATH_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_TAP_NUMBER_OF_PATH_POINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_TAP_FAS_RPDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_TAP_VERTICAL_ALERT_LIMIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_TAP_LATERAL_ALERT_LIMIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_TAP_WAYPOINT_SELECTED_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_TAP_WAYPOINT_PREDEFINED_FILE_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_TAP_WAYPOINT_PREDEFINED_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_TAP_WAYPOINT_USER_DEFINED_FILE_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_TYPE_4_TAP_WAYPOINT_USER_DEFINED_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_DIFFERENTIAL_GNSS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_DIFFERENTIAL_GNSS_SELECTED_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_DIFFERENTIAL_GNSS_PREDEFINED_FILE_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_DIFFERENTIAL_GNSS_PREDEFINED_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_DIFFERENTIAL_GNSS_USER_DEFINED_FILE_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_DIFFERENTIAL_GNSS_USER_DEFINED_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_DIFFERENTIAL_GNSS_MESSAGE_TYPE_1_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_DIFFERENTIAL_GNSS_MESSAGE_TYPE_11_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_DIFFERENTIAL_GNSS_SCAT_I_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_DIFFERENTIAL_GNSS_SPR_FILE_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_DIFFERENTIAL_GNSS_SPR_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_DIFFERENTIAL_GNSS_SUS_FILE_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_VDB_MESSAGE_DIFFERENTIAL_GNSS_SUS_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_FILTER_COSINE_ROLL_OFF_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_FILTER_COSINE_CUT_OFF_FREQUENCY_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_FILTER_ROOT_COSINE_ROLL_OFF_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_FILTER_GAUSS_PURE__ROLL_OFF_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_FILTER_GAUSS_ROLL_OFF_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_FILTER_APCO25_ROLL_OFF_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_FILTER_SPLIT_PHASE_BT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_FILTER_LOWPASS_ACP_CUT_OFF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_FILTER_LOWPASS_EVM_CUT_OFF_FREQUNECY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_CLIPPING_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_CLIPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GBAS_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_COMPONENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_FAST_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_GLIDE_SLOPE_CARRIER_FREQUENCY_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_GLIDE_SLOPE_CARRIER_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_GLIDE_SLOPE_ICAO_CHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_GLIDE_SLOPE_DDM_POLARITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_GLIDE_SLOPE_SIGNAL_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_GLIDE_SLOPE_LEFT_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_GLIDE_SLOPE_RIGHT_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_GLIDE_SLOPE_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_GLIDE_SLOPE_SUM_OF_DEPTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_GLIDE_SLOPE_FLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_GLIDE_SLOPE_DDM_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_GLIDE_SLOPE_DDM_CURRENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_GLIDE_SLOPE_DDM_DEPTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_GLIDE_SLOPE_DDM_LOGARITHMICS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_GLIDE_SLOPE_DDM_PERCENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_GLIDE_SLOPE_DDM_COUPLING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_CARRIER_FREQUENCY_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_CARRIER_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_ICAO_CHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_DDM_POLARITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_SIGNAL_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_LEFT_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_RIGHT_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_SUM_OF_DEPTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_FLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_DDM_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_DDM_CURRENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_DDM_DEPTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_DDM_LOGARITHMICS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_DDM_PERCENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_DDM_COUPLING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_COM_ID_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_COM_ID_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_COM_ID_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_COM_ID_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_COM_ID_DEPTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_COM_ID_TIME_SCHEMA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_COM_ID_DOT_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_COM_ID_SYMBOL_SPACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_COM_ID_DASH_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_LOCALIZER_COM_ID_LETTER_SPACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_MARKER_BEACONS_CARRIER_FREQUENCY_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_MARKER_BEACONS_CARRIER_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_MARKER_BEACONS_MARKER_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_MARKER_BEACONS_MARKER_DEPTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_MARKER_BEACONS_COM_ID_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_MARKER_BEACONS_COM_ID_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_MARKER_BEACONS_COM_ID_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_MARKER_BEACONS_COM_ID_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_MARKER_BEACONS_COM_ID_DEPTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_MARKER_BEACONS_COM_ID_TIME_SCHEMA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_MARKER_BEACONS_COM_ID_DOT_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_MARKER_BEACONS_COM_ID_SYMBOL_SPACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_MARKER_BEACONS_COM_ID_DASH_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_MARKER_BEACONS_COM_ID_LETTER_SPACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ILS_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_FAST_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_CARRIER_FREQUENCY_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_CARRIER_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_ICAO_CHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_SIGNAL_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_VARIABLE_REFERENCE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_VARIABLE_DEPTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_SUBCARRIER_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_SUBCARRIER_DEPTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_FREQUENCY_DEVIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_POSITION_BEARING_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_POSITION_BEARING_ANGLE_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_COM_ID_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_COM_ID_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_COM_ID_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_COM_ID_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_COM_ID_DEPTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_COM_ID_TIME_SCHEMA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_COM_ID_DOT_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_COM_ID_SYMBOL_SPACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_COM_ID_DASH_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_COM_ID_LETTER_SPACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_VOR_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_FAST_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_CHANNEL_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_CARRIER_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ICAO_CHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_RANGE_DISTANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_RANGE_DISTANCE_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_PULSE_SQUITTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_PULSE_REPETITION_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_REPLY_EFFICIENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_PULSE_INPUT_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_PULSE_INPUT_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_PULSE_INPUT_SEARCH_TRIGGER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_PULSE_INPUT_TRIGGER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_PULSE_SHAPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_PULSE_RISE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_PULSE_WIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_PULSE_FALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_PULSE_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_SINGLE_PULSE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_PULSE_PAIR_SPACING_TOLERANCE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_PULSE_PAIR_SPACING_TOLERANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ANALYSIS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ANALYSIS_EXPECTED_REPLY_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ANALYSIS_GATE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ANALYSIS_MEASUREMENT_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ANALYSIS_GATE_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ANALYSIS_PEAK_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ANALYSIS_PEAK_LEVEL_AVAILABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ANALYSIS_RANGE_DISTANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ANALYSIS_REPLY_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ANALYSIS_REPLY_DELAY_VALID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ANALYSIS_REPLY_EFFICIENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ANALYSIS_REPLY_EFFICIENCY_VALID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ANALYSIS_PULSE_REPETITION_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ANALYSIS_PULSE_REPETITION_RATE_VALID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_COM_ID_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_COM_ID_PRESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_COM_ID_PAIR_OF_PULSE_PAIRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_COM_ID_PULSE_PAIR_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_COM_ID_CODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_COM_ID_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_COM_ID_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_COM_ID_TIME_SCHEMA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_COM_ID_DOT_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_COM_ID_SYMBOL_SPACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ID_DASH_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_COM_ID_LETTER_SPACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ADJUSTMENT_FACTORS_NORMALIZE_SETUP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ADJUSTMENT_FACTORS_POWER_SENSOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ADJUSTMENT_FACTORS_INTERNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ADJUSTMENT_FACTORS_USED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_ADJUSTMENT_FACTORS_TRIGGER_SEARCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_MARKER_WIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DME_MARKER_PROCESSING_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_FAST_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_EXTERNAL_TRIGGER_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_ATTENUATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_RF_BLANKING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_RF_BLANKING_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_CONSTANT_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_FALL_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_PRESWEEP_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_PRESWEEP_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_PRESWEEP_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_RESOLUTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_SHAPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_SLOPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_DWELL_TIME_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_DWELL_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_STEP_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_STEP_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_START_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_STOP_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SWEEP_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PROGRESS_MULTI_CODER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PROGRESS_MULTI_CODER_CARRIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PROGRESS_MULTI_CODER_SEGMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PROGRESS_MULTI_CODER_DIGITAL_MODULATION_FILTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_SET_TO_MODULATION_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_SYMBOL_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_MODULATION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_OUTPUT_PATH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_DFT_S_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_NUMBER_OF_ALLOCATIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_NUMBER_OF_SUBCARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_NUMBER_OF_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_SUBCARRIER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_SYMBOL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_BIT_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_CUSTOM_IQ_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_CONTENT_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_CUSTOM_CONSTELLATION_MODULATION_ORDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_SPLIT_PATTERN_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_SPLIT_PATTERN_SCS_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_SPLIT_PATTERN_SCS_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_SPLIT_PATTERN_SYMBOL_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_SPLIT_PATTERN_SYMBOL_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_ZADOFF_CHU_CYCLIC_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_ZADOFF_CHU_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_ZADOFF_CHU_SEQUENCE_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_SPREADING_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_CODEBOOK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_CODEBOOK_NUMBER_OF_LAYERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_LAYER_MAPPING_USER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_LAYER_MAPPING_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_LAYER_MAPPING_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_CONSTELLATION_POINT_REAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_CONSTELLATION_POINT_IMAGINARY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_CONSTELLATION_POINT_MAGNITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALLOCATION_CONSTELLATION_POINT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_USER_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_USER_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_USER_BIT_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_USER_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_USER_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_FILTER_ROLLOFF_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_FILTER_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_FILTER_STOPBAND_ATTENUATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_FILTER_WINDOWING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_FILTER_CUT_TRANSIENT_RESPONSE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_USER_FILTER_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_USER_FILTER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_USER_FILTER_LOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_OFDM_TRIGGER_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_OFDM_TRIGGER_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_TIME_BASED_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_INTERNAL_TRIGGER_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_INTERNAL_TRIGGER_ACTUAL_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_EXTERNAL_TRIGGER_DELAY_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_EXTERNAL_TRIGGER_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_EXTERNAL_TRIGGER_ACTUAL_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_MARKER_USER_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_MARKER_RISE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_MARKER_FALL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_FIX_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_NUMBER_OF_SUBCARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_OCCUPIED_NUMBER_OF_SUBCARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_SUBCARRIER_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_CYCLIC_PREFIX_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALTERNATIVE_CYCLIC_PREFIX_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_CP_NUMBER_OF_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_ALTERNATIVE_CP_NUMBER_OF_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_OCCUPIED_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_LEFT_GUARD_SUBCARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_RIGHT_GUARD_SUBCARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_CYCLIC_SUFFIX_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_DC_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_MODULATION_UFMC_NSUBBANDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_MODULATION_FOFDM_NSUBBANDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_MODULATION_FOFDM_NTX_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_MODULATION_SUBCARRIERS_PER_SUBBAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_MODULATION_FILTER_PREEQUAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_MODULATION_DATA_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_NOTCH_FILTER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_NOTCH_FILTER_CLOCK_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_NOTCH_FILTER_NUMBER_OF_NOTCHES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_NOTCH_FILTER_APPLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_NOTCH_FILTER_NOTCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_NOTCH_FILTER_NOTCH_BANDWIDTH_RELATIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_NOTCH_FILTER_NOTCH_BANDWIDTH_ABSOLUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OFDM_NOTCH_FILTER_NOTCH_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_RADAR_RX_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_ANALYZER_EXTERNAL_ATTENUATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_ANALYZER_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_ANALYZER_REFERENCE_LEVEL_APPLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_ANALYZER_REFERENCE_LEVEL_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_UNIT_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_UNIT_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_UNIT_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_UNIT_VELOCITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_TEST_SETUP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_TEST_OTA_ANTENNA_RX_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_TEST_OTA_ANTENNA_TX_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_TEST_OTA_RANGE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_RUT_RADAR_TX_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_RUT_RADAR_ANTENNA_TX_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_RUT_RADAR_ANTENNA_RX_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_RUT_SYSTEM_LOSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SIMULATION_SYSTEM_LATENCY_CALIBRATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SIMULATION_SYSTEM_LATENCY_BZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SIMULATION_USE_UNDERRANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SIMULATION_CALIBRATION_SUCCESSFUL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SIMULATION_CORRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SIMULATION_MIN_RANGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SIMULATION_PRF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SIMULATION_SCAN_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SIMULATION_PRI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SIMULATION_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SIMULATION_DEDICATED_LEVEL_APPLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SIMULATION_DEDICATED_LEVEL_UPDATED_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SIMULATION_DEDICATED_LEVEL_VALID_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SIMULATION_DEDICATED_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SIMULATION_DEDICATED_CONNECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SIMULATION_ANALYZER_FREQUENCY_APPLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SIMULATION_ANALYZER_FREQUENCY_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_SIMULATION_RESTART_SYNCHRONIZATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_COPY_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_COPY_DESTINATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_COPY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_NAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_SIMULATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_RADAR_RX_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_RADAR_RX_POWER_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_RADAR_RX_POWER_END;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_TIMETOEND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_START_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_END_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_PHASE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_VELOCITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_HOLD_OFF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_FIRST_ECHO_TO_PULSE_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_RADAR_RX_POWER_DEDICATED_;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_USER_LIST_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_USER_LIST_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_USER_LIST_SELECTED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_RCS_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_RCS_MEAN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_RCS_PEAK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_RCS_TEST_COVERAGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_RCS_SIMULATION_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_RCS_UPDATE_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_RECALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_SAVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_PREVIEW_DIAGRAM_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_OBJECT_PREVIEW_DIAGRAM_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_RESTART_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_RESTART_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_RESTART_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_RESTART_ARM_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_RESTART_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_RESTART_SYNCHRONIZATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REG_RESTART_STOP_TIME_ATTENUATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_ERROR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_PRESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_POWER_RAMPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_SEQUENCER_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_ARCHIVE_LOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_ARCHIVE_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_CATALOG_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_LOAD_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_STORE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_USER_FILE_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_USER_HOPPING_FILE_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_USER_HOPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_USER_ATTENUATION_FILE_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_USER_ATTENUATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_PULSE_FILE_COMMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_PULSE_FILE_TIMESTAMP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_PULSE_FILE_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_PULSE_STATISTICS_SYSTEM_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_PULSE_STATISTICS_EXECUTED_PDWS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_DIRECTION_FINDING_FILE_COMMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_DIRECTION_FINDING_FILE_TIMESTAMP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_DIRECTION_FINDING_FILE_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_DIRECTION_FINDING_STATISTICS_SYSTEM_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_DIRECTION_FINDING_STATISTICS_EXECUTED_PDWS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_RTCI_RESTART;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_RTCI_RESET_SYSTEM_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_RTCI_PDW_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_RTCI_STREAM_SYSTEM_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_RTCI_STREAM_DROPPED_PDWS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_RTCI_STREAM_EXECUTED_PDWS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_RTCI_STREAM_WRITE_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_RTCI_STREAM_READ_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_RTCI_STREAM_BUFFER_FILLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_RTCI_STREAM_BUFFER_REMAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_RTCI_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_RTCI_WAVEFORM_LIST_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_RTCI_WAVEFORM_LIST_SAVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_RTCI_WAVEFORM_LIST_SEGMENT_APPEND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_RTCI_WAVEFORM_LIST_SEGMENT_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_RTCI_WAVEFORM_TAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_RTCI_WAVEFORM_STREAMING_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_ADVANCED_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_ADVANCED_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_ADVANCED_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_ADVANCED_PHASE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_ADVANCED_ATTENUATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_STREAM_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_STREAM_OUTPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_STREAM_MAXIMUM_NUMBER_OF_SEQUENCERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_STREAM_SEQUENCERS_ASSIGNED_TO_STREAM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_AGILE_SEQUENCING_OPERATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_AGILE_SEQUENCING_DROP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_AGILE_SEQUENCING_EXECUTED_ADWS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_AGILE_SEQUENCING_WRITE_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_AGILE_SEQUENCING_READ_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_AGILE_SEQUENCING_BUFFER_REMAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_AGILE_SEQUENCING_BUFFER_FILLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_AGILE_SEQUENCING_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_AGILE_SEQUENCING_WAVEFORM_SAVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_AGILE_SEQUENCING_WAVEFORM_SEGMENT_APPEND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_AGILE_SEQUENCING_WAVEFORM_SEGMENT_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_AGILE_SEQUENCING_WAVEFORM_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_AGILE_SEQUENCING_WAVEFORM_FILE_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_AGILE_SEQUENCING_WAVEFORM_LIST_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_AGILE_SEQUENCING_DESIRED_ARB_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_NETWORK_BUSY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_NETWORK_IP_ADDRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_NETWORK_SEQUENCER_IP_ADDRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_NETWORK_ADDRESS_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_NETWORK_MAC_ADDRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_NETWORK_PORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_NETWORK_PROTOCOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_NETWORK_RESTART;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_NETWORK_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_NETWORK_SEQUENCER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_NETWORK_HOSTNAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_NETWORK_SEQUENCER_HOSTNAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_NETWORK_WORKGROUP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_NETWORK_SUBNET_MASK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_NETWORK_SOCKET_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_NETWORK_SEQUENCER_SOCKET_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_TRIGGER_GENERATION_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_TRIGGER_DELAY_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_TRIGGER_SYNCHRONIZE_OUTPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_TRIGGER_EXTERNAL_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_TRIGGER_EXTERNAL_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_TRIGGER_ACTUAL_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_TRIGGER_OTHER_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_TRIGGER_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_EXTSEQ_TRIGGER_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_EXTSEQ_TRIGGER_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_TIME_BASED_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_EXTERNAL_TRIGGER_DISABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_EXTERNAL_TRIGGER_EVENT_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_EXTERNAL_TRIGGER_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_MARKER_X_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_MARKER_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_MARKER_PRE_MARKER_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_MARKER_POST_MARKER_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTSEQ_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PLAYBACK_DEFINITION_FILE_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PLAYBACK_COMMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PLAYBACK_COMMENT_ADVANCED_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PLAYBACK_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PLAYBACK_DATE_ADVANCED_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PLAYBACK_DEFINITION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PLAYBACK_DEFINITION_FILE_ADVANCED_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PLAYBACK_STATISTICS_SYSTEM_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PLAYBACK_STATISTICS_EXECUTED_PDWS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_PRESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DUPLEXING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_LINK_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_CATALOG_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_LOAD_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_STORE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_STORE_WAVEFORM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_LOAD_REFERENCE_SIGNALS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_FILTER_APCO25;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_FILTER_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_FILTER_COSINE_CUTOFF_FREQUENCY_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_FILTER_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_FILTER_PURE_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_FILTER_LTE_OPTIMIZATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_FILTER_LTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_FILTER_LTE_CUTOFF_FREQUENCY_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_FILTER_LTE_CUTOFF_FREQUENCY_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_FILTER_LOAD_USER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_FILTER_ROOT_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEBFILTER_LOW_PASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_FILTER_LOW_PASS_EVM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_FILTER_SPLIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_SAMPLE_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_CLIPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_CLIPPING_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_TRIGGER_GENERATION_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_TRIGGER_DELAY_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_TRIGGER_SYNCHRONIZE_OUTPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_INTERNAL_TRIGGER_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_INTERNAL_TRIGGER_ACTUAL_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_EXTERNAL_TRIGGER_EVENT_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_EXTERNAL_TRIGGER_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_MARKER_USER_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_MARKER_RISE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_MARKER_FALL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SCHEDULING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_NORB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_OCCUPIED_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_OCCUPIED_SUBCARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SAMPLING_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_CELL_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_RA_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_REFERENCE_SIGNAL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_P_SYNC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_P_SYNC_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_MIMO_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_MIMO_SIMULATED_ANTENNA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_MIMO_MAPPING_COORDINATES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_MIMO_BASEBAND_MAPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_MIMO_MAPPING_MAGNITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_MIMO_MAPPING_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_FRAME_CONFIGURABLE_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_FRAME_RESET_ALL_FRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_FRAME_USER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_FRAME_USER_TX_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_FRAME_USER_UE_CATEGORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_FRAME_USER_SCRAMBLING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_FRAME_USER_CHANNEL_CODING_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_FRAME_USER_UE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_FRAME_USER_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_FRAME_USER_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_FRAME_USER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_FRAME_USER_PDSCH_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_FRAME_USER_CELL_TX_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_ALLOCATION_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_AND_PCFICH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_ALLOCATIONS_CODE_WORDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_ALLOCATION_USER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_ALLOCATION_USER_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_ALLOCATION_USER_RESOURCE_BLOCK_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_ALLOCATION_USER_RB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_ALLOCATION_USER_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_ALLOCATION_USER_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_ALLOCATION_USER_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_ALLOCATION_USER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_ALLOCATION_USER_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_ALLOCATION_USER_CONTENT_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_ALLOCATION_USER_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_USER_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PCFICH_SCRAMBLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PCFICH_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PCFICH_CFI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_CCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_NUMBER_OF_REGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_ADD_ROW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DELETE_ROW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_INSERT_ROW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_RESET_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_SELECTED_ITEM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_ROW_DOWN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_ROW_UP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_RESOLVE_CONFLICTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_USED_ITEMS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_ITEM_USER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_ITEM_UE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_ITEM_CELL_IDX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_ITEM_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_ITEM_DCI_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_ITEM_SEARCH_SPACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_ITEM_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_ITEM_CCE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_ITEM_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_ITEM_CCE_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_ITEM_DUMMY_CCE_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_BIT_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_CA_IND_FIELD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_CYCLIC_SHFT_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_CSI_REQUEST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_MCSR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_NEW_DATA_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_RESOURCE_BLOCK_ASSIGN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_SRS_REQUEST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_TPC_COMMAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_HARQ_PROCESS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_REDUNDANCY_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_FORMAT_1A_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_PRACH_MASK_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_PRACH_PREAMBLE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_TB_1_NDI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_TB_2_NDI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_TB_1_REDUNDANCY_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_TB_2_REDUNDANCY_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_TPC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_FORMAT_3_RESOURCE_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_MCS_FIRST_TRANSMISSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_SUBFRAME_PDCCH_DCI_MCS_RETRANSMISSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_PBCH_MIB_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_PBCH_MIB_SPARE_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_PBCH_SFN_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_PBCH_SCRAMBLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_PBCH_CHANNEL_CODING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_PBCH_SCRAMBLING_UE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_PBCH_IR_SOFT_BUFFER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_PBCH_REDUNDANCY_VERSION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_DL_PBCH_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_FFT_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_LEFT_GUARD_SUBCARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_RIGHT_GUARD_SUBCARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_OCCUPIED_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_OCCUPIED_SUBCARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_CYCLIC_PREFIX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_CELL_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_PHYSICAL_CELL_ID_GROUP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_PHYSICAL_LAYER_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_SFN_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_CELL_CA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_RESET_ALL_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_CELL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_CELL_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_CELL_DUPLEXING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_CELL_PHYSICAL_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_CELL_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_CELL_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_CELL_SRS_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_CELL_CSRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_CELL_DELTA_F;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_CELL_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_CONTENT_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_VRB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUCCH_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUCCH_RB_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUCCH_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUCCH_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUCCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUCCH_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUCCH_CQI_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUCCH_CQI_CODED_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUCCH_CQI_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUCCH_HARQ_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUCCH_HARQ_CODED_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUCCH_HARQ_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUCCH_HARQ_ACK_NACK_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUCCH_RESOURCE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUACH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUACH_DELTA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUACH_NUM_OF_CODEWORDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUACH_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUACH_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUACH_CYCLIC_SHIFT_FIELD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUACH_N_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUACH_VRB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUACH_NUMBER_OF_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUSCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUSCH_NUM_OF_CODEWORDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUSCH_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUSCH_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUSCH_CYCLIC_SHIFT_FIELD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUSCH_N_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUSCH_VRB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUSCH_NUMBER_OF_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUSCH_CQI_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUSCH_CQI_CODED_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUSCH_CQI_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUSCH_HARQ_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUSCH_HARQ_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_PUSCH_HARQ_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_CODEWORD_PUACH_REDUNDANCY_VERSION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_CODEWORD_PUACH_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_CODEWORD_PUACH_MODULATION_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_CODEWORD_PUACH_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_CODEWORD_PUACH_ULSCH_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_CODEWORD_PUSCH_REDUNDANCY_VERSION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_CODEWORD_PUSCH_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_CODEWORD_PUSCH_MODULATION_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_CODEWORD_PUSCH_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_CODEWORD_PUSCH_ULSCH_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_ALLOCATION_CODEWORD_PUSCH_HARQ_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_SLOT_ALLOCATION_RESOURCE_BLOCK_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_SLOT_ALLOCATION_PUCCH_RESOURCE_BLOCK_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_SLOT_ALLOCATION_SET_PUSCH_RESOURCE_BLOCKS_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_SLOT_ALLOCATION_SET_PUACH_RESOURCE_BLOCKS_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_DELTA_SEQUENCE_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_GROUP_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_SEQUENCE_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_SRS_TX_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_SRS_CSRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_DELTA_SFC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_SUBFRAME_CONFIG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_TSFC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_PRACH_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_PRACH_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_PRACH_RESTRICTED_SET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PRACH_PREAMBLE_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PRACH_POWER_RAMPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PRACH_TRANSITION_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_SUBFRAME_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_SUBFRAME_DELTA_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_SUBFRAME_NCS_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_SUBFRAME_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_SUBFRAME_RB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_SUBFRAME_ROOT_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_SUBFRAME_SEQUENCE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_PUCCH_DELTA_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_PUCCH_N1CS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_PUCCH_N1NORMCP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_PUCCH_RANGE_N2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_PUCCH_N2_RB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_PUCCH_RANGE_N3;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_PUCCH_RB_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUCCH_NUMBER_OF_CONFIGURABLE_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUSCH_NUMBER_OF_CONFIGURABLE_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUACH_NUMBER_OF_CONFIGURABLE_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUACH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUACH_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUACH_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUACH_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUACH_CQI_INDEX_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUACH_HARQ_INDEX_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUACH_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUACH_O_CQI_MIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUACH_SCRAMBLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUSCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUSCH_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUSCH_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUSCH_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUSCH_CQI_INDEX_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUSCH_HARQ_INDEX_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUSCH_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUSCH_O_CQI_MIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_UE_PUSCH_SCRAMBLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_SRS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_SRS_CELL_TRANSMIT_TRIGGER_TYPE_0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_DRS_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_SRS_BANDWIDTH_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_SRS_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_SRS_CELL_B_SRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_SRS_CELL_CYCLIC_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_SRS_CELL_I_SRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_SRS_CELL_N_RRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_SRS_NUMBER_OF_TRANSMISSIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_SRS_CELL_T_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_SRS_CELL_TRANSMISSION_COMBINATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_SRS_CELL_T_SRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_UL_REFERENCE_SIGNAL_SRS_SUBFRAMES_FOR_TRANSMISSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_NOTCH_FILTER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_NOTCH_FILTER_CLOCK_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_NOTCH_FILTER_NUMBER_OF_NOTCHES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_NOTCH_FILTER_APPLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_NOTCH_FILTER_NOTCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_NOTCH_FILTER_NOTCH_BANDWIDTH_RELATIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_NOTCH_FILTER_NOTCH_BANDWIDTH_ABSOLUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ONEWEB_NOTCH_FILTER_NOTCH_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_PREDEFINED_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_PREDEFINED_CONFIGURATION_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_LINK_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_INTERNAL_TRIGGER_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_INTERNAL_TRIGGER_ACTUAL_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_EXTERNAL_TRIGGER_DELAY_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_EXTERNAL_TRIGGER_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_EXTERNAL_TRIGGER_ACTUAL_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_MARKER_USER_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_MARKER_RISE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_MARKER_FALL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_FIXED_MARKER_DELAY_TO_CURRENT_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_FIXED_MARKER_DELAY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_FIXED_MARKER_DELAY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_CLOCK_CUSTOM_EXTERNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_CLOCK_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_CLOCK_SYNCHRONISATION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_CLOCK_SYNCHRONISATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_XPDSCH_SCHEDULING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_CARRIER_AGGREGATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_CARRIER_AGGREGATION_PHYSICAL_CELL_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_CARRIER_AGGREGATION_N_ID_CSI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_CARRIER_AGGREGATION_RELATIVE_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_CARRIER_AGGREGATION_CELL_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_CARRIER_AGGREGATION_DELTA_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_CARRIER_AGGREGATION_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_CARRIER_AGGREGATION_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SIGNALS_P_SYNC_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SIGNALS_S_SYNC_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SIGNALS_E_SYNC_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SIGNALS_BRS_NUMBER_OF_ANTENNA_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SIGNALS_BRS_TRANSMISSION_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_ANTENNA_PORT_MAPPING_XPBCH_BRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_ANTENNA_PORT_MAPPING_CSI_RS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_ANTENNA_PORT_MAPPING_SYNCHRONIZATION_SIGNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_NO_OF_CONFIGURABLE_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_RESET_ALL_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_USER_CONFIGURATION_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_USER_CONFIGURATION_TX_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_USER_CONFIGURATION_MAPPING_COORDINATES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_USER_CONFIGURATION_CELL_TX_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_USER_CONFIGURATION_APM_REAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_USER_CONFIGURATION_APM_IMAGINARY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_USER_CONFIGURATION_SCRAMBLING_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_USER_CONFIGURATION_CHANNEL_CODING_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_USER_CONFIGURATION_UE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_USER_CONFIGURATION_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_USER_CONFIGURATION_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_USER_CONFIGURATION_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_USED_ALLOCATIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_PRECODING_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_PRECODING_NUMBER_OF_LAYERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_PRECODING_ANTENNA_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_SCRAMBLING_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_SCRAMBLING_UE_ID_N_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_REFERENCE_SIGNAL_N_SCID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_REFERENCE_SIGNAL_DMRS_N_ID_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_REFERENCE_SIGNAL_DMRS_N_ID_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_REFERENCE_SIGNAL_PCRS_N_ID_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_REFERENCE_SIGNAL_PCRS_N_ID_PCRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_REFERENCE_SIGNAL_AP_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_REFERENCE_SIGNAL_RELATIVE_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_ANTENNA_PORT_MAPPING_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_SYMBOL_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_RESOURCE_BLOCKS_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_SYMBOL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_AUTOMATIC_OFFSET_CALCULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_RHO_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_CONTENT_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_SUBFRAME_ALLOCATION_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DUMMY_CCE_XREGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DUMMY_CCE_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DUMMY_CCE_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DUMMY_CCE_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_SELECT_ITEM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_APPEND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_INSERT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_DOWN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_UP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_RESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_RESOLVE_CONFLICTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_USER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_UE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_CELL_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_BIT_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_LAST_XPUSCH_SYMBOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_TRANSMISSION_TIMING_OFFSET_I;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_RESOURCE_BLOCK_ASSIGNMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_HARQ_PROCESS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_MODULATION_AND_CODING_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_NEW_DATA_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_CSI_BSI_BRI_REQUEST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_TRANSMISSION_TIMING_OF_CSI_RS_BRRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_CSI_RS_BRRS_SYMBOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_CSI_RS_BRRS_PROCESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_UCI_ON_XPUSCH_W_O_XUL_SCH_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_BEAM_SWITCH_INDICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_SRS_REQUEST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_SRS_SYMBOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_RE_MAPPING_INDEX_FOR_DMRS_PCRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_N_SCID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_PRECODING_MATRIX_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_TPC_COMMAND_FOR_XPUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_UL_DUAL_PCRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_XPDSCH_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_XPDSCH_END;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_REDUNDANCY_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_BMI_FOR_HARQ_ACK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_TRANSMISSION_TIMING_OF_XPUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_FREQUENCY_RESOURCE_INDEX_OF_XPUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_AP_AND_NUMBER_OF_LAYERS_INDICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_DL_PCRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_XPDCCH_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_NUMBER_CCES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_XPDCCH_SYMBOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_CCE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_DUMMY_CCES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_DL_FRAME_XPDCCH_DCI_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_CARRIER_AGGREGATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_CARRIER_AGGREGATION_PHYSICAL_CELL_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_CARRIER_AGGREGATION_CELL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_RESET_ALL_SUBFRAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_NUMBER_OF_XPUCCH_CONFIGURATIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_NUMBER_OF_XPUSCH_CONFIGURATIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_UE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_UE_UE_ID_N_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_UE_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_UE_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_UE_NUMBER_OF_ANTENNA_PORTS_FOR_XPUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_UE_CELLS_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_UE_CELLS_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_UE_CELLS_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_UE_CELLS_TRANSMISSION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_UE_CELLS_SCRAMBLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_UE_CELLS_CHANNEL_CODING_AND_MULTIPLEXING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_UE_CELLS_CHANNEL_CODING_AND_MULTIPLEXING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_UE_CELLS_ANTENNA_PORT_MAPPING_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_UE_ANTENNA_PORT_MAPPING_40;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_UE_ANTENNA_PORT_MAPPING_41;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_UE_ANTENNA_PORT_MAPPING_100;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_UE_ANTENNA_PORT_MAPPING_200;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_FRAME_UE_ANTENNA_PORT_MAPPING_201;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_CONTENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_N_XPUCCH_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_NUMBER_OF_USED_ANTENNA_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_XPUCCH_PRECODING_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_XPUSCH_PRECODING_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_RE_MAPPING_INDEX_K_I;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_N_SCID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_DMRS_N_ID_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_DMRS_N_ID_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_PCRS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_PCRS_RELATIVE_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_PCRS_N_ID_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_PCRS_N_ID_PCRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_CHANNEL_CODING_CODE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_CHANNEL_CODING_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_XPUSCH_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_XPUSCH_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_XPUCCH_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_XPUSCH_RESOURCE_BLOCKS_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_XPUCCH_RESOURCE_BLOCKS_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_XPUSCH_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_XPUCCH_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_XPUSCH_RHO_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_XPUCCH_RHO_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_XPUSCH_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_XPUCCH_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_XPUCCH_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_V5G_UL_SUBFRAME_ALLOCATION_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_5G_NR_EXPORT_SETTINGS_TO_ANALYZER_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_LINK_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_U_PLANE_GENERATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_APPLICATION_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SIMPLE_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_APPLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_DISCARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_GENERAL_DUPLEXING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_GENERAL_NUMBER_OF_CARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_GENERAL_COPY_CARRIER_WITH_SELECTED_TEST_MODEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_GENERAL_DEPLOYMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_GENERAL_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_GENERAL_CHANNEL_RASTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_GENERAL_CHANNEL_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_GENERAL_SUBCARRIER_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_GENERAL_ECP_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_GENERAL_CORESET_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_GENERAL_CORESET_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_GENERAL_RESOURCE_BLOCK_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_GENERAL_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_GENERAL_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_GENERAL_RESOURCE_BLOCK_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_GENERAL_TRANSFORM_PRECODING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_FRAME_FORMAT_SLOT_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_FRAME_FORMAT_DL_SLOTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_FRAME_FORMAT_SPECIAL_SLOTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_FRAME_FORMAT_UL_SLOTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_FRAME_FORMAT_SLOT_FORMAT_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_FRAME_FORMAT_DL_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_FRAME_FORMAT_GUARD_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_FRAME_FORMAT_UL_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_FRAME_FORMAT_IAB_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_QUICK_SETTINGS_FRAME_FORMAT_SPECIAL_SLOT_FORMAT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DOWNLINK_SETTINGS_TEST_MODEL_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DOWNLINK_SETTINGS_TEST_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UPLINK_SETTINGS_TEST_MODEL_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UPLINK_SETTINGS_TEST_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_FILTER_LOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_5G_NR_TRIGGER_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_5G_NR_TRIGGER_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TIME_BASED_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_INTERNAL_TRIGGER_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_INTERNAL_TRIGGER_ACTUAL_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_EXTERNAL_TRIGGER_SYNC_OUTPUT_TO_EXT_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_EXTERNAL_TRIGGER_DELAY_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_EXTERNAL_TRIGGER_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_EXTERNAL_TRIGGER_ACTUAL_TIME_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_DUPLEXING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_SUBCARRIER_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_EXTENDED_CYCLIC_PREFIX_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_SLOT_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_NUMBER_OF_DL_SLOTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_NUMBER_OF_SPECIAL_SLOTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_NUMBER_OF_UL_SLOTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_SLOT_FORMAT_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_NUMBER_OF_DL_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_NUMBER_OF_GUARDED_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_NUMBER_OF_UL_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_DELAY_MICROSECONDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_USER_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_RISE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_FALL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_INVERT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_IAB_FORMAT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_CONFIGURATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_MARKER_SPECIAL_SLOT_FORMAT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_NUMBER_OF_CARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_RF_PHASE_COMPENSATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_CARRIER_CELL_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_CARRIER_CELL_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_CARRIER_CELL_N1_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_CARRIER_CELL_N2_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_CARRIER_CELL_CIF_PRESENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_CARRIER_CELL_SCHEDULED_BY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_CARRIER_CELL_CIF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_CARRIER_CELL_DEPLOYMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_CARRIER_CELL_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_CARRIER_CELL_CHANNEL_BW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_CARRIER_CELL_DMRS_TYPE_A_POSITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_CARRIER_CELL_DELTA_FREQ_TO_OUTPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_CARRIER_CELL_MAPPED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_CARRIER_CELL_SHARED_SPECTRUM_ACCESS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_NEW_ADD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_NEW_BASIC_INFORMATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_NEW_COPY_FROM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_NEW_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_NEW_INDEX_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_NEW_LOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_NEW_NUMBER_OF_CARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_POINT_A_TO_CARRIER_CENTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_RESOLVE_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_SCS_15_KHZ_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_SCS_30_KHZ_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_SCS_60_KHZ_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_SCS_120_KHZ_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_SCS_240_KHZ_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_SCS_480_KHZ_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_SCS_960_KHZ_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_SCS_15_KHZ_N_RB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_SCS_30_KHZ_N_RB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_SCS_60_KHZ_N_RB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_SCS_120_KHZ_N_RB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_SCS_15_KHZ_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_SCS_30_KHZ_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_SCS_60_KHZ_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_SCS_120_KHZ_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_SCS_15_KHZ_K0U;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_SCS_30_KHZ_K0U;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_SCS_60_KHZ_K0U;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_TXBW_SCS_120_KHZ_K0U;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SYSTEM_INFORMATION_SYS_FRAME_NUMBER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SYSTEM_INFORMATION_HARQ_ACK_CODEBOOK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SYSTEM_INFORMATION_HARQ_ACK_CODEBOOK_R16;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SYSTEM_INFORMATION_SUL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SYSTEM_INFORMATION_INDICATOR_SIZE_DCI0_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SYSTEM_INFORMATION_INDICATOR_SIZE_DCI1_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SYSTEM_INFORMATION_SYSTEM_FRAME_NUMBER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SYSTEM_INFORMATION_SUB_FRAME_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SYSTEM_INFORMATION_TIMING_ADVANCE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SYSTEM_INFORMATION_CUSTOM_TIMING_ADVANCE_OFFSET_TC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SYSTEM_INFORMATION_PHASE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SYSTEM_INFORMATION_SSB_TIME_OFFSET_R17;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_NUMBER_OF_PATTERNS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_OFFSET_RELATIVE_TO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_SC_SPACING_CP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_RB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_SC_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_DELTA_FREQUENCY_TO_CARRIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_CASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_POSITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_BURST_SET_PERIODICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_HALF_FRAME_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_DUMMY_CONTENT_FOR_MIB_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_CHANNEL_CODING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_CHANNEL_CODING_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_CHANNEL_CODING_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_CHANNEL_CODING_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_MIB_SCS_COMMON;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_MIB_SSPBCH_SUBCARRIER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_MIB_CORESET_ZERO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_MIB_SEARCH_SPACE_ZERO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_MIB_CELL_BARRED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_MIB_INTRA_FREQ_RESELECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_MIB_ASC_OFFSET_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_MIB_SPARE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_MIB_SF_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_MAPPING_TABLE_CARTESIAN_REAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_MAPPING_TABLE_CARTESIAN_IMAGINARY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_MAPPING_TABLE_CYLINDRICAL_MAGNITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_MAPPING_TABLE_CYLINDRICAL_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_PSS_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_SSS_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_PBCH_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_L;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_SL_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_SL_INCOVERAGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_SL_SLOTS_BETWEEN_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_SL_SPARE_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_SL_TDD_CONFIG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_SS_PBCH_PATTERN_SL_TIME_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_SC_SPACING_CP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_NUMBER_OF_PRS_RESOURCE_SETS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_RESOURCE_SET_PERIODICITY_T_PER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_RESOURCE_SET_SLOT_OFFSET_T_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_RESOURCE_SET_REPETITION_FACTOR_T_REP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_RESOURCE_SET_TIME_GAP_T_GAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_RESOURCE_SET_NUMBER_OF_RBS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_RESOURCE_SET_START_RB_TO_POINT_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_RESOURCE_SET_COMB_SIZE_K_COMB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_RESOURCE_SET_NUMBER_OF_PRS_RESOURCES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_RESOURCE_RE_OFFSET_K_OFF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_RESOURCE_SLOT_OFFSET_K_OFF_RES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_RESOURCE_NUMBER_OF_SYMBOLS_L_PRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_RESOURCE_SYMBOL_OFFSET_L_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_RESOURCE_SEQUENCE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_RESOURCE_POWER_PER_DB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_RESOURCE_ANTENNA_PORT_MAPPING_REAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_RESOURCE_ANTENNA_PORT_MAPPING_IMAGINARY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_RESOURCE_ANTENNA_PORT_MAPPING_MAGNITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_PRS_RESOURCE_ANTENNA_PORT_MAPPING_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_DUMMY_RES_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_DUMMY_RES_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_DUMMY_RES_SC_SPACING_CP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_DUMMY_RES_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_DUMMY_RES_SLOT_FMT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_DUMMY_RES_TRANSFORM_PRECODING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_DUMMY_RES_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_DUMMY_RES_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_DUMMY_RES_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_DUMMY_RES_OCNG_PRECODING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_DUMMY_NES_OCNG_NUMBER_OF_ANTENNA_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_DUMMY_RES_OCNG_ANTENNA_PORT_REAL_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_DUMMY_RES_OCNG_ANTENNA_PORT_IMAGINARY_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_DUMMY_RES_OCNG_ANTENNA_PORT_MAGNITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_DUMMY_RES_OCNG_ANTENNA_PORT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_CARRIER_MAPPING_CARRIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_CARRIER_MAPPING_SS_PBCH_AP4000;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_CARRIER_MAPPING_DELTA_F_TO_OUTPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_CARRIER_MAPPING_CELL_MAPPED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_CARRIER_MAPPING_CARRIERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_LTE_CRS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_LTE_CRS_OFFSET_TO_POINT_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_LTE_CRS_V_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_LTE_CRS_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_LTE_CRS_ANTENNA_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_LTE_CRS_NUMBER_OF_PATTERNS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_LTE_CRS_PATTERN_OFFSET_TO_POINT_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_LTE_CRS_PATTERN_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_LTE_CRS_PATTERN_V_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NODE_LTE_CRS_PATTERN_ANTENNA_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_NUMBER_OF_USERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_RESTART_DATA_AND_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_RESTART_SLOT_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_RESTART_SLOT_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SLOT_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SLOT_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_UE_ID_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_CS_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_MCS_C_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_SP_CSI_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_SFI_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USERS_NUMBER_OF_SFIS_IN_DCI_2_0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_RA_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_TC_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_MSGB_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_DSCH_CHANNEL_CODING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_DSCH_SCRAMBLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_DSCH_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_DSCH_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_DSCH_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_DSCH_INITIALIZATION_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_DSCH_HARQ_ACK_RETRANSMISSION_INDICATOR_DCI1_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_DSCH_PUCCH_SSCELLDYN_DCI1_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_DSCH_SCELL_GROUPS_WITHIN_ACTIVE_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_DSCH_HARQ_ACK_ONE_SHOT_FEEBACK_R16_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_DSCH_ACK_NACK_FEEDBACK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_DSCH_NFI_TOTAL_DAI_INCLUDED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_DSCH_UL_TOTAL_DAI_INCLUDED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_DSCH_DOWNLINK_ASSIGNMENT_INDEX_DCI0_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_DSCH_COT_DURATION_INDICATORS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_DSCH_COT_DURATION_INDICATOR_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_DSCH_AVAILABLE_RB_SET_INDICATORS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_DSCH_SEARCH_SPACE_SWITCHING_FLAGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_DSCH_AVAILABLE_RB_SET_INDICATOR_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_USCH_CHANNEL_CODING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_USCH_SCRAMBLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_USCH_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_USCH_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_USCH_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_USCH_INITIALIZATION_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_USCH_BITS_FOR_SIDELINK_ASSIGNMENT_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_PSSCH_CHANNEL_CODING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_PSSCH_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_PSSCH_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_PSSCH_INIT_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_PSSCH_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_PSSCH_SCRAMBLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_PDSCH_UNIQUE_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_ORAN_TEST_CASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_ORAN_USE_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_PUCCH_PAYLOAD_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_PUCCH_PAYLOAD_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_PUCCH_PAYLOAD_UNIQUE_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_PUCCH_PAYLOAD_INITIALIZATION_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_PUCCH_PAYLOAD_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_PUSCH_UCI_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_PUSCH_UCI_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_PUSCH_UCI_UNIQUE_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_PUSCH_UCI_INITIALIZATION_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_PUSCH_UCI_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_RNTI_G_CS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_RNTI_G;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_RNTI_MCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_RNTI_PEI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_RNTI_SL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_RNTI_SL_CS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_USER_RNTI_V;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_NUMBER_OF_BWPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_SC_SPACING_CP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_RB_OFFSET_IN_TXBW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_RB_OFFSET_TO_POINT_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DELTA_F_TO_CARRIER_CENTERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_SCRAMBLING_ID_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_SCRAMBLING_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_MAX_NUMBER_OF_CODEWORDS_PER_DCI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_VRB_TO_PRB_INTERLEAVER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_MCS_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_RESOURCE_ALLOCATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_RESOURCE_BLOCK_GROUP_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PUSCH_RESOURCE_BLOCK_GROUP_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_MAX_CODE_BLOCK_GROUPS_PER_TRANSPORT_BLOCK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_CODE_BLOCK_GROUP_FLUSH_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_PRECODING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_PRECODING_PRB_BUNDLING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_PRECODING_STATIC_BUNDLE_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_PRECODING_BUNDLE_SIZE_SET_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_PRECODING_BUNDLE_SIZE_SET_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_K0_NUMBER_OF_ENTRIES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_CURRENT_TD_ALLOCATION_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_NUMBER_OF_TD_ALLOCATION_LISTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_K0_VALUE_FOR_MININUM_APPLICABLE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_PRIORITY_INDICATOR_DCI1_1_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_BITS_FOR_REDUNDANCY_VERSION_DCI1_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_BITS_FOR_HARQ_DCI1_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_ANTENNA_PORTS_PRESENT_DCI1_2_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_DMRS_SEQUENCE_INITIALIZATION_DCI1_2_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_PRIORITY_INDICATOR_DCI1_2_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_TYPE_1_ALLOCATION_GRANULARITY_DCI1_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_NUMBER_OF_MAPPED_TCI_CODEPOINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_TCI_CODEPOINT_STATE_ID_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_TCI_CODEPOINT_USE_STATE_ID_2_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_TCI_CODEPOINT_STATE_ID_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_SAME_SETTINGS_FOR_TYPE_A_AND_B;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_DMRS_A_CONFIG_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_DMRS_A_ADDITIONAL_POSITION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_DMRS_A_MAX_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_DMRS_B_CONFIG_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_DMRS_B_ADDITIONAL_POSITION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_DMRS_B_MAX_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_DMTA_SCRAMBLING_ID_0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_DMTB_SCRAMBILNG_ID_0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_DMTA_SCRAMBLING_ID_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_DMTB_SCRAMBLING_ID_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_DMTA_USE_R16_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_DMTB_USE_R16_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PUSCH_PTRS_DMTA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PUSCH_PTRS_DMTB_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PUSCH_PTRS_DMTA_RE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PUSCH_PTRS_DMTB_RE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_PTRS_DMTA_EPRE_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_PTRS_DMTB_EPRE_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PUSCH_PTRS_DMTA_MCS1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PUSCH_PTRS_DMTB_MCS1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PUSCH_PTRS_DMTA_MCS2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PUSCH_PTRS_DMTB_MCS2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PUSCH_PTRS_DMTA_MCS3;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PUSCH_PTRS_DMTB_MCS3;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PUSCH_PTRS_DMTA_RB0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PUSCH_PTRS_DMTB_RB0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PUSCH_PTRS_DMTA_RB1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PUSCH_PTRS_DMTB_RB1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_TIME_DOMAIN_ALLOCATIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_PRECODING_METHOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_XOVERHEAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_TDA_K0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_TDA_MAPPING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_TDA_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_TDA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_TDA_SLIV;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_TDML_MULTI_TIME_DOMAIN_ALLOCATIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_TDML_K0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_TDML_NUMBER_OF_OFDM_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_TDML_MAPPING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_TDML_SLIV;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDSCH_TDML_SYMBOL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_RMC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_RMC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_RMC_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_BWP_RMC_SUBCARRIER_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_RMC_CQI_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDCCH_INT_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDCCH_NUMBER_OF_PREEMPTION_INDICATIONS_IN_DCI_2_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_PDCCH_BITS_FOR_ENHANCED_TYPE_3_CODEBOOK_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_CONTROL_REPORT_TRIGGER_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_CONTROL_LARGE_RESPONSE_WINDOW_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_CONTROL_TPC_PUSCH_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_CONTROL_TPC_PUCCH_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_CONTROL_TWOPUSCH_PC_ADJUSTMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_CONTROL_TWOPUCCH_PC_ADJUSTMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_CONTROL_NUMBER_OF_PUSCH_BLOCKS_2_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_CONTROL_NUMBER_OF_PUCCH_BLOCKS_IN_DCI_2_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_CONTROL_TPC_SRS_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_CONTROL_SRS_TPC_PDCCH_GROUP_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_CONTROL_NUMBER_OF_BLOCKS_2_3;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_CONTROL_CI_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_CONTROL_CANCELLATION_INDICATION_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_CONTROL_NUMBER_OF_CANCELLATION_INDICATIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_CONTROL_AI_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_CONTROL_NUMBER_OF_AVAILABILITY_INDICATIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_CONTROL_PS_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_CONTROL_NUMBER_OF_DORMANCY_INDICATIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_CONTROL_NUMBER_OF_SCELL_GROUPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_ZP_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_ZP_RESOURCES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_ZP_PERIODICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_ZP_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_ZP_RB_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_ZP_START_RB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_ZP_ROW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_ZP_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_ZP_DENSITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_ZP_CDM_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_ZP_BITMAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_ZP_I0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_ZP_I1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_NZP_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_NZP_RESOURCES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_NZP_PERIODICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_NZP_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_NZP_RB_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_NZP_START_RB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_NZP_ROW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_NZP_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_NZP_DENSITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_NZP_CDM_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_NZP_BITMAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_NZP_I0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_NZP_I1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_NZP_SCRAMBLING_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_NZP_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_NZP_ROW_REAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_NZP_ROW_IMAGINARY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_NZP_ROW_MAGNITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_NZP_ROW_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_RATE_MATCH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_RATE_MATCH_RESOURCES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_RATE_MATCH_NUMBER_OF_GROUPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_RATE_MATCH_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_RATE_MATCH_RB_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_RATE_MATCH_SLOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_RATE_MATCH_SLOT_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_RATE_MATCH_PERIODICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_RATE_MATCH_PERIODICITY_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_RATE_MATCH_GRID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_FORMAT_4_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_HARQ_FEEDBACKENABLER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_MAX_LTE_SUBCHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_NUMBER_PER_PEI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_PRIORITY_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_PAYLOAD_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_NUMBER_OF_SL_PSFCH_TO_PUCCH_SLOTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_NUMBER_OF_SUBGROUPS_PER_PO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_TRS_AVAILABILITY_INDICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_MONITORING_ADAPTION_INDICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_PDSCH_HARQ_PROCESS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_PUSCH_HARQ_PROCESS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_MAX_BITS_FOR_2ND_DOWNLINK_ASSIGNMENT_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_BITS_FOR_3RD_DOWNLINK_ASSIGNMENT_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_HARQ_ACK_RETRANSMISSION_INDICATOR_DCI1_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_BITS_FOR_2ND_PRECODING_INFORMATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_PUCCH_SSCELLDYN_DCI1_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_BITS_FOR_SRS_OFFSET_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_BITS_FOR_2ND_SRS_RESOURCE_INDICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_DL_BWP_DCI_BITSFOR_SRS_RESOURCE_SET_INDICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_NUMBER_OF_BWPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SC_SPACING_CP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_RB_OFFSET_IN_TXBW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_RB_OFFSET_TO_POINT_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_DELTA_F_TO_CARRIER_CENTERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUCCH_ADDITIONAL_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUCCH_PI_2_BPSK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUCCH_SIMUTANEOUS_HARQ_ACK_CSI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUCCH_NUMBER_OF_ENTRIES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUCCH_UL_ACCESSCONFIGLIST_DCI1_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUCCH_USE_2ND_TPC_COMMAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUCCH_VALUE_OF_INDICATOR_X;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUCCH_USE_R16_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUCCH_BITS_FOR_RESOURCE_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUCCH_CPEXT_NUMBER_OF_ENTRIES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUCCH_CPEXT_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUCCH_USE_INTERLACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_FRC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_FRC_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_FRC_SC_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_FRC_ALLOCATED_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_FRC_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_FRC_PAYLOAD_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_FRC_RB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_FRC_PTRS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_FRC_MAPPING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_FRC_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_FRC_DEPLOYMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_FRC_WIZARD_MAPPING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_FRC_WIZARD_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_FRC_WIZARD_PAYLOAD_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_FRC_WIZARD_RB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_FRC_WIZARD_SC_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_FRC_WIZARD_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_TRANSFORM_PRECODING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_MAXIMUM_RANK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_TX_CONFIG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_CODEBOOK_SUBSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_SCRAMBLING_ID_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_DATA_SCRAMBLING_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_MCS_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_MCS_TABLE_TRANSFORM_PRECODING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_RESOURCE_ALLOCATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_FREQUENCY_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_MAX_CODE_BLOCK_GROUPS_PER_TRANSPORT_BLOCK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_UL_ACCESSCONFIGLIST_DCI0_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_USE_2ND_TPC_COMMAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_FREQUENCY_HOPPING_NUMBER_OF_OFFSETS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_FREQUENCY_HOPPING_OFFSET_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_MINIMUM_SCHEDULING_OFFSET_K2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PRIORITY_INDICATOR_DCI0_1_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PRIORITY_INDICATOR_DCI0_2_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_INVALID_SYMBOL_INDICATOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_BITS_FOR_OLPC_PARAMETER_SET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_P0_PUSCH_SET_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_UL_ACCESS_CONFIG_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_BITS_FOR_REDUNDANCY_VERSION_DCI0_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_ANTENNA_PORTS_PRESENT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_DMRS_SEQUENCE_INITIALIZATION_DCI0_2_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_TYPE_1_ALLOCATION_GRANULARITY_DCI0_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_FULL_POWER_TRANSMISSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_SAME_SETTINGS_FOR_TYPE_A_AND_B;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_DMRS_A_CONFIG_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_DMRS_A_ADDITIONAL_POSITION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_DMRS_A_MAX_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_DMRS_B_CONFIG_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_DMRS_B_ADDITIONAL_POSITION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_DMRS_B_MAX_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PDSCH_TIME_DOMAIN_ALLOCATIONS_DCI0_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PDSCH_TIME_DOMAIN_ALLOCATIONS_DCI0_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PDSCH_TIME_DOMAIN_ALLOCATIONS_MULTI_PUSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PDSCH_MULTI_PUSCH_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_USE_R16_DMRS_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_USE_R16_DMRS_B;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_BITS_FOR_HARQ_PROCESS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_USE_INTERLACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_XOVERHEAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_NPUSCH_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_NPUSCH_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_SCRAMBLING_ID_0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_SCRAMBLING_ID_0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_SCRAMBLING_ID_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_SCRAMBLING_ID_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_RE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_RE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_PORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_PORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_MCS1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_MCS1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_MCS2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_MCS2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_MCS3;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_MCS3;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_RB0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_RB0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_RB1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_RB1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_TP_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_TP_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_TIME_DENSITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_TIME_DENSITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_TP_SCRAMBLING_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_TP_SCRAMBLING_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_TP_RB0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_TP_RB0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_TP_RB1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_TP_RB1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_TP_RB2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_TP_RB2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_TP_RB3;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_TP_RB3;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTA_TP_RB4;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_PTRS_DMTB_TP_RB4;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_UCI_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_UCI_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_UCI_SCALING_ALPHA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_UCI_I_HARQ_OFFSET_0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_UCI_I_HARQ_OFFSET_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_UCI_I_HARQ_OFFSET_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_UCI_I_CSI1_OFFSET_0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_UCI_I_CSI1_OFFSET_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_UCI_I_CSI2_OFFSET_0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_UCI_I_CSI2_OFFSET_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_UCI_CG_UCI_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_PUSCH_UCI_CG_UCI_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_SETS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_CONFIGURED_BY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_REQUEST_DCI0_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_REQUEST_DCI1_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_TRANSMISSION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_TRANSMISSION_USAGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_RESOURCES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_PERIODICITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_POSITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_FREQUENCY_POSITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_FREQUENCY_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_B_SRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_C_SRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_B_HOP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_REPETITION_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_TRANSMISSION_COMB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_COMB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_CYCLIC_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_SEQUENCE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_SEQ_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_ANTENNA_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_PTRS_PORT_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_FREQUENCY_SCALING_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_START_RB_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_REAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_IMAGINARY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_MAGNITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_UL_BWP_SRS_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_NUMBER_OF_BWPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_DELTA_F_TO_CARRIER_CENTERS_;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RB_OFFSET_TO_POINT_A;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_SC_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS_ADDITIONAL_MCS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS_BETA_OFFSET_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS_BETA_OFFSET_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS_BETA_OFFSET_3;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS_BETA_OFFSET_4;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS_MAX_NUMBER_PER_RESERVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS_MULTI_RESERVE_RESOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS_MCS_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS_PRBS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS_SUBCHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS_DMRS_PATTERN_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS_DMRS_PATTERN_3;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS_DMRS_PATTERN_4;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS_PERIOD_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS_RESERVED_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS_SCALING_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS_SUBCHANNEL_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SL_BWP_RESOURCE_POOLS_START_RB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_RESTRICT_TO_SEARCH_SPACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_COUNT_FULL_SYSTEM_FRAME_NUMBER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_NUMBER_OF_ALLOCATIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_COPY_TO_SLOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_COPY_TO_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_COPY_APPLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CONTENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PRACH_SC_SPACING_CP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SLOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_MAPPING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SLOT_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_NUMBER_OF_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SYMBOL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_NUMBER_OF_RB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_TRANSFORM_PRECODING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_REPETITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_INFO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTING_INFO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTING_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTING_MAPPING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTING_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTING_ALLOCATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTING_CONTENT_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTING_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SOURCE_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTING_RB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTING_SLOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTING_SCS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTING_SYMBOL_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTING_SYMBOL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_MCS_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_SRS_CSRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_DENSITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_SRS_FREQUENCY_POSITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_SRS_FREQUENCY_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_SRS_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_SRS_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_SRS_REPETITION_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_SRS_RESOURCE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_SRS_SEQUENCE_CYCLIC_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_SRS_SEQUENCE_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_SRS_SEQUENCE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_SRS_TRANSMISSION_COMB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_CSI_RS_I0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_CSI_RS_I1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_CSI_RS_ZERO_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_CSI_RS_ROW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_CSI_RS_SCRAMBLING_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_RIM_RS_DELTA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_RIM_RS_GAMMA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_RIM_RS_NTRIM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_RESULTS_RIM_RS_NSCID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SRS_FREQUENCY_SCALING_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_START_RB_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SRS_CONFIG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_NUMBER_OF_CODEWORDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_SCHEDULED_BY_CORESET_0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_RATE_MATCH_PATTERN_GROUP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_RESOURCE_ALLOCATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_RESOURCE_BLOCK_GROUP_BITMAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_PRECODING_GRANULARITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_BURST_MODE_REF_ALLOC_IDENTIFIER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_FREQUENCY_DENSITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_TRANSPORT_BLOCK_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_TRANSPORT_BLOCK_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_DMRS_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_DMRS_SLOT_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_DMRS_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_DMRS_SEQUENCE_GENERATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_DMRS_SCRAMBLING_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_DMRS_GROUP_OR_SEQUENCE_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_DMRS_ADDITIONAL_POSITION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_DMRS_CONFIGURATION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_DMRS_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_DMRS_TYPE_A_POSITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_DMRS_MAP_ANTENNA_PORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_PTRS_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_PTRS_PHASE_TRACKING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_PTRS_TIME_DENSITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_PTRS_FREQUENCY_DENSITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_PTRS_RESOURCE_ELEMENT_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_PTRS_EPRE_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_TXSCHEME_CDM_GROUPS_WITHOUT_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_TXSCHEME_NUMBER_OF_LAYERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_TXSCHEME_ANTENNA_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_TXSCHEME_VRB_TO_PRB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_TXSCHEME_CSI_RS_ANTENNA_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_TXSCHEME_CODEBOOK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_TXSCHEME_CODEBOOK_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_TXSCHEME_N1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_TXSCHEME_N2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_CODEBOOK_1_1_PARAMETER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_CODEBOOK_1_2_PARAMETER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_CODEBOOK_1_3_PARAMETER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_CODEBOOK_2_PARAMETER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_MANUALLY_DEFINED_CODERATE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_CHANNEL_CODING_I_MSC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_CHANNEL_CODING_TARGET_CODE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_CHANNEL_CODING_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_CHANNEL_CODING_REDUNDANCY_VERSION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_CHANNEL_CODING_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PDSCH_CHANNEL_CODING_TBS_SCALING_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_PHYSICAL_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_RESOURCE_ALLOCATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_RESOURCE_BLOCK_GROUP_BITMAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_FREQUENCY_HOPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_INDEX_TO_FREQUENCY_HOPPING_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_BURST_MODE_REF_ALLOC_IDENTIFIER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_HARQ_PROCESS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_TIME_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_NUMBER_OF_SLOTS_TBOMS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_TBOMS_SLOT_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_INTERLACES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_CG_UCI_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_CG_UCI_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_AGGREGATION_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_AGGREGATION_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_FREQUENCY_DENSITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_DMRS_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_DMRS_SLOT_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_DMRS_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_DMRS_SEQUENCE_GENERATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_DMRS_SCRAMBLING_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_DMRS_SELECT_N_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_DMRS_GROUP_OR_SEQUENCE_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_DMRS_ADDITIONAL_POSITION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_DMRS_CONFIGURATION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_DMRS_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_DMRS_TYPE_A_POSITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_DMRS_MAP_ANTENNA_PORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_PTRS_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_PTRS_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_PTRS_PHASE_TRACKING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_PTRS_TIME_DENSITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_PTRS_RESOURCE_ELEMENT_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_PTRS_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_PTRS_MAX_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_PTRS_TP_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_PTRS_TP_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_PTRS_TP_TIME_DENSITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_PTRS_GROUPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_PTRS_SCRAMBLING_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_PTRS_SAMPLES_PER_GROUP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_TXSCHEME_CDM_GROUPS_WITHOUT_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_TXSCHEME_NUMBER_OF_LAYERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_TXSCHEME_ANTENNA_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_TXSCHEME_TPMI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_TXSCHEME_SRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_MANUALLY_DEFINED_CODERATE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_CHANNEL_CODING_I_MSC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_CHANNEL_CODING_TARGET_CODE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_CHANNEL_CODING_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_CHANNEL_CODING_REDUNDANCY_VERSION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_CHANNEL_CODING_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_CHANNEL_CODING_TBS_SCALING_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_UCI_NUMBER_OF_ACK_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_UCI_ACK_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_UCI_NUMBER_OF_CSI_1_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_UCI_CSI_1_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_UCI_NUMBER_OF_CSI_2_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_UCI_CSI_2_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUSCH_INTERLACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_BUNDLE_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_SHIFT_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_USE_DMRS_SCRAMBLING_ID_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DMRS_SCRAMBLING_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_USE_BITMAP_FOR_RESOURCES_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_FREQUENCY_DOMAIN_RESOURCES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_NUMBER_OF_DCIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_ACTIVE_UL_BWP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_PRECODER_GRANULA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_TCI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_TCI_SIZE_IN_DCI1_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DMRS_REFERENCE_POINT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_USAGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_RNTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SEARCH_SPACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_AGGREGATION_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_CCE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_BIT_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_FREQUENCY_DOMAIN_RESOURCE_ASSIGNMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_TIME_DOMAIN_RESOURCE_ASSIGNMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_FREQUENCY_HOPPING_FLAG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_MODULATION_AND_CODING_SCHEME_TB1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_NEW_DATA_INDICATOR_TB1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_REDUNDANCY_VERSION_TB1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_MODULATION_AND_CODING_SCHEME_TB2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_NEW_DATA_INDICATOR_TB2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_REDUNDANCY_VERSION_TB2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_HARQ_PROCESS_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_TPC_COMMAND_FOR_SCHEDULING_PUSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_VRB_TO_PRB_MAPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_1ST_DOWNLINK_ASSIGNMENT_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_TPC_COMMAND_FOR_SCHEDULING_PUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_PUCCH_RESOURCE_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_PDSCH_TO_HARQ_FEEDBACK_TIMING_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SRS_RESOURCE_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SHORT_MESSAGE_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_INITIALIZATION_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_PATTERN_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_BIT_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_CREATE_PDSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_CBGFI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_PRECODING_INFORMATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_ANTENNA_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_BWP_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_CANDIDATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_CBGTI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_DAI2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_DMRS_SEQUENCE_INIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_PRB_BUNDLING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_PTRS_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NRSCHEDULING_ALLOCATION_CORESET_DCI_BETA_OFFSET_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SYSTEM_INFORMATION_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_TB_SCALING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_RESERVED_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_CHANNEL_CODING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_UL_SUL_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_CARRIER_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_RM_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SRS_REQUEST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_CSI_REQUEST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_TCI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_ZP_CSI_RS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_AGGREGATION_LEVELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_MAX_CANDIDATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_CHANNEL_ACCESS_CPEXT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_DOWNLINK_FEEDBACK_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_PDSCH_DMRS_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_INVALID_SYMBOL_PATTERN_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_MINIMUM_APP_SCHED_OFF_IND_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_ONE_SHOT_HARQ_ACK_REQUEST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_LSBS_OF_SFN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_NEW_FEEDBACK_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_NUM_OF_REQUESTED_PDSCH_GROUPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_OPEN_LOOP_PWR_CTRL_PARAM_INDICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_PDSCH_GROUP_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_PRIORITY_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SHORT_MESSAGES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_UL_SCH_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_IDENTIFIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SGS_FLAG_1;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SGS_FLAG_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SGS_FLAG_3;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SGS_FLAG_4;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_ARIND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_CONFIGURATION_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_FIELD_RESOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_FIELD_FIRST_SUBCHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_HARQ_ACK_FEEDBACK_INFORMATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_MCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_MULTIPLEXING_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_MONITORING_ADAPTION_INDICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_PSFCH_TO_HARQ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_FIELD_RESOURCE_POOL_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SL_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_TIME_GAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_TIMING_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_TRS_AVAILABILITY_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_DAI3;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_HART_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_PUCCH_CELL_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SECOND_PRECODING_INFO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SAI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SRS_OFFSET_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SECOND_SRS_RESOURCE_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SRS_RESOURCE_SET_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SECOND_TPC_PUCCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SECOND_TPC_PUSCH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_T3C_BIND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_CANCELLATION_INDICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_CLOSED_LOOP_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_COMMAND_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_PREEMPTION_INDICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SLOT_FORMAT_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SRS_REQUEST_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_AVAILABILITY_INDICATION_BIT_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_AVAILABILITY_INDICATION_RB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_COT_DURATION_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_WAKEUP_INDICATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_SCELL_DORMANCY_INDICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_CORESET_DCI_INSTANCE_PAGING_EARLY_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_GROUP_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_HOPPING_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_INTRA_SLOT_FREQUENCY_HOPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_SECONG_HOPPING_PRB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_INITIAL_CYCLIC_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_TIME_DOMAIN_OCC_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_OCC_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_OCC_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_F2_OCC_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_F3_OCC_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_INTERLACES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_SCI2_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_CYCLIC_PREFIX_EXTENSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_POSITIVE_SR_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_NUMBER_OF_ACK_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_ACK_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_NUMBER_OF_UCI_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_UCI_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PUCCH_INTERLACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PRACH_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PRACH_RESTRICTED_SET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PRACH_LOGICAL_ROOT_SEQUENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PRACH_ZERO_CORRELATION_ZONE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PRACH_PREAMBLE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PRACH_RB_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PRACH_TIME_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PRACH_BURST_MODE_REF_ALLOC_IDENTIFIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PRACH_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PRACH_SCS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PSCCH_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PSCCH_DMRS_SCRAMBLE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PSCCH_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PSSCH_DMRS_ANTENNA_PORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PSSCH_MODULATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PSSCH_DMRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PSSCH_SUBCHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PSSCH_RESOURCE_POOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PSSCH_CHANNEL_CODING_FRCR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PSSCH_CHANNEL_CODING_RV_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PSSCH_CHANNEL_CODING_TBS_SCALING_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PSSCH_CHANNEL_CODING_TRANSPORT_BLOCK_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_PSSCH_CHANNEL_CODING_TARGET_CODE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_ADDITIONAL_MCS_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_ADDITIONAL_MCS_INDICATOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_BETA_OFFSET_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_COMMUNICATION_RANGE_REQUIREMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_CSI_REQUEST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_CAST_TYPE_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_DESTINATION_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_DMRS_PATTERNS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_DMRS_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_FREQUENCY_DOMAIN_RESOURCE_ASSIGNMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_HARQ_FEEDBACK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_HARQ_PROCESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_MODULATION_AND_CODING_SCHEME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_NEW_DATA_INDICATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_PRIORITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_REDUNDANCY_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_RESERVED_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_RESOURCE_RESERVATION_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_2ND_STAGE_SCI_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_SOURCE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_TIME_DOMAIN_RESOURCE_ASSIGNMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_SCI_ZONE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_AP_IMAGINARY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_AP_REAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_AP_MAGNITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATION_AP_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATIONS_REPETITION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATIONS_CONTENT_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATIONS_COMMON_CONTENT_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATIONS_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATIONS_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATIONS_SOURCE_SUBFRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATIONS_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATIONS_COMMON_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATIONS_RB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATIONS_COMMON_RB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATIONS_SLOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATIONS_COMMON_SLOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATIONS_SCS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATIONS_COMMON_SCS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATIONS_SYMBOL_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATIONS_COMMON_SYMBOL_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATIONS_SYMBOL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_SCHEDULING_ALLOCATIONS_COMMON_SYMBOL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_OUTPUT_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_OUTPUT_SUPPRESS_SUBCARRIER_ON_OUTPUT_CENTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_OUTPUT_FILTER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_OUTPUT_SAMPLE_RATE_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_OUTPUT_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_OUTPUT_CLIPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_OUTPUT_CLIPPING_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_OUTPUT_BASEBAND_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_OUTPUT_BASEBAND_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_OUTPUT_BASEBAND_SAMPLE_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_OUTPUT_BASEBAND_PLAYBACK_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_OUTPUT_CF_REDUCTION_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_OUTPUT_CF_REDUCTION_ALGORITHM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_OUTPUT_CF_REDUCTION_TARGET_CREST_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_OUTPUT_CF_REDUCTION_MAX_ITERATIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_OUTPUT_CF_REDUCTION_ORIGINAL_CF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_OUTPUT_CF_REDUCTION_RESULTING_CF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_OUTPUT_CF_REDUCTION_CANCELLATION_PULSE_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_OUTPUT_CF_REDUCTION_TRANSITION_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TIME_DOMAIN_WINDOWING_WOLA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TIME_DOMAIN_WINDOWING_15_KHZ_NCP_TRANSITION_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TIME_DOMAIN_WINDOWING_30_KHZ_NCP_TRANSITION_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TIME_DOMAIN_WINDOWING_60_KHZ_NCP_TRANSITION_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TIME_DOMAIN_WINDOWING_60_KHZ_ECP_TRANSITION_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TIME_DOMAIN_WINDOWING_120_KHZ_NCP_TRANSITION_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TIME_DOMAIN_WINDOWING_240_KHZ_NCP_TRANSITION_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TIME_DOMAIN_WINDOWING_15_KHZ_TRANSITION_SAMPLES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TIME_DOMAIN_WINDOWING_30_KHZ_TRANSITION_SAMPLES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TIME_DOMAIN_WINDOWING_60_KHZ_TRANSITION_SAMPLES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TIME_DOMAIN_WINDOWING_60_KHZ_ECP_TRANSITION_SAMPLES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TIME_DOMAIN_WINDOWING_120_KHZ_TRANSITION_SAMPLES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TIME_DOMAIN_WINDOWING_240_KHZ_TRANSITION_SAMPLES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_POWER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_POWER_AVERAGE_RELATIVE_TO_LEVEL_PER_BASEBAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_POWER_ACTIVE_RELATIVE_TO_LEVEL_15KHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_POWER_ACTIVE_RELATIVE_TO_LEVEL_30KHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_POWER_ACTIVE_RELATIVE_TO_LEVEL_60KHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_POWER_ACTIVE_RELATIVE_TO_LEVEL_120KHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_POWER_ACTIVE_RELATIVE_TO_LEVEL_240KHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_POWER_ACTIVE_RELATIVE_TO_LEVEL_REFERENCE_BW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_POWER_REFERENCE_SYSTEM_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_REALTIME_FEEDBACK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_REALTIME_FEEDBACK_SERIAL_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_REALTIME_FEEDBACK_CUSTOM_SERIAL_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_REALTIME_FEEDBACK_CONNECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_REALTIME_FEEDBACK_BASEBAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_REALTIME_FEEDBACK_HPN_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_REALTIME_FEEDBACK_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_REALTIME_FEEDBACK_TA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_REALTIME_FEEDBACK_PROCESSING_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_REATIME_FEEDBACK_LOGGING_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_REALTIME_FEEDBACK_LOG_OUTPUT_PATH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_LOGFILE_GENERATION_LOGGING_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_LOGFILE_GENERATION_OUTPUT_PATH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_APPLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_TEST_SPECIFICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_RELEASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_BASE_STATION_CLASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_TEST_CASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_TRIGGER_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_MARKER_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_RF_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_OUTPUT_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_GENERATED_SIGNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_OTA_BASE_STATION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_OTA_DECLARED_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_OTA_MINIMUM_EIS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_OTA_EIS_50M;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_OTA_BEW_THETA_REFSENS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_OTA_BEW_PHI_REFSENS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_OTA_FREQUENCY_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_TX_ANTENNAS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_RX_ANTENNAS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_ADDITIONAL_DRMS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_CELL_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_CSI_PART;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_CSI_1_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_CSI_2_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_DMRS_TYPE_A_POSITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_DUPLEXING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_FRACTION_OF_MAX_THROUGHPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_FRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_MAPPING_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_NUMBER_OF_OFDM_SYMBOLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_PREAMBLE_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_POWER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_PROPAGATION_CONDITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_PTRS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_RB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_SUBCARRIER_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_SUBCARRIER_SPACING_PRACH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_TEST_SETUP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_TIMING_OFFSET_BASE_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_UCI_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_UE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_TRANSMIT_SRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_RESTRICTED_SET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_TEST_REQUIREMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_CG_UCI_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_WS_VIRTUAL_DOWNLINK_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_FREQ_ALLOC_OF_THE_INTERFERING_SIGNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS_BAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS_OFFSET_FACTOR_N;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS_DUPLEXING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS_TEST_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS_INTERFERER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS2_INTERFERER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS_TEST_REQUIREMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS2_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS_SUBCARRIER_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS_CELL_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS_UE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS_NUMBER_OF_RESOURCE_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS_RB_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS_POWER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS2_POWER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS_FREQUENCY_SHIFT_M;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS_INTERFERING_RB_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_IS_DISTANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_FEEDBACK_REALTIME_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_FEEDBACK_SERIAL_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_FEEDBACK_ADDITIONAL_USER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_FEEDBACK_CONNECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_FEEDBACK_BASEBAND_SELECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_FEEDBACK_CUSTOM_SERIAL_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_FEEDBACK_BB_SELECTOR_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_FEEDBACK_SUE_CONNECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_FEEDBACK_TRANSMIT_SRS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_TEST_CASE_WIZARD_AWGN_POWER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_FILTER_TEST_MODEL_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_FILTER_TEST_MODEL_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_FILTER_TEST_MODEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_FILTER_TEST_CASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_FILTER_TEST_MODEL_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_FILTER_TEST_MODEL_DUPLEXING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_FILTER_TEST_MODEL_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_5G_NR_FILTER_TEST_MODEL_SCS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_IDLE_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_OVERSAMPLING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_SAMPLE_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_TRIGGER_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_EXTERNAL_TRIGGER_SYNC_OUTPUT_TO_EXT_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_MARKER_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_MARKER_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_FRAME_PAYLOAD_REDUCED_CODING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_FRAME_SYNC_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_FRAME_UNMODULATED_PREAMBLE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_FRAME_CODING_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_FRAME_SPREADING_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_FRAME_ENCODER_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_FRAME_INTERLEAVER_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_FRAME_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_FRAME_DATA_PAYLOAD_CRC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_FRAME_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_FRAME_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_FRAME_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_FRAME_DATA_HEADER_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_FRAME_DATA_BURST_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_FRAME_DATA_COMPRESSED_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_FRAME_DATA_REVERSED_BIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_IMPAIRMENTS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_IMPAIRMENTS_SYMBOL_TIMING_ERROR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_IMPAIRMENTS_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_IMPAIRMENTS_FREQUENCY_DRIFT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_IMPAIRMENTS_FREQUENCY_DRIFT_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_IMPAIRMENTS_FREQUENCY_DRIFT_DEVIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LORA_IMPAIRMENTS_FREQUENCY_DRIFT_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_CHANNEL_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_IDLE_INTERVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_LOAD_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_GENERATE_WAVEFORM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FILTER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FILTER_APCO25;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FILTER_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FILTER_COSINE_CUTOFF_FREQUENCY_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FILTER_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FILTER_PURE_GAUSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FILTER_ROOT_COSINE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FILTER_LTE_OPTIMIZATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FILTER_LTE_ROLLOFF_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FILTER_LTE_CUTOFF_FREQUENCY_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FILTER_LTE_CUTOFF_FREQUENCY_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FILTER_LOW_PASS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FILTER_LOW_PASS_EVM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FILTER_SPLIT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_HRP_UWB_FILTER_LOAD_USER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FILTER_OVERSAMPLING_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FILTER_SAMPLE_RATE_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_CLIPPING_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_CLIPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_TRIGGER_SIGNAL_GENERATION_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_TRIGGER_ARM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_TRIGGER_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_HRP_UWB_TRIGGER_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_HRP_UWB_TRIGGER_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_TIME_BASED_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_INTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_INTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_INTERNAL_TRIGGER_SPECIFIED_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_INTERNAL_TRIGGER_ACTUAL_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_EXTERNAL_TRIGGER_DELAY_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_EXTERNAL_TRIGGER_SPECIFIED_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_EXTERNAL_TRIGGER_ACTUAL_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_EXTERNAL_TRIGGER_SYNC_OUTPUT_TO_EXT_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MARKER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MARKER_RISE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MARKER_FALL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MARKER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_CODE_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_STS_PACKET_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_FIXED_2MS_FRAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_SYNC_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_DELTA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_MAX_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_MAX_FCS_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_SFD_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_SFD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_SFD_INDICES_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_DATA_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_DATA_LIST_SELECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_DATA_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_DATA_VITERBI_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_DATA_CONVOLUTIONAL_CODE_CONSTRAINT_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_DATA_HOP_BURSTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_DATA_MEAN_PRF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_DATA_CHIPS_PER_BURST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_DATA_MAC_FCS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_DATA_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_PHR_DATA_RATE_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_PHR_BIT_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_DATA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_HEX_ADDRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_FRAME_CONTROL_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_FRAME_CONTROL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_SEQUENCE_NUMBER_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_SEQUENCE_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_DESTINATION_PAN_ID_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_DESTINATION_PAN_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_DESTINATION_ADDRESS_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_DESTINATION_ADDRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_DESTINATION_ADDRESS_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_DESTINATION_ADDRESS_3;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_DESTINATION_ADDRESS_4;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_SOURCE_PAN_ID_INFORMATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_SOURCE_PAN_ID_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_SOURCE_PAN_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_SOURCE_ADDRESS_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_SOURCE_ADDRESS_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_SOURCE_ADDRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_SOURCE_ADDRESS_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_SOURCE_ADDRESS_3;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_SOURCE_ADDRESS_4;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_FRAME_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_SECURITY_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_FRAME_PENDING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_AR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_PAN_ID_COMPRESSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_RESERVED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_SEQUENCE_NUMBER_SUPPORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_IE_PRESENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_DESTINATION_ADDRESSING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_MAC_HEADER_FRAME_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_STS_VUPPER96;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_STS_VCOUNTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_STS_KEY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_STS_DELTA_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_STS_ACTIVE_SEGMENT_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_STS_NUMBER_OF_ACTIVE_SEGMENTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_STS_ADDITIONAL_GAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_STS_DATA_LIST_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_FRAME_STS_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_IMPAIRMENTS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_IMPAIRMENTS_CHIP_CLOCK_ERROR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HRP_UWB_IMPAIRMENTS_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SIGNAL_ROUTING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_STANDARD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_FADING_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_STANDARD_REFERENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_STANDARD_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_COPY_TO_DESTINATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_RESTART_SYNCHRONIZATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CLOCK_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_COPY_DESTINATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_EXECUTE_COPY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CONFIGURATION_FINE_DELAY_30;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CONFIGURATION_FINE_DELAY_50;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CONFIGURATION_STANDARD_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CONFIGURATION_BIRTH_DEATH_PROPAGATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CONFIGURATION_MOVING_PROPAGATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SIGNAL_DEDICATED_TO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_VIRTUAL_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_DEDICATED_CONNECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_COMMON_SPEED_FOR_ALL_PATHS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SPEED_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_COPY_GROUP_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_KEEP_CONSTANT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_RESTART_EVENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_RESTART;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_IGNORE_RF_CHANGES_LT_5PCT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_FREQUENCY_HOPPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_BYPASS_IF_FADING_OFF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SCENARIO_PRESET_SHIP_TO_SHIP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SCENARIO_PRESET_TOWER_TO_AIRCRAFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SCENARIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SCENARIO_COORDINATE_SYSTEM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SCENARIO_CREATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SCENARIO_LOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SCENARIO_SAVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SCENARIO_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_FADER_PROFILE_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_FADER_PROFILE_ACTIVE_FILE_TPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_FADER_PROFILE_ACTIVE_FILE_PROFILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_FADER_PROFILE_FILES_CATALOG_TPA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_FADER_PROFILE_FILES_CATALOG_PROFILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_VEHICLE_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_VEHICLE_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_VEHICLE_CATEGORY_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_VEHICLE_CATEGORY_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_VEHICLE_TYPE_AIR_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_VEHICLE_TYPE_AIR_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_VEHICLE_TYPE_LAND_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_VEHICLE_TYPE_LAND_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_VEHICLE_TYPE_WATER_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_VEHICLE_TYPE_WATER_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_VEHICLE_TYPE_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_VEHICLE_TYPE_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_VEHICLE_FILE_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_VEHICLE_FILE_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_VEHICLE_CATALOG_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_VEHICLE_CATALOG_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_TRAJECTORY_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_TRAJECTORY_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_TRAJECTORY_ACTIVE_FILE_TRAJECTORY_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_TRAJECTORY_ACTIVE_FILE_TRAJECTORY_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_TRAJECTORY_ACTIVE_FILE_EPHEMERIS_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_TRAJECTORY_ACTIVE_FILE_EPHEMERIS_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_TRAJECTORY_FILES_CATALOG_TRAJECTORY_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_TRAJECTORY_FILES_CATALOG_TRAJECTORY_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_TRAJECTORY_FILES_CATALOG_EPHEMERIS_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_TRAJECTORY_FILES_CATALOG_EPHEMERIS_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_TRAJECTORY_SMOOTH_MOVEMENT_ENABLE_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_TRAJECTORY_SMOOTH_MOVEMENT_ENABLE_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_TRAJECTORY_BEHAVIOR_AT_END_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_TRAJECTORY_BEHAVIOR_AT_END_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_TRAJECTORY_ACCELERATION_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_USER_TRAJECTORY_ACCELERATION_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SHIP_TO_SHIP_TURN_BACK_AFTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SHIP_TO_SHIP_DISTANCE_X;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SHIP_TO_SHIP_DISTANCE_Y;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SHIP_TO_SHIP_WATER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SHIP_TO_SHIP_WATER_SURFACE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SHIP_TO_SHIP_VEHICLE_TYPE_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SHIP_TO_SHIP_VEHICLE_TYPE_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SHIP_TO_SHIP_SPEED_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SHIP_TO_SHIP_SPEED_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SHIP_TO_SHIP_HEADING_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SHIP_TO_SHIP_HEADING_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SHIP_TO_SHIP_HEIGHT_OF_ANTENNA_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SHIP_TO_SHIP_HEIGHT_OF_ANTENNA_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_VEHICLE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_CONSTANT_ACCELERATION_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_SPEED_START;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_SPEED_TAKE_OFF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_SPEED_TOUCH_DOWN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_SPEED_DEPARTURE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_SPEED_CRUISE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_SPEED_DESCENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_ANGLE_CLIMB_OUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_ANGLE_DESCENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_RATE_CLIMB_OUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_RATE_DESCENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_CRUISE_ALTITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_FIELD_LENGTH_TAKE_OFF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_FIELD_LENGTH_LANDING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_TURN_RADIUS_LEFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_TURN_RADIUS_RIGHT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_TERRAIN_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_TRIP_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TOWER_TO_AIRCRAFT_TRIP_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_FDEL_FADING_PROFILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CONFIGURATION_STANDARD_DELAY_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CUSTOM_FADING_PROFILE_DOPPLER_SHAPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_RESULTING_DOPPLER_SHIFT_ACTUAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_RESULTING_DOPPLER_SHIFT_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_FREQUENCY_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_FREQUENCY_SPREAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_ENABLE_PATH_DEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_ENABLE_PATH_DEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_ENABLE_PATH_DEL_50_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_ENABLE_PATH_MDEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_FADING_PROFILE_DEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_FADING_PROFILE_DEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_FADING_PROFILE_DEL_50_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_FADING_PROFILE_MDEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_PATH_LOSS_DEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_PATH_LOSS_DEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_PATH_LOSS_DEL_50_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_PATH_LOSS_MDEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_BASIC_DELAY_DEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_BASIC_DELAY_DEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_BASIC_DELAY_DEL_50_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_BASIC_DELAY_MDEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_ADDITIONAL_DELAY_DEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_ADDITIONAL_DELAY_DEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_ADDITIONAL_DELAY_DEL_50_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_ADDITIONAL_DELAY_MDEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_RESULTING_DELAY_DEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_RESULTING_DELAY_DEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_RESULTING_DELAY_DEL_50_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_RESULTING_DELAY_MDEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_ACTUAL_DELAY_DEL_30_MHZ_DOPPLER_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_POWER_RATIO_DEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_POWER_RATIO_DEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_POWER_RATIO_DEL_50_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_POWER_RATIO_MDEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CONSTANT_PHASE_DEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CONSTANT_PHASE_DEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CONSTANT_PHASE_DEL_50_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CONSTANT_PHASE_MDEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SPEED_DEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SPEED_DEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SPEED_DEL_50_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SPEED_MDEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_FREQUENCY_RATIO_DEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_FREQUENCY_RATIO_DEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_FREQUENCY_RATIO_DEL_50_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_FREQUENCY_RATIO_MDEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_RESULTING_DOPPLER_SHIFT_DEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_RESULTING_DOPPLER_SHIFT_DEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_RESULTING_DOPPLER_SHIFT_DEL_50_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_RESULTING_DOPPLER_SHIFT_MDEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CORRELATION_PATH_DEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CORRELATION_PATH_DEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CORRELATION_PATH_DEL_50_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CORRELATION_PATH_MDEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CORRELATION_COEFFICIENT_DEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CORRELATION_COEFFICIENT_DEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CORRELATION_COEFFICIENT_DEL_50_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CORRELATION_COEFFICIENT_MDEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CORRELATION_COEFFICIENT_PHASE_DEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CORRELATION_COEFFICIENT_PHASE_DEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CORRELATION_COEFFICIENT_PHASE_DEL_50_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CORRELATION_COEFFICIENT_PHASE_MDEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_LOGNORMAL_ENABLED_DEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_LOGNORMAL_ENABLED_DEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_LOGNORMAL_ENABLED_DEL_50_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_LOGNORMAL_ENABLED_MDEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_LOCAL_CONSTANT_DEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_LOCAL_CONSTANT_DEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_LOCAL_CONSTANT_DEL_50_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_LOCAL_CONSTANT_MDEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_STANDARD_DEVIATION_DEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_STANDARD_DEVIATION_DEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_STANDARD_DEVIATION_DEL_50_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_STANDARD_DEVIATION_MDEL_30_MHZ;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_BIRTH_DEATH_MIN_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_BIRTH_DEATH_DELAY_GRID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_BIRTH_DEATH_POSITIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_BIRTH_DEATH_POSITIONS_SMW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_BIRTH_DEATH_MAXIMUM_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_BIRTH_DEATH_START_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_BIRTH_DEATH_HOPPING_DWELL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_BIRTH_DEATH_SPEED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_BIRTH_DEATH_FREQUENCY_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_BIRTH_DEATH_PROFILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_BIRTH_DEATH_PATH_LOSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_BIRTH_DEATH_RESULTING_DOPPLER_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_BIRTH_DEATH_ACTUAL_DOPPLER_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_REFERENCE_PATH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_REFERENCE_PATH_LOSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_REFERENCE_PATH_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MOVING_PATH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MOVING_PATH_LOSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MOVING_PATH_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MOVING_PATH_VARIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MOVING_PATH_VARIATION_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MOVING_PATH_VARIATION_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MOVING_PATH_VARIATION_PERIOD_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MOVING_PATH_CHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_SPEED_SETTING_COUPLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_LOCAL_CONSTANT_COUPLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_STANDARD_DEVIATION_COUPLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_INSERTION_LOSS_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_INSERTION_LOSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CLIPPED_SAMPLES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_GLOBAL_SEED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_REFERENCE_PATH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_REFERENCE_PATH_PROFILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_REFERENCE_PATH_LOSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_REFERENCE_PATH_SPEED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_REFERENCE_PATH_DELAY_MIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_REFERENCE_PATH_DELAY_MAX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_REFERENCE_PATH_MOVING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_REFERENCE_PATH_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_REFERENCE_DOPLER_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_DOPLER_FREQUENCY_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_PATH_SPEED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_PATH_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_MOVING_PATH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_MOVING_PATH_PROFILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_MOVING_PATH_LOSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_MOVING_PATH_SPEED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_MOVING_PATH_DELAY_MIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_MOVING_PATH_DELAY_MAX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_MOVING_PATH_MOVING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_MOVING_PATH_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TCI_MOVING_DOPLER_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_TAB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_COPY_TO_NEXT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_COPY_TO_PREVIOUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_COPY_TO_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SAVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_LOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SUBSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_CAPABILITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_MATRIX_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_MATRIX_ACCEPT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_MATRIX_CONFLICT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_MATRIX_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_MATRIX_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_MATRIX_MAGNITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_PHASE_AB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_PHASE_AC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_PHASE_AD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_PHASE_BC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_PHASE_BD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_PHASE_CD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_RATIO_AB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_RATIO_AC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_RATIO_AD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_RATIO_BC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_RATIO_BD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_RATIO_CD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_REAL_AB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_REAL_AC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_REAL_AD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_REAL_BC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_REAL_BD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_REAL_CD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_IMAGINARY_AB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_IMAGINARY_AC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_IMAGINARY_AD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_IMAGINARY_BC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_IMAGINARY_BD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_RX_IMAGINARY_CD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_PHASE_AB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_PHASE_AC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_PHASE_AD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_PHASE_BC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_PHASE_BD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_PHASE_CD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_RATIO_AB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_RATIO_AC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_RATIO_AD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_RATIO_BC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_RATIO_BD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_RATIO_CD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_REAL_AB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_REAL_AC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_REAL_AD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_REAL_BC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_REAL_BD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_REAL_CD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_IMAGINARY_AB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_IMAGINARY_AC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_IMAGINARY_AD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_IMAGINARY_BC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_IMAGINARY_BD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TX_IMAGINARY_CD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TABLE_RX_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TABLE_RX_REAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TABLE_RX_IMAGINARY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TABLE_RX_MAGNITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TABLE_TX_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TABLE_TX_REAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TABLE_TX_IMAGINARY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_KRONECKER_CORRELATION_TABLE_TX_MAGNITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_RELATIVE_GAIN_VECTOR_MATRIX_PRESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_INVERSE_CHANNEL_MATRIX_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_INVERSE_CHANNEL_MATRIX_IMAGINARY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_INVERSE_CHANNEL_MATRIX_REAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCME_DISTRIBUTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCME_DISTANCE_RX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCME_DISTANCE_TX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_RAY_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_RAY_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_ARRIVAL_ARRAY_SPREAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_DEPARTURE_ARRAY_SPREAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_ARRIVAL_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_DEPARTURE_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCME_WINNER_MS_SPEED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCME_WINNER_MS_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCME_WINNER_CLUSTER_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCME_WINNER_CLUSTER_AOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCME_WINNER_CLUSTER_AOD_SPREAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCME_WINNER_CLUSTER_AOA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCME_WINNER_CLUSTER_AOA_SPREAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCME_WINNER_CLUSTER_DISTRIBUTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCME_WINNER_CLUSTER_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCME_WINNER_SUB_CLUSTER_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCME_WINNER_SUB_CLUSTER_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_RX_ANTENNA_ARRAY_PATTERN_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_ANTENNA_ARRAY_PATTERN_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_CHANNEL_POLARIZATION_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_CHANNEL_POLARIZATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_CHANNEL_POLARIZATION_VERTICAL_POWER_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_CHANNEL_POLARIZATION_HORIZONTAL_POWER_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_RX_ANTENNA_ARRAY_POLARIZATION_SLANT_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_RX_ANTENNA_ARRAY_NUMBER_OF_ROWS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_RX_ANTENNA_ARRAY_NUMBER_OF_COLUMNS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_RX_ANTENNA_ARRAY_HORIZONTAL_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_RX_ANTENNA_ARRAY_VERTICAL_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_RX_ANTENNA_ARRAY_CROSS_POLARIZED_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_RX_ANTENNA_ARRAY_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_RX_ANTENNA_CALCULATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_RX_ANTENNA_ARRAY_PATTERN_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_TX_ANTENNA_ARRAY_POLARIZATION_SLANT_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_TX_ANTENNA_ARRAY_NUMBER_OF_ROWS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_TX_ANTENNA_ARRAY_NUMBER_OF_COLUMNS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_TX_ANTENNA_ARRAY_HORIZONTAL_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_TX_ANTENNA_ARRAY_VERTICAL_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_TX_ANTENNA_ARRAY_CROSS_POLARIZED_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_TX_ANTENNA_ARRAY_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_TX_ANTENNA_CALCULATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_TX_ANTENNA_ARRAY_PATTERN_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_MS_SPEED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_MS_DOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_SIGMA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_D3_MODE_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_AZIMUTH_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ELEVATION_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_RELATIVE_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ANGLE_OF_DEPARTURE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ZENITH_ANGLE_OF_DEPARTURE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_AOD_SPREAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ZENITH_AOD_SPREAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ANGLE_OF_ARRIVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ZENITH_ANGLE_OF_ARRIVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_AOA_SPREAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ZENITH_AOA_SPREAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_SUB_CLUSTER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_SUB_CLUSTER_RELATIVE_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_POLARIZATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_POLARIZATION_HORIZONTAL_CROSS_POLARIZATION_POWER_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_POLARIZATION_VERTICAL_CROSS_POLARIZATION_POWER_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ANTENNA_RX_STRUCTURE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ANTENNA_TX_STRUCTURE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ANTENNA_RX_COLUMNS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ANTENNA_RX_ROWS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ANTENNA_TX_COLUMNS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ANTENNA_TX_ROWS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ANTENNA_RX_CALCULATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ANTENNA_TX_CALCULATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ANTENNA_RX_HORIZONTAL_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ANTENNA_TX_HORIZONTAL_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ANTENNA_RX_VERTICAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ANTENNA_TX_VERTICAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ANTENNA_RX_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ANTENNA_TX_PATTERN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ANTENNA_RX_PATTERN_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_ANTENNA_TX_PATTERN_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_LOS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_LOS_ANGLE_OF_DEPARTURE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_LOS_ANGLE_OF_ARRIVAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_LOS_K_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_LOS_RANDOM_PHASE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_LOS_RANDOM_PHASE_HH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_LOS_RANDOM_PHASE_HV;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_LOS_RANDOM_PHASE_VH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_LOS_RANDOM_PHASE_VV;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_LOS_SUBPATH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_LOS_SUBPATH_RANDOM_PHASE_HH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_LOS_SUBPATH_RANDOM_PHASE_HV;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_LOS_SUBPATH_RANDOM_PHASE_VH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_MIMO_SCM_LOS_SUBPATH_RANDOM_PHASE_VV;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TWO_CHANNEL_INTERFER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TWO_CHANNEL_INTERFER_SPEED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TWO_CHANNEL_INTERFER_PERIOD_DWELL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TWO_CHANNEL_INTERFER_MOVING_PATH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TWO_CHANNEL_INTERFER_MOVING_PATH_PROFILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TWO_CHANNEL_INTERFER_MOVING_PATH_DOPPLER_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TWO_CHANNEL_INTERFER_MOVING_PATH_ACTUAL_DOPPLER_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TWO_CHANNEL_INTERFER_MOVING_PATH_LOSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TWO_CHANNEL_INTERFER_MOVING_PATH_FREQUENCY_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TWO_CHANNEL_INTERFER_MOVING_PATH_DELAY_MIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TWO_CHANNEL_INTERFER_MOVING_PATH_DELAY_MAX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TWO_CHANNEL_INTERFER_MOVING_PATH_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TWO_CHANNEL_INTERFER_REFERENCE_PATH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TWO_CHANNEL_INTERFER_REFERENCE_PATH_PROFILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TWO_CHANNEL_INTERFER_REFERENCE_PATH_DOPPLER_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TWO_CHANNEL_INTERFER_REFERENCE_PATH_ACTUAL_DOPPLER_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TWO_CHANNEL_INTERFER_REFERENCE_PATH_LOSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TWO_CHANNEL_INTERFER_REFERENCE_PATH_FREQUENCY_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_TWO_CHANNEL_INTERFER_REFERENCE_PATH_DELAY_MIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_HST_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_HST_PATH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_HST_PROFILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_HST_SPEED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_HST_MINIMUM_DISTANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_HST_START_DISTANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_HST_DOPPLER_SHIFT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_HST_RICIAN_FACTOR_K;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_HST_CONSIDER_DOWNLINK_RF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_HST_VIRTUAL_DOWNLINK_RF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_HST_START_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CUSTOMIZED_DYNAMIC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CUSTOMIZED_DYNAMIC_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CUSTOMIZED_DYNAMIC_CATALOG_USER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CUSTOMIZED_DYNAMIC_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CUSTOMIZED_DYNAMIC_PATH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CUSTOMIZED_DYNAMIC_PATH_FADING_PROFILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CUSTOMIZED_DYNAMIC_PATH_DATA_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FSIM_CUSTOMIZED_DYNAMIC_PATH_CONVERT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_SWAP_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_WIDEBAND_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_INTERNAL_BASEBAND_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_INTERNAL_BASEBAND_GAIN_LEGACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_MODULATION_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OPTIMIZE_EVM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ANALOG_WIDEBAND_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ANALOG_WIDEBAND_CREST_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_OPTIMIZE_IQ_SIGNALS_FOR_RF_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_AUXILIARY_INFORMATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_LEVEL_VP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_LEVEL_RESULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ANALOG_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_LEVEL_PEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_OFF_LOAD_VOLTAGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_ATTENUATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_BIAS_COUPLE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_BIAS_I;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_BIAS_Q;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_OFFSET_I;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_OFFSET_Q;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_CREST_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_CFSN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_INSERTION_LOSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_POWER_ON_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_LOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ENVELOPE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DEFAULT_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ENVELOPE_VOLTAGE_ADAPTATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ENVELOPE_ETRAK_INTERFACE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_VOLTAGE_REFERENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ENVELOPE_VOUT_MAX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ENVELOPE_VOUT_MIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ENVELOPE_BIAS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ENVELOPE_DC_MODULATOR_EMF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ENVELOPE_DC_MODULATOR_RIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_TERMINATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_BIPOLAR_SIGNAL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_MAXIMUM_VPP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_VCC_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ENVELOPE_DC_MODULATOR_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ENVELOPE_DC_MODULATOR_VCC_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ENVELOPE_TO_RF_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_CALCULATE_ENVELOPE_FROM_PREDISTORED_SIGNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ENVELOPE_VCC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ENVELOPE_PEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ENVELOPE_PA_CHARACTERISTICS_VCC_MAX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ENVELOPE_PA_CHARACTERISTICS_VCC_MIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ENVELOPE_PA_CHARACTERISTICS_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ENVELOPE_PA_CHARACTERISTICS_PEPMIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_ENVELOPE_PA_CHARACTERISTICS_PEPMAX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_SHAPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_SHAPING_SCALE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_DETROUGHING_FUNCTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_DETROUGHING_FUNCTION_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_DETROUGHING_FUNCTION_EXPONENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_DETROUGHING_FACTOR_COUPLING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_DETROUGHING_POST_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_DETROUGHING_PRE_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_TABLES_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_TABLES_SELECTED_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_TABLES_INTERPOLATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_TABLES_AUTO_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_TABLES_AUTO_SELECTED_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_POLYNOMIAL_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_POLYNOMIAL_RECALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_ENVELOPE_POLYNOMIAL_SAVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_SET_LEVEL_VIA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_LEVEL_PEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_POWER_VARIATION_STEP_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_POWER_VARIATION_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_POWER_ON_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_CONNECTED_DEVICE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_CREST_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_CFSN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_INSERTION_LOSS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_SAMPLE_RATE_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_HS_CHANNELS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_OVERFLOW_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_OVERFLOW_HOLD_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_OVERFLOW_HOLD_STATE_RESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_BBMM_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_BBMM_CONNECTED_DEVICE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_BBMM_OVERFLOW_HOLD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_BBMM_OVERFLOW_HOLD_QUERY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_BBMM_CLIPPED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_BBMM_POWER_ON_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_BBMM_POWER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_BBMM_POWER_STEP_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_BBMM_POWER_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_BBMM_PEAK_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_BBMM_VIA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_BBMM_SAMPLE_RATE_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_BBMM_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_BBMM_MAXIMUM_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_BBMM_SAMPLE_RATE_SUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_BBMM_APPLY_SAMPLE_RATE_TO_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_BBMM_GROUP_DELAY_COMPENSATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_BBMM_SLOW_IQ_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_BBMM_INTERFACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_HS_BBMM_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_HS_BBMM_NAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_HS_BBMM_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_HS_BBMM_POWER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_HS_BBMM_PEAK_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_FADER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_FADER_CONNECTED_DEVICE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_FADER_OVERFLOW_HOLD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_FADER_OVERFLOW_HOLD_QUERY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_FADER_CLIPPED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_FADER_POWER_ON_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_FADER_POWER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_FADER_POWER_STEP_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_FADER_POWER_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_FADER_PEAK_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_FADER_VIA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_FADER_SAMPLE_RATE_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_FADER_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_DIGITAL_FADER_INTERFACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_I_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_Q_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_GAIN_IMBALANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_QUADRATURE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_AMAM_FIRST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_MAXIMUM_OUTPUT_LEVEL_ERROR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_MAXIMUM_NUMBER_OF_ITERATIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_MEASURE_VALIDITY_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_ACHIEVED_OUTPUT_LEVEL_ERROR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_AMAM_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_AMPM_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_DPD_PRESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_INPUT_PEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_INPUT_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_INPUT_CREST_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_OUTPUT_PEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_OUTPUT_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_OUTPUT_CREST_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_CORRECTION_COEFFICIENTS_SHAPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_INTERPOLATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_INVERT_CORRECTION_VALUES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_INPUT_POWER_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_INPUT_POWER_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_SCALE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_DPD_AMAM_DELTA_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_DPD_AMAM_DELTA_PHASE_PEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_DPD_AMPM_DELTA_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_DPD_AMPM_DELTA_PHASE_PEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_PRESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_PHASE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_ATTENUATION_COUPLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_INPUT_PEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_INPUT_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_CALCULATION_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_DIG_ATT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_OUTPUT_PEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_OUTPUT_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_INTERPOLATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_INVERT_CORRECTION_VALUES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_INPUT_POWER_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_INPUT_POWER_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_PRE_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_SCALE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_SHAPING_POWER_SPLIT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_SHAPING_PHASE_DELTA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_SHAPING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_SHAPING_POWER_SPLIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_SHAPING_TABLES_AMAM_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_SHAPING_TABLES_AMAM_SELECTED_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_SHAPING_TABLES_AMPM_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_SHAPING_TABLES_AMPM_SELECTED_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_SHAPING_POLYNOMIAL_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_SHAPING_POLYNOMIAL_RECALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_SHAPING_POLYNOMIAL_SAVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_SHAPING_NORMALIZED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_SHAPING_NORMALIZED_RECALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_SHAPING_NORMALIZED_SAVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_AMAM_DELTA_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_AMAM_DELTA_PHASE_PEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_AMPM_DELTA_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_AMPM_DELTA_PHASE_PEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_DELETE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_DOHERTY_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_AMAM_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_AMAM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_AMPM_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_AMPM_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_POLYNOMIAL_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_POLYNOMIAL_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_POLYNOMIAL_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_NORMALIZED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_NORMALIZED_RECALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_NORMALIZED_SAVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_LINEARIZE_RF_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_LINEARIZE_RF_ADJUST_LINEARIZATION_CURRENT_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_DPD_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_DPD_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_DPD_RECALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_DIGITAL_PREDISTORTION_DPD_SAVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_OUTPUT_SIGNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_MIMO_FADING_POWER_CORRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_OPTIMIZATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_OPTIMIZATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_I_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_Q_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_GAIN_IMBALANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_QUADRATURE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_CREST_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_PEAK_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_SIGNAL_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_SKEW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_OPTIMIZATION_ACCURACY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_OPTIMIZATION_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_OPTIMIZATION_DISPLAYED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_OPTIMIZATION_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_OPTIMIZATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_OPTIMIZATION_FILE_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_OPTIMIZATION_FREQUENCY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_OPTIMIZATION_FREQUENCY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_OPTIMIZATION_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_OPTIMIZATION_ATTENUATOR_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_OPTIMIZATION_LEVEL_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_OPTIMIZATION_LEVEL_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_OPTIMIZATION_LEVEL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMP_OPTIMIZATION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_BBMM_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_BBMM_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_BBMM_IQ_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_BBMM_LEAKAGE_I;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_BBMM_LEAKAGE_Q;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_BBMM_QUADRATURE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_BBMM_SKEW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_BBMM_PHASE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_FADER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_FADER_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_FADER_IQ_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_FADER_LEAKAGE_I;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_FADER_LEAKAGE_Q;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_FADER_QUADRATURE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_FADER_SKEW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_FADER_PHASE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_IQ_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_IQ_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_IQ_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_IQ_LEAKAGE_I;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_IQ_LEAKAGE_Q;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_IQ_QUADRATURE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_IQ_SKEW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_IQ_PHASE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_RF_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_RF_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_RF_IQ_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_RF_LEAKAGE_I;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_RF_LEAKAGE_Q;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_RF_QUADRATURE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_RF_SKEW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IQ_IMPAIRMENTS_RF_PHASE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_POWERS_FOR_OUTPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_SYSTEM_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_SYSTEM_BANDWIDTH_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_CENTER_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_SYSTEM_BANDWIDTH_NOISE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_RESULTING_CW_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_TARGET_CW_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_NOISE_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_REFERENCE_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_BIT_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_COUPLED_MODE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_IMPULSIVE_NOISE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_IMPULSIVE_NOISE_CI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_IMPULSIVE_NOISE_FRAME_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_IMPULSIVE_NOISE_PULSES_PER_BURST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_IMPULSIVE_NOISE_PULSE_SPACING_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_IMPULSIVE_NOISE_PULSE_SPACING_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_IMPULSIVE_NOISE_BURST_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_PHASE_NOISE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_PHASE_NOISE_LOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_PHASE_NOISE_SAVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_PHASE_PREDEFINED_SETTINGS_FILES_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_PHASE_NOISE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_PHASE_NOISE_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_NOISE_LEVEL_VIA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_CARRIER_TO_NOISE_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_EB_TO_N0;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_CARRIER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_NOISE_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_CARRIER_AND_NOISE_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AWGN_CARRIER_AND_NOISE_PEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_INPUT_COUPLING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_LF_SIGNAL_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ALL_RF_OUTPUTS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ALL_MODULATIONS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TRIGGER_SOURCE_FOR_ALL_SWEEPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RESET_ALL_SWEEPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OUTPUT_IMPEDANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_FREQUENCY_ON_RECALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_LEVEL_ON_RECALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OVERVOLTAGE_PROTECTION_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OVERVOLTAGE_PROTECTION_CLEAR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OVERVOLTAGE_PROTECTION_TRIPPED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LOCAL_OSCILLATOR_COUPLING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_FREQUENCY_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_FREQUENCY_MULTIPLIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PHASE_CONTINUOUS_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PHASE_CONTINUOUS_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PHASE_CONTINUOUS_MAXIMUM_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PHASE_CONTINUOUS_MINIMUM_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_VARIATION_STEP_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_VARIATION_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_FREQUENCY_CONVERTER_EXTENDED_RANGE_AVAILABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_FREQUENCY_CONVERTER_MINIMUM_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_FREQUENCY_CONVERTER_MAXIMUM_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_FREQUENCY_CONVERTER_EXTENDED_RANGE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_DELTA_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RESET_RF_DELTA_PHASE_DISPLAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_AMPLITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_LEVEL_LOWER_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_LEVEL_UPPER_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_POWER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_LEVEL_LIMIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_LEVEL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_LEVEL_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_LEVEL_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_LEVEL_SETTING_CHARACTERISTICS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_LEVEL_EMF_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_LEVEL_REFERENCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_ATTENUATOR_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_ATTENUATOR_VALUE_MANUAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_ATTENUATOR_LOWER_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_ATTENUATOR_UPPER_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_ATTENUATOR_RF_OFF_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_ATTENUATOR_DIGITAL_ATTENUATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_ATTENUATOR_BLANKING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_ATTENUATOR_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_ATTENUATOR_INACTIVE_INDICES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_LEVEL_VARIATION_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_LEVEL_VARIATION_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_ON_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DISPLAY_LEVEL_AS_VOLTAGE_OF_EMF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MANDATORY_LO_IN_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LO_OUT_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LO_OUT_FREQUENCY_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ALC_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ALC_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ALC_SEARCH_ONCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ALC_DETECTOR_SENSITIVITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ALC_DRIVER_AMPLIFIER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ALC_SAMPLE_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ALC_OFF_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_USER_CORRECTION_DATA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_USER_CORRECTION_DATA_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_USER_CORRECTION_DATA_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_USER_CORRECTION_DATA_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_USER_CORRECTION_DATA_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_USER_CORRECTION_DATA_FREQUENCY_VALUES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_USER_CORRECTION_DATA_NUMBER_OF_FREQUENCY_VALUES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_USER_CORRECTION_DATA_NUMBER_OF_LEVEL_VALUES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SGAMMA_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SGAMMA_DELETE_CORRECTION_VALUES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SGAMMA_MAGNITUDE_POINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SGAMMA_PHASE_POINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FREQUENCY_SWEEP_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FREQUENCY_SWEEP_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FREQUENCY_SWEEP_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FREQUENCY_SWEEP_START_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FREQUENCY_SWEEP_STOP_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FREQUENCY_SWEEP_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FREQUENCY_SWEEP_SPAN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FREQUENCY_SWEEP_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FREQUENCY_SWEEP_STEP_LINEAR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FREQUENCY_SWEEP_STEP_LOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FREQUENCY_SWEEP_DWELL_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FREQUENCY_SWEEP_MANUAL_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FREQUENCY_SWEEP_POINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FREQUENCY_SWEEP_SHAPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FREQUENCY_SWEEP_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LEVEL_SWEEP_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LEVEL_SWEEP_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LEVEL_SWEEP_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LEVEL_SWEEP_USER_DIGITAL_ATTENUATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LEVEL_SWEEP_START_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LEVEL_SWEEP_STOP_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LEVEL_SWEEP_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LEVEL_SWEEP_DWELL_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LEVEL_SWEEP_MANUAL_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LEVEL_SWEEP_POINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LEVEL_SWEEP_SHAPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LEVEL_SWEEP_RETRACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SWEEP_FREQUENCY_RETRACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LEVEL_SWEEP_SPACING_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LEVEL_SWEEP_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LEVEL_SWEEP_ATTENUATOR_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_COMBINED_SWEEP_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_COMBINED_SWEEP_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_COMBINED_SWEEP_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_COMBINED_SWEEP_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_COMBINED_SWEEP_START_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_COMBINED_SWEEP_STOP_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_COMBINED_SWEEP_START_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_COMBINED_SWEEP_STOP_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_COMBINED_SWEEP_DWELL_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_COMBINED_SWEEP_SHAPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_COMBINED_SWEEP_RETRACE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AM_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AM_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AM_SOURCE_SMW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AM_SOURCE_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AM_DEPTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AM_DEPTH_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AM_DEPTH_LINEAR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AM_DEPTH_EXPONENTIAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AM_DEPTH_TOTAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AM_EXTERNAL_COUPLING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AM_SENSITIVITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AM_DEVIATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AM_CHANNEL_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AM_CHANNEL_DEPTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AM_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BB_AM_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BB_AM_SENSITIVITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FM_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FM_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FM_SOURCE_SMW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FM_SOURCE_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FM_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FM_DEVIATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FM_DEVIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FM_DEVIATION_INTERNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FM_DEVIATION_EXTERNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FM_DEVIATION_TOTAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FM_EXTERNAL_COUPLING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FM_SENSITIVITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FM_CHANNEL_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FM_CHANNEL_DEVIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FM_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_POLARITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_WIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_DOUBLE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_DOUBLE_WIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_DOUBLE_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRANSITION_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_OUTPUT_VIDEO_POLARITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_IMPEDANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_OFF_TIME_POINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_ON_TIME_POINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_REPETITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_REPETITION_POINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_EXECUTE_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_HOPPING_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_HOPPING_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_HOPPING_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_HOPPING_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_HOPPING_FREQUENCY_POINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_HOPPING_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_HOPPING_OFF_TIME_POINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_HOPPING_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_HOPPING_ON_TIME_POINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_HOPPING_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_HOPPING_POWER_POINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_HOPPING_REPETITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRAIN_HOPPING_REPETITION_POINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_LIST_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_LIST_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_ASCII_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_ASCII_EXTENSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_ASCII_COLUMN_SEPARATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_ASCII_COLUMN_DECIMAL_SEPARATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_IMPORT_EXPORT_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_DATA_WITH_SENSOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_PRESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_LOAD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_STORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_APPLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_BANDWIDTH_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_OPTIMIZATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_HOLD_FILTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_OPTIMIZE_FOR_CURRENT_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_ABSOLUTE_LEVEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_ABSOLUTE_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_FR_LIST_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_FR_LIST_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_FR_LIST_CLEAR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_FR_LIST_NUMBER_OF_FILES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_S_LIST_CLEAR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_S_LIST_NUMBER_OF_FILES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_FR_LIST_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_FR_LIST_PHASE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_FR_LIST_MAGNITUDE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_S_LIST_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_S_LIST_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_S_LIST_PORTS_FROM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CORRECTION_FREQUENCY_S_LIST_PORTS_TO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_NOISE_DISTRIBUTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_NOISE_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_NOISE_BANDWIDTH_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_NOISE_DENSITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_NOISE_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_OUTPUT_SHAPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_OUTPUT_SOURCE_IMPEDANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LFGEN_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_GENERATOR_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_GENERATOR_PULSE_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_GENERATOR_PULSE_WIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_GENERATOR_PULSE_DUTY_CYCLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_GENERATOR_TRAPEZOID_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_GENERATOR_TRAPEZOID_RISE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_GENERATOR_TRAPEZOID_FALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_GENERATOR_TRAPEZOID_HIGH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_GENERATOR_TRIANGLE_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_GENERATOR_TRIANGLE_RISE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LFGEN_VOLTAGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_OUTPUT_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_OUTPUT_SOURCE_PATH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_OUTPUT_VOLTAGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_OUTPUT_DC_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_OUTPUT_MONITORING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_REMOTE_CONNECTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_EXTERNAL_INSTRUMENT_IDENTIFICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_EXTERNAL_INSTRUMENT_OPTIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_IP_ADDRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTED_START_INTERNAL_CALIBRATION_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_REFERENCE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_REFERENCE_FREQUENCY_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_CONNECTION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_INTERMEDIATE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_RF_OUTPUT_CONNECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_FREQUENCY_BAND_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_INFO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_S2P_FILE_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_FRONTEND_NETWORK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_SIDEBAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_LOAD_CORRECTION_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_CORRECTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_EXTERNAL_DEVICE_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_EXTERNAL_DEVICE_REFRESH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTED_FREQUENCY_BAND_CONFIG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTED_FREQUENCY_BAND_CONFIG_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_SETTINGS_FREQUENCY_BAND_LOWER_LIMIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_SETTINGS_FREQUENCY_BAND_UPPER_LIMIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_EXTERNAL_DEVICE_FREQUENCY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_EXTERNAL_DEVICE_FREQUENCY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_EXTERNAL_DEVICE_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_EXTERNAL_DEVICE_NAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_EXTERNAL_DEVICE_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_LOCAL_OSCILLATOR_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_LOCAL_OSCILLATOR_IN_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_LOCAL_OSCILLATOR_OUTPUT_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_LOCAL_OSCILLATOR_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_DEVICE_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_ATTENUATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_ATTENUATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_CABLE_CORRECTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_CABLE_CORRECTION_FILE_NAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_RECOMMENDED_FREQUENCY_RANGE_LOWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_FRONTEND_RECOMMENDED_FREQUENCY_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ROSC_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ROSC_RF_SWITCH_OFF_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ROSC_EXTERNAL_REFERENCE_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ROSC_SYNCHRONIZATION_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ROSC_NOMINAL_SYNCHRONIZATION_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ROSC_MINIMUM_LOCKING_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ROSC_ADJUSTMENT_ACTIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ROSC_ADJUSTMENT_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_SWEEP_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_SWEEP_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_SWEEP_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_SWEEP_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_SWEEP_START_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_SWEEP_STOP_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_SWEEP_SPACING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_SWEEP_STEP_LIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_SWEEP_STEP_LOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_SWEEP_DWELL_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_SWEEP_MANUAL_STEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_SWEEP_POINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_SWEEP_SHAPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_SWEEP_RETRACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_SWEEP_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_OUTPUT_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_OUTPUT_CHANNEL_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_OUTPUT_CHANNEL_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LF_OUTPUT_CHANNEL_VOLTAGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_EXTERNAL_INPUT_IMPEDANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_TRIGGER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_EXT_TRIGGER_INPUT_SLOPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PULM_GATE_INPUT_POLARITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PGEN_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PGEN_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PGEN_OUTPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PGEN_OUTPUT_POLARITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PM_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PM_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PM_SOURCE_SMW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PM_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PM_DEVIATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PM_DEVIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PM_DEVIATION_TOTAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PM_EXTERNAL_COUPLING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PM_SENSITIVITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PM_PATH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PM_PATH_SOURCE_SMW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PM_PATH_DEVIATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PM_PATH_DEVIATION_INTERNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PM_PATH_DEVIATION_EXTERNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PM_PATH_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PM_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PM_CHANNEL_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PM_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_DELETE_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_DELETE_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_LEARN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_FREQUENCY_POINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_POWER_POINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_START_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_STOP_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_FREE_MEMORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_RESET_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_RUN_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_DWELL_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_DWELL_TIME_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_SELECT_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_DWELL_TIME_VALUES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_DWELL_TIME_POINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_FREQUENCY_VALUES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_POWER_VALUES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_CURRENT_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_IMPORT_EXPORT_LIST_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_IMPORT_EXPORT_LIST_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMPORT_EXPORT_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_IMPORT_EXPORT_ASCII_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_IMPORT_EXPORT_ASCII_EXTENSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_IMPORT_EXPORT_ASCII_COLUMN_SEPARATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_IMPORT_EXPORT_ASCII_COLUMN_DECIMAL_SEPARATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LIST_IMPORT_EXPORT_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_PHASE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_PATH_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_SIGNAL_ROUTING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_IQ_SWAP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_IQ_SKEW;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_CREST_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_PEAK_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_MEASUREMENT_PERIOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_AUTO_LEVEL_SET_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_AUTO_LEVEL_SET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_CURRENT_CREST_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_CURRENT_PEAK_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_OVERLOAD_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_RMS_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_POWER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_SAMPLE_RATE_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_CURRENT_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_EXTERNALLY_CONNECTED_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_DIGITAL_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_OVERLOAD_HOLD_RESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_OVERLOAD_SINCE_LAST_RESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_DIGITAL_INTERFACE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_MAX_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_SUM_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_SAMPLE_RATE_FIFO_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_ACTIVATE_CHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_CHANNEL_NAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_CHANNEL_CREST_FACTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_CHANNEL_PEAK_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_CHANNEL_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_CHANNEL_RMS_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_IMPAIRMENTS_GAIN_IMBALANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_IMPAIRMENTS_I_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BBIN_IMPAIRMENTS_Q_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_RECORDER_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_OFFSET_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_ZERO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_CONTINUOUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_USE_SPARAMETERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SPARAMETER_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SPARAMETER_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_DISPLAY_PERMANENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_DISPLAY_PERMANENT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SPC_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SPC_SENSOR_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SPC_PEAK_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SPC_DELAY_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SPC_TARGET_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SPC_CATCH_RANGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SPC_MEASUREMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SPC_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SPC_SINGLE_EVENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SPC_WARNING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_FILTER_LENGTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_FILTER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_FILTER_NS_RATIO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_FILTER_NS_RATIO_TIMEOUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_FILTER_LENGTH_AUTO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_FILTER_SEARCH_ONCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SENSOR_DEVICE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SENSOR_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_READ_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SENSOR_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SENSOR_SERIAL_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_DEFAULT_APERTURE_TIME_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_APERTURE_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_BASEBAND_ADD_MEASUREMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_BASEBAND_CHANGE_MEASUREMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_BASEBAND_DELETE_MEASUREMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_BASEBAND_EXECUTE_MEASUREMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_BASEBAND_MEASUREMENT_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_BASEBAND_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_BASEBAND_ABORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_BASEBAND_ACQUISITION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_BASEBAND_DURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_BASEBAND_GATE_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_BASEBAND_INDEX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_BASEBAND_OUTPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_BASEBAND_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_BASEBAND_RUN_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SENSOR_MAPPING_SCAN_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SENSOR_MAPPING_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SENSOR_MAPPING_ADD_LAN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SENSOR_MAPPING_ADD_USB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SENSOR_MAPPING_CLEAR_LAN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SENSOR_MAPPING_CLEAR_USB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_POWER_SENSOR_MAPPING_CLEAR_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_START_MEASUREMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_STOP_MEASUREMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_EXECUTE_SINGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_MAX_DATA_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_MAX_ERRORS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_PRBS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_DATA_POLARITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_DATA_CONNECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_CLOCK_SLOPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_EXTERNAL_RESTART;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_DATA_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_PATTERN_IGNORE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_IMPEDANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_THRESHOLD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_DISPLAY_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_TIMEOUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BLER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BLER_START_MEASUREMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BLER_STOP_MEASUREMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BLER_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BLER_RECALL_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BLER_SAVE_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BLER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BLER_EXECUTE_SINGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BLER_MAX_RECEIVED_BLOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BLER_MAX_ERRORS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BLER_TYPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BLER_CRC_ORDER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BLER_DATA_POLARITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BLER_DATA_CONNECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BLER_CLOCK_SLOPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BLER_DATA_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BLER_DISPLAY_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BLER_TIMEOUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_BLER_TEST_GENERATOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_BLER_TEST_GENERATOR_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_BLER_TEST_GENERATOR_ERROR_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_BLER_TEST_GENERATOR_CLOCK_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_BLER_TEST_GENERATOR_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_BLER_TEST_GENERATOR_DATA_ENABLE_ON_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_BLER_TEST_GENERATOR_DATA_ENABLE_OFF_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_BLER_TEST_GENERATOR_RESTART_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_BLER_TEST_GENERATOR_EXTERNAL_IQ_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_BLER_TEST_GENERATOR_START_SELFTEST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BERT_BLER_TEST_GENERATOR_SELFTEST_RESULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_THRESHOLD_DATA_INPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_THRESHOLD_TRIGGER_CONTROL_INPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMPEDANCE_DATA_INPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_IMPEDANCE_CLOCK_CONTROL_INPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LEGACY_IMPEDANCE_TRIGGER_CONTROL_INPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BASEBAND_TRIGGER_INPUT_SLOPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LEGACY_INSTRUMENT_TRIGGER_INPUT_SLOPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CONTROL_INPUT_TRIGGER_IMPEDANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CONTROL_INPUT_TRIGGER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CONTROL_INPUT_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OUTPUT_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AUTOMATIC_DELAY_COMPENSATION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_AUTOMATIC_DELAY_COMPENSATION_SLAVE_POSITION_IN_CHAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TRIGGER_INPUT_SLOPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TRIGGER_ALL_SWEEPS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TRIGGER_RF_FREQUENCY_SWEEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TRIGGER_RF_LEVEL_SWEEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TRIGGER_LIST_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TRIGGER_LF_FREQUENCY_SWEEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_INPUT_IMPEDANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_INPUT_IMPEDANCE_CHANNEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CONTROL_LINES_RF_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CONTROL_INPUT_CLOCK_IMPEDANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CONTROL_INPUT_CLOCK_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GLOBAL_CONTROL_INPUT_CLOCK_SLOPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CONTROL_INPUT_PULM_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CONTROL_INPUT_THRESHOLD_CLOCK_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CONTROL_INPUT_THRESHOLD_TRIGGER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LOCAL_CONTROL_INPUT_CLOCK_IMPEDANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LOCAL_CONTROL_INPUT_TRIGGER_IMPEDANCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CONTROL_INPUT_CLOCK_SLOPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LOCAL_CONTROL_INPUT_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CONNECTOR_INPUT_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CONNECTOR_OUTPUT_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CONNECTOR_INPUT_SIGNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CONNECTOR_OUTPUT_SIGNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LEGACY_CLOCK_INPUT_SLOPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CLOCK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CLOCK_INPUT_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CLOCK_INPUT_SLOPE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OUTPUT_CONNECTOR_USER_MAPPING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OUTPUT_CONNECTOR_USER_SIGNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OUTPUT_CONNECTOR_USER_EXECUTE_TRIGGER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OUTPUT_CONNECTOR_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_INPUT_CONNECTOR_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_INPUT_CONNECTOR_SIGNAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NO_SIGNAL_MARKER_POLARITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_REMOTE_CONTROL_COMMAND_SET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_IQ_MODULATOR_FULL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_IQ_MODULATION_LOCAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_ALC_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_FM_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_LEVEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_HIGH_ACCURACY_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_CONTINUE_ON_ERROR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_LOGGING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_ADJUST_INTERNAL_LO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_LAST_FULL_ADJUSTMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_LAST_FULL_ADJUSTMENT_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_TEMPERATURE_OFFSET_TO_LAST_FULL_ADJUSTMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_ADJUST_EXTERNAL_FREQUENCY_CONVERTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_INTERNAL_ADJUSTMENT_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LAST_FACTORY_CALIBRATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_ANALOG_I_Q_INPUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_EXTERNAL_LEVEL_ADJUSTMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_DATA_EXPORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_DELAY_MINUTES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_SHUTDOWN_AFTER_ADJUSTMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CALIBRATION_ADJUST_ALL_DELAYED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DIAGNOSTIC_MODULE_NAMES;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DIAGNOSTIC_TEST_POINTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DIAGNOSTIC_HUMS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DIAGNOSTIC_HUMS_DELETE_HISTORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DIAGNOSTIC_HUMS_DELETE_ALL_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DIAGNOSTIC_HUMS_DATA_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DIAGNOSTIC_HUMS_SAVE_HISTORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DIAGNOSTIC_HUMS_HISTORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DIAGNOSTIC_HUMS_ENHANCED_PROTOCOL_SNMP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DIAGNOSTIC_HUMS_ENHANCED_PROTOCOL_REST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DIAGNOSTIC_HUMS_ENHANCED_PROTOCOL_READ_ONLY_ACCESS_COMMUNITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DIAGNOSTIC_HUMS_ENHANCED_PROTOCOL_READ_WRITE_ACCESS_COMMUNITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DIAGNOSTIC_HUMS_TAGS_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DIAGNOSTIC_HUMS_TAGS_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DIAGNOSTIC_HUMS_TAGS_DELETE_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_DIAGNOSTIC_HUMS_TAGS_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_QUERY_DIAGNOSTIC_HUMS_TAGS_VALUE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DIAGNOSTIC_HUMS_CONTACT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DIAGNOSTIC_HUMS_LOCATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_DIAGNOSTIC_HUMS_ADD_SNMP_USER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_DIAGNOSTIC_HUMS_USER_TABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DIAGNOSTIC_HUMS_DELETE_USER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DIAGNOSTIC_HUMS_DELETE_ALL_USERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_DESTINATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_LANGUAGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_FILE_NAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_AUTO_FILE_DIRECTORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_CLEAR_HARD_COPY_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_AUTO_FILE_NAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_AUTO_NAMING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_DAY_TO_FILE_NAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_CURRENT_DAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_MONTH_TO_FILE_NAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_CURRENT_MONTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_YEAR_TO_FILE_NAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_CURRENT_YEAR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_CURRENT_NUMBER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_AUTO_PREFIX_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_FILE_NAME_PREFIX;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_GENERATED_AUTO_NAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_IMAGE_FORMAT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_IMAGE_RESOLUTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_REGION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_PRINTER_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_PAGE_UNIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_PAGE_ORIENTATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_PAGE_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HARD_COPY_PRINTER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_TEST_DIRECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_GENERATOR_ARBITRARY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_GENERATOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_GENERATOR_IQ_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_GENERATOR_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_GENERATOR_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_GENERATOR_FREQUENCY_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_BNC_CONNECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_BNC_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_BNC_DESTINATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_BNC_LOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_BASEBAND_SELFTEST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_BASEBAND_SELFTEST_LOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_START_SELFTEST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_SELFTEST_RESULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_PIXEL_COLOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_PIXEL_GRADIENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_PIXEL_TEXT_POINT_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_TEST_PIXEL_RGBA_COLOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_PIXEL_TEXT_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_PIXEL_WINDOW_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_GENERATOR_PATH_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_GENERATOR_PATH_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_GENERATOR_PATH_GAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_GENERATOR_PATH_SELECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_GENERATOR_PATH_IQ_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_BASEBAND_INPUT_BIT_ERROR_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_INTERFACE_SPEED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_TEST_TRANSMISSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_KEYBOARD_LAYOUT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_KEYBOARD_LANGUAGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DISPLAY_BLANK_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DISPLAY_PROPORTIONAL_SCALE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DISPLAY_UPDATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DISPLAY_ANNOTATION_AMPLITUDE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DISPLAY_ANNOTATION_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DISPLAY_ANNOTATION_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DISPLAY_DIALOG_ID;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DISPLAY_DIALOG_OPEN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DISLPAY_DIALOG_CLOSE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DISPLAY_DIALOG_CLOSE_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DISPLAY_POWER_SAVE_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_DISPLAY_POWER_SAVE_HOLDOFF;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MMEMORY_CHANGE_DIRECTORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MMEMORY_DELETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MMEMORY_MAKE_DIRECTORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MMEMORY_DRIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MMEMORY_REMOVE_DIRECTORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MMEMORY_USER_PATH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MMEMORY_USED_AND_AVAILABLE_MEMORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_MMEMORY_REMOVE_DIRECTORY_RECURSIVE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_REBOOT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_RESTART;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_SHUTDOWN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_FACTORY_PRESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_BEEPER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_ERROR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_STATIC_ERRORS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_ERROR_QUEUE_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_ERROR_QUEUE_CODE_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_ERROR_QUEUE_CODE_NEXT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_ERROR_QUEUE_COUNT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_ERROR_GLOBAL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_OLDEST_ERROR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_USB_RESOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_GPIB_RESOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_GPIB_LINE_TERMINATOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_GPIB_ADDRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_HISLIP_RESOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_SERIAL_RESOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_SERIAL_BAUD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_SERIAL_PARITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_SERIAL_STOP_BITS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_VISA_RESOURCE_STRING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_IDENTIFICATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_IDENTIFICATION_PRESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_IDENTIFICATION_RESPONSE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_OPTION_USER_DEFINED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_OPTION_TRIALS_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_OPTION_TRIAL_ENABLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_KEYBOARD_LOCK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_USER_INTERFACE_LOCK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_DISPLAY_LOCK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_LOCK_OWNER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_EXCLUSIVE_LOCK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_RELEASE_ALL_LOCKS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_BIOS_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_STARTUP_COMPLETE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_ALL_DATA_SHEETS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_DATA_SHEET_FACTORY_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_DATA_SHEET_VERSION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_DATA_SHEET_IDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_SCPI_INFORMATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_TIME_ZONE_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_TIME_ZONE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_TIME_PROTOCOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_UPTIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_ERROR_HISTORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CLEAR_HISTORY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_WAIT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_DEVICE_FOOTPRINT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_OPERATING_SYSTEM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_SCPI_RECORDING_DATA;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_SAVE_INSTRUMENT_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_LOAD_INSTRUMENT_SETTINGS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_EXPORT_HELP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_OCCUPY_LICENSES_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_OCCUPY_LICENSES_OCCUPY_OPTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_DOMAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_GATEWAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_RESOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_SUBNET_MASK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_WORKGROUP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_MAC_ADDRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_HOSTNAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_RESTART;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_IP_ADDRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_IP_ADDRESS_SUBNET_MASK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_IP_ADDRESS_GATEWAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_IP_ADDRESS_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_IP_ADDRESS_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_COMMON_WORKGROUP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_COMMON_DOMAIN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_COMMON_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_PREFERED_DNS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_ALTERNATE_DNS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_DNS_SERVER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_DNS_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_DNS_EXECUTE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_QSFP_IP_ADDRESS_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_QSFP_IP_ADDRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_QSFP_SUBNET_MASK;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_QSFP_PORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_QSFP_PROTOCOL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_QSFP_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_QSFP_MAC_ADDRESS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_QSFP_HOSTNAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_NETWORK_QSFP_APPLICATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_FADING_CONFIGURATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_SIGNAL_OUTPUTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_APPLY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_BASEBAND_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_BB_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_CA_BANDWIDTH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_HS_CHANNELS_PER_BBMM_1_;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_HS_CHANNELS_PER_BBMM_2;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_DUPLICATE_STREAMS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_PHASE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_CLEAN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_CONNECT_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_DISCONNECT_ALL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_DISPLAY_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_PREDEFINED_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_USER_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOTE_SCAN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOTE_SCAN_STATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOTE_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOVE_UNUSED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_AUTO_CONNECT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_PRESET_BEHAVIOR_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_MIMO_SUBSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_CODER_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_CODER_IQ_CONNECTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_CODER_REMOTE_CONNECTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_CODER_CONNECTED_INSTRUMENTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_CODER_TRIGGER_CONNECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_CODER_DISCONNECT_CONNECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_CODER_SEARCHES_FOR_EXTERNAL_INSTRUMENTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_CODER_INFO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_CODER_INITIALIZATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_CODER_LOAD_INITIALIZATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_CODER_LOAD_USER_INITIALIZATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_CODER_SELECTED_CONNECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_EXTERNAL_CODER_SELECTED_CONNECTOR_TRIGGER_CONNECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_CODER_SEND_SCPI_COMMAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_FADER_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_FADER_IQ_CONNECTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_FADER_CONNECTED_INSTRUMENTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_FADER_REMOTE_CONNECTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_FADER_TRIGGER_CONNECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_FADER_SEARCHES_FOR_EXTERNAL_INSTRUMENTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_FADER_DISCONNECT_CONNECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_FADER_INITIALIZATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_FADER_LOAD_INITIALIZATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_FADER_LOAD_USER_INITIALIZATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_FADER_SELECTED_CONNECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_EXTERNAL_FADER_SELECTED_CONNECTOR_TRIGGER_CONNECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_FADER_SEND_SCPI_COMMAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_FADER_INFO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_FADER_RF_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_FADER_RF_COUPLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_FADER_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_FADER_RF_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_FADER_RF_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_FADER_RF_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_IQ_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_IQ_CONNECTED_INSTRUMENTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_IQ_REMOTE_CONNECTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_IQ_TRIGGER_CONNECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_IQ_DISCONNECT_CONNECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_IQ_INITIALIZATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_IQ_LOAD_INITIALIZATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_IQ_LOAD_USER_INITIALIZATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_IQ_SELECTED_CONNECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_EXTERNAL_IQ_SELECTED_CONNECTOR_TRIGGER_CONNECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_IQ_SEND_SCPI_COMMAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_IQ_INFO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_IQ_RF_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_IQ_RF_COUPLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_IQ_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_IQ_RF_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_IQ_RF_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_IQ_RF_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_CONNECTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_CONNECTED_INSTRUMENTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_REMOTE_CONNECTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_TRIGGER_CONNECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_SEARCHES_FOR_EXTERNAL_INSTRUMENTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_DISCONNECT_CONNECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_INITIALIZATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_LOAD_INITIALIZATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_LOAD_USER_INITIALIZATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_INITIALIZATION_FILES_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_SELECTED_CONNECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_EXTERNAL_BBMM_SELECTED_CONNECTOR_TRIGGER_CONNECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_SEND_SCPI_COMMAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_INFO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_RF_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_RF_COUPLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_RF_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_RF_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_BBMM_RF_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_RF_DIRECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_RF_CONNECTED_INSTRUMENTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_RF_REMOTE_CONNECTION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_RF_TRIGGER_CONNECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_RF_DISCONNECT_CONNECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_RF_INITIALIZATION_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_RF_SELECTED_CONNECTOR;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_EXTERNAL_RF_SELECTED_CONNECTOR_TRIGGER_CONNECTION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_RF_SEND_SCPI_COMMAND;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_RF_INFO;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_RF_RF_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_RF_RF_COUPLING_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_RF_RF_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_RF_RF_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_RF_RF_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_EXTERNAL_RF_RF_POWER_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BANDWIDTH_EXTENSION_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BANDWIDTH_EXTENSION_SETUP_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BANDWIDTH_EXTENSION_RESET_USER_CORRECTIONS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BANDWIDTH_EXTENSION_ALIGN_RF_PORTS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BANDWIDTH_EXTENSION_ALIGN_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BANDWIDTH_EXTENSION_ALIGN_INFO_COMMENT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BANDWIDTH_EXTENSION_ALIGN_INFO_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BANDWIDTH_EXTENSION_ALIGN_INFO_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BANDWIDTH_EXTENSION_ALIGN_INFO_FREQUENCY_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BANDWIDTH_EXTENSION_ALIGN_INFO_FREQUENCY_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BANDWIDTH_EXTENSION_ALIGN_INFO_PEP_MAXIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BANDWIDTH_EXTENSION_ALIGN_INFO_PEP_MINIMUM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BANDWIDTH_EXTENSION_PORT_ADDITIONAL_IQ_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BANDWIDTH_EXTENSION_PORT_IQ_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BANDWIDTH_EXTENSION_PORT_POWER_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BANDWIDTH_EXTENSION_PORT_ADDITIONAL_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BANDWIDTH_EXTENSION_PORT_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_BANDWIDTH_EXTENSION_PORT_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_MAPPING_BBMM_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_MAPPING_FADER_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_MAPPING_IQ_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_MAPPING_RF_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_MAPPING_BBMM_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_MAPPING_FADER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_MAPPING_IQ_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_MAPPING_RF_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_MAPPING_BBMM_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_MAPPING_BBMM_CHANNEL_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_MULTIINSTRUMENT_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_MULTIINSTRUMENT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SYSTEM_CONFIGURATION_MULTIINSTRUMENT_SYNCHRONIZATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_STATUS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_SYNCHRONIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_PREDEFINED_FILES_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_LOAD_PREDEFINED_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_SETUP_FILES_CATALOG;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_LOAD_SETUP_FILE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_CALIBRATION_PARAMETERS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_CALIBRATION_DATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_CALIBRATION_TIME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_CALIBRATION_AGE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_CALIBRATION_TEMPERATURE_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_CALIBRATION_FREQUENCY_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_CALIBRATION_FREQUENCY_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_CALIBRATION_FREQUENCY_RANGE_LOWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_CALIBRATION_FREQUENCY_RANGE_UPPER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_CALIBRATION_FREQUENCY_STEP_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_CALIBRATION_PEP_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_CALIBRATION_PEP_LIST;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_CALIBRATION_PEP_RANGE_LOWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_CALIBRATION_PEP_RANGE_UPPER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_CALIBRATION_PEP_STEP_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_CALIBRATED_FREQUENCY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_CALIBRATED_PEP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_IQ_DELAY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_CORRECTION_LEVEL;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_DELTA_PHASE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_DIGITAL_ATTENUATION;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_BASEBAND_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_CALIBRATION_LOCAL_OSCILLATOR_COUPLING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_LOCAL_OSCILLATOR_CONNECTION_METHOD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_LOCAL_OSCILLATOR_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_RF_PORTS_ALIGNMENT_LOCAL_OSCILLATOR_REFERENCE_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_STATUS_PRESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_UNIT_ANGLE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_UNIT_POWER;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_UNIT_VELOCITY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GRAPHICS_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GRAPHICS_SMART_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GRAPHICS_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GRAPHICS_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GRAPHICS_SAMPLE_RATE_MODE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GRAPHICS_SAMPLE_RATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GRAPHICS_ADD;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GRAPHICS_CLOSE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GRAPHICS_SOURCE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GRAPHICS_SELECTED_STREAM;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GRAPHICS_FFT_SCALE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_GRAPHICS_FFT_SIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SECURITY_UPDATE_POLICY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SECURITY_SANITIZE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SECURITY_NETWORK_AVAHI;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SECURITY_NETWORK_FTP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SECURITY_NETWORK_HTTP;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SECURITY_NETWORK_RAW_SOCKET_PORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SECURITY_NETWORK_REMOTE_SUPPORT;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SECURITY_NETWORK_REMOTE_PROCEDURE_CALLS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SECURITY_NETWORK_SMB;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SECURITY_NETWORK_SCPI_OVER_LAN;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SECURITY_NETWORK_SSH;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SECURITY_NETWORK_SOFTWARE_UPDATE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SECURITY_NETWORK_VNC;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_HIDDEN_SECURITY_NETWORK_LAN_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NTP_SERVER_ENABLED;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_NTP_SERVER_HOSTNAME;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PRESET;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_SELF_TEST_QUERY;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_ID_QUERY_RESPONSE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_LOGGING;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PRESET_DEVICE;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS;
extern RsCoreAttribute g_RSRFSIGGEN_ATTR_INIT_SW_TRIGGER;

/*****************************************************************************
 *- Repeated Capabilities Table ---------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rsrfsiggen_RsCoreRepCapTable[];
extern ViInt32 rsrfsiggen_RsCoreRepCapTableCount;

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rsrfsiggen_RsCoreAttributeList[];
extern ViInt32 rsrfsiggen_RsCoreAttributeListLength;

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSRFSIGGEN_ATTRIBUTES_HEADER */
